'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var bs58 = _interopDefault(require('bs58'));
var _Object$freeze = _interopDefault(require('@babel/runtime-corejs2/core-js/object/freeze'));
var _Object$create = _interopDefault(require('@babel/runtime-corejs2/core-js/object/create'));
var $protobuf = require('protobufjs/minimal');
var nacl = _interopDefault(require('tweetnacl'));
var _parseInt = _interopDefault(require('@babel/runtime-corejs2/core-js/parse-int'));
require('@babel/runtime-corejs2/core-js/array/from');
var buffer = require('buffer');
var _Object$values = _interopDefault(require('@babel/runtime-corejs2/core-js/object/values'));
var _Array$isArray = _interopDefault(require('@babel/runtime-corejs2/core-js/array/is-array'));
var _Object$keys = _interopDefault(require('@babel/runtime-corejs2/core-js/object/keys'));
var sha256 = _interopDefault(require('fast-sha256'));
var _objectSpread = _interopDefault(require('@babel/runtime-corejs2/helpers/objectSpread'));
var utils = _interopDefault(require('axios/lib/utils'));
var buildURL = _interopDefault(require('axios/lib/helpers/buildURL'));
var isURLSameOrigin = _interopDefault(require('axios/lib/helpers/isURLSameOrigin'));
var axios = _interopDefault(require('axios'));
var base64js = _interopDefault(require('base64-js'));
var stringify = _interopDefault(require('fast-json-stable-stringify'));
var _JSON$stringify = _interopDefault(require('@babel/runtime-corejs2/core-js/json/stringify'));
var _extends = _interopDefault(require('@babel/runtime-corejs2/helpers/extends'));
var _Date$now = _interopDefault(require('@babel/runtime-corejs2/core-js/date/now'));
var _Promise = _interopDefault(require('@babel/runtime-corejs2/core-js/promise'));

/**
 * Converts an input buffer or input string to UTF8 encoded Base64Url.
 *
 * @param {String|Buffer} input input string or buffer
 * @return {String} encoded output
 */
const base64Url = input => {
  if (Buffer.isBuffer(input)) {
    return base64ToBase64Url(input.toString('base64'));
  }

  return base64ToBase64Url(Buffer.from(input, 'utf8').toString('base64'));
};
/**
 * Converts a UTF8 encoded base64url string to a Buffer.
 *
 * @param {String} input input string
 * @return {Buffer} buffer output
 */

const base64UrlToBuffer = input => {
  return Buffer.from(base64UrlToBase64(input), 'base64');
};

function base64ToBase64Url(input) {
  return input.replace(/=/g, '').replace(/\+/g, '-').replace(/\//g, '_');
}

function base64UrlToBase64(input) {
  return pad(input.toString()).replace(/-/g, '+').replace(/_/g, '/');
}

function pad(input) {
  const segmentLength = 4;
  const stringLength = input.length;
  const diff = stringLength % segmentLength;

  if (!diff) {
    return input;
  }

  let position = stringLength;
  let padLength = segmentLength - diff;
  const paddedStringLength = stringLength + padLength;
  const buffer$$1 = Buffer.alloc(paddedStringLength);
  buffer$$1.write(input);

  while (padLength--) {
    buffer$$1.write('=', position++);
  }

  return buffer$$1.toString();
}

const $util=$protobuf.util;const $root=$protobuf.roots["default"]||($protobuf.roots["default"]={});const io=$root.io=(()=>{const io={};io.token=function(){const token={};token.proto=function(){const proto={};proto.common=function(){const common={};common.account=function(){const account={};account.PlaintextBankAuthorization=function(){function PlaintextBankAuthorization(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}PlaintextBankAuthorization.prototype.memberId="";PlaintextBankAuthorization.prototype.accountName="";PlaintextBankAuthorization.prototype.account=null;PlaintextBankAuthorization.prototype.expirationMs=$util.Long?$util.Long.fromBits(0,0,false):0;PlaintextBankAuthorization.create=function create(properties){return new PlaintextBankAuthorization(properties);};PlaintextBankAuthorization.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.PlaintextBankAuthorization)return d;var m=new $root.io.token.proto.common.account.PlaintextBankAuthorization();if(d.memberId!=null){m.memberId=String(d.memberId);}if(d.accountName!=null){m.accountName=String(d.accountName);}if(d.account!=null){if(typeof d.account!=="object")throw TypeError(".io.token.proto.common.account.PlaintextBankAuthorization.account: object expected");m.account=$root.io.token.proto.common.account.BankAccount.fromObject(d.account);}if(d.expirationMs!=null){if($util.Long)(m.expirationMs=$util.Long.fromValue(d.expirationMs)).unsigned=false;else if(typeof d.expirationMs==="string")m.expirationMs=_parseInt(d.expirationMs,10);else if(typeof d.expirationMs==="number")m.expirationMs=d.expirationMs;else if(typeof d.expirationMs==="object")m.expirationMs=new $util.LongBits(d.expirationMs.low>>>0,d.expirationMs.high>>>0).toNumber();}return m;};PlaintextBankAuthorization.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.memberId="";d.accountName="";d.account=null;if($util.Long){var n=new $util.Long(0,0,false);d.expirationMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.expirationMs=o.longs===String?"0":0;}if(m.memberId!=null&&m.hasOwnProperty("memberId")){d.memberId=m.memberId;}if(m.accountName!=null&&m.hasOwnProperty("accountName")){d.accountName=m.accountName;}if(m.account!=null&&m.hasOwnProperty("account")){d.account=$root.io.token.proto.common.account.BankAccount.toObject(m.account,o);}if(m.expirationMs!=null&&m.hasOwnProperty("expirationMs")){if(typeof m.expirationMs==="number")d.expirationMs=o.longs===String?String(m.expirationMs):m.expirationMs;else d.expirationMs=o.longs===String?$util.Long.prototype.toString.call(m.expirationMs):o.longs===Number?new $util.LongBits(m.expirationMs.low>>>0,m.expirationMs.high>>>0).toNumber():m.expirationMs;}return d;};PlaintextBankAuthorization.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return PlaintextBankAuthorization;}();account.AccountFeatures=function(){function AccountFeatures(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AccountFeatures.prototype.supportsPayment=false;AccountFeatures.prototype.supportsInformation=false;AccountFeatures.prototype.requiresExternalAuth=false;AccountFeatures.prototype.supportsSendPayment=false;AccountFeatures.prototype.supportsReceivePayment=false;AccountFeatures.create=function create(properties){return new AccountFeatures(properties);};AccountFeatures.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.AccountFeatures)return d;var m=new $root.io.token.proto.common.account.AccountFeatures();if(d.supportsPayment!=null){m.supportsPayment=Boolean(d.supportsPayment);}if(d.supportsInformation!=null){m.supportsInformation=Boolean(d.supportsInformation);}if(d.requiresExternalAuth!=null){m.requiresExternalAuth=Boolean(d.requiresExternalAuth);}if(d.supportsSendPayment!=null){m.supportsSendPayment=Boolean(d.supportsSendPayment);}if(d.supportsReceivePayment!=null){m.supportsReceivePayment=Boolean(d.supportsReceivePayment);}return m;};AccountFeatures.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.supportsPayment=false;d.supportsInformation=false;d.requiresExternalAuth=false;d.supportsSendPayment=false;d.supportsReceivePayment=false;}if(m.supportsPayment!=null&&m.hasOwnProperty("supportsPayment")){d.supportsPayment=m.supportsPayment;}if(m.supportsInformation!=null&&m.hasOwnProperty("supportsInformation")){d.supportsInformation=m.supportsInformation;}if(m.requiresExternalAuth!=null&&m.hasOwnProperty("requiresExternalAuth")){d.requiresExternalAuth=m.requiresExternalAuth;}if(m.supportsSendPayment!=null&&m.hasOwnProperty("supportsSendPayment")){d.supportsSendPayment=m.supportsSendPayment;}if(m.supportsReceivePayment!=null&&m.hasOwnProperty("supportsReceivePayment")){d.supportsReceivePayment=m.supportsReceivePayment;}return d;};AccountFeatures.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AccountFeatures;}();account.AccountDetails=function(){function AccountDetails(p){this.metadata={};if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AccountDetails.prototype.identifier="";AccountDetails.prototype.type=0;AccountDetails.prototype.status="";AccountDetails.prototype.metadata=$util.emptyObject;AccountDetails.prototype.providerSpecific=null;AccountDetails.create=function create(properties){return new AccountDetails(properties);};AccountDetails.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.AccountDetails)return d;var m=new $root.io.token.proto.common.account.AccountDetails();if(d.identifier!=null){m.identifier=String(d.identifier);}switch(d.type){case"INVALID":case 0:m.type=0;break;case"OTHER":case 1:m.type=1;break;case"CHECKING":case 2:m.type=2;break;case"SAVINGS":case 3:m.type=3;break;case"LOAN":case 4:m.type=4;break;}if(d.status!=null){m.status=String(d.status);}if(d.metadata){if(typeof d.metadata!=="object")throw TypeError(".io.token.proto.common.account.AccountDetails.metadata: object expected");m.metadata={};for(var ks=_Object$keys(d.metadata),i=0;i<ks.length;++i){m.metadata[ks[i]]=String(d.metadata[ks[i]]);}}if(d.providerSpecific!=null){if(typeof d.providerSpecific!=="object")throw TypeError(".io.token.proto.common.account.AccountDetails.providerSpecific: object expected");m.providerSpecific=$root.io.token.proto.common.providerspecific.ProviderAccountDetails.fromObject(d.providerSpecific);}return m;};AccountDetails.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.objects||o.defaults){d.metadata={};}if(o.defaults){d.identifier="";d.type=o.enums===String?"INVALID":0;d.status="";d.providerSpecific=null;}if(m.identifier!=null&&m.hasOwnProperty("identifier")){d.identifier=m.identifier;}if(m.type!=null&&m.hasOwnProperty("type")){d.type=o.enums===String?$root.io.token.proto.common.account.AccountDetails.AccountType[m.type]:m.type;}if(m.status!=null&&m.hasOwnProperty("status")){d.status=m.status;}var ks2;if(m.metadata&&(ks2=_Object$keys(m.metadata)).length){d.metadata={};for(var j=0;j<ks2.length;++j){d.metadata[ks2[j]]=m.metadata[ks2[j]];}}if(m.providerSpecific!=null&&m.hasOwnProperty("providerSpecific")){d.providerSpecific=$root.io.token.proto.common.providerspecific.ProviderAccountDetails.toObject(m.providerSpecific,o);}return d;};AccountDetails.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};AccountDetails.AccountType=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="OTHER"]=1;values[valuesById[2]="CHECKING"]=2;values[valuesById[3]="SAVINGS"]=3;values[valuesById[4]="LOAN"]=4;return values;}();return AccountDetails;}();account.Account=function(){function Account(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Account.prototype.id="";Account.prototype.name="";Account.prototype.bankId="";Account.prototype.isLocked=false;Account.prototype.accountFeatures=null;Account.prototype.lastCacheUpdateMs=$util.Long?$util.Long.fromBits(0,0,false):0;Account.prototype.nextCacheUpdateMs=$util.Long?$util.Long.fromBits(0,0,false):0;Account.prototype.accountDetails=null;Account.create=function create(properties){return new Account(properties);};Account.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.Account)return d;var m=new $root.io.token.proto.common.account.Account();if(d.id!=null){m.id=String(d.id);}if(d.name!=null){m.name=String(d.name);}if(d.bankId!=null){m.bankId=String(d.bankId);}if(d.isLocked!=null){m.isLocked=Boolean(d.isLocked);}if(d.accountFeatures!=null){if(typeof d.accountFeatures!=="object")throw TypeError(".io.token.proto.common.account.Account.accountFeatures: object expected");m.accountFeatures=$root.io.token.proto.common.account.AccountFeatures.fromObject(d.accountFeatures);}if(d.lastCacheUpdateMs!=null){if($util.Long)(m.lastCacheUpdateMs=$util.Long.fromValue(d.lastCacheUpdateMs)).unsigned=false;else if(typeof d.lastCacheUpdateMs==="string")m.lastCacheUpdateMs=_parseInt(d.lastCacheUpdateMs,10);else if(typeof d.lastCacheUpdateMs==="number")m.lastCacheUpdateMs=d.lastCacheUpdateMs;else if(typeof d.lastCacheUpdateMs==="object")m.lastCacheUpdateMs=new $util.LongBits(d.lastCacheUpdateMs.low>>>0,d.lastCacheUpdateMs.high>>>0).toNumber();}if(d.nextCacheUpdateMs!=null){if($util.Long)(m.nextCacheUpdateMs=$util.Long.fromValue(d.nextCacheUpdateMs)).unsigned=false;else if(typeof d.nextCacheUpdateMs==="string")m.nextCacheUpdateMs=_parseInt(d.nextCacheUpdateMs,10);else if(typeof d.nextCacheUpdateMs==="number")m.nextCacheUpdateMs=d.nextCacheUpdateMs;else if(typeof d.nextCacheUpdateMs==="object")m.nextCacheUpdateMs=new $util.LongBits(d.nextCacheUpdateMs.low>>>0,d.nextCacheUpdateMs.high>>>0).toNumber();}if(d.accountDetails!=null){if(typeof d.accountDetails!=="object")throw TypeError(".io.token.proto.common.account.Account.accountDetails: object expected");m.accountDetails=$root.io.token.proto.common.account.AccountDetails.fromObject(d.accountDetails);}return m;};Account.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.id="";d.name="";d.bankId="";d.isLocked=false;d.accountFeatures=null;if($util.Long){var n=new $util.Long(0,0,false);d.lastCacheUpdateMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.lastCacheUpdateMs=o.longs===String?"0":0;if($util.Long){var n=new $util.Long(0,0,false);d.nextCacheUpdateMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.nextCacheUpdateMs=o.longs===String?"0":0;d.accountDetails=null;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.name!=null&&m.hasOwnProperty("name")){d.name=m.name;}if(m.bankId!=null&&m.hasOwnProperty("bankId")){d.bankId=m.bankId;}if(m.isLocked!=null&&m.hasOwnProperty("isLocked")){d.isLocked=m.isLocked;}if(m.accountFeatures!=null&&m.hasOwnProperty("accountFeatures")){d.accountFeatures=$root.io.token.proto.common.account.AccountFeatures.toObject(m.accountFeatures,o);}if(m.lastCacheUpdateMs!=null&&m.hasOwnProperty("lastCacheUpdateMs")){if(typeof m.lastCacheUpdateMs==="number")d.lastCacheUpdateMs=o.longs===String?String(m.lastCacheUpdateMs):m.lastCacheUpdateMs;else d.lastCacheUpdateMs=o.longs===String?$util.Long.prototype.toString.call(m.lastCacheUpdateMs):o.longs===Number?new $util.LongBits(m.lastCacheUpdateMs.low>>>0,m.lastCacheUpdateMs.high>>>0).toNumber():m.lastCacheUpdateMs;}if(m.nextCacheUpdateMs!=null&&m.hasOwnProperty("nextCacheUpdateMs")){if(typeof m.nextCacheUpdateMs==="number")d.nextCacheUpdateMs=o.longs===String?String(m.nextCacheUpdateMs):m.nextCacheUpdateMs;else d.nextCacheUpdateMs=o.longs===String?$util.Long.prototype.toString.call(m.nextCacheUpdateMs):o.longs===Number?new $util.LongBits(m.nextCacheUpdateMs.low>>>0,m.nextCacheUpdateMs.high>>>0).toNumber():m.nextCacheUpdateMs;}if(m.accountDetails!=null&&m.hasOwnProperty("accountDetails")){d.accountDetails=$root.io.token.proto.common.account.AccountDetails.toObject(m.accountDetails,o);}return d;};Account.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Account;}();account.BankAccount=function(){function BankAccount(p){this.metadata={};if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}BankAccount.prototype.token=null;BankAccount.prototype.tokenAuthorization=null;BankAccount.prototype.swift=null;BankAccount.prototype.sepa=null;BankAccount.prototype.ach=null;BankAccount.prototype.bank=null;BankAccount.prototype.fasterPayments=null;BankAccount.prototype.custom=null;BankAccount.prototype.metadata=$util.emptyObject;BankAccount.prototype.accountFeatures=null;let $oneOfFields;Object.defineProperty(BankAccount.prototype,"account",{get:$util.oneOfGetter($oneOfFields=["token","tokenAuthorization","swift","sepa","ach","bank","fasterPayments","custom"]),set:$util.oneOfSetter($oneOfFields)});BankAccount.create=function create(properties){return new BankAccount(properties);};BankAccount.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.BankAccount)return d;var m=new $root.io.token.proto.common.account.BankAccount();if(d.token!=null){if(typeof d.token!=="object")throw TypeError(".io.token.proto.common.account.BankAccount.token: object expected");m.token=$root.io.token.proto.common.account.BankAccount.Token.fromObject(d.token);}if(d.tokenAuthorization!=null){if(typeof d.tokenAuthorization!=="object")throw TypeError(".io.token.proto.common.account.BankAccount.tokenAuthorization: object expected");m.tokenAuthorization=$root.io.token.proto.common.account.BankAccount.TokenAuthorization.fromObject(d.tokenAuthorization);}if(d.swift!=null){if(typeof d.swift!=="object")throw TypeError(".io.token.proto.common.account.BankAccount.swift: object expected");m.swift=$root.io.token.proto.common.account.BankAccount.Swift.fromObject(d.swift);}if(d.sepa!=null){if(typeof d.sepa!=="object")throw TypeError(".io.token.proto.common.account.BankAccount.sepa: object expected");m.sepa=$root.io.token.proto.common.account.BankAccount.Sepa.fromObject(d.sepa);}if(d.ach!=null){if(typeof d.ach!=="object")throw TypeError(".io.token.proto.common.account.BankAccount.ach: object expected");m.ach=$root.io.token.proto.common.account.BankAccount.Ach.fromObject(d.ach);}if(d.bank!=null){if(typeof d.bank!=="object")throw TypeError(".io.token.proto.common.account.BankAccount.bank: object expected");m.bank=$root.io.token.proto.common.account.BankAccount.Bank.fromObject(d.bank);}if(d.fasterPayments!=null){if(typeof d.fasterPayments!=="object")throw TypeError(".io.token.proto.common.account.BankAccount.fasterPayments: object expected");m.fasterPayments=$root.io.token.proto.common.account.BankAccount.FasterPayments.fromObject(d.fasterPayments);}if(d.custom!=null){if(typeof d.custom!=="object")throw TypeError(".io.token.proto.common.account.BankAccount.custom: object expected");m.custom=$root.io.token.proto.common.account.BankAccount.Custom.fromObject(d.custom);}if(d.metadata){if(typeof d.metadata!=="object")throw TypeError(".io.token.proto.common.account.BankAccount.metadata: object expected");m.metadata={};for(var ks=_Object$keys(d.metadata),i=0;i<ks.length;++i){m.metadata[ks[i]]=String(d.metadata[ks[i]]);}}if(d.accountFeatures!=null){if(typeof d.accountFeatures!=="object")throw TypeError(".io.token.proto.common.account.BankAccount.accountFeatures: object expected");m.accountFeatures=$root.io.token.proto.common.account.AccountFeatures.fromObject(d.accountFeatures);}return m;};BankAccount.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.objects||o.defaults){d.metadata={};}if(o.defaults){d.accountFeatures=null;}if(m.token!=null&&m.hasOwnProperty("token")){d.token=$root.io.token.proto.common.account.BankAccount.Token.toObject(m.token,o);if(o.oneofs)d.account="token";}if(m.tokenAuthorization!=null&&m.hasOwnProperty("tokenAuthorization")){d.tokenAuthorization=$root.io.token.proto.common.account.BankAccount.TokenAuthorization.toObject(m.tokenAuthorization,o);if(o.oneofs)d.account="tokenAuthorization";}if(m.swift!=null&&m.hasOwnProperty("swift")){d.swift=$root.io.token.proto.common.account.BankAccount.Swift.toObject(m.swift,o);if(o.oneofs)d.account="swift";}if(m.sepa!=null&&m.hasOwnProperty("sepa")){d.sepa=$root.io.token.proto.common.account.BankAccount.Sepa.toObject(m.sepa,o);if(o.oneofs)d.account="sepa";}if(m.ach!=null&&m.hasOwnProperty("ach")){d.ach=$root.io.token.proto.common.account.BankAccount.Ach.toObject(m.ach,o);if(o.oneofs)d.account="ach";}if(m.bank!=null&&m.hasOwnProperty("bank")){d.bank=$root.io.token.proto.common.account.BankAccount.Bank.toObject(m.bank,o);if(o.oneofs)d.account="bank";}var ks2;if(m.metadata&&(ks2=_Object$keys(m.metadata)).length){d.metadata={};for(var j=0;j<ks2.length;++j){d.metadata[ks2[j]]=m.metadata[ks2[j]];}}if(m.accountFeatures!=null&&m.hasOwnProperty("accountFeatures")){d.accountFeatures=$root.io.token.proto.common.account.AccountFeatures.toObject(m.accountFeatures,o);}if(m.fasterPayments!=null&&m.hasOwnProperty("fasterPayments")){d.fasterPayments=$root.io.token.proto.common.account.BankAccount.FasterPayments.toObject(m.fasterPayments,o);if(o.oneofs)d.account="fasterPayments";}if(m.custom!=null&&m.hasOwnProperty("custom")){d.custom=$root.io.token.proto.common.account.BankAccount.Custom.toObject(m.custom,o);if(o.oneofs)d.account="custom";}return d;};BankAccount.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};BankAccount.Token=function(){function Token(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Token.prototype.memberId="";Token.prototype.accountId="";Token.create=function create(properties){return new Token(properties);};Token.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.BankAccount.Token)return d;var m=new $root.io.token.proto.common.account.BankAccount.Token();if(d.memberId!=null){m.memberId=String(d.memberId);}if(d.accountId!=null){m.accountId=String(d.accountId);}return m;};Token.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.memberId="";d.accountId="";}if(m.memberId!=null&&m.hasOwnProperty("memberId")){d.memberId=m.memberId;}if(m.accountId!=null&&m.hasOwnProperty("accountId")){d.accountId=m.accountId;}return d;};Token.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Token;}();BankAccount.TokenAuthorization=function(){function TokenAuthorization(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TokenAuthorization.prototype.authorization=null;TokenAuthorization.create=function create(properties){return new TokenAuthorization(properties);};TokenAuthorization.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.BankAccount.TokenAuthorization)return d;var m=new $root.io.token.proto.common.account.BankAccount.TokenAuthorization();if(d.authorization!=null){if(typeof d.authorization!=="object")throw TypeError(".io.token.proto.common.account.BankAccount.TokenAuthorization.authorization: object expected");m.authorization=$root.io.token.proto.banklink.BankAuthorization.fromObject(d.authorization);}return m;};TokenAuthorization.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.authorization=null;}if(m.authorization!=null&&m.hasOwnProperty("authorization")){d.authorization=$root.io.token.proto.banklink.BankAuthorization.toObject(m.authorization,o);}return d;};TokenAuthorization.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TokenAuthorization;}();BankAccount.Bank=function(){function Bank(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Bank.prototype.bankId="";Bank.create=function create(properties){return new Bank(properties);};Bank.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.BankAccount.Bank)return d;var m=new $root.io.token.proto.common.account.BankAccount.Bank();if(d.bankId!=null){m.bankId=String(d.bankId);}return m;};Bank.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.bankId="";}if(m.bankId!=null&&m.hasOwnProperty("bankId")){d.bankId=m.bankId;}return d;};Bank.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Bank;}();BankAccount.Swift=function(){function Swift(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Swift.prototype.bic="";Swift.prototype.account="";Swift.create=function create(properties){return new Swift(properties);};Swift.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.BankAccount.Swift)return d;var m=new $root.io.token.proto.common.account.BankAccount.Swift();if(d.bic!=null){m.bic=String(d.bic);}if(d.account!=null){m.account=String(d.account);}return m;};Swift.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.bic="";d.account="";}if(m.bic!=null&&m.hasOwnProperty("bic")){d.bic=m.bic;}if(m.account!=null&&m.hasOwnProperty("account")){d.account=m.account;}return d;};Swift.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Swift;}();BankAccount.Sepa=function(){function Sepa(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Sepa.prototype.iban="";Sepa.prototype.bic="";Sepa.create=function create(properties){return new Sepa(properties);};Sepa.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.BankAccount.Sepa)return d;var m=new $root.io.token.proto.common.account.BankAccount.Sepa();if(d.iban!=null){m.iban=String(d.iban);}if(d.bic!=null){m.bic=String(d.bic);}return m;};Sepa.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.iban="";d.bic="";}if(m.iban!=null&&m.hasOwnProperty("iban")){d.iban=m.iban;}if(m.bic!=null&&m.hasOwnProperty("bic")){d.bic=m.bic;}return d;};Sepa.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Sepa;}();BankAccount.Ach=function(){function Ach(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Ach.prototype.routing="";Ach.prototype.account="";Ach.create=function create(properties){return new Ach(properties);};Ach.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.BankAccount.Ach)return d;var m=new $root.io.token.proto.common.account.BankAccount.Ach();if(d.routing!=null){m.routing=String(d.routing);}if(d.account!=null){m.account=String(d.account);}return m;};Ach.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.routing="";d.account="";}if(m.routing!=null&&m.hasOwnProperty("routing")){d.routing=m.routing;}if(m.account!=null&&m.hasOwnProperty("account")){d.account=m.account;}return d;};Ach.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Ach;}();BankAccount.FasterPayments=function(){function FasterPayments(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}FasterPayments.prototype.sortCode="";FasterPayments.prototype.accountNumber="";FasterPayments.create=function create(properties){return new FasterPayments(properties);};FasterPayments.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.BankAccount.FasterPayments)return d;var m=new $root.io.token.proto.common.account.BankAccount.FasterPayments();if(d.sortCode!=null){m.sortCode=String(d.sortCode);}if(d.accountNumber!=null){m.accountNumber=String(d.accountNumber);}return m;};FasterPayments.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.sortCode="";d.accountNumber="";}if(m.sortCode!=null&&m.hasOwnProperty("sortCode")){d.sortCode=m.sortCode;}if(m.accountNumber!=null&&m.hasOwnProperty("accountNumber")){d.accountNumber=m.accountNumber;}return d;};FasterPayments.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return FasterPayments;}();BankAccount.Custom=function(){function Custom(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Custom.prototype.bankId="";Custom.prototype.payload="";Custom.create=function create(properties){return new Custom(properties);};Custom.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.account.BankAccount.Custom)return d;var m=new $root.io.token.proto.common.account.BankAccount.Custom();if(d.bankId!=null){m.bankId=String(d.bankId);}if(d.payload!=null){m.payload=String(d.payload);}return m;};Custom.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.bankId="";d.payload="";}if(m.bankId!=null&&m.hasOwnProperty("bankId")){d.bankId=m.bankId;}if(m.payload!=null&&m.hasOwnProperty("payload")){d.payload=m.payload;}return d;};Custom.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Custom;}();return BankAccount;}();return account;}();common.security=function(){const security={};security.Key=function(){function Key(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Key.prototype.id="";Key.prototype.publicKey="";Key.prototype.level=0;Key.prototype.algorithm=0;Key.prototype.expiresAtMs=$util.Long?$util.Long.fromBits(0,0,false):0;Key.create=function create(properties){return new Key(properties);};Key.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.security.Key)return d;var m=new $root.io.token.proto.common.security.Key();if(d.id!=null){m.id=String(d.id);}if(d.publicKey!=null){m.publicKey=String(d.publicKey);}switch(d.level){case"INVALID_LEVEL":case 0:m.level=0;break;case"PRIVILEGED":case 1:m.level=1;break;case"STANDARD":case 2:m.level=2;break;case"LOW":case 3:m.level=3;break;}switch(d.algorithm){case"INVALID_ALGORITHM":case 0:m.algorithm=0;break;case"ED25519":case 1:m.algorithm=1;break;case"ECDSA_SHA256":case 2:m.algorithm=2;break;case"RS256":case 3:m.algorithm=3;break;}if(d.expiresAtMs!=null){if($util.Long)(m.expiresAtMs=$util.Long.fromValue(d.expiresAtMs)).unsigned=false;else if(typeof d.expiresAtMs==="string")m.expiresAtMs=_parseInt(d.expiresAtMs,10);else if(typeof d.expiresAtMs==="number")m.expiresAtMs=d.expiresAtMs;else if(typeof d.expiresAtMs==="object")m.expiresAtMs=new $util.LongBits(d.expiresAtMs.low>>>0,d.expiresAtMs.high>>>0).toNumber();}return m;};Key.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.id="";d.publicKey="";d.level=o.enums===String?"INVALID_LEVEL":0;d.algorithm=o.enums===String?"INVALID_ALGORITHM":0;if($util.Long){var n=new $util.Long(0,0,false);d.expiresAtMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.expiresAtMs=o.longs===String?"0":0;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.publicKey!=null&&m.hasOwnProperty("publicKey")){d.publicKey=m.publicKey;}if(m.level!=null&&m.hasOwnProperty("level")){d.level=o.enums===String?$root.io.token.proto.common.security.Key.Level[m.level]:m.level;}if(m.algorithm!=null&&m.hasOwnProperty("algorithm")){d.algorithm=o.enums===String?$root.io.token.proto.common.security.Key.Algorithm[m.algorithm]:m.algorithm;}if(m.expiresAtMs!=null&&m.hasOwnProperty("expiresAtMs")){if(typeof m.expiresAtMs==="number")d.expiresAtMs=o.longs===String?String(m.expiresAtMs):m.expiresAtMs;else d.expiresAtMs=o.longs===String?$util.Long.prototype.toString.call(m.expiresAtMs):o.longs===Number?new $util.LongBits(m.expiresAtMs.low>>>0,m.expiresAtMs.high>>>0).toNumber():m.expiresAtMs;}return d;};Key.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};Key.Algorithm=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_ALGORITHM"]=0;values[valuesById[1]="ED25519"]=1;values[valuesById[2]="ECDSA_SHA256"]=2;values[valuesById[3]="RS256"]=3;return values;}();Key.Level=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_LEVEL"]=0;values[valuesById[1]="PRIVILEGED"]=1;values[valuesById[2]="STANDARD"]=2;values[valuesById[3]="LOW"]=3;return values;}();return Key;}();security.PrivateKey=function(){function PrivateKey(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}PrivateKey.prototype.id="";PrivateKey.prototype.privateKey="";PrivateKey.prototype.level=0;PrivateKey.prototype.algorithm=0;PrivateKey.create=function create(properties){return new PrivateKey(properties);};PrivateKey.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.security.PrivateKey)return d;var m=new $root.io.token.proto.common.security.PrivateKey();if(d.id!=null){m.id=String(d.id);}if(d.privateKey!=null){m.privateKey=String(d.privateKey);}switch(d.level){case"INVALID_LEVEL":case 0:m.level=0;break;case"PRIVILEGED":case 1:m.level=1;break;case"STANDARD":case 2:m.level=2;break;case"LOW":case 3:m.level=3;break;}switch(d.algorithm){case"INVALID_ALGORITHM":case 0:m.algorithm=0;break;case"ED25519":case 1:m.algorithm=1;break;case"ECDSA_SHA256":case 2:m.algorithm=2;break;case"RS256":case 3:m.algorithm=3;break;}return m;};PrivateKey.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.id="";d.privateKey="";d.level=o.enums===String?"INVALID_LEVEL":0;d.algorithm=o.enums===String?"INVALID_ALGORITHM":0;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.privateKey!=null&&m.hasOwnProperty("privateKey")){d.privateKey=m.privateKey;}if(m.level!=null&&m.hasOwnProperty("level")){d.level=o.enums===String?$root.io.token.proto.common.security.Key.Level[m.level]:m.level;}if(m.algorithm!=null&&m.hasOwnProperty("algorithm")){d.algorithm=o.enums===String?$root.io.token.proto.common.security.Key.Algorithm[m.algorithm]:m.algorithm;}return d;};PrivateKey.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return PrivateKey;}();security.Signature=function(){function Signature(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Signature.prototype.memberId="";Signature.prototype.keyId="";Signature.prototype.signature="";Signature.create=function create(properties){return new Signature(properties);};Signature.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.security.Signature)return d;var m=new $root.io.token.proto.common.security.Signature();if(d.memberId!=null){m.memberId=String(d.memberId);}if(d.keyId!=null){m.keyId=String(d.keyId);}if(d.signature!=null){m.signature=String(d.signature);}return m;};Signature.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.memberId="";d.keyId="";d.signature="";}if(m.memberId!=null&&m.hasOwnProperty("memberId")){d.memberId=m.memberId;}if(m.keyId!=null&&m.hasOwnProperty("keyId")){d.keyId=m.keyId;}if(m.signature!=null&&m.hasOwnProperty("signature")){d.signature=m.signature;}return d;};Signature.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Signature;}();security.SealedMessage=function(){function SealedMessage(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}SealedMessage.prototype.ciphertext="";SealedMessage.prototype.noop=null;SealedMessage.prototype.rsa=null;SealedMessage.prototype.rsaAes=null;let $oneOfFields;Object.defineProperty(SealedMessage.prototype,"method",{get:$util.oneOfGetter($oneOfFields=["noop","rsa","rsaAes"]),set:$util.oneOfSetter($oneOfFields)});SealedMessage.create=function create(properties){return new SealedMessage(properties);};SealedMessage.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.security.SealedMessage)return d;var m=new $root.io.token.proto.common.security.SealedMessage();if(d.ciphertext!=null){m.ciphertext=String(d.ciphertext);}if(d.noop!=null){if(typeof d.noop!=="object")throw TypeError(".io.token.proto.common.security.SealedMessage.noop: object expected");m.noop=$root.io.token.proto.common.security.SealedMessage.NoopMethod.fromObject(d.noop);}if(d.rsa!=null){if(typeof d.rsa!=="object")throw TypeError(".io.token.proto.common.security.SealedMessage.rsa: object expected");m.rsa=$root.io.token.proto.common.security.SealedMessage.RsaMethod.fromObject(d.rsa);}if(d.rsaAes!=null){if(typeof d.rsaAes!=="object")throw TypeError(".io.token.proto.common.security.SealedMessage.rsaAes: object expected");m.rsaAes=$root.io.token.proto.common.security.SealedMessage.RsaAesMethod.fromObject(d.rsaAes);}return m;};SealedMessage.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.ciphertext="";}if(m.ciphertext!=null&&m.hasOwnProperty("ciphertext")){d.ciphertext=m.ciphertext;}if(m.noop!=null&&m.hasOwnProperty("noop")){d.noop=$root.io.token.proto.common.security.SealedMessage.NoopMethod.toObject(m.noop,o);if(o.oneofs)d.method="noop";}if(m.rsa!=null&&m.hasOwnProperty("rsa")){d.rsa=$root.io.token.proto.common.security.SealedMessage.RsaMethod.toObject(m.rsa,o);if(o.oneofs)d.method="rsa";}if(m.rsaAes!=null&&m.hasOwnProperty("rsaAes")){d.rsaAes=$root.io.token.proto.common.security.SealedMessage.RsaAesMethod.toObject(m.rsaAes,o);if(o.oneofs)d.method="rsaAes";}return d;};SealedMessage.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};SealedMessage.NoopMethod=function(){function NoopMethod(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}NoopMethod.create=function create(properties){return new NoopMethod(properties);};NoopMethod.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.security.SealedMessage.NoopMethod)return d;return new $root.io.token.proto.common.security.SealedMessage.NoopMethod();};NoopMethod.toObject=function toObject(){return {};};NoopMethod.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return NoopMethod;}();SealedMessage.RsaMethod=function(){function RsaMethod(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}RsaMethod.prototype.keyId="";RsaMethod.prototype.algorithm="";RsaMethod.prototype.signature="";RsaMethod.prototype.signatureKeyId="";RsaMethod.create=function create(properties){return new RsaMethod(properties);};RsaMethod.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.security.SealedMessage.RsaMethod)return d;var m=new $root.io.token.proto.common.security.SealedMessage.RsaMethod();if(d.keyId!=null){m.keyId=String(d.keyId);}if(d.algorithm!=null){m.algorithm=String(d.algorithm);}if(d.signature!=null){m.signature=String(d.signature);}if(d.signatureKeyId!=null){m.signatureKeyId=String(d.signatureKeyId);}return m;};RsaMethod.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.keyId="";d.algorithm="";d.signature="";d.signatureKeyId="";}if(m.keyId!=null&&m.hasOwnProperty("keyId")){d.keyId=m.keyId;}if(m.algorithm!=null&&m.hasOwnProperty("algorithm")){d.algorithm=m.algorithm;}if(m.signature!=null&&m.hasOwnProperty("signature")){d.signature=m.signature;}if(m.signatureKeyId!=null&&m.hasOwnProperty("signatureKeyId")){d.signatureKeyId=m.signatureKeyId;}return d;};RsaMethod.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return RsaMethod;}();SealedMessage.RsaAesMethod=function(){function RsaAesMethod(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}RsaAesMethod.prototype.rsaKeyId="";RsaAesMethod.prototype.rsaAlgorithm="";RsaAesMethod.prototype.aesAlgorithm="";RsaAesMethod.prototype.encryptedAesKey="";RsaAesMethod.prototype.signature="";RsaAesMethod.prototype.signatureKeyId="";RsaAesMethod.create=function create(properties){return new RsaAesMethod(properties);};RsaAesMethod.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.security.SealedMessage.RsaAesMethod)return d;var m=new $root.io.token.proto.common.security.SealedMessage.RsaAesMethod();if(d.rsaKeyId!=null){m.rsaKeyId=String(d.rsaKeyId);}if(d.rsaAlgorithm!=null){m.rsaAlgorithm=String(d.rsaAlgorithm);}if(d.aesAlgorithm!=null){m.aesAlgorithm=String(d.aesAlgorithm);}if(d.encryptedAesKey!=null){m.encryptedAesKey=String(d.encryptedAesKey);}if(d.signature!=null){m.signature=String(d.signature);}if(d.signatureKeyId!=null){m.signatureKeyId=String(d.signatureKeyId);}return m;};RsaAesMethod.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.rsaKeyId="";d.rsaAlgorithm="";d.aesAlgorithm="";d.encryptedAesKey="";d.signature="";d.signatureKeyId="";}if(m.rsaKeyId!=null&&m.hasOwnProperty("rsaKeyId")){d.rsaKeyId=m.rsaKeyId;}if(m.rsaAlgorithm!=null&&m.hasOwnProperty("rsaAlgorithm")){d.rsaAlgorithm=m.rsaAlgorithm;}if(m.aesAlgorithm!=null&&m.hasOwnProperty("aesAlgorithm")){d.aesAlgorithm=m.aesAlgorithm;}if(m.encryptedAesKey!=null&&m.hasOwnProperty("encryptedAesKey")){d.encryptedAesKey=m.encryptedAesKey;}if(m.signature!=null&&m.hasOwnProperty("signature")){d.signature=m.signature;}if(m.signatureKeyId!=null&&m.hasOwnProperty("signatureKeyId")){d.signatureKeyId=m.signatureKeyId;}return d;};RsaAesMethod.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return RsaAesMethod;}();return SealedMessage;}();security.SecurityMetadata=function(){function SecurityMetadata(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}SecurityMetadata.prototype.ipAddress="";SecurityMetadata.prototype.geoLocation="";SecurityMetadata.prototype.deviceFingerprint="";SecurityMetadata.create=function create(properties){return new SecurityMetadata(properties);};SecurityMetadata.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.security.SecurityMetadata)return d;var m=new $root.io.token.proto.common.security.SecurityMetadata();if(d.ipAddress!=null){m.ipAddress=String(d.ipAddress);}if(d.geoLocation!=null){m.geoLocation=String(d.geoLocation);}if(d.deviceFingerprint!=null){m.deviceFingerprint=String(d.deviceFingerprint);}return m;};SecurityMetadata.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.ipAddress="";d.geoLocation="";d.deviceFingerprint="";}if(m.ipAddress!=null&&m.hasOwnProperty("ipAddress")){d.ipAddress=m.ipAddress;}if(m.geoLocation!=null&&m.hasOwnProperty("geoLocation")){d.geoLocation=m.geoLocation;}if(m.deviceFingerprint!=null&&m.hasOwnProperty("deviceFingerprint")){d.deviceFingerprint=m.deviceFingerprint;}return d;};SecurityMetadata.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return SecurityMetadata;}();return security;}();common.providerspecific=function(){const providerspecific={};providerspecific.ProviderAccountDetails=function(){function ProviderAccountDetails(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}ProviderAccountDetails.prototype.cma9AccountDetails=null;let $oneOfFields;Object.defineProperty(ProviderAccountDetails.prototype,"details",{get:$util.oneOfGetter($oneOfFields=["cma9AccountDetails"]),set:$util.oneOfSetter($oneOfFields)});ProviderAccountDetails.create=function create(properties){return new ProviderAccountDetails(properties);};ProviderAccountDetails.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.providerspecific.ProviderAccountDetails)return d;var m=new $root.io.token.proto.common.providerspecific.ProviderAccountDetails();if(d.cma9AccountDetails!=null){if(typeof d.cma9AccountDetails!=="object")throw TypeError(".io.token.proto.common.providerspecific.ProviderAccountDetails.cma9AccountDetails: object expected");m.cma9AccountDetails=$root.io.token.proto.common.providerspecific.Cma9AccountDetails.fromObject(d.cma9AccountDetails);}return m;};ProviderAccountDetails.toObject=function toObject(m,o){if(!o)o={};var d={};if(m.cma9AccountDetails!=null&&m.hasOwnProperty("cma9AccountDetails")){d.cma9AccountDetails=$root.io.token.proto.common.providerspecific.Cma9AccountDetails.toObject(m.cma9AccountDetails,o);if(o.oneofs)d.details="cma9AccountDetails";}return d;};ProviderAccountDetails.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return ProviderAccountDetails;}();providerspecific.Cma9AccountDetails=function(){function Cma9AccountDetails(p){this.address=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Cma9AccountDetails.prototype.partyId="";Cma9AccountDetails.prototype.partyNumber="";Cma9AccountDetails.prototype.partyType=0;Cma9AccountDetails.prototype.name="";Cma9AccountDetails.prototype.emailAddress="";Cma9AccountDetails.prototype.phone="";Cma9AccountDetails.prototype.mobile="";Cma9AccountDetails.prototype.address=$util.emptyArray;Cma9AccountDetails.prototype.accountType=0;Cma9AccountDetails.prototype.accountSubtype=0;Cma9AccountDetails.prototype.description="";Cma9AccountDetails.create=function create(properties){return new Cma9AccountDetails(properties);};Cma9AccountDetails.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.providerspecific.Cma9AccountDetails)return d;var m=new $root.io.token.proto.common.providerspecific.Cma9AccountDetails();if(d.partyId!=null){m.partyId=String(d.partyId);}if(d.partyNumber!=null){m.partyNumber=String(d.partyNumber);}switch(d.partyType){case"INVALID_PARTY_TYPE":case 0:m.partyType=0;break;case"DELEGATE":case 1:m.partyType=1;break;case"JOINT":case 2:m.partyType=2;break;case"SOLE":case 3:m.partyType=3;break;}if(d.name!=null){m.name=String(d.name);}if(d.emailAddress!=null){m.emailAddress=String(d.emailAddress);}if(d.phone!=null){m.phone=String(d.phone);}if(d.mobile!=null){m.mobile=String(d.mobile);}if(d.address){if(!_Array$isArray(d.address))throw TypeError(".io.token.proto.common.providerspecific.Cma9AccountDetails.address: array expected");m.address=[];for(var i=0;i<d.address.length;++i){if(typeof d.address[i]!=="object")throw TypeError(".io.token.proto.common.providerspecific.Cma9AccountDetails.address: object expected");m.address[i]=$root.io.token.proto.common.providerspecific.Cma9AccountDetails.Cma9Address.fromObject(d.address[i]);}}switch(d.accountType){case"INVALID_ACCOUNT_TYPE":case 0:m.accountType=0;break;case"BUSINESS_ACCOUNT":case 1:m.accountType=1;break;case"PERSONAL_ACCOUNT":case 2:m.accountType=2;break;}switch(d.accountSubtype){case"INVALID_ACCOUNT_SUBTYPE":case 0:m.accountSubtype=0;break;case"CHARGE_CARD":case 1:m.accountSubtype=1;break;case"CREDIT_CARD":case 2:m.accountSubtype=2;break;case"CURRENT_ACCOUNT":case 3:m.accountSubtype=3;break;case"EMONEY":case 4:m.accountSubtype=4;break;case"LOAN":case 5:m.accountSubtype=5;break;case"MORTGAGE":case 6:m.accountSubtype=6;break;case"PREPAID_CARD":case 7:m.accountSubtype=7;break;case"SAVINGS":case 8:m.accountSubtype=8;break;}if(d.description!=null){m.description=String(d.description);}return m;};Cma9AccountDetails.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.address=[];}if(o.defaults){d.partyId="";d.partyNumber="";d.partyType=o.enums===String?"INVALID_PARTY_TYPE":0;d.name="";d.emailAddress="";d.phone="";d.mobile="";d.accountType=o.enums===String?"INVALID_ACCOUNT_TYPE":0;d.accountSubtype=o.enums===String?"INVALID_ACCOUNT_SUBTYPE":0;d.description="";}if(m.partyId!=null&&m.hasOwnProperty("partyId")){d.partyId=m.partyId;}if(m.partyNumber!=null&&m.hasOwnProperty("partyNumber")){d.partyNumber=m.partyNumber;}if(m.partyType!=null&&m.hasOwnProperty("partyType")){d.partyType=o.enums===String?$root.io.token.proto.common.providerspecific.Cma9AccountDetails.PartyType[m.partyType]:m.partyType;}if(m.name!=null&&m.hasOwnProperty("name")){d.name=m.name;}if(m.emailAddress!=null&&m.hasOwnProperty("emailAddress")){d.emailAddress=m.emailAddress;}if(m.phone!=null&&m.hasOwnProperty("phone")){d.phone=m.phone;}if(m.mobile!=null&&m.hasOwnProperty("mobile")){d.mobile=m.mobile;}if(m.address&&m.address.length){d.address=[];for(var j=0;j<m.address.length;++j){d.address[j]=$root.io.token.proto.common.providerspecific.Cma9AccountDetails.Cma9Address.toObject(m.address[j],o);}}if(m.accountType!=null&&m.hasOwnProperty("accountType")){d.accountType=o.enums===String?$root.io.token.proto.common.providerspecific.Cma9AccountDetails.AccountType[m.accountType]:m.accountType;}if(m.accountSubtype!=null&&m.hasOwnProperty("accountSubtype")){d.accountSubtype=o.enums===String?$root.io.token.proto.common.providerspecific.Cma9AccountDetails.AccountSubtype[m.accountSubtype]:m.accountSubtype;}if(m.description!=null&&m.hasOwnProperty("description")){d.description=m.description;}return d;};Cma9AccountDetails.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};Cma9AccountDetails.Cma9Address=function(){function Cma9Address(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Cma9Address.prototype.addressType=0;Cma9Address.prototype.address=null;Cma9Address.create=function create(properties){return new Cma9Address(properties);};Cma9Address.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.providerspecific.Cma9AccountDetails.Cma9Address)return d;var m=new $root.io.token.proto.common.providerspecific.Cma9AccountDetails.Cma9Address();switch(d.addressType){case"INVALID_ADDRESS_TYPE":case 0:m.addressType=0;break;case"BUSINESS":case 1:m.addressType=1;break;case"CORRESPONDENCE":case 2:m.addressType=2;break;case"DELIVERYTO":case 3:m.addressType=3;break;case"MAILTO":case 4:m.addressType=4;break;case"POBOX":case 5:m.addressType=5;break;case"POSTAL":case 6:m.addressType=6;break;case"RESIDENTIAL":case 7:m.addressType=7;break;case"STATEMENT":case 8:m.addressType=8;break;}if(d.address!=null){if(typeof d.address!=="object")throw TypeError(".io.token.proto.common.providerspecific.Cma9AccountDetails.Cma9Address.address: object expected");m.address=$root.io.token.proto.common.address.Address.fromObject(d.address);}return m;};Cma9Address.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.addressType=o.enums===String?"INVALID_ADDRESS_TYPE":0;d.address=null;}if(m.addressType!=null&&m.hasOwnProperty("addressType")){d.addressType=o.enums===String?$root.io.token.proto.common.providerspecific.Cma9AccountDetails.AddressType[m.addressType]:m.addressType;}if(m.address!=null&&m.hasOwnProperty("address")){d.address=$root.io.token.proto.common.address.Address.toObject(m.address,o);}return d;};Cma9Address.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Cma9Address;}();Cma9AccountDetails.PartyType=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_PARTY_TYPE"]=0;values[valuesById[1]="DELEGATE"]=1;values[valuesById[2]="JOINT"]=2;values[valuesById[3]="SOLE"]=3;return values;}();Cma9AccountDetails.AddressType=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_ADDRESS_TYPE"]=0;values[valuesById[1]="BUSINESS"]=1;values[valuesById[2]="CORRESPONDENCE"]=2;values[valuesById[3]="DELIVERYTO"]=3;values[valuesById[4]="MAILTO"]=4;values[valuesById[5]="POBOX"]=5;values[valuesById[6]="POSTAL"]=6;values[valuesById[7]="RESIDENTIAL"]=7;values[valuesById[8]="STATEMENT"]=8;return values;}();Cma9AccountDetails.AccountType=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_ACCOUNT_TYPE"]=0;values[valuesById[1]="BUSINESS_ACCOUNT"]=1;values[valuesById[2]="PERSONAL_ACCOUNT"]=2;return values;}();Cma9AccountDetails.AccountSubtype=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_ACCOUNT_SUBTYPE"]=0;values[valuesById[1]="CHARGE_CARD"]=1;values[valuesById[2]="CREDIT_CARD"]=2;values[valuesById[3]="CURRENT_ACCOUNT"]=3;values[valuesById[4]="EMONEY"]=4;values[valuesById[5]="LOAN"]=5;values[valuesById[6]="MORTGAGE"]=6;values[valuesById[7]="PREPAID_CARD"]=7;values[valuesById[8]="SAVINGS"]=8;return values;}();return Cma9AccountDetails;}();return providerspecific;}();common.address=function(){const address={};address.Address=function(){function Address(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Address.prototype.houseNumber="";Address.prototype.houseName="";Address.prototype.flats="";Address.prototype.conscriptionNumber="";Address.prototype.street="";Address.prototype.place="";Address.prototype.postCode="";Address.prototype.city="";Address.prototype.country="";Address.prototype.full="";Address.prototype.hamlet="";Address.prototype.suburb="";Address.prototype.subdistrict="";Address.prototype.district="";Address.prototype.province="";Address.prototype.state="";Address.create=function create(properties){return new Address(properties);};Address.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.address.Address)return d;var m=new $root.io.token.proto.common.address.Address();if(d.houseNumber!=null){m.houseNumber=String(d.houseNumber);}if(d.houseName!=null){m.houseName=String(d.houseName);}if(d.flats!=null){m.flats=String(d.flats);}if(d.conscriptionNumber!=null){m.conscriptionNumber=String(d.conscriptionNumber);}if(d.street!=null){m.street=String(d.street);}if(d.place!=null){m.place=String(d.place);}if(d.postCode!=null){m.postCode=String(d.postCode);}if(d.city!=null){m.city=String(d.city);}if(d.country!=null){m.country=String(d.country);}if(d.full!=null){m.full=String(d.full);}if(d.hamlet!=null){m.hamlet=String(d.hamlet);}if(d.suburb!=null){m.suburb=String(d.suburb);}if(d.subdistrict!=null){m.subdistrict=String(d.subdistrict);}if(d.district!=null){m.district=String(d.district);}if(d.province!=null){m.province=String(d.province);}if(d.state!=null){m.state=String(d.state);}return m;};Address.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.houseNumber="";d.houseName="";d.flats="";d.conscriptionNumber="";d.street="";d.place="";d.postCode="";d.city="";d.country="";d.full="";d.hamlet="";d.suburb="";d.subdistrict="";d.district="";d.province="";d.state="";}if(m.houseNumber!=null&&m.hasOwnProperty("houseNumber")){d.houseNumber=m.houseNumber;}if(m.houseName!=null&&m.hasOwnProperty("houseName")){d.houseName=m.houseName;}if(m.flats!=null&&m.hasOwnProperty("flats")){d.flats=m.flats;}if(m.conscriptionNumber!=null&&m.hasOwnProperty("conscriptionNumber")){d.conscriptionNumber=m.conscriptionNumber;}if(m.street!=null&&m.hasOwnProperty("street")){d.street=m.street;}if(m.place!=null&&m.hasOwnProperty("place")){d.place=m.place;}if(m.postCode!=null&&m.hasOwnProperty("postCode")){d.postCode=m.postCode;}if(m.city!=null&&m.hasOwnProperty("city")){d.city=m.city;}if(m.country!=null&&m.hasOwnProperty("country")){d.country=m.country;}if(m.full!=null&&m.hasOwnProperty("full")){d.full=m.full;}if(m.hamlet!=null&&m.hasOwnProperty("hamlet")){d.hamlet=m.hamlet;}if(m.suburb!=null&&m.hasOwnProperty("suburb")){d.suburb=m.suburb;}if(m.subdistrict!=null&&m.hasOwnProperty("subdistrict")){d.subdistrict=m.subdistrict;}if(m.district!=null&&m.hasOwnProperty("district")){d.district=m.district;}if(m.province!=null&&m.hasOwnProperty("province")){d.province=m.province;}if(m.state!=null&&m.hasOwnProperty("state")){d.state=m.state;}return d;};Address.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Address;}();return address;}();common.alias=function(){const alias={};alias.Alias=function(){function Alias(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Alias.prototype.type=0;Alias.prototype.value="";Alias.prototype.realm="";Alias.create=function create(properties){return new Alias(properties);};Alias.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.alias.Alias)return d;var m=new $root.io.token.proto.common.alias.Alias();switch(d.type){case"INVALID":case 0:m.type=0;break;case"UNKNOWN":case 1:m.type=1;break;case"EMAIL":case 2:m.type=2;break;case"PHONE":case 3:m.type=3;break;case"DOMAIN":case 4:m.type=4;break;case"USERNAME":case 5:m.type=5;break;case"BANK":case 6:m.type=6;break;}if(d.value!=null){m.value=String(d.value);}if(d.realm!=null){m.realm=String(d.realm);}return m;};Alias.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.type=o.enums===String?"INVALID":0;d.value="";d.realm="";}if(m.type!=null&&m.hasOwnProperty("type")){d.type=o.enums===String?$root.io.token.proto.common.alias.Alias.Type[m.type]:m.type;}if(m.value!=null&&m.hasOwnProperty("value")){d.value=m.value;}if(m.realm!=null&&m.hasOwnProperty("realm")){d.realm=m.realm;}return d;};Alias.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};Alias.Type=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="UNKNOWN"]=1;values[valuesById[2]="EMAIL"]=2;values[valuesById[3]="PHONE"]=3;values[valuesById[4]="DOMAIN"]=4;values[valuesById[5]="USERNAME"]=5;values[valuesById[6]="BANK"]=6;return values;}();return Alias;}();alias.VerificationStatus=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="UNKNOWN"]=1;values[valuesById[2]="SUCCESS"]=2;values[valuesById[3]="INCORRECT_CODE"]=3;values[valuesById[4]="EXPIRED_CODE"]=4;values[valuesById[5]="TOO_MANY_CODE_ATTEMPTS"]=5;return values;}();alias.VerifyAliasPayload=function(){function VerifyAliasPayload(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}VerifyAliasPayload.prototype.memberId="";VerifyAliasPayload.prototype.alias=null;VerifyAliasPayload.create=function create(properties){return new VerifyAliasPayload(properties);};VerifyAliasPayload.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.alias.VerifyAliasPayload)return d;var m=new $root.io.token.proto.common.alias.VerifyAliasPayload();if(d.memberId!=null){m.memberId=String(d.memberId);}if(d.alias!=null){if(typeof d.alias!=="object")throw TypeError(".io.token.proto.common.alias.VerifyAliasPayload.alias: object expected");m.alias=$root.io.token.proto.common.alias.Alias.fromObject(d.alias);}return m;};VerifyAliasPayload.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.memberId="";d.alias=null;}if(m.memberId!=null&&m.hasOwnProperty("memberId")){d.memberId=m.memberId;}if(m.alias!=null&&m.hasOwnProperty("alias")){d.alias=$root.io.token.proto.common.alias.Alias.toObject(m.alias,o);}return d;};VerifyAliasPayload.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return VerifyAliasPayload;}();return alias;}();common.bank=function(){const bank={};bank.Bank=function(){function Bank(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Bank.prototype.id="";Bank.prototype.name="";Bank.prototype.logoUri="";Bank.prototype.fullLogoUri="";Bank.prototype.supportsAppless=false;Bank.prototype.supportsInformation=false;Bank.prototype.requiresExternalAuth=false;Bank.prototype.supportsSendPayment=false;Bank.prototype.supportsReceivePayment=false;Bank.prototype.requiresLegacyTransfer=false;Bank.prototype.provider="";Bank.prototype.country="";Bank.prototype.identifier="";Bank.create=function create(properties){return new Bank(properties);};Bank.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.bank.Bank)return d;var m=new $root.io.token.proto.common.bank.Bank();if(d.id!=null){m.id=String(d.id);}if(d.name!=null){m.name=String(d.name);}if(d.logoUri!=null){m.logoUri=String(d.logoUri);}if(d.fullLogoUri!=null){m.fullLogoUri=String(d.fullLogoUri);}if(d.supportsAppless!=null){m.supportsAppless=Boolean(d.supportsAppless);}if(d.supportsInformation!=null){m.supportsInformation=Boolean(d.supportsInformation);}if(d.requiresExternalAuth!=null){m.requiresExternalAuth=Boolean(d.requiresExternalAuth);}if(d.supportsSendPayment!=null){m.supportsSendPayment=Boolean(d.supportsSendPayment);}if(d.supportsReceivePayment!=null){m.supportsReceivePayment=Boolean(d.supportsReceivePayment);}if(d.requiresLegacyTransfer!=null){m.requiresLegacyTransfer=Boolean(d.requiresLegacyTransfer);}if(d.provider!=null){m.provider=String(d.provider);}if(d.country!=null){m.country=String(d.country);}if(d.identifier!=null){m.identifier=String(d.identifier);}return m;};Bank.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.id="";d.name="";d.logoUri="";d.fullLogoUri="";d.supportsAppless=false;d.supportsInformation=false;d.requiresExternalAuth=false;d.supportsSendPayment=false;d.supportsReceivePayment=false;d.provider="";d.country="";d.identifier="";d.requiresLegacyTransfer=false;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.name!=null&&m.hasOwnProperty("name")){d.name=m.name;}if(m.logoUri!=null&&m.hasOwnProperty("logoUri")){d.logoUri=m.logoUri;}if(m.fullLogoUri!=null&&m.hasOwnProperty("fullLogoUri")){d.fullLogoUri=m.fullLogoUri;}if(m.supportsAppless!=null&&m.hasOwnProperty("supportsAppless")){d.supportsAppless=m.supportsAppless;}if(m.supportsInformation!=null&&m.hasOwnProperty("supportsInformation")){d.supportsInformation=m.supportsInformation;}if(m.requiresExternalAuth!=null&&m.hasOwnProperty("requiresExternalAuth")){d.requiresExternalAuth=m.requiresExternalAuth;}if(m.supportsSendPayment!=null&&m.hasOwnProperty("supportsSendPayment")){d.supportsSendPayment=m.supportsSendPayment;}if(m.supportsReceivePayment!=null&&m.hasOwnProperty("supportsReceivePayment")){d.supportsReceivePayment=m.supportsReceivePayment;}if(m.provider!=null&&m.hasOwnProperty("provider")){d.provider=m.provider;}if(m.country!=null&&m.hasOwnProperty("country")){d.country=m.country;}if(m.identifier!=null&&m.hasOwnProperty("identifier")){d.identifier=m.identifier;}if(m.requiresLegacyTransfer!=null&&m.hasOwnProperty("requiresLegacyTransfer")){d.requiresLegacyTransfer=m.requiresLegacyTransfer;}return d;};Bank.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Bank;}();bank.BankInfo=function(){function BankInfo(p){this.realm=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}BankInfo.prototype.linkingUri="";BankInfo.prototype.redirectUriRegex="";BankInfo.prototype.bankLinkingUri="";BankInfo.prototype.realm=$util.emptyArray;BankInfo.create=function create(properties){return new BankInfo(properties);};BankInfo.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.bank.BankInfo)return d;var m=new $root.io.token.proto.common.bank.BankInfo();if(d.linkingUri!=null){m.linkingUri=String(d.linkingUri);}if(d.redirectUriRegex!=null){m.redirectUriRegex=String(d.redirectUriRegex);}if(d.bankLinkingUri!=null){m.bankLinkingUri=String(d.bankLinkingUri);}if(d.realm){if(!_Array$isArray(d.realm))throw TypeError(".io.token.proto.common.bank.BankInfo.realm: array expected");m.realm=[];for(var i=0;i<d.realm.length;++i){m.realm[i]=String(d.realm[i]);}}return m;};BankInfo.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.realm=[];}if(o.defaults){d.linkingUri="";d.redirectUriRegex="";d.bankLinkingUri="";}if(m.linkingUri!=null&&m.hasOwnProperty("linkingUri")){d.linkingUri=m.linkingUri;}if(m.redirectUriRegex!=null&&m.hasOwnProperty("redirectUriRegex")){d.redirectUriRegex=m.redirectUriRegex;}if(m.bankLinkingUri!=null&&m.hasOwnProperty("bankLinkingUri")){d.bankLinkingUri=m.bankLinkingUri;}if(m.realm&&m.realm.length){d.realm=[];for(var j=0;j<m.realm.length;++j){d.realm[j]=m.realm[j];}}return d;};BankInfo.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return BankInfo;}();bank.Paging=function(){function Paging(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Paging.prototype.page=0;Paging.prototype.perPage=0;Paging.prototype.pageCount=0;Paging.prototype.totalCount=0;Paging.create=function create(properties){return new Paging(properties);};Paging.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.bank.Paging)return d;var m=new $root.io.token.proto.common.bank.Paging();if(d.page!=null){m.page=d.page|0;}if(d.perPage!=null){m.perPage=d.perPage|0;}if(d.pageCount!=null){m.pageCount=d.pageCount|0;}if(d.totalCount!=null){m.totalCount=d.totalCount|0;}return m;};Paging.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.page=0;d.perPage=0;d.pageCount=0;d.totalCount=0;}if(m.page!=null&&m.hasOwnProperty("page")){d.page=m.page;}if(m.perPage!=null&&m.hasOwnProperty("perPage")){d.perPage=m.perPage;}if(m.pageCount!=null&&m.hasOwnProperty("pageCount")){d.pageCount=m.pageCount;}if(m.totalCount!=null&&m.hasOwnProperty("totalCount")){d.totalCount=m.totalCount;}return d;};Paging.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Paging;}();bank.BankFilter=function(){function BankFilter(p){this.ids=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}BankFilter.prototype.provider="";BankFilter.prototype.tppId="";BankFilter.prototype.destinationCountry="";BankFilter.prototype.country="";BankFilter.prototype.ids=$util.emptyArray;BankFilter.prototype.search="";BankFilter.create=function create(properties){return new BankFilter(properties);};BankFilter.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.bank.BankFilter)return d;var m=new $root.io.token.proto.common.bank.BankFilter();if(d.provider!=null){m.provider=String(d.provider);}if(d.tppId!=null){m.tppId=String(d.tppId);}if(d.destinationCountry!=null){m.destinationCountry=String(d.destinationCountry);}if(d.country!=null){m.country=String(d.country);}if(d.ids){if(!_Array$isArray(d.ids))throw TypeError(".io.token.proto.common.bank.BankFilter.ids: array expected");m.ids=[];for(var i=0;i<d.ids.length;++i){m.ids[i]=String(d.ids[i]);}}if(d.search!=null){m.search=String(d.search);}return m;};BankFilter.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.ids=[];}if(o.defaults){d.provider="";d.tppId="";d.destinationCountry="";d.country="";d.search="";}if(m.provider!=null&&m.hasOwnProperty("provider")){d.provider=m.provider;}if(m.tppId!=null&&m.hasOwnProperty("tppId")){d.tppId=m.tppId;}if(m.destinationCountry!=null&&m.hasOwnProperty("destinationCountry")){d.destinationCountry=m.destinationCountry;}if(m.country!=null&&m.hasOwnProperty("country")){d.country=m.country;}if(m.ids&&m.ids.length){d.ids=[];for(var j=0;j<m.ids.length;++j){d.ids[j]=m.ids[j];}}if(m.search!=null&&m.hasOwnProperty("search")){d.search=m.search;}return d;};BankFilter.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return BankFilter;}();return bank;}();common.bankstatus=function(){const bankstatus={};bankstatus.BankStatus=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="AVAILABLE"]=1;values[valuesById[2]="UNAVAILABLE"]=2;values[valuesById[3]="UNKNOWN"]=3;return values;}();return bankstatus;}();common.blob=function(){const blob={};blob.Blob=function(){function Blob(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Blob.prototype.id="";Blob.prototype.payload=null;Blob.create=function create(properties){return new Blob(properties);};Blob.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.blob.Blob)return d;var m=new $root.io.token.proto.common.blob.Blob();if(d.id!=null){m.id=String(d.id);}if(d.payload!=null){if(typeof d.payload!=="object")throw TypeError(".io.token.proto.common.blob.Blob.payload: object expected");m.payload=$root.io.token.proto.common.blob.Blob.Payload.fromObject(d.payload);}return m;};Blob.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.id="";d.payload=null;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.payload!=null&&m.hasOwnProperty("payload")){d.payload=$root.io.token.proto.common.blob.Blob.Payload.toObject(m.payload,o);}return d;};Blob.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};Blob.AccessMode=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="DEFAULT"]=0;values[valuesById[1]="PUBLIC"]=1;return values;}();Blob.Payload=function(){function Payload(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Payload.prototype.ownerId="";Payload.prototype.type="";Payload.prototype.name="";Payload.prototype.data=$util.newBuffer([]);Payload.prototype.accessMode=0;Payload.create=function create(properties){return new Payload(properties);};Payload.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.blob.Blob.Payload)return d;var m=new $root.io.token.proto.common.blob.Blob.Payload();if(d.ownerId!=null){m.ownerId=String(d.ownerId);}if(d.type!=null){m.type=String(d.type);}if(d.name!=null){m.name=String(d.name);}if(d.data!=null){if(typeof d.data==="string")$util.base64.decode(d.data,m.data=$util.newBuffer($util.base64.length(d.data)),0);else if(d.data.length)m.data=d.data;}switch(d.accessMode){case"DEFAULT":case 0:m.accessMode=0;break;case"PUBLIC":case 1:m.accessMode=1;break;}return m;};Payload.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.ownerId="";d.type="";d.name="";if(o.bytes===String)d.data="";else{d.data=[];if(o.bytes!==Array)d.data=$util.newBuffer(d.data);}d.accessMode=o.enums===String?"DEFAULT":0;}if(m.ownerId!=null&&m.hasOwnProperty("ownerId")){d.ownerId=m.ownerId;}if(m.type!=null&&m.hasOwnProperty("type")){d.type=m.type;}if(m.name!=null&&m.hasOwnProperty("name")){d.name=m.name;}if(m.data!=null&&m.hasOwnProperty("data")){d.data=o.bytes===String?$util.base64.encode(m.data,0,m.data.length):o.bytes===Array?Array.prototype.slice.call(m.data):m.data;}if(m.accessMode!=null&&m.hasOwnProperty("accessMode")){d.accessMode=o.enums===String?$root.io.token.proto.common.blob.Blob.AccessMode[m.accessMode]:m.accessMode;}return d;};Payload.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Payload;}();return Blob;}();blob.Attachment=function(){function Attachment(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Attachment.prototype.blobId="";Attachment.prototype.type="";Attachment.prototype.name="";Attachment.create=function create(properties){return new Attachment(properties);};Attachment.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.blob.Attachment)return d;var m=new $root.io.token.proto.common.blob.Attachment();if(d.blobId!=null){m.blobId=String(d.blobId);}if(d.type!=null){m.type=String(d.type);}if(d.name!=null){m.name=String(d.name);}return m;};Attachment.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.blobId="";d.type="";d.name="";}if(m.blobId!=null&&m.hasOwnProperty("blobId")){d.blobId=m.blobId;}if(m.type!=null&&m.hasOwnProperty("type")){d.type=m.type;}if(m.name!=null&&m.hasOwnProperty("name")){d.name=m.name;}return d;};Attachment.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Attachment;}();return blob;}();common.member=function(){const member={};member.MemberAddKeyOperation=function(){function MemberAddKeyOperation(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}MemberAddKeyOperation.prototype.key=null;MemberAddKeyOperation.create=function create(properties){return new MemberAddKeyOperation(properties);};MemberAddKeyOperation.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberAddKeyOperation)return d;var m=new $root.io.token.proto.common.member.MemberAddKeyOperation();if(d.key!=null){if(typeof d.key!=="object")throw TypeError(".io.token.proto.common.member.MemberAddKeyOperation.key: object expected");m.key=$root.io.token.proto.common.security.Key.fromObject(d.key);}return m;};MemberAddKeyOperation.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.key=null;}if(m.key!=null&&m.hasOwnProperty("key")){d.key=$root.io.token.proto.common.security.Key.toObject(m.key,o);}return d;};MemberAddKeyOperation.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return MemberAddKeyOperation;}();member.MemberRemoveKeyOperation=function(){function MemberRemoveKeyOperation(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}MemberRemoveKeyOperation.prototype.keyId="";MemberRemoveKeyOperation.create=function create(properties){return new MemberRemoveKeyOperation(properties);};MemberRemoveKeyOperation.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberRemoveKeyOperation)return d;var m=new $root.io.token.proto.common.member.MemberRemoveKeyOperation();if(d.keyId!=null){m.keyId=String(d.keyId);}return m;};MemberRemoveKeyOperation.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.keyId="";}if(m.keyId!=null&&m.hasOwnProperty("keyId")){d.keyId=m.keyId;}return d;};MemberRemoveKeyOperation.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return MemberRemoveKeyOperation;}();member.MemberAliasOperation=function(){function MemberAliasOperation(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}MemberAliasOperation.prototype.aliasHash="";MemberAliasOperation.prototype.realm="";MemberAliasOperation.create=function create(properties){return new MemberAliasOperation(properties);};MemberAliasOperation.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberAliasOperation)return d;var m=new $root.io.token.proto.common.member.MemberAliasOperation();if(d.aliasHash!=null){m.aliasHash=String(d.aliasHash);}if(d.realm!=null){m.realm=String(d.realm);}return m;};MemberAliasOperation.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.aliasHash="";d.realm="";}if(m.aliasHash!=null&&m.hasOwnProperty("aliasHash")){d.aliasHash=m.aliasHash;}if(m.realm!=null&&m.hasOwnProperty("realm")){d.realm=m.realm;}return d;};MemberAliasOperation.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return MemberAliasOperation;}();member.MemberRecoveryRulesOperation=function(){function MemberRecoveryRulesOperation(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}MemberRecoveryRulesOperation.prototype.recoveryRule=null;MemberRecoveryRulesOperation.create=function create(properties){return new MemberRecoveryRulesOperation(properties);};MemberRecoveryRulesOperation.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberRecoveryRulesOperation)return d;var m=new $root.io.token.proto.common.member.MemberRecoveryRulesOperation();if(d.recoveryRule!=null){if(typeof d.recoveryRule!=="object")throw TypeError(".io.token.proto.common.member.MemberRecoveryRulesOperation.recoveryRule: object expected");m.recoveryRule=$root.io.token.proto.common.member.RecoveryRule.fromObject(d.recoveryRule);}return m;};MemberRecoveryRulesOperation.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.recoveryRule=null;}if(m.recoveryRule!=null&&m.hasOwnProperty("recoveryRule")){d.recoveryRule=$root.io.token.proto.common.member.RecoveryRule.toObject(m.recoveryRule,o);}return d;};MemberRecoveryRulesOperation.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return MemberRecoveryRulesOperation;}();member.MemberRecoveryOperation=function(){function MemberRecoveryOperation(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}MemberRecoveryOperation.prototype.authorization=null;MemberRecoveryOperation.prototype.agentSignature=null;MemberRecoveryOperation.create=function create(properties){return new MemberRecoveryOperation(properties);};MemberRecoveryOperation.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberRecoveryOperation)return d;var m=new $root.io.token.proto.common.member.MemberRecoveryOperation();if(d.authorization!=null){if(typeof d.authorization!=="object")throw TypeError(".io.token.proto.common.member.MemberRecoveryOperation.authorization: object expected");m.authorization=$root.io.token.proto.common.member.MemberRecoveryOperation.Authorization.fromObject(d.authorization);}if(d.agentSignature!=null){if(typeof d.agentSignature!=="object")throw TypeError(".io.token.proto.common.member.MemberRecoveryOperation.agentSignature: object expected");m.agentSignature=$root.io.token.proto.common.security.Signature.fromObject(d.agentSignature);}return m;};MemberRecoveryOperation.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.authorization=null;d.agentSignature=null;}if(m.authorization!=null&&m.hasOwnProperty("authorization")){d.authorization=$root.io.token.proto.common.member.MemberRecoveryOperation.Authorization.toObject(m.authorization,o);}if(m.agentSignature!=null&&m.hasOwnProperty("agentSignature")){d.agentSignature=$root.io.token.proto.common.security.Signature.toObject(m.agentSignature,o);}return d;};MemberRecoveryOperation.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};MemberRecoveryOperation.Authorization=function(){function Authorization(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Authorization.prototype.memberId="";Authorization.prototype.prevHash="";Authorization.prototype.memberKey=null;Authorization.create=function create(properties){return new Authorization(properties);};Authorization.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberRecoveryOperation.Authorization)return d;var m=new $root.io.token.proto.common.member.MemberRecoveryOperation.Authorization();if(d.memberId!=null){m.memberId=String(d.memberId);}if(d.prevHash!=null){m.prevHash=String(d.prevHash);}if(d.memberKey!=null){if(typeof d.memberKey!=="object")throw TypeError(".io.token.proto.common.member.MemberRecoveryOperation.Authorization.memberKey: object expected");m.memberKey=$root.io.token.proto.common.security.Key.fromObject(d.memberKey);}return m;};Authorization.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.memberId="";d.prevHash="";d.memberKey=null;}if(m.memberId!=null&&m.hasOwnProperty("memberId")){d.memberId=m.memberId;}if(m.prevHash!=null&&m.hasOwnProperty("prevHash")){d.prevHash=m.prevHash;}if(m.memberKey!=null&&m.hasOwnProperty("memberKey")){d.memberKey=$root.io.token.proto.common.security.Key.toObject(m.memberKey,o);}return d;};Authorization.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Authorization;}();return MemberRecoveryOperation;}();member.MemberDeleteOperation=function(){function MemberDeleteOperation(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}MemberDeleteOperation.create=function create(properties){return new MemberDeleteOperation(properties);};MemberDeleteOperation.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberDeleteOperation)return d;return new $root.io.token.proto.common.member.MemberDeleteOperation();};MemberDeleteOperation.toObject=function toObject(){return {};};MemberDeleteOperation.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return MemberDeleteOperation;}();member.MemberPartnerOperation=function(){function MemberPartnerOperation(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}MemberPartnerOperation.create=function create(properties){return new MemberPartnerOperation(properties);};MemberPartnerOperation.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberPartnerOperation)return d;return new $root.io.token.proto.common.member.MemberPartnerOperation();};MemberPartnerOperation.toObject=function toObject(){return {};};MemberPartnerOperation.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return MemberPartnerOperation;}();member.MemberOperation=function(){function MemberOperation(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}MemberOperation.prototype.addKey=null;MemberOperation.prototype.removeKey=null;MemberOperation.prototype.removeAlias=null;MemberOperation.prototype.addAlias=null;MemberOperation.prototype.verifyAlias=null;MemberOperation.prototype.recoveryRules=null;MemberOperation.prototype.recover=null;MemberOperation.prototype["delete"]=null;MemberOperation.prototype.verifyPartner=null;MemberOperation.prototype.unverifyPartner=null;let $oneOfFields;Object.defineProperty(MemberOperation.prototype,"operation",{get:$util.oneOfGetter($oneOfFields=["addKey","removeKey","removeAlias","addAlias","verifyAlias","recoveryRules","recover","delete","verifyPartner","unverifyPartner"]),set:$util.oneOfSetter($oneOfFields)});MemberOperation.create=function create(properties){return new MemberOperation(properties);};MemberOperation.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberOperation)return d;var m=new $root.io.token.proto.common.member.MemberOperation();if(d.addKey!=null){if(typeof d.addKey!=="object")throw TypeError(".io.token.proto.common.member.MemberOperation.addKey: object expected");m.addKey=$root.io.token.proto.common.member.MemberAddKeyOperation.fromObject(d.addKey);}if(d.removeKey!=null){if(typeof d.removeKey!=="object")throw TypeError(".io.token.proto.common.member.MemberOperation.removeKey: object expected");m.removeKey=$root.io.token.proto.common.member.MemberRemoveKeyOperation.fromObject(d.removeKey);}if(d.removeAlias!=null){if(typeof d.removeAlias!=="object")throw TypeError(".io.token.proto.common.member.MemberOperation.removeAlias: object expected");m.removeAlias=$root.io.token.proto.common.member.MemberAliasOperation.fromObject(d.removeAlias);}if(d.addAlias!=null){if(typeof d.addAlias!=="object")throw TypeError(".io.token.proto.common.member.MemberOperation.addAlias: object expected");m.addAlias=$root.io.token.proto.common.member.MemberAliasOperation.fromObject(d.addAlias);}if(d.verifyAlias!=null){if(typeof d.verifyAlias!=="object")throw TypeError(".io.token.proto.common.member.MemberOperation.verifyAlias: object expected");m.verifyAlias=$root.io.token.proto.common.member.MemberAliasOperation.fromObject(d.verifyAlias);}if(d.recoveryRules!=null){if(typeof d.recoveryRules!=="object")throw TypeError(".io.token.proto.common.member.MemberOperation.recoveryRules: object expected");m.recoveryRules=$root.io.token.proto.common.member.MemberRecoveryRulesOperation.fromObject(d.recoveryRules);}if(d.recover!=null){if(typeof d.recover!=="object")throw TypeError(".io.token.proto.common.member.MemberOperation.recover: object expected");m.recover=$root.io.token.proto.common.member.MemberRecoveryOperation.fromObject(d.recover);}if(d["delete"]!=null){if(typeof d["delete"]!=="object")throw TypeError(".io.token.proto.common.member.MemberOperation.delete: object expected");m["delete"]=$root.io.token.proto.common.member.MemberDeleteOperation.fromObject(d["delete"]);}if(d.verifyPartner!=null){if(typeof d.verifyPartner!=="object")throw TypeError(".io.token.proto.common.member.MemberOperation.verifyPartner: object expected");m.verifyPartner=$root.io.token.proto.common.member.MemberPartnerOperation.fromObject(d.verifyPartner);}if(d.unverifyPartner!=null){if(typeof d.unverifyPartner!=="object")throw TypeError(".io.token.proto.common.member.MemberOperation.unverifyPartner: object expected");m.unverifyPartner=$root.io.token.proto.common.member.MemberPartnerOperation.fromObject(d.unverifyPartner);}return m;};MemberOperation.toObject=function toObject(m,o){if(!o)o={};var d={};if(m.addKey!=null&&m.hasOwnProperty("addKey")){d.addKey=$root.io.token.proto.common.member.MemberAddKeyOperation.toObject(m.addKey,o);if(o.oneofs)d.operation="addKey";}if(m.removeKey!=null&&m.hasOwnProperty("removeKey")){d.removeKey=$root.io.token.proto.common.member.MemberRemoveKeyOperation.toObject(m.removeKey,o);if(o.oneofs)d.operation="removeKey";}if(m.removeAlias!=null&&m.hasOwnProperty("removeAlias")){d.removeAlias=$root.io.token.proto.common.member.MemberAliasOperation.toObject(m.removeAlias,o);if(o.oneofs)d.operation="removeAlias";}if(m.addAlias!=null&&m.hasOwnProperty("addAlias")){d.addAlias=$root.io.token.proto.common.member.MemberAliasOperation.toObject(m.addAlias,o);if(o.oneofs)d.operation="addAlias";}if(m.verifyAlias!=null&&m.hasOwnProperty("verifyAlias")){d.verifyAlias=$root.io.token.proto.common.member.MemberAliasOperation.toObject(m.verifyAlias,o);if(o.oneofs)d.operation="verifyAlias";}if(m.recoveryRules!=null&&m.hasOwnProperty("recoveryRules")){d.recoveryRules=$root.io.token.proto.common.member.MemberRecoveryRulesOperation.toObject(m.recoveryRules,o);if(o.oneofs)d.operation="recoveryRules";}if(m.recover!=null&&m.hasOwnProperty("recover")){d.recover=$root.io.token.proto.common.member.MemberRecoveryOperation.toObject(m.recover,o);if(o.oneofs)d.operation="recover";}if(m["delete"]!=null&&m.hasOwnProperty("delete")){d["delete"]=$root.io.token.proto.common.member.MemberDeleteOperation.toObject(m["delete"],o);if(o.oneofs)d.operation="delete";}if(m.verifyPartner!=null&&m.hasOwnProperty("verifyPartner")){d.verifyPartner=$root.io.token.proto.common.member.MemberPartnerOperation.toObject(m.verifyPartner,o);if(o.oneofs)d.operation="verifyPartner";}if(m.unverifyPartner!=null&&m.hasOwnProperty("unverifyPartner")){d.unverifyPartner=$root.io.token.proto.common.member.MemberPartnerOperation.toObject(m.unverifyPartner,o);if(o.oneofs)d.operation="unverifyPartner";}return d;};MemberOperation.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return MemberOperation;}();member.MemberUpdate=function(){function MemberUpdate(p){this.operations=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}MemberUpdate.prototype.prevHash="";MemberUpdate.prototype.memberId="";MemberUpdate.prototype.operations=$util.emptyArray;MemberUpdate.create=function create(properties){return new MemberUpdate(properties);};MemberUpdate.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberUpdate)return d;var m=new $root.io.token.proto.common.member.MemberUpdate();if(d.prevHash!=null){m.prevHash=String(d.prevHash);}if(d.memberId!=null){m.memberId=String(d.memberId);}if(d.operations){if(!_Array$isArray(d.operations))throw TypeError(".io.token.proto.common.member.MemberUpdate.operations: array expected");m.operations=[];for(var i=0;i<d.operations.length;++i){if(typeof d.operations[i]!=="object")throw TypeError(".io.token.proto.common.member.MemberUpdate.operations: object expected");m.operations[i]=$root.io.token.proto.common.member.MemberOperation.fromObject(d.operations[i]);}}return m;};MemberUpdate.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.operations=[];}if(o.defaults){d.prevHash="";d.memberId="";}if(m.prevHash!=null&&m.hasOwnProperty("prevHash")){d.prevHash=m.prevHash;}if(m.memberId!=null&&m.hasOwnProperty("memberId")){d.memberId=m.memberId;}if(m.operations&&m.operations.length){d.operations=[];for(var j=0;j<m.operations.length;++j){d.operations[j]=$root.io.token.proto.common.member.MemberOperation.toObject(m.operations[j],o);}}return d;};MemberUpdate.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return MemberUpdate;}();member.MemberOperationMetadata=function(){function MemberOperationMetadata(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}MemberOperationMetadata.prototype.addAliasMetadata=null;MemberOperationMetadata.prototype.addKeyMetadata=null;let $oneOfFields;Object.defineProperty(MemberOperationMetadata.prototype,"type",{get:$util.oneOfGetter($oneOfFields=["addAliasMetadata","addKeyMetadata"]),set:$util.oneOfSetter($oneOfFields)});MemberOperationMetadata.create=function create(properties){return new MemberOperationMetadata(properties);};MemberOperationMetadata.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberOperationMetadata)return d;var m=new $root.io.token.proto.common.member.MemberOperationMetadata();if(d.addAliasMetadata!=null){if(typeof d.addAliasMetadata!=="object")throw TypeError(".io.token.proto.common.member.MemberOperationMetadata.addAliasMetadata: object expected");m.addAliasMetadata=$root.io.token.proto.common.member.MemberOperationMetadata.AddAliasMetadata.fromObject(d.addAliasMetadata);}if(d.addKeyMetadata!=null){if(typeof d.addKeyMetadata!=="object")throw TypeError(".io.token.proto.common.member.MemberOperationMetadata.addKeyMetadata: object expected");m.addKeyMetadata=$root.io.token.proto.common.member.MemberOperationMetadata.AddKeyMetadata.fromObject(d.addKeyMetadata);}return m;};MemberOperationMetadata.toObject=function toObject(m,o){if(!o)o={};var d={};if(m.addAliasMetadata!=null&&m.hasOwnProperty("addAliasMetadata")){d.addAliasMetadata=$root.io.token.proto.common.member.MemberOperationMetadata.AddAliasMetadata.toObject(m.addAliasMetadata,o);if(o.oneofs)d.type="addAliasMetadata";}if(m.addKeyMetadata!=null&&m.hasOwnProperty("addKeyMetadata")){d.addKeyMetadata=$root.io.token.proto.common.member.MemberOperationMetadata.AddKeyMetadata.toObject(m.addKeyMetadata,o);if(o.oneofs)d.type="addKeyMetadata";}return d;};MemberOperationMetadata.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};MemberOperationMetadata.AddAliasMetadata=function(){function AddAliasMetadata(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AddAliasMetadata.prototype.aliasHash="";AddAliasMetadata.prototype.alias=null;AddAliasMetadata.create=function create(properties){return new AddAliasMetadata(properties);};AddAliasMetadata.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberOperationMetadata.AddAliasMetadata)return d;var m=new $root.io.token.proto.common.member.MemberOperationMetadata.AddAliasMetadata();if(d.aliasHash!=null){m.aliasHash=String(d.aliasHash);}if(d.alias!=null){if(typeof d.alias!=="object")throw TypeError(".io.token.proto.common.member.MemberOperationMetadata.AddAliasMetadata.alias: object expected");m.alias=$root.io.token.proto.common.alias.Alias.fromObject(d.alias);}return m;};AddAliasMetadata.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.aliasHash="";d.alias=null;}if(m.aliasHash!=null&&m.hasOwnProperty("aliasHash")){d.aliasHash=m.aliasHash;}if(m.alias!=null&&m.hasOwnProperty("alias")){d.alias=$root.io.token.proto.common.alias.Alias.toObject(m.alias,o);}return d;};AddAliasMetadata.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AddAliasMetadata;}();MemberOperationMetadata.AddKeyMetadata=function(){function AddKeyMetadata(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AddKeyMetadata.prototype.keychainId="";AddKeyMetadata.create=function create(properties){return new AddKeyMetadata(properties);};AddKeyMetadata.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberOperationMetadata.AddKeyMetadata)return d;var m=new $root.io.token.proto.common.member.MemberOperationMetadata.AddKeyMetadata();if(d.keychainId!=null){m.keychainId=String(d.keychainId);}return m;};AddKeyMetadata.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.keychainId="";}if(m.keychainId!=null&&m.hasOwnProperty("keychainId")){d.keychainId=m.keychainId;}return d;};AddKeyMetadata.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AddKeyMetadata;}();return MemberOperationMetadata;}();member.MemberOperationResponseMetadata=function(){function MemberOperationResponseMetadata(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}MemberOperationResponseMetadata.prototype.addAliasResponseMetadata=null;let $oneOfFields;Object.defineProperty(MemberOperationResponseMetadata.prototype,"type",{get:$util.oneOfGetter($oneOfFields=["addAliasResponseMetadata"]),set:$util.oneOfSetter($oneOfFields)});MemberOperationResponseMetadata.create=function create(properties){return new MemberOperationResponseMetadata(properties);};MemberOperationResponseMetadata.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberOperationResponseMetadata)return d;var m=new $root.io.token.proto.common.member.MemberOperationResponseMetadata();if(d.addAliasResponseMetadata!=null){if(typeof d.addAliasResponseMetadata!=="object")throw TypeError(".io.token.proto.common.member.MemberOperationResponseMetadata.addAliasResponseMetadata: object expected");m.addAliasResponseMetadata=$root.io.token.proto.common.member.MemberOperationResponseMetadata.AddAliasResponseMetadata.fromObject(d.addAliasResponseMetadata);}return m;};MemberOperationResponseMetadata.toObject=function toObject(m,o){if(!o)o={};var d={};if(m.addAliasResponseMetadata!=null&&m.hasOwnProperty("addAliasResponseMetadata")){d.addAliasResponseMetadata=$root.io.token.proto.common.member.MemberOperationResponseMetadata.AddAliasResponseMetadata.toObject(m.addAliasResponseMetadata,o);if(o.oneofs)d.type="addAliasResponseMetadata";}return d;};MemberOperationResponseMetadata.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};MemberOperationResponseMetadata.AddAliasResponseMetadata=function(){function AddAliasResponseMetadata(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AddAliasResponseMetadata.prototype.aliasHash="";AddAliasResponseMetadata.prototype.verificationId="";AddAliasResponseMetadata.create=function create(properties){return new AddAliasResponseMetadata(properties);};AddAliasResponseMetadata.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.MemberOperationResponseMetadata.AddAliasResponseMetadata)return d;var m=new $root.io.token.proto.common.member.MemberOperationResponseMetadata.AddAliasResponseMetadata();if(d.aliasHash!=null){m.aliasHash=String(d.aliasHash);}if(d.verificationId!=null){m.verificationId=String(d.verificationId);}return m;};AddAliasResponseMetadata.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.aliasHash="";d.verificationId="";}if(m.aliasHash!=null&&m.hasOwnProperty("aliasHash")){d.aliasHash=m.aliasHash;}if(m.verificationId!=null&&m.hasOwnProperty("verificationId")){d.verificationId=m.verificationId;}return d;};AddAliasResponseMetadata.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AddAliasResponseMetadata;}();return MemberOperationResponseMetadata;}();member.RecoveryRule=function(){function RecoveryRule(p){this.secondaryAgents=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}RecoveryRule.prototype.primaryAgent="";RecoveryRule.prototype.secondaryAgents=$util.emptyArray;RecoveryRule.create=function create(properties){return new RecoveryRule(properties);};RecoveryRule.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.RecoveryRule)return d;var m=new $root.io.token.proto.common.member.RecoveryRule();if(d.primaryAgent!=null){m.primaryAgent=String(d.primaryAgent);}if(d.secondaryAgents){if(!_Array$isArray(d.secondaryAgents))throw TypeError(".io.token.proto.common.member.RecoveryRule.secondaryAgents: array expected");m.secondaryAgents=[];for(var i=0;i<d.secondaryAgents.length;++i){m.secondaryAgents[i]=String(d.secondaryAgents[i]);}}return m;};RecoveryRule.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.secondaryAgents=[];}if(o.defaults){d.primaryAgent="";}if(m.primaryAgent!=null&&m.hasOwnProperty("primaryAgent")){d.primaryAgent=m.primaryAgent;}if(m.secondaryAgents&&m.secondaryAgents.length){d.secondaryAgents=[];for(var j=0;j<m.secondaryAgents.length;++j){d.secondaryAgents[j]=m.secondaryAgents[j];}}return d;};RecoveryRule.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return RecoveryRule;}();member.Member=function(){function Member(p){this.aliasHashes=[];this.keys=[];this.unverifiedAliasHashes=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Member.prototype.id="";Member.prototype.lastHash="";Member.prototype.aliasHashes=$util.emptyArray;Member.prototype.keys=$util.emptyArray;Member.prototype.unverifiedAliasHashes=$util.emptyArray;Member.prototype.recoveryRule=null;Member.prototype.lastRecoverySequence=0;Member.prototype.lastOperationSequence=0;Member.prototype.type=0;Member.prototype.partnerId="";Member.prototype.isVerifiedPartner=false;Member.create=function create(properties){return new Member(properties);};Member.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.Member)return d;var m=new $root.io.token.proto.common.member.Member();if(d.id!=null){m.id=String(d.id);}if(d.lastHash!=null){m.lastHash=String(d.lastHash);}if(d.aliasHashes){if(!_Array$isArray(d.aliasHashes))throw TypeError(".io.token.proto.common.member.Member.aliasHashes: array expected");m.aliasHashes=[];for(var i=0;i<d.aliasHashes.length;++i){m.aliasHashes[i]=String(d.aliasHashes[i]);}}if(d.keys){if(!_Array$isArray(d.keys))throw TypeError(".io.token.proto.common.member.Member.keys: array expected");m.keys=[];for(var i=0;i<d.keys.length;++i){if(typeof d.keys[i]!=="object")throw TypeError(".io.token.proto.common.member.Member.keys: object expected");m.keys[i]=$root.io.token.proto.common.security.Key.fromObject(d.keys[i]);}}if(d.unverifiedAliasHashes){if(!_Array$isArray(d.unverifiedAliasHashes))throw TypeError(".io.token.proto.common.member.Member.unverifiedAliasHashes: array expected");m.unverifiedAliasHashes=[];for(var i=0;i<d.unverifiedAliasHashes.length;++i){m.unverifiedAliasHashes[i]=String(d.unverifiedAliasHashes[i]);}}if(d.recoveryRule!=null){if(typeof d.recoveryRule!=="object")throw TypeError(".io.token.proto.common.member.Member.recoveryRule: object expected");m.recoveryRule=$root.io.token.proto.common.member.RecoveryRule.fromObject(d.recoveryRule);}if(d.lastRecoverySequence!=null){m.lastRecoverySequence=d.lastRecoverySequence|0;}if(d.lastOperationSequence!=null){m.lastOperationSequence=d.lastOperationSequence|0;}switch(d.type){case"INVALID_MEMBER_TYPE":case 0:m.type=0;break;case"PERSONAL":case 1:m.type=1;break;case"BUSINESS_UNVERIFIED":case 2:m.type=2;break;case"BUSINESS_VERIFIED":case 3:m.type=3;break;case"TRANSIENT":case 4:m.type=4;break;}if(d.partnerId!=null){m.partnerId=String(d.partnerId);}if(d.isVerifiedPartner!=null){m.isVerifiedPartner=Boolean(d.isVerifiedPartner);}return m;};Member.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.aliasHashes=[];d.keys=[];d.unverifiedAliasHashes=[];}if(o.defaults){d.id="";d.lastHash="";d.recoveryRule=null;d.lastRecoverySequence=0;d.lastOperationSequence=0;d.type=o.enums===String?"INVALID_MEMBER_TYPE":0;d.partnerId="";d.isVerifiedPartner=false;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.lastHash!=null&&m.hasOwnProperty("lastHash")){d.lastHash=m.lastHash;}if(m.aliasHashes&&m.aliasHashes.length){d.aliasHashes=[];for(var j=0;j<m.aliasHashes.length;++j){d.aliasHashes[j]=m.aliasHashes[j];}}if(m.keys&&m.keys.length){d.keys=[];for(var j=0;j<m.keys.length;++j){d.keys[j]=$root.io.token.proto.common.security.Key.toObject(m.keys[j],o);}}if(m.unverifiedAliasHashes&&m.unverifiedAliasHashes.length){d.unverifiedAliasHashes=[];for(var j=0;j<m.unverifiedAliasHashes.length;++j){d.unverifiedAliasHashes[j]=m.unverifiedAliasHashes[j];}}if(m.recoveryRule!=null&&m.hasOwnProperty("recoveryRule")){d.recoveryRule=$root.io.token.proto.common.member.RecoveryRule.toObject(m.recoveryRule,o);}if(m.lastRecoverySequence!=null&&m.hasOwnProperty("lastRecoverySequence")){d.lastRecoverySequence=m.lastRecoverySequence;}if(m.lastOperationSequence!=null&&m.hasOwnProperty("lastOperationSequence")){d.lastOperationSequence=m.lastOperationSequence;}if(m.type!=null&&m.hasOwnProperty("type")){d.type=o.enums===String?$root.io.token.proto.common.member.Member.MemberType[m.type]:m.type;}if(m.partnerId!=null&&m.hasOwnProperty("partnerId")){d.partnerId=m.partnerId;}if(m.isVerifiedPartner!=null&&m.hasOwnProperty("isVerifiedPartner")){d.isVerifiedPartner=m.isVerifiedPartner;}return d;};Member.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};Member.MemberType=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_MEMBER_TYPE"]=0;values[valuesById[1]="PERSONAL"]=1;values[valuesById[2]="BUSINESS_UNVERIFIED"]=2;values[valuesById[3]="BUSINESS_VERIFIED"]=3;values[valuesById[4]="TRANSIENT"]=4;return values;}();return Member;}();member.AddressRecord=function(){function AddressRecord(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AddressRecord.prototype.id="";AddressRecord.prototype.name="";AddressRecord.prototype.address=null;AddressRecord.prototype.addressSignature=null;AddressRecord.create=function create(properties){return new AddressRecord(properties);};AddressRecord.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.AddressRecord)return d;var m=new $root.io.token.proto.common.member.AddressRecord();if(d.id!=null){m.id=String(d.id);}if(d.name!=null){m.name=String(d.name);}if(d.address!=null){if(typeof d.address!=="object")throw TypeError(".io.token.proto.common.member.AddressRecord.address: object expected");m.address=$root.io.token.proto.common.address.Address.fromObject(d.address);}if(d.addressSignature!=null){if(typeof d.addressSignature!=="object")throw TypeError(".io.token.proto.common.member.AddressRecord.addressSignature: object expected");m.addressSignature=$root.io.token.proto.common.security.Signature.fromObject(d.addressSignature);}return m;};AddressRecord.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.id="";d.name="";d.address=null;d.addressSignature=null;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.name!=null&&m.hasOwnProperty("name")){d.name=m.name;}if(m.address!=null&&m.hasOwnProperty("address")){d.address=$root.io.token.proto.common.address.Address.toObject(m.address,o);}if(m.addressSignature!=null&&m.hasOwnProperty("addressSignature")){d.addressSignature=$root.io.token.proto.common.security.Signature.toObject(m.addressSignature,o);}return d;};AddressRecord.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AddressRecord;}();member.Profile=function(){function Profile(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Profile.prototype.displayNameFirst="";Profile.prototype.displayNameLast="";Profile.prototype.originalPictureId="";Profile.prototype.smallPictureId="";Profile.prototype.mediumPictureId="";Profile.prototype.largePictureId="";Profile.create=function create(properties){return new Profile(properties);};Profile.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.Profile)return d;var m=new $root.io.token.proto.common.member.Profile();if(d.displayNameFirst!=null){m.displayNameFirst=String(d.displayNameFirst);}if(d.displayNameLast!=null){m.displayNameLast=String(d.displayNameLast);}if(d.originalPictureId!=null){m.originalPictureId=String(d.originalPictureId);}if(d.smallPictureId!=null){m.smallPictureId=String(d.smallPictureId);}if(d.mediumPictureId!=null){m.mediumPictureId=String(d.mediumPictureId);}if(d.largePictureId!=null){m.largePictureId=String(d.largePictureId);}return m;};Profile.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.displayNameFirst="";d.displayNameLast="";d.originalPictureId="";d.smallPictureId="";d.mediumPictureId="";d.largePictureId="";}if(m.displayNameFirst!=null&&m.hasOwnProperty("displayNameFirst")){d.displayNameFirst=m.displayNameFirst;}if(m.displayNameLast!=null&&m.hasOwnProperty("displayNameLast")){d.displayNameLast=m.displayNameLast;}if(m.originalPictureId!=null&&m.hasOwnProperty("originalPictureId")){d.originalPictureId=m.originalPictureId;}if(m.smallPictureId!=null&&m.hasOwnProperty("smallPictureId")){d.smallPictureId=m.smallPictureId;}if(m.mediumPictureId!=null&&m.hasOwnProperty("mediumPictureId")){d.mediumPictureId=m.mediumPictureId;}if(m.largePictureId!=null&&m.hasOwnProperty("largePictureId")){d.largePictureId=m.largePictureId;}return d;};Profile.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Profile;}();member.ProfilePictureSize=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="ORIGINAL"]=1;values[valuesById[2]="SMALL"]=2;values[valuesById[3]="MEDIUM"]=3;values[valuesById[4]="LARGE"]=4;return values;}();member.ReceiptContact=function(){function ReceiptContact(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}ReceiptContact.prototype.value="";ReceiptContact.prototype.type=0;ReceiptContact.create=function create(properties){return new ReceiptContact(properties);};ReceiptContact.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.ReceiptContact)return d;var m=new $root.io.token.proto.common.member.ReceiptContact();if(d.value!=null){m.value=String(d.value);}switch(d.type){case"INVALID":case 0:m.type=0;break;case"EMAIL":case 1:m.type=1;break;}return m;};ReceiptContact.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.value="";d.type=o.enums===String?"INVALID":0;}if(m.value!=null&&m.hasOwnProperty("value")){d.value=m.value;}if(m.type!=null&&m.hasOwnProperty("type")){d.type=o.enums===String?$root.io.token.proto.common.member.ReceiptContact.Type[m.type]:m.type;}return d;};ReceiptContact.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};ReceiptContact.Type=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="EMAIL"]=1;return values;}();return ReceiptContact;}();member.Device=function(){function Device(p){this.keys=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Device.prototype.name="";Device.prototype.key=null;Device.prototype.keys=$util.emptyArray;Device.create=function create(properties){return new Device(properties);};Device.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.Device)return d;var m=new $root.io.token.proto.common.member.Device();if(d.name!=null){m.name=String(d.name);}if(d.key!=null){if(typeof d.key!=="object")throw TypeError(".io.token.proto.common.member.Device.key: object expected");m.key=$root.io.token.proto.common.security.Key.fromObject(d.key);}if(d.keys){if(!_Array$isArray(d.keys))throw TypeError(".io.token.proto.common.member.Device.keys: array expected");m.keys=[];for(var i=0;i<d.keys.length;++i){if(typeof d.keys[i]!=="object")throw TypeError(".io.token.proto.common.member.Device.keys: object expected");m.keys[i]=$root.io.token.proto.common.security.Key.fromObject(d.keys[i]);}}return m;};Device.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.keys=[];}if(o.defaults){d.name="";d.key=null;}if(m.name!=null&&m.hasOwnProperty("name")){d.name=m.name;}if(m.key!=null&&m.hasOwnProperty("key")){d.key=$root.io.token.proto.common.security.Key.toObject(m.key,o);}if(m.keys&&m.keys.length){d.keys=[];for(var j=0;j<m.keys.length;++j){d.keys[j]=$root.io.token.proto.common.security.Key.toObject(m.keys[j],o);}}return d;};Device.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Device;}();member.CreateMemberType=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_MEMBER_TYPE"]=0;values[valuesById[1]="PERSONAL"]=1;values[valuesById[2]="BUSINESS"]=2;values[valuesById[3]="TRANSIENT"]=3;return values;}();member.TrustedBeneficiary=function(){function TrustedBeneficiary(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TrustedBeneficiary.prototype.payload=null;TrustedBeneficiary.prototype.signature=null;TrustedBeneficiary.create=function create(properties){return new TrustedBeneficiary(properties);};TrustedBeneficiary.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.TrustedBeneficiary)return d;var m=new $root.io.token.proto.common.member.TrustedBeneficiary();if(d.payload!=null){if(typeof d.payload!=="object")throw TypeError(".io.token.proto.common.member.TrustedBeneficiary.payload: object expected");m.payload=$root.io.token.proto.common.member.TrustedBeneficiary.Payload.fromObject(d.payload);}if(d.signature!=null){if(typeof d.signature!=="object")throw TypeError(".io.token.proto.common.member.TrustedBeneficiary.signature: object expected");m.signature=$root.io.token.proto.common.security.Signature.fromObject(d.signature);}return m;};TrustedBeneficiary.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.payload=null;d.signature=null;}if(m.payload!=null&&m.hasOwnProperty("payload")){d.payload=$root.io.token.proto.common.member.TrustedBeneficiary.Payload.toObject(m.payload,o);}if(m.signature!=null&&m.hasOwnProperty("signature")){d.signature=$root.io.token.proto.common.security.Signature.toObject(m.signature,o);}return d;};TrustedBeneficiary.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};TrustedBeneficiary.Payload=function(){function Payload(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Payload.prototype.memberId="";Payload.prototype.nonce="";Payload.create=function create(properties){return new Payload(properties);};Payload.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.TrustedBeneficiary.Payload)return d;var m=new $root.io.token.proto.common.member.TrustedBeneficiary.Payload();if(d.memberId!=null){m.memberId=String(d.memberId);}if(d.nonce!=null){m.nonce=String(d.nonce);}return m;};Payload.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.memberId="";d.nonce="";}if(m.memberId!=null&&m.hasOwnProperty("memberId")){d.memberId=m.memberId;}if(m.nonce!=null&&m.hasOwnProperty("nonce")){d.nonce=m.nonce;}return d;};Payload.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Payload;}();return TrustedBeneficiary;}();member.Customization=function(){function Customization(p){this.colors={};if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Customization.prototype.customizationId="";Customization.prototype.name="";Customization.prototype.logoBlobId="";Customization.prototype.colors=$util.emptyObject;Customization.prototype.consentText="";Customization.prototype.appName="";Customization.create=function create(properties){return new Customization(properties);};Customization.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.Customization)return d;var m=new $root.io.token.proto.common.member.Customization();if(d.customizationId!=null){m.customizationId=String(d.customizationId);}if(d.name!=null){m.name=String(d.name);}if(d.logoBlobId!=null){m.logoBlobId=String(d.logoBlobId);}if(d.colors){if(typeof d.colors!=="object")throw TypeError(".io.token.proto.common.member.Customization.colors: object expected");m.colors={};for(var ks=_Object$keys(d.colors),i=0;i<ks.length;++i){m.colors[ks[i]]=String(d.colors[ks[i]]);}}if(d.consentText!=null){m.consentText=String(d.consentText);}if(d.appName!=null){m.appName=String(d.appName);}return m;};Customization.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.objects||o.defaults){d.colors={};}if(o.defaults){d.customizationId="";d.logoBlobId="";d.consentText="";d.name="";d.appName="";}if(m.customizationId!=null&&m.hasOwnProperty("customizationId")){d.customizationId=m.customizationId;}if(m.logoBlobId!=null&&m.hasOwnProperty("logoBlobId")){d.logoBlobId=m.logoBlobId;}var ks2;if(m.colors&&(ks2=_Object$keys(m.colors)).length){d.colors={};for(var j=0;j<ks2.length;++j){d.colors[ks2[j]]=m.colors[ks2[j]];}}if(m.consentText!=null&&m.hasOwnProperty("consentText")){d.consentText=m.consentText;}if(m.name!=null&&m.hasOwnProperty("name")){d.name=m.name;}if(m.appName!=null&&m.hasOwnProperty("appName")){d.appName=m.appName;}return d;};Customization.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Customization;}();member.Keychain=function(){function Keychain(p){this.keys=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Keychain.prototype.keychainId="";Keychain.prototype.name="";Keychain.prototype.keys=$util.emptyArray;Keychain.create=function create(properties){return new Keychain(properties);};Keychain.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.member.Keychain)return d;var m=new $root.io.token.proto.common.member.Keychain();if(d.keychainId!=null){m.keychainId=String(d.keychainId);}if(d.name!=null){m.name=String(d.name);}if(d.keys){if(!_Array$isArray(d.keys))throw TypeError(".io.token.proto.common.member.Keychain.keys: array expected");m.keys=[];for(var i=0;i<d.keys.length;++i){if(typeof d.keys[i]!=="object")throw TypeError(".io.token.proto.common.member.Keychain.keys: object expected");m.keys[i]=$root.io.token.proto.common.security.Key.fromObject(d.keys[i]);}}return m;};Keychain.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.keys=[];}if(o.defaults){d.keychainId="";d.name="";}if(m.keychainId!=null&&m.hasOwnProperty("keychainId")){d.keychainId=m.keychainId;}if(m.name!=null&&m.hasOwnProperty("name")){d.name=m.name;}if(m.keys&&m.keys.length){d.keys=[];for(var j=0;j<m.keys.length;++j){d.keys[j]=$root.io.token.proto.common.security.Key.toObject(m.keys[j],o);}}return d;};Keychain.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Keychain;}();return member;}();common.money=function(){const money={};money.Money=function(){function Money(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Money.prototype.currency="";Money.prototype.value="";Money.create=function create(properties){return new Money(properties);};Money.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.money.Money)return d;var m=new $root.io.token.proto.common.money.Money();if(d.currency!=null){m.currency=String(d.currency);}if(d.value!=null){m.value=String(d.value);}return m;};Money.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.currency="";d.value="";}if(m.currency!=null&&m.hasOwnProperty("currency")){d.currency=m.currency;}if(m.value!=null&&m.hasOwnProperty("value")){d.value=m.value;}return d;};Money.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Money;}();return money;}();common.notification=function(){const notification={};notification.DeviceMetadata=function(){function DeviceMetadata(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}DeviceMetadata.prototype.application="";DeviceMetadata.prototype.applicationVersion="";DeviceMetadata.prototype.device="";DeviceMetadata.prototype.longitude=0;DeviceMetadata.prototype.latitude=0;DeviceMetadata.create=function create(properties){return new DeviceMetadata(properties);};DeviceMetadata.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.DeviceMetadata)return d;var m=new $root.io.token.proto.common.notification.DeviceMetadata();if(d.application!=null){m.application=String(d.application);}if(d.applicationVersion!=null){m.applicationVersion=String(d.applicationVersion);}if(d.device!=null){m.device=String(d.device);}if(d.longitude!=null){m.longitude=Number(d.longitude);}if(d.latitude!=null){m.latitude=Number(d.latitude);}return m;};DeviceMetadata.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.application="";d.applicationVersion="";d.device="";d.longitude=0;d.latitude=0;}if(m.application!=null&&m.hasOwnProperty("application")){d.application=m.application;}if(m.applicationVersion!=null&&m.hasOwnProperty("applicationVersion")){d.applicationVersion=m.applicationVersion;}if(m.device!=null&&m.hasOwnProperty("device")){d.device=m.device;}if(m.longitude!=null&&m.hasOwnProperty("longitude")){d.longitude=o.json&&!isFinite(m.longitude)?String(m.longitude):m.longitude;}if(m.latitude!=null&&m.hasOwnProperty("latitude")){d.latitude=o.json&&!isFinite(m.latitude)?String(m.latitude):m.latitude;}return d;};DeviceMetadata.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return DeviceMetadata;}();notification.PayerTransferProcessed=function(){function PayerTransferProcessed(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}PayerTransferProcessed.prototype.transferId="";PayerTransferProcessed.create=function create(properties){return new PayerTransferProcessed(properties);};PayerTransferProcessed.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.PayerTransferProcessed)return d;var m=new $root.io.token.proto.common.notification.PayerTransferProcessed();if(d.transferId!=null){m.transferId=String(d.transferId);}return m;};PayerTransferProcessed.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.transferId="";}if(m.transferId!=null&&m.hasOwnProperty("transferId")){d.transferId=m.transferId;}return d;};PayerTransferProcessed.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return PayerTransferProcessed;}();notification.PayeeTransferProcessed=function(){function PayeeTransferProcessed(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}PayeeTransferProcessed.prototype.transferId="";PayeeTransferProcessed.create=function create(properties){return new PayeeTransferProcessed(properties);};PayeeTransferProcessed.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.PayeeTransferProcessed)return d;var m=new $root.io.token.proto.common.notification.PayeeTransferProcessed();if(d.transferId!=null){m.transferId=String(d.transferId);}return m;};PayeeTransferProcessed.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.transferId="";}if(m.transferId!=null&&m.hasOwnProperty("transferId")){d.transferId=m.transferId;}return d;};PayeeTransferProcessed.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return PayeeTransferProcessed;}();notification.PayerTransferFailed=function(){function PayerTransferFailed(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}PayerTransferFailed.prototype.transferId="";PayerTransferFailed.create=function create(properties){return new PayerTransferFailed(properties);};PayerTransferFailed.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.PayerTransferFailed)return d;var m=new $root.io.token.proto.common.notification.PayerTransferFailed();if(d.transferId!=null){m.transferId=String(d.transferId);}return m;};PayerTransferFailed.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.transferId="";}if(m.transferId!=null&&m.hasOwnProperty("transferId")){d.transferId=m.transferId;}return d;};PayerTransferFailed.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return PayerTransferFailed;}();notification.TransferProcessed=function(){function TransferProcessed(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TransferProcessed.prototype.transferId="";TransferProcessed.create=function create(properties){return new TransferProcessed(properties);};TransferProcessed.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.TransferProcessed)return d;var m=new $root.io.token.proto.common.notification.TransferProcessed();if(d.transferId!=null){m.transferId=String(d.transferId);}return m;};TransferProcessed.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.transferId="";}if(m.transferId!=null&&m.hasOwnProperty("transferId")){d.transferId=m.transferId;}return d;};TransferProcessed.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TransferProcessed;}();notification.TransferFailed=function(){function TransferFailed(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TransferFailed.prototype.transferId="";TransferFailed.create=function create(properties){return new TransferFailed(properties);};TransferFailed.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.TransferFailed)return d;var m=new $root.io.token.proto.common.notification.TransferFailed();if(d.transferId!=null){m.transferId=String(d.transferId);}return m;};TransferFailed.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.transferId="";}if(m.transferId!=null&&m.hasOwnProperty("transferId")){d.transferId=m.transferId;}return d;};TransferFailed.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TransferFailed;}();notification.LinkAccounts=function(){function LinkAccounts(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}LinkAccounts.prototype.bankAuthorization=null;LinkAccounts.create=function create(properties){return new LinkAccounts(properties);};LinkAccounts.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.LinkAccounts)return d;var m=new $root.io.token.proto.common.notification.LinkAccounts();if(d.bankAuthorization!=null){if(typeof d.bankAuthorization!=="object")throw TypeError(".io.token.proto.common.notification.LinkAccounts.bankAuthorization: object expected");m.bankAuthorization=$root.io.token.proto.banklink.BankAuthorization.fromObject(d.bankAuthorization);}return m;};LinkAccounts.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.bankAuthorization=null;}if(m.bankAuthorization!=null&&m.hasOwnProperty("bankAuthorization")){d.bankAuthorization=$root.io.token.proto.banklink.BankAuthorization.toObject(m.bankAuthorization,o);}return d;};LinkAccounts.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return LinkAccounts;}();notification.StepUp=function(){function StepUp(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}StepUp.prototype.tokenId="";StepUp.create=function create(properties){return new StepUp(properties);};StepUp.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.StepUp)return d;var m=new $root.io.token.proto.common.notification.StepUp();if(d.tokenId!=null){m.tokenId=String(d.tokenId);}return m;};StepUp.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.tokenId="";}if(m.tokenId!=null&&m.hasOwnProperty("tokenId")){d.tokenId=m.tokenId;}return d;};StepUp.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return StepUp;}();notification.BalanceStepUp=function(){function BalanceStepUp(p){this.accountId=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}BalanceStepUp.prototype.accountId=$util.emptyArray;BalanceStepUp.create=function create(properties){return new BalanceStepUp(properties);};BalanceStepUp.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.BalanceStepUp)return d;var m=new $root.io.token.proto.common.notification.BalanceStepUp();if(d.accountId){if(!_Array$isArray(d.accountId))throw TypeError(".io.token.proto.common.notification.BalanceStepUp.accountId: array expected");m.accountId=[];for(var i=0;i<d.accountId.length;++i){m.accountId[i]=String(d.accountId[i]);}}return m;};BalanceStepUp.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.accountId=[];}if(m.accountId&&m.accountId.length){d.accountId=[];for(var j=0;j<m.accountId.length;++j){d.accountId[j]=m.accountId[j];}}return d;};BalanceStepUp.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return BalanceStepUp;}();notification.TransactionStepUp=function(){function TransactionStepUp(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TransactionStepUp.prototype.accountId="";TransactionStepUp.prototype.transactionId="";TransactionStepUp.create=function create(properties){return new TransactionStepUp(properties);};TransactionStepUp.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.TransactionStepUp)return d;var m=new $root.io.token.proto.common.notification.TransactionStepUp();if(d.accountId!=null){m.accountId=String(d.accountId);}if(d.transactionId!=null){m.transactionId=String(d.transactionId);}return m;};TransactionStepUp.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.accountId="";d.transactionId="";}if(m.accountId!=null&&m.hasOwnProperty("accountId")){d.accountId=m.accountId;}if(m.transactionId!=null&&m.hasOwnProperty("transactionId")){d.transactionId=m.transactionId;}return d;};TransactionStepUp.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TransactionStepUp;}();notification.RecoveryCompleted=function(){function RecoveryCompleted(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}RecoveryCompleted.create=function create(properties){return new RecoveryCompleted(properties);};RecoveryCompleted.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.RecoveryCompleted)return d;return new $root.io.token.proto.common.notification.RecoveryCompleted();};RecoveryCompleted.toObject=function toObject(){return {};};RecoveryCompleted.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return RecoveryCompleted;}();notification.AddKey=function(){function AddKey(p){this.keys=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AddKey.prototype.expiresMs=$util.Long?$util.Long.fromBits(0,0,false):0;AddKey.prototype.keys=$util.emptyArray;AddKey.prototype.deviceMetadata=null;AddKey.create=function create(properties){return new AddKey(properties);};AddKey.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.AddKey)return d;var m=new $root.io.token.proto.common.notification.AddKey();if(d.expiresMs!=null){if($util.Long)(m.expiresMs=$util.Long.fromValue(d.expiresMs)).unsigned=false;else if(typeof d.expiresMs==="string")m.expiresMs=_parseInt(d.expiresMs,10);else if(typeof d.expiresMs==="number")m.expiresMs=d.expiresMs;else if(typeof d.expiresMs==="object")m.expiresMs=new $util.LongBits(d.expiresMs.low>>>0,d.expiresMs.high>>>0).toNumber();}if(d.keys){if(!_Array$isArray(d.keys))throw TypeError(".io.token.proto.common.notification.AddKey.keys: array expected");m.keys=[];for(var i=0;i<d.keys.length;++i){if(typeof d.keys[i]!=="object")throw TypeError(".io.token.proto.common.notification.AddKey.keys: object expected");m.keys[i]=$root.io.token.proto.common.security.Key.fromObject(d.keys[i]);}}if(d.deviceMetadata!=null){if(typeof d.deviceMetadata!=="object")throw TypeError(".io.token.proto.common.notification.AddKey.deviceMetadata: object expected");m.deviceMetadata=$root.io.token.proto.common.notification.DeviceMetadata.fromObject(d.deviceMetadata);}return m;};AddKey.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.keys=[];}if(o.defaults){if($util.Long){var n=new $util.Long(0,0,false);d.expiresMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.expiresMs=o.longs===String?"0":0;d.deviceMetadata=null;}if(m.expiresMs!=null&&m.hasOwnProperty("expiresMs")){if(typeof m.expiresMs==="number")d.expiresMs=o.longs===String?String(m.expiresMs):m.expiresMs;else d.expiresMs=o.longs===String?$util.Long.prototype.toString.call(m.expiresMs):o.longs===Number?new $util.LongBits(m.expiresMs.low>>>0,m.expiresMs.high>>>0).toNumber():m.expiresMs;}if(m.keys&&m.keys.length){d.keys=[];for(var j=0;j<m.keys.length;++j){d.keys[j]=$root.io.token.proto.common.security.Key.toObject(m.keys[j],o);}}if(m.deviceMetadata!=null&&m.hasOwnProperty("deviceMetadata")){d.deviceMetadata=$root.io.token.proto.common.notification.DeviceMetadata.toObject(m.deviceMetadata,o);}return d;};AddKey.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AddKey;}();notification.LinkAccountsAndAddKey=function(){function LinkAccountsAndAddKey(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}LinkAccountsAndAddKey.prototype.linkAccounts=null;LinkAccountsAndAddKey.prototype.addKey=null;LinkAccountsAndAddKey.create=function create(properties){return new LinkAccountsAndAddKey(properties);};LinkAccountsAndAddKey.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.LinkAccountsAndAddKey)return d;var m=new $root.io.token.proto.common.notification.LinkAccountsAndAddKey();if(d.linkAccounts!=null){if(typeof d.linkAccounts!=="object")throw TypeError(".io.token.proto.common.notification.LinkAccountsAndAddKey.linkAccounts: object expected");m.linkAccounts=$root.io.token.proto.common.notification.LinkAccounts.fromObject(d.linkAccounts);}if(d.addKey!=null){if(typeof d.addKey!=="object")throw TypeError(".io.token.proto.common.notification.LinkAccountsAndAddKey.addKey: object expected");m.addKey=$root.io.token.proto.common.notification.AddKey.fromObject(d.addKey);}return m;};LinkAccountsAndAddKey.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.linkAccounts=null;d.addKey=null;}if(m.linkAccounts!=null&&m.hasOwnProperty("linkAccounts")){d.linkAccounts=$root.io.token.proto.common.notification.LinkAccounts.toObject(m.linkAccounts,o);}if(m.addKey!=null&&m.hasOwnProperty("addKey")){d.addKey=$root.io.token.proto.common.notification.AddKey.toObject(m.addKey,o);}return d;};LinkAccountsAndAddKey.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return LinkAccountsAndAddKey;}();notification.PaymentRequest=function(){function PaymentRequest(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}PaymentRequest.prototype.payload=null;PaymentRequest.create=function create(properties){return new PaymentRequest(properties);};PaymentRequest.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.PaymentRequest)return d;var m=new $root.io.token.proto.common.notification.PaymentRequest();if(d.payload!=null){if(typeof d.payload!=="object")throw TypeError(".io.token.proto.common.notification.PaymentRequest.payload: object expected");m.payload=$root.io.token.proto.common.token.TokenPayload.fromObject(d.payload);}return m;};PaymentRequest.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.payload=null;}if(m.payload!=null&&m.hasOwnProperty("payload")){d.payload=$root.io.token.proto.common.token.TokenPayload.toObject(m.payload,o);}return d;};PaymentRequest.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return PaymentRequest;}();notification.TokenCancelled=function(){function TokenCancelled(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TokenCancelled.prototype.tokenId="";TokenCancelled.create=function create(properties){return new TokenCancelled(properties);};TokenCancelled.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.TokenCancelled)return d;var m=new $root.io.token.proto.common.notification.TokenCancelled();if(d.tokenId!=null){m.tokenId=String(d.tokenId);}return m;};TokenCancelled.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.tokenId="";}if(m.tokenId!=null&&m.hasOwnProperty("tokenId")){d.tokenId=m.tokenId;}return d;};TokenCancelled.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TokenCancelled;}();notification.EndorseAndAddKey=function(){function EndorseAndAddKey(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}EndorseAndAddKey.prototype.payload=null;EndorseAndAddKey.prototype.addKey=null;EndorseAndAddKey.prototype.tokenRequestId="";EndorseAndAddKey.prototype.bankId="";EndorseAndAddKey.prototype.state="";EndorseAndAddKey.prototype.contact=null;EndorseAndAddKey.create=function create(properties){return new EndorseAndAddKey(properties);};EndorseAndAddKey.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.EndorseAndAddKey)return d;var m=new $root.io.token.proto.common.notification.EndorseAndAddKey();if(d.payload!=null){if(typeof d.payload!=="object")throw TypeError(".io.token.proto.common.notification.EndorseAndAddKey.payload: object expected");m.payload=$root.io.token.proto.common.token.TokenPayload.fromObject(d.payload);}if(d.addKey!=null){if(typeof d.addKey!=="object")throw TypeError(".io.token.proto.common.notification.EndorseAndAddKey.addKey: object expected");m.addKey=$root.io.token.proto.common.notification.AddKey.fromObject(d.addKey);}if(d.tokenRequestId!=null){m.tokenRequestId=String(d.tokenRequestId);}if(d.bankId!=null){m.bankId=String(d.bankId);}if(d.state!=null){m.state=String(d.state);}if(d.contact!=null){if(typeof d.contact!=="object")throw TypeError(".io.token.proto.common.notification.EndorseAndAddKey.contact: object expected");m.contact=$root.io.token.proto.common.member.ReceiptContact.fromObject(d.contact);}return m;};EndorseAndAddKey.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.payload=null;d.addKey=null;d.tokenRequestId="";d.bankId="";d.state="";d.contact=null;}if(m.payload!=null&&m.hasOwnProperty("payload")){d.payload=$root.io.token.proto.common.token.TokenPayload.toObject(m.payload,o);}if(m.addKey!=null&&m.hasOwnProperty("addKey")){d.addKey=$root.io.token.proto.common.notification.AddKey.toObject(m.addKey,o);}if(m.tokenRequestId!=null&&m.hasOwnProperty("tokenRequestId")){d.tokenRequestId=m.tokenRequestId;}if(m.bankId!=null&&m.hasOwnProperty("bankId")){d.bankId=m.bankId;}if(m.state!=null&&m.hasOwnProperty("state")){d.state=m.state;}if(m.contact!=null&&m.hasOwnProperty("contact")){d.contact=$root.io.token.proto.common.member.ReceiptContact.toObject(m.contact,o);}return d;};EndorseAndAddKey.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return EndorseAndAddKey;}();notification.CreateAndEndorseToken=function(){function CreateAndEndorseToken(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}CreateAndEndorseToken.prototype.tokenRequest=null;CreateAndEndorseToken.prototype.addKey=null;CreateAndEndorseToken.prototype.contact=null;CreateAndEndorseToken.create=function create(properties){return new CreateAndEndorseToken(properties);};CreateAndEndorseToken.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.CreateAndEndorseToken)return d;var m=new $root.io.token.proto.common.notification.CreateAndEndorseToken();if(d.tokenRequest!=null){if(typeof d.tokenRequest!=="object")throw TypeError(".io.token.proto.common.notification.CreateAndEndorseToken.tokenRequest: object expected");m.tokenRequest=$root.io.token.proto.common.token.TokenRequest.fromObject(d.tokenRequest);}if(d.addKey!=null){if(typeof d.addKey!=="object")throw TypeError(".io.token.proto.common.notification.CreateAndEndorseToken.addKey: object expected");m.addKey=$root.io.token.proto.common.notification.AddKey.fromObject(d.addKey);}if(d.contact!=null){if(typeof d.contact!=="object")throw TypeError(".io.token.proto.common.notification.CreateAndEndorseToken.contact: object expected");m.contact=$root.io.token.proto.common.member.ReceiptContact.fromObject(d.contact);}return m;};CreateAndEndorseToken.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.tokenRequest=null;d.addKey=null;d.contact=null;}if(m.tokenRequest!=null&&m.hasOwnProperty("tokenRequest")){d.tokenRequest=$root.io.token.proto.common.token.TokenRequest.toObject(m.tokenRequest,o);}if(m.addKey!=null&&m.hasOwnProperty("addKey")){d.addKey=$root.io.token.proto.common.notification.AddKey.toObject(m.addKey,o);}if(m.contact!=null&&m.hasOwnProperty("contact")){d.contact=$root.io.token.proto.common.member.ReceiptContact.toObject(m.contact,o);}return d;};CreateAndEndorseToken.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return CreateAndEndorseToken;}();notification.NotificationInvalidated=function(){function NotificationInvalidated(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}NotificationInvalidated.prototype.previousNotificationId="";NotificationInvalidated.create=function create(properties){return new NotificationInvalidated(properties);};NotificationInvalidated.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.NotificationInvalidated)return d;var m=new $root.io.token.proto.common.notification.NotificationInvalidated();if(d.previousNotificationId!=null){m.previousNotificationId=String(d.previousNotificationId);}return m;};NotificationInvalidated.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.previousNotificationId="";}if(m.previousNotificationId!=null&&m.hasOwnProperty("previousNotificationId")){d.previousNotificationId=m.previousNotificationId;}return d;};NotificationInvalidated.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return NotificationInvalidated;}();notification.NotifyBody=function(){function NotifyBody(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}NotifyBody.prototype.payerTransferProcessed=null;NotifyBody.prototype.linkAccounts=null;NotifyBody.prototype.stepUp=null;NotifyBody.prototype.addKey=null;NotifyBody.prototype.linkAccountsAndAddKey=null;NotifyBody.prototype.payeeTransferProcessed=null;NotifyBody.prototype.paymentRequest=null;NotifyBody.prototype.payerTransferFailed=null;NotifyBody.prototype.transferProcessed=null;NotifyBody.prototype.transferFailed=null;NotifyBody.prototype.tokenCancelled=null;NotifyBody.prototype.balanceStepUp=null;NotifyBody.prototype.transactionStepUp=null;NotifyBody.prototype.endorseAndAddKey=null;NotifyBody.prototype.recoveryCompleted=null;NotifyBody.prototype.notificationInvalidated=null;NotifyBody.prototype.createAndEndorseToken=null;let $oneOfFields;Object.defineProperty(NotifyBody.prototype,"body",{get:$util.oneOfGetter($oneOfFields=["payerTransferProcessed","linkAccounts","stepUp","addKey","linkAccountsAndAddKey","payeeTransferProcessed","paymentRequest","payerTransferFailed","transferProcessed","transferFailed","tokenCancelled","balanceStepUp","transactionStepUp","endorseAndAddKey","recoveryCompleted","notificationInvalidated","createAndEndorseToken"]),set:$util.oneOfSetter($oneOfFields)});NotifyBody.create=function create(properties){return new NotifyBody(properties);};NotifyBody.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.NotifyBody)return d;var m=new $root.io.token.proto.common.notification.NotifyBody();if(d.payerTransferProcessed!=null){if(typeof d.payerTransferProcessed!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.payerTransferProcessed: object expected");m.payerTransferProcessed=$root.io.token.proto.common.notification.PayerTransferProcessed.fromObject(d.payerTransferProcessed);}if(d.linkAccounts!=null){if(typeof d.linkAccounts!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.linkAccounts: object expected");m.linkAccounts=$root.io.token.proto.common.notification.LinkAccounts.fromObject(d.linkAccounts);}if(d.stepUp!=null){if(typeof d.stepUp!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.stepUp: object expected");m.stepUp=$root.io.token.proto.common.notification.StepUp.fromObject(d.stepUp);}if(d.addKey!=null){if(typeof d.addKey!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.addKey: object expected");m.addKey=$root.io.token.proto.common.notification.AddKey.fromObject(d.addKey);}if(d.linkAccountsAndAddKey!=null){if(typeof d.linkAccountsAndAddKey!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.linkAccountsAndAddKey: object expected");m.linkAccountsAndAddKey=$root.io.token.proto.common.notification.LinkAccountsAndAddKey.fromObject(d.linkAccountsAndAddKey);}if(d.payeeTransferProcessed!=null){if(typeof d.payeeTransferProcessed!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.payeeTransferProcessed: object expected");m.payeeTransferProcessed=$root.io.token.proto.common.notification.PayeeTransferProcessed.fromObject(d.payeeTransferProcessed);}if(d.paymentRequest!=null){if(typeof d.paymentRequest!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.paymentRequest: object expected");m.paymentRequest=$root.io.token.proto.common.notification.PaymentRequest.fromObject(d.paymentRequest);}if(d.payerTransferFailed!=null){if(typeof d.payerTransferFailed!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.payerTransferFailed: object expected");m.payerTransferFailed=$root.io.token.proto.common.notification.PayerTransferFailed.fromObject(d.payerTransferFailed);}if(d.transferProcessed!=null){if(typeof d.transferProcessed!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.transferProcessed: object expected");m.transferProcessed=$root.io.token.proto.common.notification.TransferProcessed.fromObject(d.transferProcessed);}if(d.transferFailed!=null){if(typeof d.transferFailed!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.transferFailed: object expected");m.transferFailed=$root.io.token.proto.common.notification.TransferFailed.fromObject(d.transferFailed);}if(d.tokenCancelled!=null){if(typeof d.tokenCancelled!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.tokenCancelled: object expected");m.tokenCancelled=$root.io.token.proto.common.notification.TokenCancelled.fromObject(d.tokenCancelled);}if(d.balanceStepUp!=null){if(typeof d.balanceStepUp!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.balanceStepUp: object expected");m.balanceStepUp=$root.io.token.proto.common.notification.BalanceStepUp.fromObject(d.balanceStepUp);}if(d.transactionStepUp!=null){if(typeof d.transactionStepUp!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.transactionStepUp: object expected");m.transactionStepUp=$root.io.token.proto.common.notification.TransactionStepUp.fromObject(d.transactionStepUp);}if(d.endorseAndAddKey!=null){if(typeof d.endorseAndAddKey!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.endorseAndAddKey: object expected");m.endorseAndAddKey=$root.io.token.proto.common.notification.EndorseAndAddKey.fromObject(d.endorseAndAddKey);}if(d.recoveryCompleted!=null){if(typeof d.recoveryCompleted!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.recoveryCompleted: object expected");m.recoveryCompleted=$root.io.token.proto.common.notification.RecoveryCompleted.fromObject(d.recoveryCompleted);}if(d.notificationInvalidated!=null){if(typeof d.notificationInvalidated!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.notificationInvalidated: object expected");m.notificationInvalidated=$root.io.token.proto.common.notification.NotificationInvalidated.fromObject(d.notificationInvalidated);}if(d.createAndEndorseToken!=null){if(typeof d.createAndEndorseToken!=="object")throw TypeError(".io.token.proto.common.notification.NotifyBody.createAndEndorseToken: object expected");m.createAndEndorseToken=$root.io.token.proto.common.notification.CreateAndEndorseToken.fromObject(d.createAndEndorseToken);}return m;};NotifyBody.toObject=function toObject(m,o){if(!o)o={};var d={};if(m.payerTransferProcessed!=null&&m.hasOwnProperty("payerTransferProcessed")){d.payerTransferProcessed=$root.io.token.proto.common.notification.PayerTransferProcessed.toObject(m.payerTransferProcessed,o);if(o.oneofs)d.body="payerTransferProcessed";}if(m.linkAccounts!=null&&m.hasOwnProperty("linkAccounts")){d.linkAccounts=$root.io.token.proto.common.notification.LinkAccounts.toObject(m.linkAccounts,o);if(o.oneofs)d.body="linkAccounts";}if(m.stepUp!=null&&m.hasOwnProperty("stepUp")){d.stepUp=$root.io.token.proto.common.notification.StepUp.toObject(m.stepUp,o);if(o.oneofs)d.body="stepUp";}if(m.addKey!=null&&m.hasOwnProperty("addKey")){d.addKey=$root.io.token.proto.common.notification.AddKey.toObject(m.addKey,o);if(o.oneofs)d.body="addKey";}if(m.linkAccountsAndAddKey!=null&&m.hasOwnProperty("linkAccountsAndAddKey")){d.linkAccountsAndAddKey=$root.io.token.proto.common.notification.LinkAccountsAndAddKey.toObject(m.linkAccountsAndAddKey,o);if(o.oneofs)d.body="linkAccountsAndAddKey";}if(m.payeeTransferProcessed!=null&&m.hasOwnProperty("payeeTransferProcessed")){d.payeeTransferProcessed=$root.io.token.proto.common.notification.PayeeTransferProcessed.toObject(m.payeeTransferProcessed,o);if(o.oneofs)d.body="payeeTransferProcessed";}if(m.paymentRequest!=null&&m.hasOwnProperty("paymentRequest")){d.paymentRequest=$root.io.token.proto.common.notification.PaymentRequest.toObject(m.paymentRequest,o);if(o.oneofs)d.body="paymentRequest";}if(m.payerTransferFailed!=null&&m.hasOwnProperty("payerTransferFailed")){d.payerTransferFailed=$root.io.token.proto.common.notification.PayerTransferFailed.toObject(m.payerTransferFailed,o);if(o.oneofs)d.body="payerTransferFailed";}if(m.transferProcessed!=null&&m.hasOwnProperty("transferProcessed")){d.transferProcessed=$root.io.token.proto.common.notification.TransferProcessed.toObject(m.transferProcessed,o);if(o.oneofs)d.body="transferProcessed";}if(m.transferFailed!=null&&m.hasOwnProperty("transferFailed")){d.transferFailed=$root.io.token.proto.common.notification.TransferFailed.toObject(m.transferFailed,o);if(o.oneofs)d.body="transferFailed";}if(m.tokenCancelled!=null&&m.hasOwnProperty("tokenCancelled")){d.tokenCancelled=$root.io.token.proto.common.notification.TokenCancelled.toObject(m.tokenCancelled,o);if(o.oneofs)d.body="tokenCancelled";}if(m.balanceStepUp!=null&&m.hasOwnProperty("balanceStepUp")){d.balanceStepUp=$root.io.token.proto.common.notification.BalanceStepUp.toObject(m.balanceStepUp,o);if(o.oneofs)d.body="balanceStepUp";}if(m.transactionStepUp!=null&&m.hasOwnProperty("transactionStepUp")){d.transactionStepUp=$root.io.token.proto.common.notification.TransactionStepUp.toObject(m.transactionStepUp,o);if(o.oneofs)d.body="transactionStepUp";}if(m.endorseAndAddKey!=null&&m.hasOwnProperty("endorseAndAddKey")){d.endorseAndAddKey=$root.io.token.proto.common.notification.EndorseAndAddKey.toObject(m.endorseAndAddKey,o);if(o.oneofs)d.body="endorseAndAddKey";}if(m.recoveryCompleted!=null&&m.hasOwnProperty("recoveryCompleted")){d.recoveryCompleted=$root.io.token.proto.common.notification.RecoveryCompleted.toObject(m.recoveryCompleted,o);if(o.oneofs)d.body="recoveryCompleted";}if(m.notificationInvalidated!=null&&m.hasOwnProperty("notificationInvalidated")){d.notificationInvalidated=$root.io.token.proto.common.notification.NotificationInvalidated.toObject(m.notificationInvalidated,o);if(o.oneofs)d.body="notificationInvalidated";}if(m.createAndEndorseToken!=null&&m.hasOwnProperty("createAndEndorseToken")){d.createAndEndorseToken=$root.io.token.proto.common.notification.CreateAndEndorseToken.toObject(m.createAndEndorseToken,o);if(o.oneofs)d.body="createAndEndorseToken";}return d;};NotifyBody.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return NotifyBody;}();notification.NotifyStatus=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="ACCEPTED"]=1;values[valuesById[2]="NO_SUBSCRIBERS"]=2;return values;}();notification.Notification=function(){function Notification(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Notification.prototype.id="";Notification.prototype.subscriberId="";Notification.prototype.content=null;Notification.prototype.status=0;Notification.create=function create(properties){return new Notification(properties);};Notification.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.Notification)return d;var m=new $root.io.token.proto.common.notification.Notification();if(d.id!=null){m.id=String(d.id);}if(d.subscriberId!=null){m.subscriberId=String(d.subscriberId);}if(d.content!=null){if(typeof d.content!=="object")throw TypeError(".io.token.proto.common.notification.Notification.content: object expected");m.content=$root.io.token.proto.common.notification.NotificationContent.fromObject(d.content);}switch(d.status){case"INVALID":case 0:m.status=0;break;case"PENDING":case 1:m.status=1;break;case"DELIVERED":case 2:m.status=2;break;case"COMPLETED":case 3:m.status=3;break;case"INVALIDATED":case 4:m.status=4;break;}return m;};Notification.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.id="";d.subscriberId="";d.content=null;d.status=o.enums===String?"INVALID":0;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.subscriberId!=null&&m.hasOwnProperty("subscriberId")){d.subscriberId=m.subscriberId;}if(m.content!=null&&m.hasOwnProperty("content")){d.content=$root.io.token.proto.common.notification.NotificationContent.toObject(m.content,o);}if(m.status!=null&&m.hasOwnProperty("status")){d.status=o.enums===String?$root.io.token.proto.common.notification.Notification.Status[m.status]:m.status;}return d;};Notification.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};Notification.Status=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="PENDING"]=1;values[valuesById[2]="DELIVERED"]=2;values[valuesById[3]="COMPLETED"]=3;values[valuesById[4]="INVALIDATED"]=4;return values;}();return Notification;}();notification.NotificationContent=function(){function NotificationContent(p){this.locArgs=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}NotificationContent.prototype.type="";NotificationContent.prototype.title="";NotificationContent.prototype.body="";NotificationContent.prototype.payload="";NotificationContent.prototype.createdAtMs=$util.Long?$util.Long.fromBits(0,0,false):0;NotificationContent.prototype.locKey="";NotificationContent.prototype.locArgs=$util.emptyArray;NotificationContent.create=function create(properties){return new NotificationContent(properties);};NotificationContent.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.notification.NotificationContent)return d;var m=new $root.io.token.proto.common.notification.NotificationContent();if(d.type!=null){m.type=String(d.type);}if(d.title!=null){m.title=String(d.title);}if(d.body!=null){m.body=String(d.body);}if(d.payload!=null){m.payload=String(d.payload);}if(d.createdAtMs!=null){if($util.Long)(m.createdAtMs=$util.Long.fromValue(d.createdAtMs)).unsigned=false;else if(typeof d.createdAtMs==="string")m.createdAtMs=_parseInt(d.createdAtMs,10);else if(typeof d.createdAtMs==="number")m.createdAtMs=d.createdAtMs;else if(typeof d.createdAtMs==="object")m.createdAtMs=new $util.LongBits(d.createdAtMs.low>>>0,d.createdAtMs.high>>>0).toNumber();}if(d.locKey!=null){m.locKey=String(d.locKey);}if(d.locArgs){if(!_Array$isArray(d.locArgs))throw TypeError(".io.token.proto.common.notification.NotificationContent.locArgs: array expected");m.locArgs=[];for(var i=0;i<d.locArgs.length;++i){m.locArgs[i]=String(d.locArgs[i]);}}return m;};NotificationContent.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.locArgs=[];}if(o.defaults){d.type="";d.title="";d.body="";d.payload="";if($util.Long){var n=new $util.Long(0,0,false);d.createdAtMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.createdAtMs=o.longs===String?"0":0;d.locKey="";}if(m.type!=null&&m.hasOwnProperty("type")){d.type=m.type;}if(m.title!=null&&m.hasOwnProperty("title")){d.title=m.title;}if(m.body!=null&&m.hasOwnProperty("body")){d.body=m.body;}if(m.payload!=null&&m.hasOwnProperty("payload")){d.payload=m.payload;}if(m.createdAtMs!=null&&m.hasOwnProperty("createdAtMs")){if(typeof m.createdAtMs==="number")d.createdAtMs=o.longs===String?String(m.createdAtMs):m.createdAtMs;else d.createdAtMs=o.longs===String?$util.Long.prototype.toString.call(m.createdAtMs):o.longs===Number?new $util.LongBits(m.createdAtMs.low>>>0,m.createdAtMs.high>>>0).toNumber():m.createdAtMs;}if(m.locKey!=null&&m.hasOwnProperty("locKey")){d.locKey=m.locKey;}if(m.locArgs&&m.locArgs.length){d.locArgs=[];for(var j=0;j<m.locArgs.length;++j){d.locArgs[j]=m.locArgs[j];}}return d;};NotificationContent.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return NotificationContent;}();return notification;}();common.token=function(){const token={};token.Token=function(){function Token(p){this.payloadSignatures=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Token.prototype.id="";Token.prototype.payload=null;Token.prototype.payloadSignatures=$util.emptyArray;Token.prototype.replacedByTokenId="";Token.prototype.tokenRequestId="";Token.create=function create(properties){return new Token(properties);};Token.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.Token)return d;var m=new $root.io.token.proto.common.token.Token();if(d.id!=null){m.id=String(d.id);}if(d.payload!=null){if(typeof d.payload!=="object")throw TypeError(".io.token.proto.common.token.Token.payload: object expected");m.payload=$root.io.token.proto.common.token.TokenPayload.fromObject(d.payload);}if(d.payloadSignatures){if(!_Array$isArray(d.payloadSignatures))throw TypeError(".io.token.proto.common.token.Token.payloadSignatures: array expected");m.payloadSignatures=[];for(var i=0;i<d.payloadSignatures.length;++i){if(typeof d.payloadSignatures[i]!=="object")throw TypeError(".io.token.proto.common.token.Token.payloadSignatures: object expected");m.payloadSignatures[i]=$root.io.token.proto.common.token.TokenSignature.fromObject(d.payloadSignatures[i]);}}if(d.replacedByTokenId!=null){m.replacedByTokenId=String(d.replacedByTokenId);}if(d.tokenRequestId!=null){m.tokenRequestId=String(d.tokenRequestId);}return m;};Token.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.payloadSignatures=[];}if(o.defaults){d.id="";d.payload=null;d.replacedByTokenId="";d.tokenRequestId="";}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.payload!=null&&m.hasOwnProperty("payload")){d.payload=$root.io.token.proto.common.token.TokenPayload.toObject(m.payload,o);}if(m.payloadSignatures&&m.payloadSignatures.length){d.payloadSignatures=[];for(var j=0;j<m.payloadSignatures.length;++j){d.payloadSignatures[j]=$root.io.token.proto.common.token.TokenSignature.toObject(m.payloadSignatures[j],o);}}if(m.replacedByTokenId!=null&&m.hasOwnProperty("replacedByTokenId")){d.replacedByTokenId=m.replacedByTokenId;}if(m.tokenRequestId!=null&&m.hasOwnProperty("tokenRequestId")){d.tokenRequestId=m.tokenRequestId;}return d;};Token.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Token;}();token.TokenRequest=function(){function TokenRequest(p){this.options={};if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TokenRequest.prototype.id="";TokenRequest.prototype.requestPayload=null;TokenRequest.prototype.requestOptions=null;TokenRequest.prototype.payload=null;TokenRequest.prototype.options=$util.emptyObject;TokenRequest.prototype.userRefId="";TokenRequest.prototype.customizationId="";TokenRequest.create=function create(properties){return new TokenRequest(properties);};TokenRequest.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.TokenRequest)return d;var m=new $root.io.token.proto.common.token.TokenRequest();if(d.id!=null){m.id=String(d.id);}if(d.requestPayload!=null){if(typeof d.requestPayload!=="object")throw TypeError(".io.token.proto.common.token.TokenRequest.requestPayload: object expected");m.requestPayload=$root.io.token.proto.common.token.TokenRequestPayload.fromObject(d.requestPayload);}if(d.requestOptions!=null){if(typeof d.requestOptions!=="object")throw TypeError(".io.token.proto.common.token.TokenRequest.requestOptions: object expected");m.requestOptions=$root.io.token.proto.common.token.TokenRequestOptions.fromObject(d.requestOptions);}if(d.payload!=null){if(typeof d.payload!=="object")throw TypeError(".io.token.proto.common.token.TokenRequest.payload: object expected");m.payload=$root.io.token.proto.common.token.TokenPayload.fromObject(d.payload);}if(d.options){if(typeof d.options!=="object")throw TypeError(".io.token.proto.common.token.TokenRequest.options: object expected");m.options={};for(var ks=_Object$keys(d.options),i=0;i<ks.length;++i){m.options[ks[i]]=String(d.options[ks[i]]);}}if(d.userRefId!=null){m.userRefId=String(d.userRefId);}if(d.customizationId!=null){m.customizationId=String(d.customizationId);}return m;};TokenRequest.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.objects||o.defaults){d.options={};}if(o.defaults){d.id="";d.payload=null;d.userRefId="";d.customizationId="";d.requestPayload=null;d.requestOptions=null;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.payload!=null&&m.hasOwnProperty("payload")){d.payload=$root.io.token.proto.common.token.TokenPayload.toObject(m.payload,o);}var ks2;if(m.options&&(ks2=_Object$keys(m.options)).length){d.options={};for(var j=0;j<ks2.length;++j){d.options[ks2[j]]=m.options[ks2[j]];}}if(m.userRefId!=null&&m.hasOwnProperty("userRefId")){d.userRefId=m.userRefId;}if(m.customizationId!=null&&m.hasOwnProperty("customizationId")){d.customizationId=m.customizationId;}if(m.requestPayload!=null&&m.hasOwnProperty("requestPayload")){d.requestPayload=$root.io.token.proto.common.token.TokenRequestPayload.toObject(m.requestPayload,o);}if(m.requestOptions!=null&&m.hasOwnProperty("requestOptions")){d.requestOptions=$root.io.token.proto.common.token.TokenRequestOptions.toObject(m.requestOptions,o);}return d;};TokenRequest.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TokenRequest;}();token.TokenRequestOptions=function(){function TokenRequestOptions(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TokenRequestOptions.prototype.bankId="";TokenRequestOptions.prototype.from=null;TokenRequestOptions.prototype.sourceAccountId="";TokenRequestOptions.prototype.receiptRequested=false;TokenRequestOptions.create=function create(properties){return new TokenRequestOptions(properties);};TokenRequestOptions.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.TokenRequestOptions)return d;var m=new $root.io.token.proto.common.token.TokenRequestOptions();if(d.bankId!=null){m.bankId=String(d.bankId);}if(d.from!=null){if(typeof d.from!=="object")throw TypeError(".io.token.proto.common.token.TokenRequestOptions.from: object expected");m.from=$root.io.token.proto.common.token.TokenMember.fromObject(d.from);}if(d.sourceAccountId!=null){m.sourceAccountId=String(d.sourceAccountId);}if(d.receiptRequested!=null){m.receiptRequested=Boolean(d.receiptRequested);}return m;};TokenRequestOptions.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.bankId="";d.from=null;d.sourceAccountId="";d.receiptRequested=false;}if(m.bankId!=null&&m.hasOwnProperty("bankId")){d.bankId=m.bankId;}if(m.from!=null&&m.hasOwnProperty("from")){d.from=$root.io.token.proto.common.token.TokenMember.toObject(m.from,o);}if(m.sourceAccountId!=null&&m.hasOwnProperty("sourceAccountId")){d.sourceAccountId=m.sourceAccountId;}if(m.receiptRequested!=null&&m.hasOwnProperty("receiptRequested")){d.receiptRequested=m.receiptRequested;}return d;};TokenRequestOptions.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TokenRequestOptions;}();token.TokenRequestPayload=function(){function TokenRequestPayload(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TokenRequestPayload.prototype.userRefId="";TokenRequestPayload.prototype.customizationId="";TokenRequestPayload.prototype.redirectUrl="";TokenRequestPayload.prototype.refId="";TokenRequestPayload.prototype.to=null;TokenRequestPayload.prototype.actingAs=null;TokenRequestPayload.prototype.accessBody=null;TokenRequestPayload.prototype.transferBody=null;TokenRequestPayload.prototype.description="";TokenRequestPayload.prototype.callbackState="";TokenRequestPayload.prototype.destinationCountry="";let $oneOfFields;Object.defineProperty(TokenRequestPayload.prototype,"requestBody",{get:$util.oneOfGetter($oneOfFields=["accessBody","transferBody"]),set:$util.oneOfSetter($oneOfFields)});TokenRequestPayload.create=function create(properties){return new TokenRequestPayload(properties);};TokenRequestPayload.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.TokenRequestPayload)return d;var m=new $root.io.token.proto.common.token.TokenRequestPayload();if(d.userRefId!=null){m.userRefId=String(d.userRefId);}if(d.customizationId!=null){m.customizationId=String(d.customizationId);}if(d.redirectUrl!=null){m.redirectUrl=String(d.redirectUrl);}if(d.refId!=null){m.refId=String(d.refId);}if(d.to!=null){if(typeof d.to!=="object")throw TypeError(".io.token.proto.common.token.TokenRequestPayload.to: object expected");m.to=$root.io.token.proto.common.token.TokenMember.fromObject(d.to);}if(d.actingAs!=null){if(typeof d.actingAs!=="object")throw TypeError(".io.token.proto.common.token.TokenRequestPayload.actingAs: object expected");m.actingAs=$root.io.token.proto.common.token.ActingAs.fromObject(d.actingAs);}if(d.accessBody!=null){if(typeof d.accessBody!=="object")throw TypeError(".io.token.proto.common.token.TokenRequestPayload.accessBody: object expected");m.accessBody=$root.io.token.proto.common.token.TokenRequestPayload.AccessBody.fromObject(d.accessBody);}if(d.transferBody!=null){if(typeof d.transferBody!=="object")throw TypeError(".io.token.proto.common.token.TokenRequestPayload.transferBody: object expected");m.transferBody=$root.io.token.proto.common.token.TokenRequestPayload.TransferBody.fromObject(d.transferBody);}if(d.description!=null){m.description=String(d.description);}if(d.callbackState!=null){m.callbackState=String(d.callbackState);}if(d.destinationCountry!=null){m.destinationCountry=String(d.destinationCountry);}return m;};TokenRequestPayload.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.userRefId="";d.customizationId="";d.redirectUrl="";d.to=null;d.actingAs=null;d.description="";d.callbackState="";d.destinationCountry="";d.refId="";}if(m.userRefId!=null&&m.hasOwnProperty("userRefId")){d.userRefId=m.userRefId;}if(m.customizationId!=null&&m.hasOwnProperty("customizationId")){d.customizationId=m.customizationId;}if(m.redirectUrl!=null&&m.hasOwnProperty("redirectUrl")){d.redirectUrl=m.redirectUrl;}if(m.to!=null&&m.hasOwnProperty("to")){d.to=$root.io.token.proto.common.token.TokenMember.toObject(m.to,o);}if(m.actingAs!=null&&m.hasOwnProperty("actingAs")){d.actingAs=$root.io.token.proto.common.token.ActingAs.toObject(m.actingAs,o);}if(m.accessBody!=null&&m.hasOwnProperty("accessBody")){d.accessBody=$root.io.token.proto.common.token.TokenRequestPayload.AccessBody.toObject(m.accessBody,o);if(o.oneofs)d.requestBody="accessBody";}if(m.transferBody!=null&&m.hasOwnProperty("transferBody")){d.transferBody=$root.io.token.proto.common.token.TokenRequestPayload.TransferBody.toObject(m.transferBody,o);if(o.oneofs)d.requestBody="transferBody";}if(m.description!=null&&m.hasOwnProperty("description")){d.description=m.description;}if(m.callbackState!=null&&m.hasOwnProperty("callbackState")){d.callbackState=m.callbackState;}if(m.destinationCountry!=null&&m.hasOwnProperty("destinationCountry")){d.destinationCountry=m.destinationCountry;}if(m.refId!=null&&m.hasOwnProperty("refId")){d.refId=m.refId;}return d;};TokenRequestPayload.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};TokenRequestPayload.AccessBody=function(){function AccessBody(p){this.type=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AccessBody.prototype.type=$util.emptyArray;AccessBody.create=function create(properties){return new AccessBody(properties);};AccessBody.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.TokenRequestPayload.AccessBody)return d;var m=new $root.io.token.proto.common.token.TokenRequestPayload.AccessBody();if(d.type){if(!_Array$isArray(d.type))throw TypeError(".io.token.proto.common.token.TokenRequestPayload.AccessBody.type: array expected");m.type=[];for(var i=0;i<d.type.length;++i){switch(d.type[i]){default:case"INVALID":case 0:m.type[i]=0;break;case"ACCOUNTS":case 1:m.type[i]=1;break;case"BALANCES":case 2:m.type[i]=2;break;case"TRANSACTIONS":case 3:m.type[i]=3;break;case"TRANSFER_DESTINATIONS":case 4:m.type[i]=4;break;}}}return m;};AccessBody.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.type=[];}if(m.type&&m.type.length){d.type=[];for(var j=0;j<m.type.length;++j){d.type[j]=o.enums===String?$root.io.token.proto.common.token.TokenRequestPayload.AccessBody.ResourceType[m.type[j]]:m.type[j];}}return d;};AccessBody.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};AccessBody.ResourceType=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="ACCOUNTS"]=1;values[valuesById[2]="BALANCES"]=2;values[valuesById[3]="TRANSACTIONS"]=3;values[valuesById[4]="TRANSFER_DESTINATIONS"]=4;return values;}();return AccessBody;}();TokenRequestPayload.TransferBody=function(){function TransferBody(p){this.destinations=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TransferBody.prototype.currency="";TransferBody.prototype.amount="";TransferBody.prototype.lifetimeAmount="";TransferBody.prototype.destinations=$util.emptyArray;TransferBody.create=function create(properties){return new TransferBody(properties);};TransferBody.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.TokenRequestPayload.TransferBody)return d;var m=new $root.io.token.proto.common.token.TokenRequestPayload.TransferBody();if(d.currency!=null){m.currency=String(d.currency);}if(d.amount!=null){m.amount=String(d.amount);}if(d.lifetimeAmount!=null){m.lifetimeAmount=String(d.lifetimeAmount);}if(d.destinations){if(!_Array$isArray(d.destinations))throw TypeError(".io.token.proto.common.token.TokenRequestPayload.TransferBody.destinations: array expected");m.destinations=[];for(var i=0;i<d.destinations.length;++i){if(typeof d.destinations[i]!=="object")throw TypeError(".io.token.proto.common.token.TokenRequestPayload.TransferBody.destinations: object expected");m.destinations[i]=$root.io.token.proto.common.transferinstructions.TransferEndpoint.fromObject(d.destinations[i]);}}return m;};TransferBody.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.destinations=[];}if(o.defaults){d.currency="";d.amount="";d.lifetimeAmount="";}if(m.currency!=null&&m.hasOwnProperty("currency")){d.currency=m.currency;}if(m.amount!=null&&m.hasOwnProperty("amount")){d.amount=m.amount;}if(m.destinations&&m.destinations.length){d.destinations=[];for(var j=0;j<m.destinations.length;++j){d.destinations[j]=$root.io.token.proto.common.transferinstructions.TransferEndpoint.toObject(m.destinations[j],o);}}if(m.lifetimeAmount!=null&&m.hasOwnProperty("lifetimeAmount")){d.lifetimeAmount=m.lifetimeAmount;}return d;};TransferBody.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TransferBody;}();return TokenRequestPayload;}();token.ActingAs=function(){function ActingAs(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}ActingAs.prototype.displayName="";ActingAs.prototype.refId="";ActingAs.prototype.logoUrl="";ActingAs.prototype.secondaryName="";ActingAs.create=function create(properties){return new ActingAs(properties);};ActingAs.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.ActingAs)return d;var m=new $root.io.token.proto.common.token.ActingAs();if(d.displayName!=null){m.displayName=String(d.displayName);}if(d.refId!=null){m.refId=String(d.refId);}if(d.logoUrl!=null){m.logoUrl=String(d.logoUrl);}if(d.secondaryName!=null){m.secondaryName=String(d.secondaryName);}return m;};ActingAs.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.displayName="";d.refId="";d.logoUrl="";d.secondaryName="";}if(m.displayName!=null&&m.hasOwnProperty("displayName")){d.displayName=m.displayName;}if(m.refId!=null&&m.hasOwnProperty("refId")){d.refId=m.refId;}if(m.logoUrl!=null&&m.hasOwnProperty("logoUrl")){d.logoUrl=m.logoUrl;}if(m.secondaryName!=null&&m.hasOwnProperty("secondaryName")){d.secondaryName=m.secondaryName;}return d;};ActingAs.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return ActingAs;}();token.TokenSignature=function(){function TokenSignature(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TokenSignature.prototype.action=0;TokenSignature.prototype.signature=null;TokenSignature.create=function create(properties){return new TokenSignature(properties);};TokenSignature.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.TokenSignature)return d;var m=new $root.io.token.proto.common.token.TokenSignature();switch(d.action){case"INVALID":case 0:m.action=0;break;case"ENDORSED":case 1:m.action=1;break;case"CANCELLED":case 2:m.action=2;break;}if(d.signature!=null){if(typeof d.signature!=="object")throw TypeError(".io.token.proto.common.token.TokenSignature.signature: object expected");m.signature=$root.io.token.proto.common.security.Signature.fromObject(d.signature);}return m;};TokenSignature.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.action=o.enums===String?"INVALID":0;d.signature=null;}if(m.action!=null&&m.hasOwnProperty("action")){d.action=o.enums===String?$root.io.token.proto.common.token.TokenSignature.Action[m.action]:m.action;}if(m.signature!=null&&m.hasOwnProperty("signature")){d.signature=$root.io.token.proto.common.security.Signature.toObject(m.signature,o);}return d;};TokenSignature.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};TokenSignature.Action=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="ENDORSED"]=1;values[valuesById[2]="CANCELLED"]=2;return values;}();return TokenSignature;}();token.TokenMember=function(){function TokenMember(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TokenMember.prototype.id="";TokenMember.prototype.username="";TokenMember.prototype.alias=null;TokenMember.create=function create(properties){return new TokenMember(properties);};TokenMember.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.TokenMember)return d;var m=new $root.io.token.proto.common.token.TokenMember();if(d.id!=null){m.id=String(d.id);}if(d.username!=null){m.username=String(d.username);}if(d.alias!=null){if(typeof d.alias!=="object")throw TypeError(".io.token.proto.common.token.TokenMember.alias: object expected");m.alias=$root.io.token.proto.common.alias.Alias.fromObject(d.alias);}return m;};TokenMember.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.id="";d.username="";d.alias=null;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.username!=null&&m.hasOwnProperty("username")){d.username=m.username;}if(m.alias!=null&&m.hasOwnProperty("alias")){d.alias=$root.io.token.proto.common.alias.Alias.toObject(m.alias,o);}return d;};TokenMember.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TokenMember;}();token.TokenPayload=function(){function TokenPayload(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TokenPayload.prototype.version="";TokenPayload.prototype.refId="";TokenPayload.prototype.issuer=null;TokenPayload.prototype.from=null;TokenPayload.prototype.to=null;TokenPayload.prototype.actingAs=null;TokenPayload.prototype.effectiveAtMs=$util.Long?$util.Long.fromBits(0,0,false):0;TokenPayload.prototype.expiresAtMs=$util.Long?$util.Long.fromBits(0,0,false):0;TokenPayload.prototype.endorseUntilMs=$util.Long?$util.Long.fromBits(0,0,false):0;TokenPayload.prototype.description="";TokenPayload.prototype.transfer=null;TokenPayload.prototype.access=null;TokenPayload.prototype.receiptRequested=false;let $oneOfFields;Object.defineProperty(TokenPayload.prototype,"body",{get:$util.oneOfGetter($oneOfFields=["transfer","access"]),set:$util.oneOfSetter($oneOfFields)});TokenPayload.create=function create(properties){return new TokenPayload(properties);};TokenPayload.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.TokenPayload)return d;var m=new $root.io.token.proto.common.token.TokenPayload();if(d.version!=null){m.version=String(d.version);}if(d.refId!=null){m.refId=String(d.refId);}if(d.issuer!=null){if(typeof d.issuer!=="object")throw TypeError(".io.token.proto.common.token.TokenPayload.issuer: object expected");m.issuer=$root.io.token.proto.common.token.TokenMember.fromObject(d.issuer);}if(d.from!=null){if(typeof d.from!=="object")throw TypeError(".io.token.proto.common.token.TokenPayload.from: object expected");m.from=$root.io.token.proto.common.token.TokenMember.fromObject(d.from);}if(d.to!=null){if(typeof d.to!=="object")throw TypeError(".io.token.proto.common.token.TokenPayload.to: object expected");m.to=$root.io.token.proto.common.token.TokenMember.fromObject(d.to);}if(d.actingAs!=null){if(typeof d.actingAs!=="object")throw TypeError(".io.token.proto.common.token.TokenPayload.actingAs: object expected");m.actingAs=$root.io.token.proto.common.token.ActingAs.fromObject(d.actingAs);}if(d.effectiveAtMs!=null){if($util.Long)(m.effectiveAtMs=$util.Long.fromValue(d.effectiveAtMs)).unsigned=false;else if(typeof d.effectiveAtMs==="string")m.effectiveAtMs=_parseInt(d.effectiveAtMs,10);else if(typeof d.effectiveAtMs==="number")m.effectiveAtMs=d.effectiveAtMs;else if(typeof d.effectiveAtMs==="object")m.effectiveAtMs=new $util.LongBits(d.effectiveAtMs.low>>>0,d.effectiveAtMs.high>>>0).toNumber();}if(d.expiresAtMs!=null){if($util.Long)(m.expiresAtMs=$util.Long.fromValue(d.expiresAtMs)).unsigned=false;else if(typeof d.expiresAtMs==="string")m.expiresAtMs=_parseInt(d.expiresAtMs,10);else if(typeof d.expiresAtMs==="number")m.expiresAtMs=d.expiresAtMs;else if(typeof d.expiresAtMs==="object")m.expiresAtMs=new $util.LongBits(d.expiresAtMs.low>>>0,d.expiresAtMs.high>>>0).toNumber();}if(d.endorseUntilMs!=null){if($util.Long)(m.endorseUntilMs=$util.Long.fromValue(d.endorseUntilMs)).unsigned=false;else if(typeof d.endorseUntilMs==="string")m.endorseUntilMs=_parseInt(d.endorseUntilMs,10);else if(typeof d.endorseUntilMs==="number")m.endorseUntilMs=d.endorseUntilMs;else if(typeof d.endorseUntilMs==="object")m.endorseUntilMs=new $util.LongBits(d.endorseUntilMs.low>>>0,d.endorseUntilMs.high>>>0).toNumber();}if(d.description!=null){m.description=String(d.description);}if(d.transfer!=null){if(typeof d.transfer!=="object")throw TypeError(".io.token.proto.common.token.TokenPayload.transfer: object expected");m.transfer=$root.io.token.proto.common.token.TransferBody.fromObject(d.transfer);}if(d.access!=null){if(typeof d.access!=="object")throw TypeError(".io.token.proto.common.token.TokenPayload.access: object expected");m.access=$root.io.token.proto.common.token.AccessBody.fromObject(d.access);}if(d.receiptRequested!=null){m.receiptRequested=Boolean(d.receiptRequested);}return m;};TokenPayload.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.version="";d.refId="";d.issuer=null;d.from=null;d.to=null;if($util.Long){var n=new $util.Long(0,0,false);d.effectiveAtMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.effectiveAtMs=o.longs===String?"0":0;if($util.Long){var n=new $util.Long(0,0,false);d.expiresAtMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.expiresAtMs=o.longs===String?"0":0;d.description="";if($util.Long){var n=new $util.Long(0,0,false);d.endorseUntilMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.endorseUntilMs=o.longs===String?"0":0;d.actingAs=null;d.receiptRequested=false;}if(m.version!=null&&m.hasOwnProperty("version")){d.version=m.version;}if(m.refId!=null&&m.hasOwnProperty("refId")){d.refId=m.refId;}if(m.issuer!=null&&m.hasOwnProperty("issuer")){d.issuer=$root.io.token.proto.common.token.TokenMember.toObject(m.issuer,o);}if(m.from!=null&&m.hasOwnProperty("from")){d.from=$root.io.token.proto.common.token.TokenMember.toObject(m.from,o);}if(m.to!=null&&m.hasOwnProperty("to")){d.to=$root.io.token.proto.common.token.TokenMember.toObject(m.to,o);}if(m.effectiveAtMs!=null&&m.hasOwnProperty("effectiveAtMs")){if(typeof m.effectiveAtMs==="number")d.effectiveAtMs=o.longs===String?String(m.effectiveAtMs):m.effectiveAtMs;else d.effectiveAtMs=o.longs===String?$util.Long.prototype.toString.call(m.effectiveAtMs):o.longs===Number?new $util.LongBits(m.effectiveAtMs.low>>>0,m.effectiveAtMs.high>>>0).toNumber():m.effectiveAtMs;}if(m.expiresAtMs!=null&&m.hasOwnProperty("expiresAtMs")){if(typeof m.expiresAtMs==="number")d.expiresAtMs=o.longs===String?String(m.expiresAtMs):m.expiresAtMs;else d.expiresAtMs=o.longs===String?$util.Long.prototype.toString.call(m.expiresAtMs):o.longs===Number?new $util.LongBits(m.expiresAtMs.low>>>0,m.expiresAtMs.high>>>0).toNumber():m.expiresAtMs;}if(m.description!=null&&m.hasOwnProperty("description")){d.description=m.description;}if(m.transfer!=null&&m.hasOwnProperty("transfer")){d.transfer=$root.io.token.proto.common.token.TransferBody.toObject(m.transfer,o);if(o.oneofs)d.body="transfer";}if(m.access!=null&&m.hasOwnProperty("access")){d.access=$root.io.token.proto.common.token.AccessBody.toObject(m.access,o);if(o.oneofs)d.body="access";}if(m.endorseUntilMs!=null&&m.hasOwnProperty("endorseUntilMs")){if(typeof m.endorseUntilMs==="number")d.endorseUntilMs=o.longs===String?String(m.endorseUntilMs):m.endorseUntilMs;else d.endorseUntilMs=o.longs===String?$util.Long.prototype.toString.call(m.endorseUntilMs):o.longs===Number?new $util.LongBits(m.endorseUntilMs.low>>>0,m.endorseUntilMs.high>>>0).toNumber():m.endorseUntilMs;}if(m.actingAs!=null&&m.hasOwnProperty("actingAs")){d.actingAs=$root.io.token.proto.common.token.ActingAs.toObject(m.actingAs,o);}if(m.receiptRequested!=null&&m.hasOwnProperty("receiptRequested")){d.receiptRequested=m.receiptRequested;}return d;};TokenPayload.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TokenPayload;}();token.TransferTokenStatus=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="SUCCESS"]=1;values[valuesById[2]="FAILURE_REJECTED"]=2;values[valuesById[3]="FAILURE_INSUFFICIENT_FUNDS"]=3;values[valuesById[4]="FAILURE_INVALID_CURRENCY"]=4;values[valuesById[5]="FAILURE_SOURCE_ACCOUNT_NOT_FOUND"]=5;values[valuesById[6]="FAILURE_DESTINATION_ACCOUNT_NOT_FOUND"]=6;values[valuesById[10]="FAILURE_INVALID_AMOUNT"]=10;values[valuesById[11]="FAILURE_INVALID_QUOTE"]=11;values[valuesById[12]="FAILURE_EXTERNAL_AUTHORIZATION_REQUIRED"]=12;values[valuesById[9]="FAILURE_GENERIC"]=9;return values;}();token.ExternalAuthorizationDetails=function(){function ExternalAuthorizationDetails(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}ExternalAuthorizationDetails.prototype.url="";ExternalAuthorizationDetails.prototype.completionPattern="";ExternalAuthorizationDetails.prototype.authorizationUrl="";ExternalAuthorizationDetails.create=function create(properties){return new ExternalAuthorizationDetails(properties);};ExternalAuthorizationDetails.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.ExternalAuthorizationDetails)return d;var m=new $root.io.token.proto.common.token.ExternalAuthorizationDetails();if(d.url!=null){m.url=String(d.url);}if(d.completionPattern!=null){m.completionPattern=String(d.completionPattern);}if(d.authorizationUrl!=null){m.authorizationUrl=String(d.authorizationUrl);}return m;};ExternalAuthorizationDetails.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.url="";d.completionPattern="";d.authorizationUrl="";}if(m.url!=null&&m.hasOwnProperty("url")){d.url=m.url;}if(m.completionPattern!=null&&m.hasOwnProperty("completionPattern")){d.completionPattern=m.completionPattern;}if(m.authorizationUrl!=null&&m.hasOwnProperty("authorizationUrl")){d.authorizationUrl=m.authorizationUrl;}return d;};ExternalAuthorizationDetails.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return ExternalAuthorizationDetails;}();token.TransferBody=function(){function TransferBody(p){this.attachments=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TransferBody.prototype.redeemer=null;TransferBody.prototype.instructions=null;TransferBody.prototype.currency="";TransferBody.prototype.lifetimeAmount="";TransferBody.prototype.amount="";TransferBody.prototype.attachments=$util.emptyArray;TransferBody.prototype.pricing=null;TransferBody.create=function create(properties){return new TransferBody(properties);};TransferBody.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.TransferBody)return d;var m=new $root.io.token.proto.common.token.TransferBody();if(d.redeemer!=null){if(typeof d.redeemer!=="object")throw TypeError(".io.token.proto.common.token.TransferBody.redeemer: object expected");m.redeemer=$root.io.token.proto.common.token.TokenMember.fromObject(d.redeemer);}if(d.instructions!=null){if(typeof d.instructions!=="object")throw TypeError(".io.token.proto.common.token.TransferBody.instructions: object expected");m.instructions=$root.io.token.proto.common.transferinstructions.TransferInstructions.fromObject(d.instructions);}if(d.currency!=null){m.currency=String(d.currency);}if(d.lifetimeAmount!=null){m.lifetimeAmount=String(d.lifetimeAmount);}if(d.amount!=null){m.amount=String(d.amount);}if(d.attachments){if(!_Array$isArray(d.attachments))throw TypeError(".io.token.proto.common.token.TransferBody.attachments: array expected");m.attachments=[];for(var i=0;i<d.attachments.length;++i){if(typeof d.attachments[i]!=="object")throw TypeError(".io.token.proto.common.token.TransferBody.attachments: object expected");m.attachments[i]=$root.io.token.proto.common.blob.Attachment.fromObject(d.attachments[i]);}}if(d.pricing!=null){if(typeof d.pricing!=="object")throw TypeError(".io.token.proto.common.token.TransferBody.pricing: object expected");m.pricing=$root.io.token.proto.common.pricing.Pricing.fromObject(d.pricing);}return m;};TransferBody.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.attachments=[];}if(o.defaults){d.redeemer=null;d.instructions=null;d.currency="";d.lifetimeAmount="";d.amount="";d.pricing=null;}if(m.redeemer!=null&&m.hasOwnProperty("redeemer")){d.redeemer=$root.io.token.proto.common.token.TokenMember.toObject(m.redeemer,o);}if(m.instructions!=null&&m.hasOwnProperty("instructions")){d.instructions=$root.io.token.proto.common.transferinstructions.TransferInstructions.toObject(m.instructions,o);}if(m.currency!=null&&m.hasOwnProperty("currency")){d.currency=m.currency;}if(m.lifetimeAmount!=null&&m.hasOwnProperty("lifetimeAmount")){d.lifetimeAmount=m.lifetimeAmount;}if(m.amount!=null&&m.hasOwnProperty("amount")){d.amount=m.amount;}if(m.attachments&&m.attachments.length){d.attachments=[];for(var j=0;j<m.attachments.length;++j){d.attachments[j]=$root.io.token.proto.common.blob.Attachment.toObject(m.attachments[j],o);}}if(m.pricing!=null&&m.hasOwnProperty("pricing")){d.pricing=$root.io.token.proto.common.pricing.Pricing.toObject(m.pricing,o);}return d;};TransferBody.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TransferBody;}();token.AccessBody=function(){function AccessBody(p){this.resources=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AccessBody.prototype.resources=$util.emptyArray;AccessBody.create=function create(properties){return new AccessBody(properties);};AccessBody.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody)return d;var m=new $root.io.token.proto.common.token.AccessBody();if(d.resources){if(!_Array$isArray(d.resources))throw TypeError(".io.token.proto.common.token.AccessBody.resources: array expected");m.resources=[];for(var i=0;i<d.resources.length;++i){if(typeof d.resources[i]!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.resources: object expected");m.resources[i]=$root.io.token.proto.common.token.AccessBody.Resource.fromObject(d.resources[i]);}}return m;};AccessBody.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.resources=[];}if(m.resources&&m.resources.length){d.resources=[];for(var j=0;j<m.resources.length;++j){d.resources[j]=$root.io.token.proto.common.token.AccessBody.Resource.toObject(m.resources[j],o);}}return d;};AccessBody.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};AccessBody.Resource=function(){function Resource(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Resource.prototype.allAddresses=null;Resource.prototype.allAccounts=null;Resource.prototype.allTransactions=null;Resource.prototype.allBalances=null;Resource.prototype.allTransferDestinations=null;Resource.prototype.address=null;Resource.prototype.account=null;Resource.prototype.transactions=null;Resource.prototype.balance=null;Resource.prototype.transferDestinations=null;Resource.prototype.allAccountsAtBank=null;Resource.prototype.allTransactionsAtBank=null;Resource.prototype.allBalancesAtBank=null;Resource.prototype.allTransferDestinationsAtBank=null;let $oneOfFields;Object.defineProperty(Resource.prototype,"resource",{get:$util.oneOfGetter($oneOfFields=["allAddresses","allAccounts","allTransactions","allBalances","allTransferDestinations","address","account","transactions","balance","transferDestinations","allAccountsAtBank","allTransactionsAtBank","allBalancesAtBank","allTransferDestinationsAtBank"]),set:$util.oneOfSetter($oneOfFields)});Resource.create=function create(properties){return new Resource(properties);};Resource.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource)return d;var m=new $root.io.token.proto.common.token.AccessBody.Resource();if(d.allAddresses!=null){if(typeof d.allAddresses!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.allAddresses: object expected");m.allAddresses=$root.io.token.proto.common.token.AccessBody.Resource.AllAddresses.fromObject(d.allAddresses);}if(d.allAccounts!=null){if(typeof d.allAccounts!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.allAccounts: object expected");m.allAccounts=$root.io.token.proto.common.token.AccessBody.Resource.AllAccounts.fromObject(d.allAccounts);}if(d.allTransactions!=null){if(typeof d.allTransactions!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.allTransactions: object expected");m.allTransactions=$root.io.token.proto.common.token.AccessBody.Resource.AllAccountTransactions.fromObject(d.allTransactions);}if(d.allBalances!=null){if(typeof d.allBalances!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.allBalances: object expected");m.allBalances=$root.io.token.proto.common.token.AccessBody.Resource.AllAccountBalances.fromObject(d.allBalances);}if(d.allTransferDestinations!=null){if(typeof d.allTransferDestinations!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.allTransferDestinations: object expected");m.allTransferDestinations=$root.io.token.proto.common.token.AccessBody.Resource.AllTransferDestinations.fromObject(d.allTransferDestinations);}if(d.address!=null){if(typeof d.address!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.address: object expected");m.address=$root.io.token.proto.common.token.AccessBody.Resource.Address.fromObject(d.address);}if(d.account!=null){if(typeof d.account!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.account: object expected");m.account=$root.io.token.proto.common.token.AccessBody.Resource.Account.fromObject(d.account);}if(d.transactions!=null){if(typeof d.transactions!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.transactions: object expected");m.transactions=$root.io.token.proto.common.token.AccessBody.Resource.AccountTransactions.fromObject(d.transactions);}if(d.balance!=null){if(typeof d.balance!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.balance: object expected");m.balance=$root.io.token.proto.common.token.AccessBody.Resource.AccountBalance.fromObject(d.balance);}if(d.transferDestinations!=null){if(typeof d.transferDestinations!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.transferDestinations: object expected");m.transferDestinations=$root.io.token.proto.common.token.AccessBody.Resource.TransferDestinations.fromObject(d.transferDestinations);}if(d.allAccountsAtBank!=null){if(typeof d.allAccountsAtBank!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.allAccountsAtBank: object expected");m.allAccountsAtBank=$root.io.token.proto.common.token.AccessBody.Resource.AllAccountsAtBank.fromObject(d.allAccountsAtBank);}if(d.allTransactionsAtBank!=null){if(typeof d.allTransactionsAtBank!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.allTransactionsAtBank: object expected");m.allTransactionsAtBank=$root.io.token.proto.common.token.AccessBody.Resource.AllTransactionsAtBank.fromObject(d.allTransactionsAtBank);}if(d.allBalancesAtBank!=null){if(typeof d.allBalancesAtBank!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.allBalancesAtBank: object expected");m.allBalancesAtBank=$root.io.token.proto.common.token.AccessBody.Resource.AllBalancesAtBank.fromObject(d.allBalancesAtBank);}if(d.allTransferDestinationsAtBank!=null){if(typeof d.allTransferDestinationsAtBank!=="object")throw TypeError(".io.token.proto.common.token.AccessBody.Resource.allTransferDestinationsAtBank: object expected");m.allTransferDestinationsAtBank=$root.io.token.proto.common.token.AccessBody.Resource.AllTransferDestinationsAtBank.fromObject(d.allTransferDestinationsAtBank);}return m;};Resource.toObject=function toObject(m,o){if(!o)o={};var d={};if(m.allAddresses!=null&&m.hasOwnProperty("allAddresses")){d.allAddresses=$root.io.token.proto.common.token.AccessBody.Resource.AllAddresses.toObject(m.allAddresses,o);if(o.oneofs)d.resource="allAddresses";}if(m.allAccounts!=null&&m.hasOwnProperty("allAccounts")){d.allAccounts=$root.io.token.proto.common.token.AccessBody.Resource.AllAccounts.toObject(m.allAccounts,o);if(o.oneofs)d.resource="allAccounts";}if(m.allTransactions!=null&&m.hasOwnProperty("allTransactions")){d.allTransactions=$root.io.token.proto.common.token.AccessBody.Resource.AllAccountTransactions.toObject(m.allTransactions,o);if(o.oneofs)d.resource="allTransactions";}if(m.allBalances!=null&&m.hasOwnProperty("allBalances")){d.allBalances=$root.io.token.proto.common.token.AccessBody.Resource.AllAccountBalances.toObject(m.allBalances,o);if(o.oneofs)d.resource="allBalances";}if(m.address!=null&&m.hasOwnProperty("address")){d.address=$root.io.token.proto.common.token.AccessBody.Resource.Address.toObject(m.address,o);if(o.oneofs)d.resource="address";}if(m.account!=null&&m.hasOwnProperty("account")){d.account=$root.io.token.proto.common.token.AccessBody.Resource.Account.toObject(m.account,o);if(o.oneofs)d.resource="account";}if(m.transactions!=null&&m.hasOwnProperty("transactions")){d.transactions=$root.io.token.proto.common.token.AccessBody.Resource.AccountTransactions.toObject(m.transactions,o);if(o.oneofs)d.resource="transactions";}if(m.balance!=null&&m.hasOwnProperty("balance")){d.balance=$root.io.token.proto.common.token.AccessBody.Resource.AccountBalance.toObject(m.balance,o);if(o.oneofs)d.resource="balance";}if(m.allAccountsAtBank!=null&&m.hasOwnProperty("allAccountsAtBank")){d.allAccountsAtBank=$root.io.token.proto.common.token.AccessBody.Resource.AllAccountsAtBank.toObject(m.allAccountsAtBank,o);if(o.oneofs)d.resource="allAccountsAtBank";}if(m.allTransactionsAtBank!=null&&m.hasOwnProperty("allTransactionsAtBank")){d.allTransactionsAtBank=$root.io.token.proto.common.token.AccessBody.Resource.AllTransactionsAtBank.toObject(m.allTransactionsAtBank,o);if(o.oneofs)d.resource="allTransactionsAtBank";}if(m.allBalancesAtBank!=null&&m.hasOwnProperty("allBalancesAtBank")){d.allBalancesAtBank=$root.io.token.proto.common.token.AccessBody.Resource.AllBalancesAtBank.toObject(m.allBalancesAtBank,o);if(o.oneofs)d.resource="allBalancesAtBank";}if(m.transferDestinations!=null&&m.hasOwnProperty("transferDestinations")){d.transferDestinations=$root.io.token.proto.common.token.AccessBody.Resource.TransferDestinations.toObject(m.transferDestinations,o);if(o.oneofs)d.resource="transferDestinations";}if(m.allTransferDestinations!=null&&m.hasOwnProperty("allTransferDestinations")){d.allTransferDestinations=$root.io.token.proto.common.token.AccessBody.Resource.AllTransferDestinations.toObject(m.allTransferDestinations,o);if(o.oneofs)d.resource="allTransferDestinations";}if(m.allTransferDestinationsAtBank!=null&&m.hasOwnProperty("allTransferDestinationsAtBank")){d.allTransferDestinationsAtBank=$root.io.token.proto.common.token.AccessBody.Resource.AllTransferDestinationsAtBank.toObject(m.allTransferDestinationsAtBank,o);if(o.oneofs)d.resource="allTransferDestinationsAtBank";}return d;};Resource.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};Resource.AllAddresses=function(){function AllAddresses(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AllAddresses.create=function create(properties){return new AllAddresses(properties);};AllAddresses.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.AllAddresses)return d;return new $root.io.token.proto.common.token.AccessBody.Resource.AllAddresses();};AllAddresses.toObject=function toObject(){return {};};AllAddresses.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AllAddresses;}();Resource.Address=function(){function Address(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Address.prototype.addressId="";Address.create=function create(properties){return new Address(properties);};Address.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.Address)return d;var m=new $root.io.token.proto.common.token.AccessBody.Resource.Address();if(d.addressId!=null){m.addressId=String(d.addressId);}return m;};Address.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.addressId="";}if(m.addressId!=null&&m.hasOwnProperty("addressId")){d.addressId=m.addressId;}return d;};Address.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Address;}();Resource.AllAccounts=function(){function AllAccounts(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AllAccounts.create=function create(properties){return new AllAccounts(properties);};AllAccounts.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.AllAccounts)return d;return new $root.io.token.proto.common.token.AccessBody.Resource.AllAccounts();};AllAccounts.toObject=function toObject(){return {};};AllAccounts.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AllAccounts;}();Resource.AllAccountsAtBank=function(){function AllAccountsAtBank(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AllAccountsAtBank.prototype.bankId="";AllAccountsAtBank.create=function create(properties){return new AllAccountsAtBank(properties);};AllAccountsAtBank.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.AllAccountsAtBank)return d;var m=new $root.io.token.proto.common.token.AccessBody.Resource.AllAccountsAtBank();if(d.bankId!=null){m.bankId=String(d.bankId);}return m;};AllAccountsAtBank.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.bankId="";}if(m.bankId!=null&&m.hasOwnProperty("bankId")){d.bankId=m.bankId;}return d;};AllAccountsAtBank.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AllAccountsAtBank;}();Resource.Account=function(){function Account(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Account.prototype.accountId="";Account.create=function create(properties){return new Account(properties);};Account.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.Account)return d;var m=new $root.io.token.proto.common.token.AccessBody.Resource.Account();if(d.accountId!=null){m.accountId=String(d.accountId);}return m;};Account.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.accountId="";}if(m.accountId!=null&&m.hasOwnProperty("accountId")){d.accountId=m.accountId;}return d;};Account.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Account;}();Resource.AllAccountTransactions=function(){function AllAccountTransactions(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AllAccountTransactions.create=function create(properties){return new AllAccountTransactions(properties);};AllAccountTransactions.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.AllAccountTransactions)return d;return new $root.io.token.proto.common.token.AccessBody.Resource.AllAccountTransactions();};AllAccountTransactions.toObject=function toObject(){return {};};AllAccountTransactions.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AllAccountTransactions;}();Resource.AllTransactionsAtBank=function(){function AllTransactionsAtBank(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AllTransactionsAtBank.prototype.bankId="";AllTransactionsAtBank.create=function create(properties){return new AllTransactionsAtBank(properties);};AllTransactionsAtBank.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.AllTransactionsAtBank)return d;var m=new $root.io.token.proto.common.token.AccessBody.Resource.AllTransactionsAtBank();if(d.bankId!=null){m.bankId=String(d.bankId);}return m;};AllTransactionsAtBank.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.bankId="";}if(m.bankId!=null&&m.hasOwnProperty("bankId")){d.bankId=m.bankId;}return d;};AllTransactionsAtBank.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AllTransactionsAtBank;}();Resource.AccountTransactions=function(){function AccountTransactions(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AccountTransactions.prototype.accountId="";AccountTransactions.create=function create(properties){return new AccountTransactions(properties);};AccountTransactions.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.AccountTransactions)return d;var m=new $root.io.token.proto.common.token.AccessBody.Resource.AccountTransactions();if(d.accountId!=null){m.accountId=String(d.accountId);}return m;};AccountTransactions.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.accountId="";}if(m.accountId!=null&&m.hasOwnProperty("accountId")){d.accountId=m.accountId;}return d;};AccountTransactions.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AccountTransactions;}();Resource.AllAccountBalances=function(){function AllAccountBalances(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AllAccountBalances.create=function create(properties){return new AllAccountBalances(properties);};AllAccountBalances.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.AllAccountBalances)return d;return new $root.io.token.proto.common.token.AccessBody.Resource.AllAccountBalances();};AllAccountBalances.toObject=function toObject(){return {};};AllAccountBalances.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AllAccountBalances;}();Resource.AllBalancesAtBank=function(){function AllBalancesAtBank(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AllBalancesAtBank.prototype.bankId="";AllBalancesAtBank.create=function create(properties){return new AllBalancesAtBank(properties);};AllBalancesAtBank.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.AllBalancesAtBank)return d;var m=new $root.io.token.proto.common.token.AccessBody.Resource.AllBalancesAtBank();if(d.bankId!=null){m.bankId=String(d.bankId);}return m;};AllBalancesAtBank.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.bankId="";}if(m.bankId!=null&&m.hasOwnProperty("bankId")){d.bankId=m.bankId;}return d;};AllBalancesAtBank.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AllBalancesAtBank;}();Resource.AccountBalance=function(){function AccountBalance(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AccountBalance.prototype.accountId="";AccountBalance.create=function create(properties){return new AccountBalance(properties);};AccountBalance.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.AccountBalance)return d;var m=new $root.io.token.proto.common.token.AccessBody.Resource.AccountBalance();if(d.accountId!=null){m.accountId=String(d.accountId);}return m;};AccountBalance.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.accountId="";}if(m.accountId!=null&&m.hasOwnProperty("accountId")){d.accountId=m.accountId;}return d;};AccountBalance.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AccountBalance;}();Resource.AllTransferDestinations=function(){function AllTransferDestinations(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AllTransferDestinations.create=function create(properties){return new AllTransferDestinations(properties);};AllTransferDestinations.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.AllTransferDestinations)return d;return new $root.io.token.proto.common.token.AccessBody.Resource.AllTransferDestinations();};AllTransferDestinations.toObject=function toObject(){return {};};AllTransferDestinations.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AllTransferDestinations;}();Resource.AllTransferDestinationsAtBank=function(){function AllTransferDestinationsAtBank(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}AllTransferDestinationsAtBank.prototype.bankId="";AllTransferDestinationsAtBank.create=function create(properties){return new AllTransferDestinationsAtBank(properties);};AllTransferDestinationsAtBank.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.AllTransferDestinationsAtBank)return d;var m=new $root.io.token.proto.common.token.AccessBody.Resource.AllTransferDestinationsAtBank();if(d.bankId!=null){m.bankId=String(d.bankId);}return m;};AllTransferDestinationsAtBank.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.bankId="";}if(m.bankId!=null&&m.hasOwnProperty("bankId")){d.bankId=m.bankId;}return d;};AllTransferDestinationsAtBank.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return AllTransferDestinationsAtBank;}();Resource.TransferDestinations=function(){function TransferDestinations(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TransferDestinations.prototype.accountId="";TransferDestinations.create=function create(properties){return new TransferDestinations(properties);};TransferDestinations.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.AccessBody.Resource.TransferDestinations)return d;var m=new $root.io.token.proto.common.token.AccessBody.Resource.TransferDestinations();if(d.accountId!=null){m.accountId=String(d.accountId);}return m;};TransferDestinations.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.accountId="";}if(m.accountId!=null&&m.hasOwnProperty("accountId")){d.accountId=m.accountId;}return d;};TransferDestinations.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TransferDestinations;}();return Resource;}();return AccessBody;}();token.TokenOperationResult=function(){function TokenOperationResult(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TokenOperationResult.prototype.token=null;TokenOperationResult.prototype.status=0;TokenOperationResult.create=function create(properties){return new TokenOperationResult(properties);};TokenOperationResult.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.TokenOperationResult)return d;var m=new $root.io.token.proto.common.token.TokenOperationResult();if(d.token!=null){if(typeof d.token!=="object")throw TypeError(".io.token.proto.common.token.TokenOperationResult.token: object expected");m.token=$root.io.token.proto.common.token.Token.fromObject(d.token);}switch(d.status){case"INVALID":case 0:m.status=0;break;case"SUCCESS":case 1:m.status=1;break;case"MORE_SIGNATURES_NEEDED":case 2:m.status=2;break;}return m;};TokenOperationResult.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.token=null;d.status=o.enums===String?"INVALID":0;}if(m.token!=null&&m.hasOwnProperty("token")){d.token=$root.io.token.proto.common.token.Token.toObject(m.token,o);}if(m.status!=null&&m.hasOwnProperty("status")){d.status=o.enums===String?$root.io.token.proto.common.token.TokenOperationResult.Status[m.status]:m.status;}return d;};TokenOperationResult.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};TokenOperationResult.Status=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="SUCCESS"]=1;values[valuesById[2]="MORE_SIGNATURES_NEEDED"]=2;return values;}();return TokenOperationResult;}();token.TokenRequestStatePayload=function(){function TokenRequestStatePayload(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TokenRequestStatePayload.prototype.tokenId="";TokenRequestStatePayload.prototype.state="";TokenRequestStatePayload.create=function create(properties){return new TokenRequestStatePayload(properties);};TokenRequestStatePayload.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.token.TokenRequestStatePayload)return d;var m=new $root.io.token.proto.common.token.TokenRequestStatePayload();if(d.tokenId!=null){m.tokenId=String(d.tokenId);}if(d.state!=null){m.state=String(d.state);}return m;};TokenRequestStatePayload.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.tokenId="";d.state="";}if(m.tokenId!=null&&m.hasOwnProperty("tokenId")){d.tokenId=m.tokenId;}if(m.state!=null&&m.hasOwnProperty("state")){d.state=m.state;}return d;};TokenRequestStatePayload.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TokenRequestStatePayload;}();return token;}();common.pricing=function(){const pricing={};pricing.TransferQuote=function(){function TransferQuote(p){this.fees=[];this.rates=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TransferQuote.prototype.id="";TransferQuote.prototype.accountCurrency="";TransferQuote.prototype.feesTotal="";TransferQuote.prototype.fees=$util.emptyArray;TransferQuote.prototype.rates=$util.emptyArray;TransferQuote.prototype.expiresAtMs=$util.Long?$util.Long.fromBits(0,0,false):0;TransferQuote.create=function create(properties){return new TransferQuote(properties);};TransferQuote.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.pricing.TransferQuote)return d;var m=new $root.io.token.proto.common.pricing.TransferQuote();if(d.id!=null){m.id=String(d.id);}if(d.accountCurrency!=null){m.accountCurrency=String(d.accountCurrency);}if(d.feesTotal!=null){m.feesTotal=String(d.feesTotal);}if(d.fees){if(!_Array$isArray(d.fees))throw TypeError(".io.token.proto.common.pricing.TransferQuote.fees: array expected");m.fees=[];for(var i=0;i<d.fees.length;++i){if(typeof d.fees[i]!=="object")throw TypeError(".io.token.proto.common.pricing.TransferQuote.fees: object expected");m.fees[i]=$root.io.token.proto.common.pricing.TransferQuote.Fee.fromObject(d.fees[i]);}}if(d.rates){if(!_Array$isArray(d.rates))throw TypeError(".io.token.proto.common.pricing.TransferQuote.rates: array expected");m.rates=[];for(var i=0;i<d.rates.length;++i){if(typeof d.rates[i]!=="object")throw TypeError(".io.token.proto.common.pricing.TransferQuote.rates: object expected");m.rates[i]=$root.io.token.proto.common.pricing.TransferQuote.FxRate.fromObject(d.rates[i]);}}if(d.expiresAtMs!=null){if($util.Long)(m.expiresAtMs=$util.Long.fromValue(d.expiresAtMs)).unsigned=false;else if(typeof d.expiresAtMs==="string")m.expiresAtMs=_parseInt(d.expiresAtMs,10);else if(typeof d.expiresAtMs==="number")m.expiresAtMs=d.expiresAtMs;else if(typeof d.expiresAtMs==="object")m.expiresAtMs=new $util.LongBits(d.expiresAtMs.low>>>0,d.expiresAtMs.high>>>0).toNumber();}return m;};TransferQuote.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.fees=[];d.rates=[];}if(o.defaults){d.id="";d.accountCurrency="";d.feesTotal="";if($util.Long){var n=new $util.Long(0,0,false);d.expiresAtMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.expiresAtMs=o.longs===String?"0":0;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.accountCurrency!=null&&m.hasOwnProperty("accountCurrency")){d.accountCurrency=m.accountCurrency;}if(m.feesTotal!=null&&m.hasOwnProperty("feesTotal")){d.feesTotal=m.feesTotal;}if(m.fees&&m.fees.length){d.fees=[];for(var j=0;j<m.fees.length;++j){d.fees[j]=$root.io.token.proto.common.pricing.TransferQuote.Fee.toObject(m.fees[j],o);}}if(m.rates&&m.rates.length){d.rates=[];for(var j=0;j<m.rates.length;++j){d.rates[j]=$root.io.token.proto.common.pricing.TransferQuote.FxRate.toObject(m.rates[j],o);}}if(m.expiresAtMs!=null&&m.hasOwnProperty("expiresAtMs")){if(typeof m.expiresAtMs==="number")d.expiresAtMs=o.longs===String?String(m.expiresAtMs):m.expiresAtMs;else d.expiresAtMs=o.longs===String?$util.Long.prototype.toString.call(m.expiresAtMs):o.longs===Number?new $util.LongBits(m.expiresAtMs.low>>>0,m.expiresAtMs.high>>>0).toNumber():m.expiresAtMs;}return d;};TransferQuote.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};TransferQuote.Fee=function(){function Fee(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Fee.prototype.amount="";Fee.prototype.description="";Fee.create=function create(properties){return new Fee(properties);};Fee.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.pricing.TransferQuote.Fee)return d;var m=new $root.io.token.proto.common.pricing.TransferQuote.Fee();if(d.amount!=null){m.amount=String(d.amount);}if(d.description!=null){m.description=String(d.description);}return m;};Fee.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.amount="";d.description="";}if(m.amount!=null&&m.hasOwnProperty("amount")){d.amount=m.amount;}if(m.description!=null&&m.hasOwnProperty("description")){d.description=m.description;}return d;};Fee.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Fee;}();TransferQuote.FxRate=function(){function FxRate(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}FxRate.prototype.baseCurrency="";FxRate.prototype.quoteCurrency="";FxRate.prototype.rate="";FxRate.create=function create(properties){return new FxRate(properties);};FxRate.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.pricing.TransferQuote.FxRate)return d;var m=new $root.io.token.proto.common.pricing.TransferQuote.FxRate();if(d.baseCurrency!=null){m.baseCurrency=String(d.baseCurrency);}if(d.quoteCurrency!=null){m.quoteCurrency=String(d.quoteCurrency);}if(d.rate!=null){m.rate=String(d.rate);}return m;};FxRate.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.baseCurrency="";d.quoteCurrency="";d.rate="";}if(m.baseCurrency!=null&&m.hasOwnProperty("baseCurrency")){d.baseCurrency=m.baseCurrency;}if(m.quoteCurrency!=null&&m.hasOwnProperty("quoteCurrency")){d.quoteCurrency=m.quoteCurrency;}if(m.rate!=null&&m.hasOwnProperty("rate")){d.rate=m.rate;}return d;};FxRate.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return FxRate;}();return TransferQuote;}();pricing.Pricing=function(){function Pricing(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Pricing.prototype.sourceQuote=null;Pricing.prototype.destinationQuote=null;Pricing.prototype.instructions=null;Pricing.create=function create(properties){return new Pricing(properties);};Pricing.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.pricing.Pricing)return d;var m=new $root.io.token.proto.common.pricing.Pricing();if(d.sourceQuote!=null){if(typeof d.sourceQuote!=="object")throw TypeError(".io.token.proto.common.pricing.Pricing.sourceQuote: object expected");m.sourceQuote=$root.io.token.proto.common.pricing.TransferQuote.fromObject(d.sourceQuote);}if(d.destinationQuote!=null){if(typeof d.destinationQuote!=="object")throw TypeError(".io.token.proto.common.pricing.Pricing.destinationQuote: object expected");m.destinationQuote=$root.io.token.proto.common.pricing.TransferQuote.fromObject(d.destinationQuote);}if(d.instructions!=null){if(typeof d.instructions!=="object")throw TypeError(".io.token.proto.common.pricing.Pricing.instructions: object expected");m.instructions=$root.io.token.proto.common.pricing.PricingInstructions.fromObject(d.instructions);}return m;};Pricing.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.sourceQuote=null;d.destinationQuote=null;d.instructions=null;}if(m.sourceQuote!=null&&m.hasOwnProperty("sourceQuote")){d.sourceQuote=$root.io.token.proto.common.pricing.TransferQuote.toObject(m.sourceQuote,o);}if(m.destinationQuote!=null&&m.hasOwnProperty("destinationQuote")){d.destinationQuote=$root.io.token.proto.common.pricing.TransferQuote.toObject(m.destinationQuote,o);}if(m.instructions!=null&&m.hasOwnProperty("instructions")){d.instructions=$root.io.token.proto.common.pricing.PricingInstructions.toObject(m.instructions,o);}return d;};Pricing.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Pricing;}();pricing.FeeResponsibility=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_FEE"]=0;values[valuesById[1]="SOURCE_FEE"]=1;values[valuesById[2]="DESTINATION_FEE"]=2;values[valuesById[3]="SHARED_FEE"]=3;return values;}();pricing.FxResponsibility=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_FX"]=0;values[valuesById[1]="SOURCE_FX"]=1;values[valuesById[2]="SHARED_FX"]=2;return values;}();pricing.PricingInstructions=function(){function PricingInstructions(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}PricingInstructions.prototype.feesPaidBy=0;PricingInstructions.prototype.fxPerformedBy=0;PricingInstructions.create=function create(properties){return new PricingInstructions(properties);};PricingInstructions.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.pricing.PricingInstructions)return d;var m=new $root.io.token.proto.common.pricing.PricingInstructions();switch(d.feesPaidBy){case"INVALID_FEE":case 0:m.feesPaidBy=0;break;case"SOURCE_FEE":case 1:m.feesPaidBy=1;break;case"DESTINATION_FEE":case 2:m.feesPaidBy=2;break;case"SHARED_FEE":case 3:m.feesPaidBy=3;break;}switch(d.fxPerformedBy){case"INVALID_FX":case 0:m.fxPerformedBy=0;break;case"SOURCE_FX":case 1:m.fxPerformedBy=1;break;case"SHARED_FX":case 2:m.fxPerformedBy=2;break;}return m;};PricingInstructions.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.feesPaidBy=o.enums===String?"INVALID_FEE":0;d.fxPerformedBy=o.enums===String?"INVALID_FX":0;}if(m.feesPaidBy!=null&&m.hasOwnProperty("feesPaidBy")){d.feesPaidBy=o.enums===String?$root.io.token.proto.common.pricing.FeeResponsibility[m.feesPaidBy]:m.feesPaidBy;}if(m.fxPerformedBy!=null&&m.hasOwnProperty("fxPerformedBy")){d.fxPerformedBy=o.enums===String?$root.io.token.proto.common.pricing.FxResponsibility[m.fxPerformedBy]:m.fxPerformedBy;}return d;};PricingInstructions.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return PricingInstructions;}();return pricing;}();common.transfer=function(){const transfer={};transfer.Transfer=function(){function Transfer(p){this.payloadSignatures=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Transfer.prototype.id="";Transfer.prototype.transactionId="";Transfer.prototype.createdAtMs=$util.Long?$util.Long.fromBits(0,0,false):0;Transfer.prototype.payload=null;Transfer.prototype.payloadSignatures=$util.emptyArray;Transfer.prototype.status=0;Transfer.prototype.orderId="";Transfer.prototype.method=0;Transfer.create=function create(properties){return new Transfer(properties);};Transfer.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.transfer.Transfer)return d;var m=new $root.io.token.proto.common.transfer.Transfer();if(d.id!=null){m.id=String(d.id);}if(d.transactionId!=null){m.transactionId=String(d.transactionId);}if(d.createdAtMs!=null){if($util.Long)(m.createdAtMs=$util.Long.fromValue(d.createdAtMs)).unsigned=false;else if(typeof d.createdAtMs==="string")m.createdAtMs=_parseInt(d.createdAtMs,10);else if(typeof d.createdAtMs==="number")m.createdAtMs=d.createdAtMs;else if(typeof d.createdAtMs==="object")m.createdAtMs=new $util.LongBits(d.createdAtMs.low>>>0,d.createdAtMs.high>>>0).toNumber();}if(d.payload!=null){if(typeof d.payload!=="object")throw TypeError(".io.token.proto.common.transfer.Transfer.payload: object expected");m.payload=$root.io.token.proto.common.transfer.TransferPayload.fromObject(d.payload);}if(d.payloadSignatures){if(!_Array$isArray(d.payloadSignatures))throw TypeError(".io.token.proto.common.transfer.Transfer.payloadSignatures: array expected");m.payloadSignatures=[];for(var i=0;i<d.payloadSignatures.length;++i){if(typeof d.payloadSignatures[i]!=="object")throw TypeError(".io.token.proto.common.transfer.Transfer.payloadSignatures: object expected");m.payloadSignatures[i]=$root.io.token.proto.common.security.Signature.fromObject(d.payloadSignatures[i]);}}switch(d.status){case"INVALID_STATUS":case 0:m.status=0;break;case"PENDING":case 1:m.status=1;break;case"PROCESSING":case 7:m.status=7;break;case"SUCCESS":case 2:m.status=2;break;case"PENDING_EXTERNAL_AUTHORIZATION":case 15:m.status=15;break;case"FAILURE_CANCELED":case 10:m.status=10;break;case"FAILURE_INSUFFICIENT_FUNDS":case 3:m.status=3;break;case"FAILURE_INVALID_CURRENCY":case 4:m.status=4;break;case"FAILURE_PERMISSION_DENIED":case 6:m.status=6;break;case"FAILURE_QUOTE_EXPIRED":case 11:m.status=11;break;case"FAILURE_INVALID_AMOUNT":case 12:m.status=12;break;case"FAILURE_INVALID_QUOTE":case 13:m.status=13;break;case"FAILURE_EXPIRED":case 14:m.status=14;break;case"FAILURE_GENERIC":case 5:m.status=5;break;case"SENT":case 16:m.status=16;break;case"INITIATED":case 17:m.status=17;break;}if(d.orderId!=null){m.orderId=String(d.orderId);}switch(d.method){case"DEFAULT":case 0:m.method=0;break;case"INSTANT":case 1:m.method=1;break;}return m;};Transfer.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.payloadSignatures=[];}if(o.defaults){d.id="";d.transactionId="";if($util.Long){var n=new $util.Long(0,0,false);d.createdAtMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.createdAtMs=o.longs===String?"0":0;d.payload=null;d.status=o.enums===String?"INVALID_STATUS":0;d.orderId="";d.method=o.enums===String?"DEFAULT":0;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.transactionId!=null&&m.hasOwnProperty("transactionId")){d.transactionId=m.transactionId;}if(m.createdAtMs!=null&&m.hasOwnProperty("createdAtMs")){if(typeof m.createdAtMs==="number")d.createdAtMs=o.longs===String?String(m.createdAtMs):m.createdAtMs;else d.createdAtMs=o.longs===String?$util.Long.prototype.toString.call(m.createdAtMs):o.longs===Number?new $util.LongBits(m.createdAtMs.low>>>0,m.createdAtMs.high>>>0).toNumber():m.createdAtMs;}if(m.payload!=null&&m.hasOwnProperty("payload")){d.payload=$root.io.token.proto.common.transfer.TransferPayload.toObject(m.payload,o);}if(m.payloadSignatures&&m.payloadSignatures.length){d.payloadSignatures=[];for(var j=0;j<m.payloadSignatures.length;++j){d.payloadSignatures[j]=$root.io.token.proto.common.security.Signature.toObject(m.payloadSignatures[j],o);}}if(m.status!=null&&m.hasOwnProperty("status")){d.status=o.enums===String?$root.io.token.proto.common.transaction.TransactionStatus[m.status]:m.status;}if(m.orderId!=null&&m.hasOwnProperty("orderId")){d.orderId=m.orderId;}if(m.method!=null&&m.hasOwnProperty("method")){d.method=o.enums===String?$root.io.token.proto.common.transfer.Transfer.Method[m.method]:m.method;}return d;};Transfer.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};Transfer.Method=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="DEFAULT"]=0;values[valuesById[1]="INSTANT"]=1;return values;}();return Transfer;}();transfer.TransferPayload=function(){function TransferPayload(p){this.destinations=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TransferPayload.prototype.refId="";TransferPayload.prototype.tokenId="";TransferPayload.prototype.amount=null;TransferPayload.prototype.destinations=$util.emptyArray;TransferPayload.prototype.description="";TransferPayload.create=function create(properties){return new TransferPayload(properties);};TransferPayload.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.transfer.TransferPayload)return d;var m=new $root.io.token.proto.common.transfer.TransferPayload();if(d.refId!=null){m.refId=String(d.refId);}if(d.tokenId!=null){m.tokenId=String(d.tokenId);}if(d.amount!=null){if(typeof d.amount!=="object")throw TypeError(".io.token.proto.common.transfer.TransferPayload.amount: object expected");m.amount=$root.io.token.proto.common.money.Money.fromObject(d.amount);}if(d.destinations){if(!_Array$isArray(d.destinations))throw TypeError(".io.token.proto.common.transfer.TransferPayload.destinations: array expected");m.destinations=[];for(var i=0;i<d.destinations.length;++i){if(typeof d.destinations[i]!=="object")throw TypeError(".io.token.proto.common.transfer.TransferPayload.destinations: object expected");m.destinations[i]=$root.io.token.proto.common.transferinstructions.TransferEndpoint.fromObject(d.destinations[i]);}}if(d.description!=null){m.description=String(d.description);}return m;};TransferPayload.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.destinations=[];}if(o.defaults){d.refId="";d.tokenId="";d.amount=null;d.description="";}if(m.refId!=null&&m.hasOwnProperty("refId")){d.refId=m.refId;}if(m.tokenId!=null&&m.hasOwnProperty("tokenId")){d.tokenId=m.tokenId;}if(m.amount!=null&&m.hasOwnProperty("amount")){d.amount=$root.io.token.proto.common.money.Money.toObject(m.amount,o);}if(m.destinations&&m.destinations.length){d.destinations=[];for(var j=0;j<m.destinations.length;++j){d.destinations[j]=$root.io.token.proto.common.transferinstructions.TransferEndpoint.toObject(m.destinations[j],o);}}if(m.description!=null&&m.hasOwnProperty("description")){d.description=m.description;}return d;};TransferPayload.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TransferPayload;}();return transfer;}();common.transaction=function(){const transaction={};transaction.TransactionType=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_TYPE"]=0;values[valuesById[1]="DEBIT"]=1;values[valuesById[2]="CREDIT"]=2;return values;}();transaction.TransactionStatus=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_STATUS"]=0;values[valuesById[1]="PENDING"]=1;values[valuesById[7]="PROCESSING"]=7;values[valuesById[2]="SUCCESS"]=2;values[valuesById[15]="PENDING_EXTERNAL_AUTHORIZATION"]=15;values[valuesById[10]="FAILURE_CANCELED"]=10;values[valuesById[3]="FAILURE_INSUFFICIENT_FUNDS"]=3;values[valuesById[4]="FAILURE_INVALID_CURRENCY"]=4;values[valuesById[6]="FAILURE_PERMISSION_DENIED"]=6;values[valuesById[11]="FAILURE_QUOTE_EXPIRED"]=11;values[valuesById[12]="FAILURE_INVALID_AMOUNT"]=12;values[valuesById[13]="FAILURE_INVALID_QUOTE"]=13;values[valuesById[14]="FAILURE_EXPIRED"]=14;values[valuesById[5]="FAILURE_GENERIC"]=5;values[valuesById[16]="SENT"]=16;values[valuesById[17]="INITIATED"]=17;return values;}();transaction.Transaction=function(){function Transaction(p){this.metadata={};if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Transaction.prototype.id="";Transaction.prototype.type=0;Transaction.prototype.status=0;Transaction.prototype.amount=null;Transaction.prototype.description="";Transaction.prototype.tokenId="";Transaction.prototype.tokenTransferId="";Transaction.prototype.createdAtMs=$util.Long?$util.Long.fromBits(0,0,false):0;Transaction.prototype.metadata=$util.emptyObject;Transaction.create=function create(properties){return new Transaction(properties);};Transaction.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.transaction.Transaction)return d;var m=new $root.io.token.proto.common.transaction.Transaction();if(d.id!=null){m.id=String(d.id);}switch(d.type){case"INVALID_TYPE":case 0:m.type=0;break;case"DEBIT":case 1:m.type=1;break;case"CREDIT":case 2:m.type=2;break;}switch(d.status){case"INVALID_STATUS":case 0:m.status=0;break;case"PENDING":case 1:m.status=1;break;case"PROCESSING":case 7:m.status=7;break;case"SUCCESS":case 2:m.status=2;break;case"PENDING_EXTERNAL_AUTHORIZATION":case 15:m.status=15;break;case"FAILURE_CANCELED":case 10:m.status=10;break;case"FAILURE_INSUFFICIENT_FUNDS":case 3:m.status=3;break;case"FAILURE_INVALID_CURRENCY":case 4:m.status=4;break;case"FAILURE_PERMISSION_DENIED":case 6:m.status=6;break;case"FAILURE_QUOTE_EXPIRED":case 11:m.status=11;break;case"FAILURE_INVALID_AMOUNT":case 12:m.status=12;break;case"FAILURE_INVALID_QUOTE":case 13:m.status=13;break;case"FAILURE_EXPIRED":case 14:m.status=14;break;case"FAILURE_GENERIC":case 5:m.status=5;break;case"SENT":case 16:m.status=16;break;case"INITIATED":case 17:m.status=17;break;}if(d.amount!=null){if(typeof d.amount!=="object")throw TypeError(".io.token.proto.common.transaction.Transaction.amount: object expected");m.amount=$root.io.token.proto.common.money.Money.fromObject(d.amount);}if(d.description!=null){m.description=String(d.description);}if(d.tokenId!=null){m.tokenId=String(d.tokenId);}if(d.tokenTransferId!=null){m.tokenTransferId=String(d.tokenTransferId);}if(d.createdAtMs!=null){if($util.Long)(m.createdAtMs=$util.Long.fromValue(d.createdAtMs)).unsigned=false;else if(typeof d.createdAtMs==="string")m.createdAtMs=_parseInt(d.createdAtMs,10);else if(typeof d.createdAtMs==="number")m.createdAtMs=d.createdAtMs;else if(typeof d.createdAtMs==="object")m.createdAtMs=new $util.LongBits(d.createdAtMs.low>>>0,d.createdAtMs.high>>>0).toNumber();}if(d.metadata){if(typeof d.metadata!=="object")throw TypeError(".io.token.proto.common.transaction.Transaction.metadata: object expected");m.metadata={};for(var ks=_Object$keys(d.metadata),i=0;i<ks.length;++i){m.metadata[ks[i]]=String(d.metadata[ks[i]]);}}return m;};Transaction.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.objects||o.defaults){d.metadata={};}if(o.defaults){d.id="";d.type=o.enums===String?"INVALID_TYPE":0;d.status=o.enums===String?"INVALID_STATUS":0;d.amount=null;d.description="";d.tokenId="";d.tokenTransferId="";if($util.Long){var n=new $util.Long(0,0,false);d.createdAtMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.createdAtMs=o.longs===String?"0":0;}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.type!=null&&m.hasOwnProperty("type")){d.type=o.enums===String?$root.io.token.proto.common.transaction.TransactionType[m.type]:m.type;}if(m.status!=null&&m.hasOwnProperty("status")){d.status=o.enums===String?$root.io.token.proto.common.transaction.TransactionStatus[m.status]:m.status;}if(m.amount!=null&&m.hasOwnProperty("amount")){d.amount=$root.io.token.proto.common.money.Money.toObject(m.amount,o);}if(m.description!=null&&m.hasOwnProperty("description")){d.description=m.description;}if(m.tokenId!=null&&m.hasOwnProperty("tokenId")){d.tokenId=m.tokenId;}if(m.tokenTransferId!=null&&m.hasOwnProperty("tokenTransferId")){d.tokenTransferId=m.tokenTransferId;}if(m.createdAtMs!=null&&m.hasOwnProperty("createdAtMs")){if(typeof m.createdAtMs==="number")d.createdAtMs=o.longs===String?String(m.createdAtMs):m.createdAtMs;else d.createdAtMs=o.longs===String?$util.Long.prototype.toString.call(m.createdAtMs):o.longs===Number?new $util.LongBits(m.createdAtMs.low>>>0,m.createdAtMs.high>>>0).toNumber():m.createdAtMs;}var ks2;if(m.metadata&&(ks2=_Object$keys(m.metadata)).length){d.metadata={};for(var j=0;j<ks2.length;++j){d.metadata[ks2[j]]=m.metadata[ks2[j]];}}return d;};Transaction.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Transaction;}();transaction.Balance=function(){function Balance(p){this.otherBalances=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Balance.prototype.accountId="";Balance.prototype.current=null;Balance.prototype.available=null;Balance.prototype.updatedAtMs=$util.Long?$util.Long.fromBits(0,0,false):0;Balance.prototype.otherBalances=$util.emptyArray;Balance.create=function create(properties){return new Balance(properties);};Balance.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.transaction.Balance)return d;var m=new $root.io.token.proto.common.transaction.Balance();if(d.accountId!=null){m.accountId=String(d.accountId);}if(d.current!=null){if(typeof d.current!=="object")throw TypeError(".io.token.proto.common.transaction.Balance.current: object expected");m.current=$root.io.token.proto.common.money.Money.fromObject(d.current);}if(d.available!=null){if(typeof d.available!=="object")throw TypeError(".io.token.proto.common.transaction.Balance.available: object expected");m.available=$root.io.token.proto.common.money.Money.fromObject(d.available);}if(d.updatedAtMs!=null){if($util.Long)(m.updatedAtMs=$util.Long.fromValue(d.updatedAtMs)).unsigned=false;else if(typeof d.updatedAtMs==="string")m.updatedAtMs=_parseInt(d.updatedAtMs,10);else if(typeof d.updatedAtMs==="number")m.updatedAtMs=d.updatedAtMs;else if(typeof d.updatedAtMs==="object")m.updatedAtMs=new $util.LongBits(d.updatedAtMs.low>>>0,d.updatedAtMs.high>>>0).toNumber();}if(d.otherBalances){if(!_Array$isArray(d.otherBalances))throw TypeError(".io.token.proto.common.transaction.Balance.otherBalances: array expected");m.otherBalances=[];for(var i=0;i<d.otherBalances.length;++i){if(typeof d.otherBalances[i]!=="object")throw TypeError(".io.token.proto.common.transaction.Balance.otherBalances: object expected");m.otherBalances[i]=$root.io.token.proto.common.transaction.Balance.TypedBalance.fromObject(d.otherBalances[i]);}}return m;};Balance.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.otherBalances=[];}if(o.defaults){d.accountId="";d.current=null;d.available=null;if($util.Long){var n=new $util.Long(0,0,false);d.updatedAtMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.updatedAtMs=o.longs===String?"0":0;}if(m.accountId!=null&&m.hasOwnProperty("accountId")){d.accountId=m.accountId;}if(m.current!=null&&m.hasOwnProperty("current")){d.current=$root.io.token.proto.common.money.Money.toObject(m.current,o);}if(m.available!=null&&m.hasOwnProperty("available")){d.available=$root.io.token.proto.common.money.Money.toObject(m.available,o);}if(m.updatedAtMs!=null&&m.hasOwnProperty("updatedAtMs")){if(typeof m.updatedAtMs==="number")d.updatedAtMs=o.longs===String?String(m.updatedAtMs):m.updatedAtMs;else d.updatedAtMs=o.longs===String?$util.Long.prototype.toString.call(m.updatedAtMs):o.longs===Number?new $util.LongBits(m.updatedAtMs.low>>>0,m.updatedAtMs.high>>>0).toNumber():m.updatedAtMs;}if(m.otherBalances&&m.otherBalances.length){d.otherBalances=[];for(var j=0;j<m.otherBalances.length;++j){d.otherBalances[j]=$root.io.token.proto.common.transaction.Balance.TypedBalance.toObject(m.otherBalances[j],o);}}return d;};Balance.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};Balance.TypedBalance=function(){function TypedBalance(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TypedBalance.prototype.type="";TypedBalance.prototype.amount=null;TypedBalance.prototype.updatedAtMs=$util.Long?$util.Long.fromBits(0,0,false):0;TypedBalance.create=function create(properties){return new TypedBalance(properties);};TypedBalance.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.transaction.Balance.TypedBalance)return d;var m=new $root.io.token.proto.common.transaction.Balance.TypedBalance();if(d.type!=null){m.type=String(d.type);}if(d.amount!=null){if(typeof d.amount!=="object")throw TypeError(".io.token.proto.common.transaction.Balance.TypedBalance.amount: object expected");m.amount=$root.io.token.proto.common.money.Money.fromObject(d.amount);}if(d.updatedAtMs!=null){if($util.Long)(m.updatedAtMs=$util.Long.fromValue(d.updatedAtMs)).unsigned=false;else if(typeof d.updatedAtMs==="string")m.updatedAtMs=_parseInt(d.updatedAtMs,10);else if(typeof d.updatedAtMs==="number")m.updatedAtMs=d.updatedAtMs;else if(typeof d.updatedAtMs==="object")m.updatedAtMs=new $util.LongBits(d.updatedAtMs.low>>>0,d.updatedAtMs.high>>>0).toNumber();}return m;};TypedBalance.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.type="";d.amount=null;if($util.Long){var n=new $util.Long(0,0,false);d.updatedAtMs=o.longs===String?n.toString():o.longs===Number?n.toNumber():n;}else d.updatedAtMs=o.longs===String?"0":0;}if(m.type!=null&&m.hasOwnProperty("type")){d.type=m.type;}if(m.amount!=null&&m.hasOwnProperty("amount")){d.amount=$root.io.token.proto.common.money.Money.toObject(m.amount,o);}if(m.updatedAtMs!=null&&m.hasOwnProperty("updatedAtMs")){if(typeof m.updatedAtMs==="number")d.updatedAtMs=o.longs===String?String(m.updatedAtMs):m.updatedAtMs;else d.updatedAtMs=o.longs===String?$util.Long.prototype.toString.call(m.updatedAtMs):o.longs===Number?new $util.LongBits(m.updatedAtMs.low>>>0,m.updatedAtMs.high>>>0).toNumber():m.updatedAtMs;}return d;};TypedBalance.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TypedBalance;}();return Balance;}();transaction.RequestStatus=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_REQUEST"]=0;values[valuesById[1]="SUCCESSFUL_REQUEST"]=1;values[valuesById[2]="MORE_SIGNATURES_NEEDED"]=2;return values;}();return transaction;}();common.transferinstructions=function(){const transferinstructions={};transferinstructions.PurposeOfPayment=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="OTHER"]=1;values[valuesById[2]="PERSONAL_EXPENSES"]=2;values[valuesById[3]="PURCHASE_OF_SHARES"]=3;values[valuesById[4]="TRANSFER_TO_YOUR_OWN_ACCOUNT"]=4;values[valuesById[5]="PURCHASE_OF_PROPERTY"]=5;values[valuesById[6]="FAMILY_MAINTENANCE"]=6;values[valuesById[7]="SAVINGS"]=7;return values;}();transferinstructions.PaymentContext=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID_CONTEXT"]=0;values[valuesById[1]="OTHER_CONTEXT"]=1;values[valuesById[2]="BILL_PAYMENT"]=2;values[valuesById[3]="ECOMMERCE_GOODS"]=3;values[valuesById[4]="ECOMMERCE_SERVICES"]=4;values[valuesById[5]="PERSON_TO_PERSON"]=5;return values;}();transferinstructions.CustomerData=function(){function CustomerData(p){this.legalNames=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}CustomerData.prototype.legalNames=$util.emptyArray;CustomerData.prototype.address=null;CustomerData.create=function create(properties){return new CustomerData(properties);};CustomerData.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.transferinstructions.CustomerData)return d;var m=new $root.io.token.proto.common.transferinstructions.CustomerData();if(d.legalNames){if(!_Array$isArray(d.legalNames))throw TypeError(".io.token.proto.common.transferinstructions.CustomerData.legalNames: array expected");m.legalNames=[];for(var i=0;i<d.legalNames.length;++i){m.legalNames[i]=String(d.legalNames[i]);}}if(d.address!=null){if(typeof d.address!=="object")throw TypeError(".io.token.proto.common.transferinstructions.CustomerData.address: object expected");m.address=$root.io.token.proto.common.address.Address.fromObject(d.address);}return m;};CustomerData.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.legalNames=[];}if(o.defaults){d.address=null;}if(m.legalNames&&m.legalNames.length){d.legalNames=[];for(var j=0;j<m.legalNames.length;++j){d.legalNames[j]=m.legalNames[j];}}if(m.address!=null&&m.hasOwnProperty("address")){d.address=$root.io.token.proto.common.address.Address.toObject(m.address,o);}return d;};CustomerData.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return CustomerData;}();transferinstructions.TransferEndpoint=function(){function TransferEndpoint(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TransferEndpoint.prototype.account=null;TransferEndpoint.prototype.customerData=null;TransferEndpoint.create=function create(properties){return new TransferEndpoint(properties);};TransferEndpoint.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.transferinstructions.TransferEndpoint)return d;var m=new $root.io.token.proto.common.transferinstructions.TransferEndpoint();if(d.account!=null){if(typeof d.account!=="object")throw TypeError(".io.token.proto.common.transferinstructions.TransferEndpoint.account: object expected");m.account=$root.io.token.proto.common.account.BankAccount.fromObject(d.account);}if(d.customerData!=null){if(typeof d.customerData!=="object")throw TypeError(".io.token.proto.common.transferinstructions.TransferEndpoint.customerData: object expected");m.customerData=$root.io.token.proto.common.transferinstructions.CustomerData.fromObject(d.customerData);}return m;};TransferEndpoint.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.account=null;d.customerData=null;}if(m.account!=null&&m.hasOwnProperty("account")){d.account=$root.io.token.proto.common.account.BankAccount.toObject(m.account,o);}if(m.customerData!=null&&m.hasOwnProperty("customerData")){d.customerData=$root.io.token.proto.common.transferinstructions.CustomerData.toObject(m.customerData,o);}return d;};TransferEndpoint.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return TransferEndpoint;}();transferinstructions.TransferInstructions=function(){function TransferInstructions(p){this.destinations=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}TransferInstructions.prototype.source=null;TransferInstructions.prototype.destinations=$util.emptyArray;TransferInstructions.prototype.metadata=null;TransferInstructions.create=function create(properties){return new TransferInstructions(properties);};TransferInstructions.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.transferinstructions.TransferInstructions)return d;var m=new $root.io.token.proto.common.transferinstructions.TransferInstructions();if(d.source!=null){if(typeof d.source!=="object")throw TypeError(".io.token.proto.common.transferinstructions.TransferInstructions.source: object expected");m.source=$root.io.token.proto.common.transferinstructions.TransferEndpoint.fromObject(d.source);}if(d.destinations){if(!_Array$isArray(d.destinations))throw TypeError(".io.token.proto.common.transferinstructions.TransferInstructions.destinations: array expected");m.destinations=[];for(var i=0;i<d.destinations.length;++i){if(typeof d.destinations[i]!=="object")throw TypeError(".io.token.proto.common.transferinstructions.TransferInstructions.destinations: object expected");m.destinations[i]=$root.io.token.proto.common.transferinstructions.TransferEndpoint.fromObject(d.destinations[i]);}}if(d.metadata!=null){if(typeof d.metadata!=="object")throw TypeError(".io.token.proto.common.transferinstructions.TransferInstructions.metadata: object expected");m.metadata=$root.io.token.proto.common.transferinstructions.TransferInstructions.Metadata.fromObject(d.metadata);}return m;};TransferInstructions.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.destinations=[];}if(o.defaults){d.source=null;d.metadata=null;}if(m.source!=null&&m.hasOwnProperty("source")){d.source=$root.io.token.proto.common.transferinstructions.TransferEndpoint.toObject(m.source,o);}if(m.destinations&&m.destinations.length){d.destinations=[];for(var j=0;j<m.destinations.length;++j){d.destinations[j]=$root.io.token.proto.common.transferinstructions.TransferEndpoint.toObject(m.destinations[j],o);}}if(m.metadata!=null&&m.hasOwnProperty("metadata")){d.metadata=$root.io.token.proto.common.transferinstructions.TransferInstructions.Metadata.toObject(m.metadata,o);}return d;};TransferInstructions.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};TransferInstructions.Metadata=function(){function Metadata(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Metadata.prototype.transferPurpose=0;Metadata.prototype.paymentContext=0;Metadata.prototype.merchantCategoryCode="";Metadata.prototype.merchantCustomerId="";Metadata.prototype.deliveryAddress=null;Metadata.create=function create(properties){return new Metadata(properties);};Metadata.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.transferinstructions.TransferInstructions.Metadata)return d;var m=new $root.io.token.proto.common.transferinstructions.TransferInstructions.Metadata();switch(d.transferPurpose){case"INVALID":case 0:m.transferPurpose=0;break;case"OTHER":case 1:m.transferPurpose=1;break;case"PERSONAL_EXPENSES":case 2:m.transferPurpose=2;break;case"PURCHASE_OF_SHARES":case 3:m.transferPurpose=3;break;case"TRANSFER_TO_YOUR_OWN_ACCOUNT":case 4:m.transferPurpose=4;break;case"PURCHASE_OF_PROPERTY":case 5:m.transferPurpose=5;break;case"FAMILY_MAINTENANCE":case 6:m.transferPurpose=6;break;case"SAVINGS":case 7:m.transferPurpose=7;break;}switch(d.paymentContext){case"INVALID_CONTEXT":case 0:m.paymentContext=0;break;case"OTHER_CONTEXT":case 1:m.paymentContext=1;break;case"BILL_PAYMENT":case 2:m.paymentContext=2;break;case"ECOMMERCE_GOODS":case 3:m.paymentContext=3;break;case"ECOMMERCE_SERVICES":case 4:m.paymentContext=4;break;case"PERSON_TO_PERSON":case 5:m.paymentContext=5;break;}if(d.merchantCategoryCode!=null){m.merchantCategoryCode=String(d.merchantCategoryCode);}if(d.merchantCustomerId!=null){m.merchantCustomerId=String(d.merchantCustomerId);}if(d.deliveryAddress!=null){if(typeof d.deliveryAddress!=="object")throw TypeError(".io.token.proto.common.transferinstructions.TransferInstructions.Metadata.deliveryAddress: object expected");m.deliveryAddress=$root.io.token.proto.common.address.Address.fromObject(d.deliveryAddress);}return m;};Metadata.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.transferPurpose=o.enums===String?"INVALID":0;d.paymentContext=o.enums===String?"INVALID_CONTEXT":0;d.merchantCategoryCode="";d.merchantCustomerId="";d.deliveryAddress=null;}if(m.transferPurpose!=null&&m.hasOwnProperty("transferPurpose")){d.transferPurpose=o.enums===String?$root.io.token.proto.common.transferinstructions.PurposeOfPayment[m.transferPurpose]:m.transferPurpose;}if(m.paymentContext!=null&&m.hasOwnProperty("paymentContext")){d.paymentContext=o.enums===String?$root.io.token.proto.common.transferinstructions.PaymentContext[m.paymentContext]:m.paymentContext;}if(m.merchantCategoryCode!=null&&m.hasOwnProperty("merchantCategoryCode")){d.merchantCategoryCode=m.merchantCategoryCode;}if(m.merchantCustomerId!=null&&m.hasOwnProperty("merchantCustomerId")){d.merchantCustomerId=m.merchantCustomerId;}if(m.deliveryAddress!=null&&m.hasOwnProperty("deliveryAddress")){d.deliveryAddress=$root.io.token.proto.common.address.Address.toObject(m.deliveryAddress,o);}return d;};Metadata.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Metadata;}();return TransferInstructions;}();return transferinstructions;}();common.subscriber=function(){const subscriber={};subscriber.Subscriber=function(){function Subscriber(p){this.handlerInstructions={};if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}Subscriber.prototype.id="";Subscriber.prototype.handler="";Subscriber.prototype.handlerInstructions=$util.emptyObject;Subscriber.create=function create(properties){return new Subscriber(properties);};Subscriber.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.common.subscriber.Subscriber)return d;var m=new $root.io.token.proto.common.subscriber.Subscriber();if(d.id!=null){m.id=String(d.id);}if(d.handler!=null){m.handler=String(d.handler);}if(d.handlerInstructions){if(typeof d.handlerInstructions!=="object")throw TypeError(".io.token.proto.common.subscriber.Subscriber.handlerInstructions: object expected");m.handlerInstructions={};for(var ks=_Object$keys(d.handlerInstructions),i=0;i<ks.length;++i){m.handlerInstructions[ks[i]]=String(d.handlerInstructions[ks[i]]);}}return m;};Subscriber.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.objects||o.defaults){d.handlerInstructions={};}if(o.defaults){d.id="";d.handler="";}if(m.id!=null&&m.hasOwnProperty("id")){d.id=m.id;}if(m.handler!=null&&m.hasOwnProperty("handler")){d.handler=m.handler;}var ks2;if(m.handlerInstructions&&(ks2=_Object$keys(m.handlerInstructions)).length){d.handlerInstructions={};for(var j=0;j<ks2.length;++j){d.handlerInstructions[ks2[j]]=m.handlerInstructions[ks2[j]];}}return d;};Subscriber.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return Subscriber;}();return subscriber;}();return common;}();proto.banklink=function(){const banklink={};banklink.BankAuthorization=function(){function BankAuthorization(p){this.accounts=[];if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}BankAuthorization.prototype.bankId="";BankAuthorization.prototype.accounts=$util.emptyArray;BankAuthorization.create=function create(properties){return new BankAuthorization(properties);};BankAuthorization.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.banklink.BankAuthorization)return d;var m=new $root.io.token.proto.banklink.BankAuthorization();if(d.bankId!=null){m.bankId=String(d.bankId);}if(d.accounts){if(!_Array$isArray(d.accounts))throw TypeError(".io.token.proto.banklink.BankAuthorization.accounts: array expected");m.accounts=[];for(var i=0;i<d.accounts.length;++i){if(typeof d.accounts[i]!=="object")throw TypeError(".io.token.proto.banklink.BankAuthorization.accounts: object expected");m.accounts[i]=$root.io.token.proto.common.security.SealedMessage.fromObject(d.accounts[i]);}}return m;};BankAuthorization.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.arrays||o.defaults){d.accounts=[];}if(o.defaults){d.bankId="";}if(m.bankId!=null&&m.hasOwnProperty("bankId")){d.bankId=m.bankId;}if(m.accounts&&m.accounts.length){d.accounts=[];for(var j=0;j<m.accounts.length;++j){d.accounts[j]=$root.io.token.proto.common.security.SealedMessage.toObject(m.accounts[j],o);}}return d;};BankAuthorization.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return BankAuthorization;}();banklink.OauthBankAuthorization=function(){function OauthBankAuthorization(p){if(p)for(var ks=_Object$keys(p),i=0;i<ks.length;++i)if(p[ks[i]]!=null)this[ks[i]]=p[ks[i]];}OauthBankAuthorization.prototype.bankId="";OauthBankAuthorization.prototype.accessToken="";OauthBankAuthorization.create=function create(properties){return new OauthBankAuthorization(properties);};OauthBankAuthorization.fromObject=function fromObject(d){if(d instanceof $root.io.token.proto.banklink.OauthBankAuthorization)return d;var m=new $root.io.token.proto.banklink.OauthBankAuthorization();if(d.bankId!=null){m.bankId=String(d.bankId);}if(d.accessToken!=null){m.accessToken=String(d.accessToken);}return m;};OauthBankAuthorization.toObject=function toObject(m,o){if(!o)o={};var d={};if(o.defaults){d.bankId="";d.accessToken="";}if(m.bankId!=null&&m.hasOwnProperty("bankId")){d.bankId=m.bankId;}if(m.accessToken!=null&&m.hasOwnProperty("accessToken")){d.accessToken=m.accessToken;}return d;};OauthBankAuthorization.prototype.toJSON=function toJSON(){return this.constructor.toObject(this,$protobuf.util.toJSONOptions);};return OauthBankAuthorization;}();banklink.AccountLinkingStatus=function(){const valuesById={},values=_Object$create(valuesById);values[valuesById[0]="INVALID"]=0;values[valuesById[1]="SUCCESS"]=1;values[valuesById[2]="FAILURE_BANK_AUTHORIZATION_REQUIRED"]=2;return values;}();return banklink;}();return proto;}();return token;}();return io;})();

const common = $root.io.token.proto.common;
const banklink = $root.io.token.proto.banklink; // Proto classes must be manually processed + exposed here.
// classes

const Account = prepareClass(common.account.Account);
const Address = prepareClass(common.address.Address);
const AddressRecord = prepareClass(common.member.AddressRecord);
const Alias = prepareClass(common.alias.Alias);
const Balance = prepareClass(common.transaction.Balance);
const Bank = prepareClass(common.bank.Bank);
const BankInfo = prepareClass(common.bank.BankInfo);
const Blob = prepareClass(common.blob.Blob);
const DeviceMetadata = prepareClass(common.notification.DeviceMetadata);
const Key = prepareClass(common.security.Key);
const Notification = prepareClass(common.notification.Notification);
const OauthBankAuthorization = prepareClass(banklink.OauthBankAuthorization);
const Paging = prepareClass(common.bank.Paging);
const Pricing = prepareClass(common.pricing.Pricing);
const Profile = prepareClass(common.member.Profile);
const ReceiptContact = prepareClass(common.member.ReceiptContact);
const RecoveryRule = prepareClass(common.member.RecoveryRule);
const Resource = prepareClass(common.token.AccessBody.Resource);
const Signature = prepareClass(common.security.Signature);
const Subscriber = prepareClass(common.subscriber.Subscriber);
const Token = prepareClass(common.token.Token);
const TokenMember = prepareClass(common.token.TokenMember);
const TokenOperationResult = prepareClass(common.token.TokenOperationResult);
const TokenPayload = prepareClass(common.token.TokenPayload);
const TokenSignature = prepareClass(common.token.TokenSignature);
const Transaction = prepareClass(common.transaction.Transaction);
const Transfer = prepareClass(common.transfer.Transfer);
const TransferEndpoint = prepareClass(common.transferinstructions.TransferEndpoint);
const TrustedBeneficiary = prepareClass(common.member.TrustedBeneficiary);
const Customization = prepareClass(common.member.Customization);
const SecurityMetadata = prepareClass(common.security.SecurityMetadata); // enums

const AliasType = prepareEnum(common.alias.Alias.Type);
const KeyAlgorithm = prepareEnum(common.security.Key.Algorithm);
const KeyLevel = prepareEnum(common.security.Key.Level);
const NotificationStatus = prepareEnum(common.notification.Notification.Status);
const NotifyStatus = prepareEnum(common.notification.NotifyStatus);
const ReceiptContactType = prepareEnum(common.member.ReceiptContact.Type);
const RequestStatus = prepareEnum(common.transaction.RequestStatus);
const TokenOperationStatus = prepareEnum(common.token.TokenOperationResult.Status);
const TokenSignatureAction = prepareEnum(common.token.TokenSignature.Action);
const TransactionStatus = prepareEnum(common.transaction.TransactionStatus);
const TransactionType = prepareEnum(common.transaction.TransactionType);

function prepareClass(obj) {
  obj.create = obj.fromObject;
  return obj;
}

function prepareEnum(obj) {
  obj = _Object$freeze(obj);
  return obj;
}

/**
 * Class to provide static utility functions.
 */

class Util {
  /**
   * Generates a random nonce
   *
   * @return {string} random string
   */
  static generateNonce() {
    return Math.random().toString(36).slice(-9) + Math.random().toString(36).slice(-9);
  }
  /**
   * Generates a random alias. Handy for tests.
   *
   * @return {Object} alias protobuf
   */


  static randomAlias() {
    return Alias.create({
      type: 'EMAIL',
      value: 'test-' + Util.generateNonce() + '+noverify@example.com'
    });
  }
  /**
   * Returns the token alias.
   *
   * @return {Object} token alias protobuf
   */


  static tokenAlias() {
    return Alias.create({
      type: 'DOMAIN',
      value: 'token.io',
      realm: 'token'
    });
  }
  /**
   * Tests if a string ends with a suffix,
   *
   * @param {string} str - the string to test
   * @param {string} suffix - the suffix to test
   * @return {boolean} true if it does
   */


  static stringEndsWith(str, suffix) {
    if (str === null || str === '' || suffix === null || suffix === '') {
      return false;
    }

    str = str.toString();
    suffix = suffix.toString();
    return str.indexOf(suffix, str.length - suffix.length) !== -1;
  }
  /**
   * Gets the specified byte of the 4 byte word, according to index. Assumes 2s complement
   * representation of the word
   *
   * @param {number} word - 32 bit value number, in 2s complement
   * @param {number} index - index of the byte to return
   * @return {number} the desired byte [0, 255]
   */


  static getByte(word, index) {
    if (index === 0) {
      return word & (1 << 8) - 1;
    } else if (index === 1) {
      return (word & (1 << 16) - 1) >> 8;
    } else if (index === 2) {
      return (word & (1 << 24) - 1) >> 16;
    }

    const temp = (word & (1 << 8) - 1 << 24) >> 24;
    return temp < 0 ? 256 + temp : temp;
  }
  /**
   * Count the number of decimal points in a number
   *
   * @param {Number} value - number
   * @return {Number} number of decimals
   */


  static countDecimals(value) {
    if (Math.floor(value) == value) {
      return 0;
    }

    return value.toString().split('.')[1].length || 0;
  }
  /**
   * Helper method to handle promise exceptions. The function will be executed, and if
   * anything fails, a rejected promise is returned, with the method name that failed,
   * included in the rejection.
   *
   * @param {function} method - outside method that is being executed
   * @param {function} fn - function to try to execute
   * @return {Promise} successful or rejected promise
   */


  static async callAsync(method, fn) {
    try {
      return await fn();
    } catch (err) {
      const reason = err.response !== undefined && err.response.data !== undefined ? err.response.data : 'UNKNOWN';
      err.info = method.name + ': ' + err.message + '. Reason: ' + reason;
      return _Promise.reject(err);
    }
  }
  /**
   * Helper method similar to the one above, but without promises
   *
   * @param {function} method - outside method that is being executed
   * @param {function} fn - function to try to execute
   * @return {Object} successful result or thrown error
   */


  static callSync(method, fn) {
    try {
      return fn();
    } catch (err) {
      const reason = err.response !== undefined && err.response.data !== undefined ? err.response.data : 'UNKNOWN';
      err.info = method.name + ': ' + err.message + '. Reason: ' + reason;
      throw err;
    }
  }
  /**
   * Support alias hashing
   *
   * @param {Object} alias - alias to be hashed
   * @return {String} hashed alias
   * TODO(PR-1138): remove username support
   */


  static hashAndSerializeAlias(alias) {
    if (alias.type === 'USERNAME') {
      return alias.value;
    }

    alias.realm = undefined; // backend clears realm before hashing

    return bs58.encode(sha256(Buffer.from(stringify(alias), 'utf8')));
  }
  /**
   * Hash a string value.
   *
   * @param {string} value - value to be hahsed
   * @return {string} hashed value
   */


  static hashString(value) {
    return bs58.encode(sha256(Buffer.from(value, 'utf8')));
  }
  /**
   * If we're on a token page, sets up an iframe to avoid CORS preflights. All requests in this
   * window will be routed through the iframe.
   *
   * @param {string} suffix - domain suffix for Iframe passthrough
   * @param {string} url - base url for the API gateway
   */


  static enableIframePassthrough(suffix, url) {
  }
  /**
   * If we're on a token page, this disables passthrough
   *
   * @param {string} suffix - domain suffix for Iframe passthrough
   */


  static disableIframePassthrough(suffix) {
  }
  /**
   * Gets the signing key from a list of keys corresponding to the signature.
   *
   * @param {Array} keys -  list of keys
   * @param {Object} signature - signature
   * @return {Object} the signing key
   */


  static getSigningKey(keys, signature) {
    for (const key of keys) {
      if (key.id === signature.keyId) {
        return key;
      }
    }

    throw new Error('Invalid signature');
  }
  /**
   * Converts a key to string.
   *
   * @param {Uint8Array} key - key to encode
   * @return {string} encoded key
   */


  static strKey(key) {
    if (typeof key === 'string') return key;
    return base64Url(key);
  }
  /**
   * Wraps buffer as an Uint8Array object.
   *
   * @param {string|Buffer} buffer - data
   * @return {Uint8Array} data
   */


  static wrapBuffer(buffer$$1) {
    return new Uint8Array(buffer.Buffer.from(buffer$$1));
  }
  /**
   * Converts a key from a string to buffer.
   *
   * @param {string} key - base64url encoded key
   * @return {Uint8Array} buffered key
   */


  static bufferKey(key) {
    return Util.wrapBuffer(base64UrlToBuffer(key));
  }

  static parseParamsFromUrl(url) {
    const query = url.split('?')[1];
    const result = {};
    query.split('&').forEach(function (part) {
      const item = part.split('=');
      result[item[0]] = decodeURIComponent(item[1]);
    });
    return result;
  }

  static setUpHttpErrorLogging(instance) {
    instance.interceptors.response.use(res => res, (err = {}) => {
      /* eslint-disable */
      err.response ? console.error(`API response error: ${err.response.status} ${err.response.statusText}, ${err.response.data} [${err.response.config && err.response.config.url}]`) : console.error(`API no response: [${err.config && err.config.url}]`);
      /* eslint-enable */

      return _Promise.reject(err);
    });
  }

  static setUpCustomResponseInterceptor(instance, cri) {
    cri && instance.interceptors.response.use(cri.onFulfilled, cri.onRejected);
  }

  static isFirefox() {
    return false && typeof window.InstallTrigger !== 'undefined';
  }

  static isIE11() {
    return false && window.MSInputMethodContext && document.documentMode;
  }

  static isEdge() {
    return false && /Edge/.test(window.navigator.userAgent);
  }

}

/**
 * Class providing static crypto primitives for Node environments using libsodium.
 */

class CryptoNode {
  /**
   * Generates a key pair to use with the Token system.
   *
   * @param {string} keyLevel - 'LOW', 'STANDARD', or 'PRIVILEGED'
   * @param {number} expirationMs - (optional) expiration duration of the key in milliseconds
   * @return {Object} generated key pair
   */
  static async generateKeys(keyLevel, expirationMs) {
    const keyPair = nacl.sign.keyPair();
    keyPair.id = base64Url(sha256(keyPair.publicKey)).substring(0, 16);
    keyPair.algorithm = 'ED25519';
    keyPair.level = keyLevel;
    keyPair.privateKey = keyPair.secretKey;
    if (expirationMs !== undefined) keyPair.expiresAtMs = (new Date().getTime() + expirationMs).toString();
    delete keyPair.secretKey;
    return keyPair;
  }
  /**
   * Signs a string and returns the signature.
   *
   * @param {string} message - message to sign
   * @param {Object} keys - keys to sign with
   * @return {string} signature
   */


  static async sign(message, keys) {
    const msg = Util.wrapBuffer(message);
    return base64Url(nacl.sign.detached(msg, keys.privateKey));
  }
  /**
   * Verifies a signature on a string. Throws if verification fails.
   *
   * @param {string} message - string to verify
   * @param {string} signature - signature to verify
   * @param {Uint8Array} publicKey - public key to use for verification
   */


  static async verify(message, signature, publicKey) {
    const msg = Util.wrapBuffer(message);
    const sig = Util.bufferKey(signature);
    const result = nacl.sign.detached.verify(msg, sig, publicKey);

    if (!result) {
      throw new Error(`Invalid signature ${signature} on message ${message} with pk ${publicKey}`);
    }
  }

}

const ECDSA = 'ECDSA_SHA256';
const RSA = 'RS256'; // default to ECDSA and fallback to RSA

let algorithm = Util.isFirefox || Util.isEdge() ? RSA : ECDSA;

const CryptoLib = CryptoNode;
/**
 * Class providing static crypto primitives.
 */

class Crypto {
  /**
   * Generates a key pair to use with the Token system.
   *
   * @param {string} keyLevel - 'LOW', 'STANDARD', or 'PRIVILEGED'
   * @param {number} expirationMs - (optional) expiration duration of the key in milliseconds
   * @param {boolean} extractable - whether the private key can be extracted into raw data
   * @return {Object} generated key pair
   */
  static async generateKeys(keyLevel, expirationMs, extractable) {
    return await CryptoLib.generateKeys(keyLevel, expirationMs, extractable);
  }
  /**
   * Signs a json object and returns the signature
   *
   * @param {Object} json - object to sign
   * @param {Object} keys - keys to sign with
   * @return {string} signature
   */


  static async signJson(json, keys) {
    return await Crypto.sign(stringify(json), keys);
  }
  /**
   * Signs a string and returns the signature.
   *
   * @param {string} message - message to sign
   * @param {Object} keys - keys to sign with
   * @return {string} signature
   */


  static async sign(message, keys) {
    return await CryptoLib.sign(message, keys);
  }
  /**
   * Helper function for crypto engine createSigner:
   * returns a signer that uses a key pair.
   *
   * @param {Object} keyPair - such as returned by Token.Crypto.generateKeys
   * @return {Object} signer object
   */


  static createSignerFromKeypair(keyPair) {
    return {
      sign: async message => {
        return await Crypto.sign(message, keyPair);
      },
      signJson: async json => {
        return await Crypto.signJson(json, keyPair);
      },
      getKeyId: () => keyPair.id
    };
  }
  /**
   * Verifies a signature on a JSON object. Throws if verification fails.
   *
   * @param {Object} json - JSON object to verify
   * @param {string} signature - signature to verify
   * @param {Uint8Array} publicKey - public key to use for verification
   */


  static async verifyJson(json, signature, publicKey) {
    await Crypto.verify(stringify(json), signature, publicKey);
  }
  /**
   * Verifies a signature on a string. Throws if verification fails.
   *
   * @param {string} message - string to verify
   * @param {string} signature - signature to verify
   * @param {Uint8Array} publicKey - public key to use for verification
   */


  static async verify(message, signature, publicKey) {
    await CryptoLib.verify(message, signature, publicKey);
  }
  /**
   * Helper function for crypto engine createVerifier:
   * returns a signer that uses a key pair.
   *
   * @param {Object} keyPair - such as returned by Token.Crypto.generateKeys, private key optional
   * @return {Object} verifier object
   */


  static createVerifierFromKeypair(keyPair) {
    return {
      verify: async (message, signature) => {
        return await Crypto.verify(message, signature, keyPair.publicKey);
      },
      verifyJson: async (json, signature) => {
        return await Crypto.verifyJson(json, signature, keyPair.publicKey);
      }
    };
  }
  /**
   * Converts a key to string.
   *
   * @param {Uint8Array} key - key to encode
   * @return {string} encoded key
   */


  static strKey(key) {
    if (typeof key === 'string') return key;
    return base64Url(key);
  }
  /**
   * Wraps buffer as an Uint8Array object.
   *
   * @param {string|Buffer} buffer - data
   * @return {Uint8Array} data
   */


  static wrapBuffer(buffer$$1) {
    return new Uint8Array(buffer.Buffer.from(buffer$$1));
  }
  /**
   * Converts a key from a string to buffer.
   *
   * @param {string} key - base64url encoded key
   * @return {Uint8Array} buffered key
   */


  static bufferKey(key) {
    return Crypto.wrapBuffer(base64UrlToBuffer(key));
  }

}

/**
 * Base crypto engine that are extended by others.
 * It handles signatures, verifications, and key storage.
 */

class KeyStoreCryptoEngine {
  constructor(memberId, keystore) {
    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    if (!keystore) {
      throw new Error('Invalid keystore');
    }

    this._memberId = memberId;
    this._keystore = keystore;

    if (memberId && keystore.constructor.setActiveMemberId) {
      keystore.constructor.setActiveMemberId(memberId);
    }
  }
  /**
   * Generate a key pair and store it.
   *
   * @param {string} level - 'LOW', 'STANDARD', or 'PRIVILEGED'
   * @param {number} expirationMs - (optional) expiration duration of the key in milliseconds
   * @return {Object} key in proto-compliant format
   */


  async generateKey(level, expirationMs) {
    const keyPair = await Crypto.generateKeys(level, expirationMs);
    const stored = await this._keystore.put(this._memberId, keyPair);
    stored.publicKey = Util.strKey(stored.publicKey);
    delete stored.privateKey;
    return stored;
  }
  /**
   * Create a signer. Assumes we previously generated the relevant key.
   *
   * @param {string} level - privilege level 'LOW', 'STANDARD', 'PRIVILEGED'
   * @return {Object} signer object that implements sign, signJson, and getKeyId
   */


  async createSigner(level) {
    const keyPair = await this._keystore.getByLevel(this._memberId, level);
    return Crypto.createSignerFromKeypair(keyPair);
  }
  /**
   * Create a verifier. Assumes we have the key with the passed ID.
   *
   * @param {string} keyId - ID of key to use
   * @return {Object} verifier object that implements verify and verifyJson
   */


  async createVerifier(keyId) {
    const keyPair = await this._keystore.getById(this._memberId, keyId);
    return Crypto.createVerifierFromKeypair(keyPair);
  }

}

const MEMBER_KEY_DB = 'member_key';
const MEMBER_KEY_DB_VERSION = 1;
const MEMBER_KEY_STORE = 'member_keys';
const READ_ONLY = 'readonly';
const READ_WRITE = 'readwrite';

class BrowserKeyStore {
  /**
   * Keep track of the ID of the most recently active member.
   *
   * @param {string} memberId - ID of member
   */
  static setActiveMemberId(memberId) {
    localStorage.activeMemberId = memberId;
  }
  /**
   * Get the ID of the most recently active member.
   *
   * @return {string} ID of member
   */


  static getActiveMemberId() {
    const memberId = localStorage.activeMemberId;

    if (!memberId) {
      throw new Error('No active memberId on this browser');
    }

    return memberId;
  }
  /**
   * Store a member's key pair.
   *
   * @param {string} memberId - ID of member
   * @param {Object} keyPair - key pair to store
   * @return {Promise} promise that resolves into the key pair that was passed in
   */


  async put(memberId, keyPair) {
    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    if (!keyPair) {
      throw new Error('Don\'t know what key to put');
    }

    if (!keyPair.level) {
      throw new Error('Don\'t know what level to put key');
    }

    {
      throw new Error('Browser Only');
    }

    if (keyPair.expiresAtMs < _Date$now()) {
      throw new Error(`Key ${keyPair.id} has expired`);
    }

    const store = await BrowserKeyStore._getObjectStore(MEMBER_KEY_STORE, READ_WRITE);
    return new _Promise((resolve, reject) => {
      const getReq = store.get(memberId);

      getReq.onsuccess = () => {
        const member = getReq.result || {};
        const putReq = store.put(_extends(member, {
          [keyPair.level]: keyPair
        }), memberId);

        putReq.onsuccess = () => {
          BrowserKeyStore.setActiveMemberId(memberId);
          resolve(keyPair);
        };

        putReq.onerror = () => reject(new Error(`Error saving member to database: ${putReq.error}`));
      };

      getReq.onerror = () => reject(new Error(`Error getting member from database: ${getReq.error}`));
    });
  }
  /**
   * Look up a key by memberId and level.
   *
   * @param {string} memberId - ID of member
   * @param {string} level - 'LOW', 'STANDARD', or 'PRIVILEGED'
   * @return {Promise} promise that resolves into the retrieved key pair
   */


  async getByLevel(memberId, level) {
    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    if (!level) {
      throw new Error('Don\'t know what key level to get');
    }

    {
      throw new Error('Browser Only');
    }

    const store = await BrowserKeyStore._getObjectStore(MEMBER_KEY_STORE);
    return new _Promise((resolve, reject) => {
      const getReq = store.get(memberId);

      getReq.onsuccess = () => {
        const member = getReq.result;

        if (!member) {
          return reject(new Error(`Member with id ${memberId} not found`));
        }

        if (!member[level]) {
          return reject(new Error(`No key with level ${level} found`));
        }

        if (member[level].expiresAtMs < _Date$now()) {
          return reject(new Error(`Key with level ${level} has expired`));
        }

        BrowserKeyStore.setActiveMemberId(memberId);
        resolve(getReq.result[level]);
      };

      getReq.onerror = () => reject(new Error(`Error getting member from database: ${getReq.error}`));
    });
  }
  /**
   * Look up a key by memberId and keyId.
   *
   * @param {string} memberId - ID of member
   * @param {string} keyId - key ID
   * @return {Promise} promise that resolves into the retrieved key pair
   */


  async getById(memberId, keyId) {
    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    if (!keyId) {
      throw new Error('Don\'t know id of key to get');
    }

    {
      throw new Error('Browser Only');
    }

    const store = await BrowserKeyStore._getObjectStore(MEMBER_KEY_STORE);
    return new _Promise((resolve, reject) => {
      const getReq = store.get(memberId);

      getReq.onsuccess = () => {
        const member = getReq.result;

        if (!member) {
          return reject(new Error(`member ${memberId} not found`));
        }

        _Object$values(member).forEach(keyPair => {
          if (keyPair.id === keyId) {
            if (keyPair.expiresAtMs < _Date$now()) {
              reject(new Error(`Key with id ${keyPair.id} has expired`));
            }

            BrowserKeyStore.setActiveMemberId(memberId);
            resolve(keyPair);
          }
        });

        reject(new Error(`No key with id ${keyId} found`));
      };

      getReq.onerror = () => reject(new Error(`Error getting member from database: ${getReq.error}`));
    });
  }
  /**
   * Return list of member's keys.
   *
   * @param {string} memberId - ID of member
   * @return {Promise} promise that resolves into the retrieved list of key pairs
   */


  async listKeys(memberId) {
    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    {
      throw new Error('Browser Only');
    }

    const store = await BrowserKeyStore._getObjectStore(MEMBER_KEY_STORE);
    return new _Promise((resolve, reject) => {
      const getReq = store.get(memberId);

      getReq.onsuccess = () => {
        const member = getReq.result;

        if (!member) {
          return reject(new Error(`member ${memberId} not found`));
        }

        BrowserKeyStore.setActiveMemberId(memberId);
        resolve(_Object$values(member).filter(keyPair => !(keyPair.expiresAtMs < _Date$now())));
      };

      getReq.onerror = () => reject(new Error(`Error getting member from database: ${getReq.error}`));
    });
  }
  /**
   * Clears all keys in object store
   *
   * @return {Promise<any>} promise that resolves when all keys have been cleared
   */


  async clearAllKeys() {
    const store = await BrowserKeyStore._getObjectStore(MEMBER_KEY_STORE, READ_WRITE);
    return new _Promise((resolve, reject) => {
      const clearReq = store.clear();

      clearReq.onsuccess = () => resolve();

      clearReq.onerror = () => reject(new Error(`Error clearing the database: ${clearReq.error}`));
    });
  }
  /**
   * Opens an instance of IndexedDB
   *
   * @param {string} dbName - name of db
   * @param {string} dbVersion - version of db
   * @return {Promise<IDBDatabase>} promise that resolves into the database object
   * @private
   */


  static async _openDb(dbName, dbVersion) {
    return new _Promise((resolve, reject) => {
      if (!indexedDB) reject(new Error('Your browser does not support IndexedDB'));
      const openReq = indexedDB.open(dbName, dbVersion);

      openReq.onsuccess = () => {
        resolve(openReq.result);
      };

      openReq.onerror = () => reject(new Error(`Error opening database: ${openReq.error}`));

      openReq.onupgradeneeded = e => {
        const db = e.target.result;
        db.createObjectStore(MEMBER_KEY_STORE);
      };
    });
  }
  /**
   * Retrieves an object store from the db
   *
   * @param {string} storeName - name of object store
   * @param {string} mode - readonly, readwrite, or readwriteflush, defaults to readonly
   * @return {Promise<IDBObjectStore>} promise that resolves into the store object
   * @private
   */


  static async _getObjectStore(storeName, mode = READ_ONLY) {
    const db = await BrowserKeyStore._openDb(MEMBER_KEY_DB, MEMBER_KEY_DB_VERSION);
    const txn = db.transaction(storeName, mode);

    txn.oncomplete = () => db.close();

    txn.onerror = () => {
      throw new Error(`Error opening transaction: ${txn.error}`);
    };

    return txn.objectStore(storeName);
  }

}

/**
 * Crypto engine for the browser, it handles signatures, verifications,
 * and keys are stored in IndexedDB using the following schema
 *
 * KEY: memberId (e.g. 'm:12345:678')
 * VALUE (JS object):
 * {
 *      LOW: {
 *          id: 456,
 *          algorithm: ECDSA,
 *          level: LOW,
 *          publicKey: key data in Uint8Array format
 *          privateKey: non-extractable object
 *      },
 *      STANDARD: {...},
 *      PRIVILEGED: {...},
 * }
 *
 * Furthermore, activeMemberId is stored in localStorage
 */

const globalKeyStore = new BrowserKeyStore();

class BrowserCryptoEngine extends KeyStoreCryptoEngine {
  /**
   * Constructs the engine, using an existing member/keys if it is in localStorage
   *
   * @param {string} memberId - memberId of the member we want to create the engine for
   */
  constructor(memberId) {
    super(memberId, globalKeyStore);
  }

  static getActiveMemberId() {
    return BrowserKeyStore.getActiveMemberId();
  }

  static setActiveMemberId(memberId) {
    BrowserKeyStore.setActiveMemberId(memberId);
  }

  static async clearAllKeys() {
    return await globalKeyStore.clearAllKeys();
  }

}

var signatureScheme = "Token-Ed25519-SHA512";
var urls = {
	local: "http://localhost:8000",
	dev: "https://api.dev.token.io",
	stg: "https://api.stg.token.io",
	sandbox: "https://api.sandbox.token.io",
	int: "https://api.int.token.io",
	prd: "https://api.token.io"
};
var webAppUrls = {
	local: "http://localhost:5000",
	dev: "https://web-app.dev.token.io",
	stg: "https://web-app.stg.token.io",
	sandbox: "https://web-app.sandbox.token.io",
	int: "https://web-app.int.token.io",
	prd: "https://web-app.token.io"
};
var transferTokenVersion = "1.0";
var accessTokenVersion = "1.0";
var defaultCurrency = "EUR";
var decimalPrecision = 4;
var corsDomainSuffix = ".token.io";
var KeyLevel$1 = {
	PRIVILEGED: "PRIVILEGED",
	STANDARD: "STANDARD",
	LOW: "LOW"
};
var lowKeyExpiration = 1209600000;
var devKey = {
	local: "f3982819-5d8d-4123-9601-886df2780f42",
	dev: "f3982819-5d8d-4123-9601-886df2780f42",
	stg: "f3982819-5d8d-4123-9601-886df2780f42",
	sandbox: "f3982819-5d8d-4123-9601-886df2780f42",
	int: "f3982819-5d8d-4123-9601-886df2780f42",
	prd: "f3982819-5d8d-4123-9601-886df2780f42"
};
var config = {
	signatureScheme: signatureScheme,
	urls: urls,
	webAppUrls: webAppUrls,
	transferTokenVersion: transferTokenVersion,
	accessTokenVersion: accessTokenVersion,
	defaultCurrency: defaultCurrency,
	decimalPrecision: decimalPrecision,
	corsDomainSuffix: corsDomainSuffix,
	KeyLevel: KeyLevel$1,
	lowKeyExpiration: lowKeyExpiration,
	devKey: devKey
};

/**
 * RPC error handler that facilitates handling cross-cutting API errors. Converts generic
 * StatusRuntimeException instances into specific Exception types to be handled by the callers.
 *
 * The globalRpcErrorCallback is invoked with a {name, message} error object any time
 * a custom RPC error occurs.
 */
class ErrorHandler {
  /**
   * Creates the error handler instance.
   *
   * @param {function} globalRpcErrorCallback - callback to invoke on any cross-cutting RPC
   * call error. For example: SDK version mismatch
   */
  constructor(globalRpcErrorCallback) {
    this._globalRpcErrorCallback = globalRpcErrorCallback;
  }
  /**
   * Handles RPC error and calls the globalRpcErrorCallback.
   *
   * @param {object} error - error to handle
   * @return {object} original RPC error
   */


  handleError(error) {
    if (error.response && error.response.headers) {
      const tokenError = error.response.headers['token-error'];
      const tokenErrorDetails = error.response.headers['token-error-details'];

      if (tokenErrorDetails) {
        // Log optional error details to ease up troubleshooting.
        // Available only in non-prod deployments.
        console.log('Error details: ', tokenErrorDetails); // eslint-disable-line
      }

      if (this._globalRpcErrorCallback) {
        const name = tokenError ? tokenError : 'UNKNOWN';
        const mappedError = {
          name,
          message: error.response.data
        };

        this._globalRpcErrorCallback(mappedError);

        return mappedError;
      }
    }

    return error;
  }

}

/**
 * Class to add sdk developer key.
 */
class DeveloperHeader {
  /**
   * Initializes the developer header with the developer key.
   *
   * @param {string} developerKey - the developer key, by default empty
   */
  constructor(developerKey = '') {
    this._developerKey = developerKey;
  }
  /**
   * Adds the developer key to the request config if not empty.
   *
   * @param {Object} config - config of the request
   */


  addDeveloperHeader(config) {
    if (this._developerKey === '') {
      throw new ReferenceError('Please provide a developer key.' + ' Contact Token for more details.');
    } else {
      config.headers['token-dev-key'] = this._developerKey;
    }
  }

}

/**
 * Class to add sdk version and type.
 */
class VersionHeader {
  /**
   * Adds the sdk type and version to the request config.
   *
   * @param {Object} config - config of the request
   */
  addVersionHeader(config) {
    config.headers['token-sdk'] = 'js';
    config.headers['token-sdk-version'] = "2.4.1";
  }

}

/**
 * Client to make unauthenticated requests to the Token gateway.
 */

class HttpClient {
  /**
   * Creates the client with the given environment.
   *
   * @param {Object} options
   */
  constructor({
    env,
    developerKey,
    globalRpcErrorCallback,
    loggingEnabled,
    customSdkUrl,
    customResponseInterceptor
  }) {
    if (!(config.urls[env] || customSdkUrl)) {
      throw new Error('Invalid environment string. Please use one of: ' + _JSON$stringify(config.urls));
    }

    this._instance = axios.create({
      baseURL: customSdkUrl || config.urls[env]
    });

    if (loggingEnabled) {
      Util.setUpHttpErrorLogging(this._instance);
    }

    Util.setUpCustomResponseInterceptor(this._instance, customResponseInterceptor);
    const versionHeader = new VersionHeader();
    const developerHeader = new DeveloperHeader(developerKey);

    this._instance.interceptors.request.use(request => {
      versionHeader.addVersionHeader(request);
      developerHeader.addDeveloperHeader(request);
      return request;
    });

    const errorHandler = new ErrorHandler(globalRpcErrorCallback);

    this._instance.interceptors.response.use(null, error => {
      throw errorHandler.handleError(error);
    });
  }
  /**
   * Creates a memberId.
   *
   * @param  {string} memberType - type of member to create. 'PERSONAL' if undefined
   * @param  {string} tokenRequestId - (optional) token request id if the member is being claimed
   * @return {Object} response to the API call
   */


  createMemberId(memberType, tokenRequestId) {
    if (memberType === undefined) {
      memberType = 'PERSONAL';
    }

    if (tokenRequestId && memberType !== 'TRANSIENT') {
      throw new Error('Can only claim transient members');
    }

    const req = {
      memberType,
      tokenRequestId
    };
    const request = {
      method: 'post',
      url: '/members',
      data: req
    };
    return this._instance(request);
  }

  normalizeAlias(alias) {
    const request = {
      method: 'get',
      url: `/aliases/normalize/${alias.type}/${alias.value}/${alias.realm || 'token'}`
    };
    return this._instance(request);
  }
  /**
   * Gets a member given an alias.
   *
   * @param {Object} alias - alias to lookup
   * @return {Object} response to the API call
   */


  resolveAlias(alias) {
    const request = {
      method: 'get',
      url: `/resolve-alias?value=${alias.value}&type=${alias.type}&realm=${alias.realm || ''}` // eslint-disable-line max-len

    };
    return this._instance(request);
  }
  /**
   * Gets the member's information.
   *
   * @param {string} memberId - member id to lookup the member for
   * @return {Object} response to the API call
   */


  getMember(memberId) {
    const request = {
      method: 'get',
      url: `/members/${memberId}`
    };
    return this._instance(request);
  }
  /**
   * Gets a blob from the server.
   *
   * @param {string} blobId - id of the blob
   * @return {Object} response to the API call
   */


  async getBlob(blobId) {
    const request = {
      method: 'get',
      url: `/blobs/${blobId}`
    };
    return this._instance(request);
  }
  /**
   * Notifies a user.
   *
   * @param {Object} alias - user to notify
   * @param {Object} body - body of the notification
   * @return {Object} response to the API call
   */


  notify(alias, body) {
    const req = {
      alias,
      body
    };
    const request = {
      method: 'post',
      url: '/notify',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Approve a first key for a member (self signed).
   *
   * @param {string} memberId - id of the member
   * @param {Object} key - key to approve
   * @param {Object} cryptoEngine - engine to use for signing
   * @return {Object} response to the API call
   */


  async approveFirstKey(memberId, key, cryptoEngine) {
    const signer = await cryptoEngine.createSigner(config.KeyLevel.PRIVILEGED);
    const update = {
      memberId: memberId,
      operations: [{
        addKey: {
          key: _objectSpread({
            id: key.id,
            publicKey: key.publicKey,
            level: key.level,
            algorithm: key.algorithm
          }, key.expiresAtMs && {
            expiresAtMs: key.expiresAtMs
          })
        }
      }]
    };
    const req = {
      update,
      updateSignature: {
        memberId: memberId,
        keyId: signer.getKeyId(),
        signature: await signer.signJson(update)
      }
    };
    const request = {
      method: 'post',
      url: `/members/${memberId}/updates`,
      data: req
    };
    return this._instance(request);
  }
  /**
   * Approve the first keys for a member (self signed).
   *
   * @param {string} memberId - id of the member
   * @param {Array} keys - keys to approve
   * @param {Object} cryptoEngine - engine to use for signing
   * @return {Object} response to the API call
   */


  async approveFirstKeys(memberId, keys, cryptoEngine) {
    const signer = await cryptoEngine.createSigner(config.KeyLevel.PRIVILEGED);
    const update = {
      memberId: memberId,
      operations: keys.map(key => ({
        addKey: {
          key: _objectSpread({
            id: key.id,
            publicKey: key.publicKey,
            level: key.level,
            algorithm: key.algorithm
          }, key.expiresAtMs && {
            expiresAtMs: key.expiresAtMs
          })
        }
      }))
    };
    const req = {
      update,
      updateSignature: {
        memberId: memberId,
        keyId: signer.getKeyId(),
        signature: await signer.signJson(update)
      }
    };
    const request = {
      method: 'post',
      url: `/members/${memberId}/updates`,
      data: req
    };
    return this._instance(request);
  }
  /**
   * Sends a notification to a user to request a payment.
   *
   * @param {Object} tokenPayload - requested transfer token
   * @return {Object} response to the API call
   */


  notifyPaymentRequest(tokenPayload) {
    const req = {
      tokenPayload
    };
    const request = {
      method: 'post',
      url: '/request-transfer',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Notifies subscribed devices that a token should be created and endorsed.
   *
   * @param tokenRequestId - token request ID
   * @param addKey - (optional) add key payload
   * @param receiptContact - (optional) receipt contact
   * @return {Object} response to the API call
   */


  notifyCreateAndEndorseToken(tokenRequestId, addKey, receiptContact) {
    const req = {
      tokenRequestId: tokenRequestId,
      addKey: addKey,
      contact: receiptContact
    };
    const request = {
      method: 'post',
      url: '/notify/create-and-endorse-token',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Notifies subscribed devices that a token payload should be endorsed and keys should be
   * added.
   *
   * @param {Object} endorseAndAddKey - the endorseAndAddKey payload to be sent
   * @return {Object} response to the API call
   * @deprecated use notifyCreateAndEndorseToken instead
   */


  notifyEndorseAndAddKey(endorseAndAddKey) {
    const req = {
      endorseAndAddKey
    };
    const request = {
      method: 'post',
      url: '/notify/endorse-and-add-key',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Invalidate a notification.
   *
   * @param {Object} notificationId - the notification id to invalidate
   * @return {Object} response to the API call
   */


  invalidateNotification(notificationId) {
    const req = {
      notificationId
    };
    const request = {
      method: 'post',
      url: '/notify/invalidate-notification',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Gets banks or countries.
   *
   * @param {Object} options - optional parameters
   * @param {boolean} getCountries - get countries instead of banks if true
   * @return {Object} response to the API call
   */


  async getBanksOrCountries(options = {}, getCountries) {
    const formattedOptions = _extends({}, {
      // Can be at most 1000
      ids: options.ids || [],
      search: options.search || '',
      country: options.country || '',
      // Default to 1 if not specified
      page: options.page,
      // Can be at most 200, default to 200 if not specified
      perPage: options.perPage,
      // Optional provider
      provider: options.provider || '',
      // Optional destination country
      destinationCountry: options.destinationCountry || ''
    });

    const {
      ids,
      search,
      country,
      page,
      perPage,
      provider,
      destinationCountry
    } = formattedOptions;
    let url = `/banks${getCountries ? '/countries' : ''}?`;

    for (const id of ids) {
      url += `ids=${encodeURIComponent(id)}&`;
    }

    if (search) url += `search=${encodeURIComponent(search)}&`;
    if (country) url += `country=${encodeURIComponent(country)}&`;
    if (page) url += `page=${encodeURIComponent(page)}&`;
    if (perPage) url += `perPage=${encodeURIComponent(perPage)}&`;
    if (provider) url += `provider=${encodeURIComponent(provider)}&`;
    if (destinationCountry) url += `destinationCountry=${encodeURIComponent(destinationCountry)}&`;
    const request = {
      method: 'get',
      url: url
    };
    return this._instance(request);
  }
  /**
   * Updates an existing token request.
   *
   * @param {string} requestId - token request ID
   * @param {Object} options - new token request options
   * @return {Promise} response to the API call
   */


  async updateTokenRequest(requestId, options) {
    const request = {
      method: 'put',
      url: `/token-requests/${requestId}`,
      data: {
        requestId: requestId,
        requestOptions: options
      }
    };
    return this._instance(request);
  }
  /**
   * Retrieves a request for a token. Called by the web(user) or by a TPP, to get request details.
   *
   * @param {string} requestId - token request id
   * @return {Promise} response to the API call
   */


  async retrieveTokenRequest(requestId) {
    const request = {
      method: 'get',
      url: `/token-requests/${requestId}`
    };
    return this._instance(request);
  }
  /**
   * Returns the Token member.
   *
   * @return {Promise} response to the API call
   */


  async getTokenMember() {
    const resolveAliasRes = await this.resolveAlias(Util.tokenAlias().toJSON());
    const tokenMemberId = resolveAliasRes.data.member.id;
    const getMemberRes = await this.getMember(tokenMemberId);
    return getMemberRes.data.member;
  }
  /**
   * Get the token request result based on its token request ID.
   *
   * @param {string} tokenRequestId - token request id
   * @return {Object} response to the API call
   */


  async getTokenRequestResult(tokenRequestId) {
    const request = {
      method: 'get',
      url: `/token-requests/${tokenRequestId}/token_request_result`
    };
    return this._instance(request);
  }

}

const globalStorage = {};

class MemoryKeyStore {
  /**
   * Store a member's key pair.
   *
   * @param {string} memberId - ID of member
   * @param {Object} keyPair - key pair to store
   * @return {Object} the stored key pair
   */
  async put(memberId, keyPair) {
    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    if (!keyPair) {
      throw new Error('Don\'t know what key to put');
    }

    if (!keyPair.level) {
      throw new Error('Invalid key structure: has no privilege level');
    }

    if (keyPair.expiresAtMs < _Date$now()) {
      throw new Error(`Key ${keyPair.id} has expired`);
    }

    if (!globalStorage[memberId]) {
      globalStorage[memberId] = {};
    }

    globalStorage[memberId][keyPair.level] = clone(keyPair);
    globalStorage.ACTIVE = memberId;
    return clone(globalStorage[memberId][keyPair.level]);
  }
  /**
   * Look up a key by memberId and level.
   *
   * @param {string} memberId - ID of member
   * @param {string} level - 'LOW', 'STANDARD', or 'PRIVILEGED'
   * @return {Object} key pair
   */


  async getByLevel(memberId, level) {
    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    if (!level) {
      throw new Error('Don\'t know what key level to get');
    }

    if (!globalStorage[memberId]) {
      throw new Error(`member ${memberId} not found`);
    }

    if (!globalStorage[memberId][level]) {
      throw new Error(`No key with level ${level} found`);
    }

    if (globalStorage[memberId][level].expiresAtMs < _Date$now()) {
      throw new Error(`Key with level ${level} has expired`);
    }

    return clone(globalStorage[memberId][level]);
  }
  /**
   * Look up a key by memberId and keyId.
   *
   * @param {string} memberId - ID of member
   * @param {string} keyId - key ID
   * @return {Object} key pair
   */


  async getById(memberId, keyId) {
    if (!globalStorage[memberId]) {
      throw new Error(`member ${memberId} not found`);
    }

    if (!keyId) {
      throw new Error('Don\'t know id of key to get');
    }

    for (const level in globalStorage[memberId]) {
      if (Object.prototype.hasOwnProperty.call(globalStorage[memberId], level)) {
        if (globalStorage[memberId][level].id === keyId) {
          if (globalStorage[memberId][level].expiresAtMs < _Date$now()) {
            throw new Error('Key with id ${globalStorage[memberId][level].id} has expired');
          }

          return clone(globalStorage[memberId][level]);
        }
      }
    }

    throw new Error(`No key with id ${keyId} found`);
  }
  /**
   * Return list of member's keys.
   *
   * @param {string} memberId - ID of member
   * @return {Object} list of keys
   */


  async listKeys(memberId) {
    if (!globalStorage[memberId]) {
      throw new Error(`member ${memberId} not found`);
    }

    return _Object$keys(globalStorage[memberId]).map(level => clone(globalStorage[memberId][level])).filter(keyPair => !(keyPair.expiresAtMs < _Date$now()));
  }
  /**
   * Keep track of the ID of the most recently active member.
   *
   * @param {string} memberId - ID of member
   */


  static setActiveMemberId(memberId) {
    globalStorage.ACTIVE = memberId;
  }
  /**
   * Get the ID of the most recently active member.
   *
   * @return {string} ID of member
   */


  static getActiveMemberId() {
    const memberId = globalStorage.ACTIVE;

    if (!memberId) {
      throw new Error('No active memberId');
    }

    return memberId;
  }

}
/**
 * Return a (shallow) copy of an object.
 *
 * If the 'user' of a key pair object edits it (e.g., deleting privateKey),
 * that shouldn't affect the 'stored' key pair. Thus, we can't pass around
 * references to stored objects. Instead, we do some object-copying.
 *
 * @param {Object} obj - object to copy
 * @return {Object} copy of obj
 */


function clone(obj) {
  return _extends({}, obj);
}

let keys = [];
const globalKeyStore$1 = new MemoryKeyStore();
/**
 * Crypto engine that handles hardcoded keys
 */

class ManualCryptoEngine extends KeyStoreCryptoEngine {
  /**
   * Set the hardcoded keys used by ManualCryptoEngine
   *
   * @param {Array} memberKeys - keys to set
   *
   * Must be an array with objects of the format:
   * {
   *     publicKey: '123456',
   *     privateKey: '123456',
   *     level: 'LOW' || 'STANDARD' || 'PRIVILEGED',
   * }
   */
  static async setKeys(memberKeys) {
    if (!memberKeys || !_Array$isArray(memberKeys) || memberKeys.length < 1) {
      throw new Error('invalid keys format');
    }

    keys = memberKeys;

    for (const keyPair of keys) {
      if (!keyPair.publicKey || !keyPair.privateKey || !keyPair.level) {
        throw new Error('Invalid keyPair format');
      }

      if (typeof keyPair.privateKey === 'string') {
        keyPair.privateKey = Crypto.bufferKey(keyPair.privateKey);
      }

      if (!keyPair.id) {
        keyPair.id = base64Url(sha256(Crypto.bufferKey(keyPair.publicKey))).substring(0, 16);
      }

      keyPair.algorithm = 'ED25519';
    }
  }

  constructor(memberId) {
    if (keys.length < 1) {
      throw new Error('Keys must be set before constructing.');
    }

    super(memberId, globalKeyStore$1);
  }
  /**
   * Generate a keyPair and store it.
   *
   * @param {string} level - privilege level 'LOW', 'STANDARD', 'PRIVILEGED'
   * @return {Object} key
   */


  async generateKey(level) {
    for (const keyPair of keys) {
      if (keyPair.level === level) {
        const cloned = clone$1(keyPair);

        if (cloned.privateKey) {
          delete cloned.privateKey;
        }

        return cloned;
      }
    }
  }
  /**
   * Create a signer. Assumes we previously generated the relevant key.
   *
   * @param {string} level - privilege level 'LOW', 'STANDARD', 'PRIVILEGED'
   * @return {Object} object that implements sign, signJson
   */


  async createSigner(level) {
    const keyPairs = keys.filter(k => k.level === level);

    if (!keyPairs || !keyPairs.length) {
      throw new Error(`No key with level ${level} found`);
    }

    return Crypto.createSignerFromKeypair(clone$1(keyPairs[0]));
  }
  /**
   * Create a verifier. Assumes we have the key with the passed ID.
   *
   * @param {string} keyId - ID of key to use
   * @return {Object} object that implements verify, verifyJson
   */


  async createVerifier(keyId) {
    const keyPairs = keys.filter(k => k.id === keyId);

    if (!keyPairs || !keyPairs.length) {
      throw new Error(`No key with id ${keyId} found`);
    }

    return Crypto.createVerifierFromKeypair(clone$1(keyPairs[0]));
  }

}
/**
 * Return a (shallow) copy of an object.
 *
 * If the 'user' of a key pair object edits it (e.g., deleting privateKey),
 * that shouldn't affect the 'stored' key pair. Thus, we can't pass around
 * references to stored objects. Instead, we do some object-copying.
 *
 * @param {Object} obj - object to copy
 * @return {Object} copy of obj
 */


function clone$1(obj) {
  return _extends({}, obj);
}

class AccessTokenBuilder {
  /**
   * Represents a Builder for a transfer token.
   *
   * @constructor
   * @param {Object} client - The http client to use for the API call
   * @param {Object} member - member performing the request
   * @param {Array} resources - the resources to give access to
   */
  constructor(client, member, resources) {
    this._client = client;
    this._member = member;
    this._tokenRequestId = '';
    this._payload = {
      version: config.accessTokenVersion,
      refId: Util.generateNonce(),
      access: {
        resources
      }
    };
  }
  /**
   * Adds a from id.
   *
   * @param {String} memberId - fromId
   * @return {AccessTokenBuilder} returns back the builder object
   */


  setFromId(memberId) {
    if (!this._payload.from) {
      this._payload.from = {};
    }

    this._payload.from.id = memberId;
    return this;
  }
  /**
   * Adds a resource for all addresses.
   *
   * @deprecated Support for this resource will be removed.
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAllAddresses() {
    this._payload.access.resources.push({
      allAddresses: {}
    });

    return this;
  }
  /**
   * Adds a resource for one address.
   * @param {String} addressId - id of the address
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAddress(addressId) {
    this._payload.access.resources.push({
      address: {
        addressId
      }
    });

    return this;
  }
  /**
   * Adds a resource for metadata of all accounts.
   *
   * @deprecated Support for this resource will be removed.
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAllAccounts() {
    this._payload.access.resources.push({
      allAccounts: {}
    });

    return this;
  }
  /**
   * Adds a resource for metadata of all accounts at a given bank.
   *
   * @deprecated Support for this resource will be removed.
   * @param {String} bankId - id of the bank
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAllAccountsAtBank(bankId) {
    this._payload.access.resources.push({
      allAccountsAtBank: {
        bankId
      }
    });

    return this;
  }
  /**
   * Adds a resource for metadata of one account.
   *
   * @param {String} accountId - id of the account
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAccount(accountId) {
    this._payload.access.resources.push({
      account: {
        accountId
      }
    });

    return this;
  }
  /**
   * Adds a resource for transactions of all accounts.
   *
   * @deprecated Support for this resource will be removed.
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAllTransactions() {
    this._payload.access.resources.push({
      allTransactions: {}
    });

    return this;
  }
  /**
   * Adds a resource for transactions of all accounts at a given bank.
   *
   * @deprecated Support for this resource will be removed.
   * @param {String} bankId - id of the bank
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAllTransactionsAtbank(bankId) {
    this._payload.access.resources.push({
      allTransactionsAtBank: {
        bankId
      }
    });

    return this;
  }
  /**
   * Adds a resource for transactions of one account.
   *
   * @param {String} accountId - id of the account
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAccountTransactions(accountId) {
    this._payload.access.resources.push({
      transactions: {
        accountId
      }
    });

    return this;
  }
  /**
   * Adds a resource for balances of all accounts.
   *
   * @deprecated Support for this resource will be removed.
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAllBalances() {
    this._payload.access.resources.push({
      allBalances: {}
    });

    return this;
  }
  /**
   * Adds a resource for balances of all accounts at a given bank.
   *
   * @deprecated Support for this resource will be removed.
   * @param {String} bankId - id of the bank
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAllBalancesAtBank(bankId) {
    this._payload.access.resources.push({
      allBalancesAtBank: {
        bankId
      }
    });

    return this;
  }
  /**
   * Adds a resource for balance of one account.
   *
   * @param {String} accountId - id of the account
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAccountBalances(accountId) {
    this._payload.access.resources.push({
      balance: {
        accountId
      }
    });

    return this;
  }
  /**
   * Adds a resource for resolved transfer destinations of all accounts.
   *
   * @deprecated Support for this resource will be removed.
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAllTransferDestinations() {
    this._payload.access.resources.push({
      allTransferDestinations: {}
    });

    return this;
  }
  /**
   * Adds a resource for resolved transfer destinations of all accounts at a given bank.
   *
   * @deprecated Support for this resource will be removed.
   * @param {String} bankId - id of the bank
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAllTransferDestinationsAtBank(bankId) {
    this._payload.access.resources.push({
      allTransferDestinationsAtBank: {
        bankId
      }
    });

    return this;
  }
  /**
   * Adds a resource for resolved transfer destinations of a given account.
   *
   * @param {String} accountId - id of the account
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forTransferDestinations(accountId) {
    this._payload.access.resources.push({
      transferDestinations: {
        accountId
      }
    });

    return this;
  }
  /**
   * Adds a resource for full access.
   *
   * @deprecated Support for these resources will be removed.
   * @return {AccessTokenBuilder} returns back the builder object
   */


  forAll() {
    return this.forAllAccounts().forAllAddresses().forAllTransactions().forAllBalances().forAllTransferDestinations();
  }
  /**
   * Sets the expiration date of the token.
   *
   * @param {number} expiresAtMs - expiration date in milliseconds
   * @return {AccessTokenBuilder} returns back the builder object
   */


  setExpiresAtMs(expiresAtMs) {
    this._payload.expiresAtMs = expiresAtMs;
    return this;
  }
  /**
   * Sets the endorse token timeout.
   *
   * @param {number} endorseUntilMs - time at which no more endorsements can be made
   * @return {AccessTokenBuilder} returns back the builder object
   */


  setEndorseUntilMs(endorseUntilMs) {
    this._payload.endorseUntilMs = endorseUntilMs;
    return this;
  }
  /**
   * Sets the effective date of the token.
   *
   * @param {number} effectiveAtMs - effective date in milliseconds
   * @return {AccessTokenBuilder} returns back the builder object
   */


  setEffectiveAtMs(effectiveAtMs) {
    this._payload.effectiveAtMs = effectiveAtMs;
    return this;
  }
  /**
   * Sets the description of the token.
   *
   * @param {string} description - description
   * @return {AccessTokenBuilder} returns back the builder object
   */


  setDescription(description) {
    this._payload.description = description;
    return this;
  }
  /**
   * Sets the alias of the grantee.
   *
   * @param {Object} toAlias - alias of the grantee
   * @return {AccessTokenBuilder} returns back the builder object
   */


  setToAlias(toAlias) {
    if (!this._payload.to) {
      this._payload.to = {};
    }

    this._payload.to.alias = toAlias;
    return this;
  }
  /**
   * Sets the memberId of the grantee.
   *
   * @param {string} toMemberId - memberId of the grantee
   * @return {AccessTokenBuilder} returns back the builder object
   */


  setToMemberId(toMemberId) {
    if (!this._payload.to) {
      this._payload.to = {};
    }

    this._payload.to.id = toMemberId;
    return this;
  }
  /**
   * Sets the refId on the token.
   *
   * @param {string} refId - client generated reference id
   * @return {AccessTokenBuilder} returns back the builder object
   */


  setRefId(refId) {
    this._payload.refId = refId;
    return this;
  }
  /**
   * Sets acting as on the token.
   *
   * @param {Object} actingAs - entity the redeemer is acting on behalf of
   * @return {AccessTokenBuilder} returns back the builder object
   */


  setActingAs(actingAs) {
    this._payload.actingAs = actingAs;
    return this;
  }
  /**
   * Sets the token request ID.
   *
   * @param {string} tokenRequestId - token request id
   * @return {AccessTokenBuilder} returns back the builder object
   */


  setTokenRequestId(tokenRequestId) {
    this._tokenRequestId = tokenRequestId;
    return this;
  }
  /**
   * Builds the token payload.
   *
   * @return {Object} token payload
   */


  build() {
    return TokenPayload.create(this._payload);
  }
  /**
   * Executes the createToken API call to the server, and returns a promise with the token.
   *
   * @return {Promise} the created and filled access token
   */


  async execute() {
    return Util.callAsync(this.execute, async () => {
      if (this._payload.access.resources.length < 1) {
        throw new Error('Must have at least one resource');
      }

      if (!this._payload.to || !this._payload.to.alias && !this._payload.to.id) {
        throw new Error('No recipient on token');
      }

      const res = await this._client.createAccessToken(this._payload, this._tokenRequestId);

      if (res.data.status === 'FAILURE_EXTERNAL_AUTHORIZATION_REQUIRED') {
        const error = new Error('FAILURE_EXTERNAL_AUTHORIZATION_REQUIRED');
        error.authorizationDetails = res.data.authorizationDetails;
        throw error;
      }

      return Token.create(res.data.token);
    });
  }

}

/**
 * Handles the addition of the http headers (with signature) to the request
 */

class AuthHeader {
  /**
   * Creates an AuthHeader object with set url and signer
   *
   * @param {string} baseUrl - url to send requests to (gateway)
   * @param {Object} client - client, to get the signer
   */
  constructor(baseUrl, client) {
    this._baseUrl = baseUrl;
    this._client = client;
  }
  /**
   * Adds an authorization header to the request. This takes into account the url,
   * payload of the request (with timestamp), to generate a message and signature.
   * All of it goes into the Authorization http header.
   *
   * @param {string} memberId - memberId making the request
   * @param {Object} request - request
   * @param {AuthContext} context - auth context for access token redemption
   */


  async addAuthorizationHeader(memberId, request, context) {
    const now = new Date().getTime(); // Parses out the base uri

    let uriPath = request.url.replace(this._baseUrl, ''); // Makes sure the uri is formatted correctly

    uriPath = uriPath.substring(0, 1) === '/' ? uriPath : `/${uriPath}`;
    uriPath = uriPath.substring(uriPath.length - 1) === '/' ? uriPath.substring(0, uriPath.length - 1) : uriPath; // Path should not include query parameters

    if (uriPath.indexOf('?') >= 0) {
      uriPath = uriPath.substring(0, uriPath.indexOf('?'));
    } // Creates the payload from the request info


    const payload = {
      method: request.method.toUpperCase(),
      uriHost: this._baseUrl.replace('http://', '').replace('https://', ''),
      uriPath,
      createdAtMs: now.toString()
    };

    if (request.data !== undefined && request.data !== '') {
      payload.requestBody = stringify(request.data);
    } // Signs the query string as well, if it exists


    if (request.url.indexOf('?') !== -1) {
      payload.queryString = request.url.substring(request.url.indexOf('?') + 1);
    } // Creates the signer object


    const signer = await this._client.getSigner(AuthHeader._keyLevel(context)); // Signs the Json string

    const signature = await signer.signJson(payload); // Creates the authorization header, ands adds it to the request

    const header = config.signatureScheme + ' ' + 'member-id=' + memberId + ',' + 'key-id=' + signer.getKeyId() + ',' + 'signature=' + signature + ',' + 'created-at-ms=' + now + AuthHeader._onBehalfOfHeader(context) + AuthHeader._customerInitiated(context);

    request.headers = {
      Authorization: header
    };
  }

  static _onBehalfOfHeader(context) {
    if (context !== undefined && context.onBehalfOf !== undefined && context.onBehalfOf !== '') {
      return ',on-behalf-of=' + context.onBehalfOf;
    }

    return '';
  }

  static _keyLevel(context) {
    // if we specified that this request should use a keyLevel > LOW, we notice that here
    // (and re-set the keyLevel for the next request)
    if (context !== undefined) {
      const level = context.keyLevel;
      context.keyLevel = config.KeyLevel.LOW;
      return level;
    }

    return config.KeyLevel.LOW;
  }

  static _customerInitiated(context) {
    // if the customer initiated request flag is set to true,
    // we add it to the header, and reset the flag.
    if (context && context.customerInitiated) {
      context.customerInitiated = false;
      return ',customer-initiated=true';
    }

    return '';
  }

}

/**
 * Handles the auth context when using access tokens.
 */

class AuthContext {
  /**
   * Creates an AuthContext object
   */
  constructor() {
    this._onBehalfOf = undefined;
    this._keyLevel = config.KeyLevel.LOW;
    this._customerInitiated = false;
  }
  /**
   * Sets the auth context to act on behalf of another member
   *
   * @param {string} onBehalfOf - accessTokenId to use
   */


  set onBehalfOf(onBehalfOf) {
    this._onBehalfOf = onBehalfOf;
  }
  /**
  * Sets the key level to be used to sign the auth header
  *
  * @param {string} keyLevel - key Level to use
  */


  set keyLevel(keyLevel) {
    this._keyLevel = keyLevel === undefined ? config.KeyLevel.LOW : keyLevel;
  }
  /**
   * Sets the auth context to indicate that the next api call
   * would have been initiated by the customer.
   *
   * @param {boolean} flag - true if request initiated by customer
   */


  set customerInitiated(flag) {
    this._customerInitiated = flag;
  }
  /**
   * Gets the currently active memberId
   *
   * @return {string} accessTokenId being used
   */


  get onBehalfOf() {
    return this._onBehalfOf;
  }
  /**
   * Gets the key level
   *
   * @return {string} key level being used
   */


  get keyLevel() {
    return this._keyLevel;
  }
  /**
   * Gets the customer initiated request flag.
   *
   * @return {boolean} true if request initiated by customer
   */


  get customerInitiated() {
    return this._customerInitiated;
  }

}

const btoa = typeof window !== 'undefined' && window.btoa || require('axios/lib/helpers/btoa');
/**
 * Axios adapter to create a blocking XMLHttpRequest
 * @param  {Object} config  configuration for the request
 * @return {Promise}        response - response object with a 'dispatchRequest' function
 *                          to trigger the blocking request
 */


function BlockingAdapter(config) {
  if (typeof XMLHttpRequest === 'undefined' && typeof process !== 'undefined') {
    // for node ignore request
    return new _Promise(function ignoreRequest(resolve) {
      resolve({
        data: {
          dispatchRequest: function dispatchRequest() {
            // Send the request
            throw new Error('BlockingAdapter does not support node.js');
          }
        }
      });
    });
  }

  let requestData = config.data;
  const requestHeaders = config.headers;

  if (utils.isFormData(requestData)) {
    delete requestHeaders['Content-Type']; // Let the browser set it
  }

  let request = new XMLHttpRequest(); // For IE 8/9 CORS support
  // Only supports POST and GET calls and doesn't returns the response headers.
  // DON'T do this for testing b/c XMLHttpRequest is mocked, not XDomainRequest.

  if (typeof window !== 'undefined' && window.XDomainRequest && !('withCredentials' in request) && !isURLSameOrigin(config.url)) {
    request = new window.XDomainRequest();
  } // HTTP basic authentication


  if (config.auth) {
    const username = config.auth.username || '';
    const password = config.auth.password || '';
    requestHeaders.Authorization = 'Basic ' + btoa(username + ':' + password);
  }

  request.open(config.method.toUpperCase(), buildURL(config.url, config.params, config.paramsSerializer), false); // Add xsrf header
  // This is only done if running in a standard browser environment.
  // Specifically not if we're in a web worker, or react-native.

  if (utils.isStandardBrowserEnv()) {
    const cookies = require('axios/lib/helpers/cookies'); // Add xsrf header


    const xsrfValue = (config.withCredentials || isURLSameOrigin(config.url)) && config.xsrfCookieName ? cookies.read(config.xsrfCookieName) : undefined;

    if (xsrfValue) {
      requestHeaders[config.xsrfHeaderName] = xsrfValue;
    }
  } // Add headers to the request


  if ('setRequestHeader' in request) {
    utils.forEach(requestHeaders, function setRequestHeader(val, key) {
      if (typeof requestData === 'undefined' && key.toLowerCase() === 'content-type') {
        // Remove Content-Type if data is undefined
        delete requestHeaders[key];
      } else {
        // Otherwise add header to the request
        request.setRequestHeader(key, val);
      }
    });
  } // Add withCredentials to request if needed


  if (config.withCredentials) {
    request.withCredentials = true;
  } // Add responseType to request if needed


  if (config.responseType) {
    try {
      request.responseType = config.responseType;
    } catch (e) {
      if (request.responseType !== 'json') {
        throw e;
      }
    }
  }

  if (requestData === undefined) {
    requestData = null;
  } // Return a promise with 'dispatchRequest' function to execute the synchronous call


  return new _Promise(function dispatchXhrRequest(resolve) {
    resolve({
      data: {
        dispatchRequest: function dispatchRequest() {
          // Send the request
          const res = request.send(requestData);
          return res;
        }
      }
    });
  });
}

class SecurityMetadataHeader {
  /**
   * Initializes with security metadata to add to the request.
   *
   * @param {string} securityMetadata - security metadata
   */
  constructor(securityMetadata) {
    this._securityMetadata = securityMetadata;
  }
  /**
   * Adds security metadata to the request.
   *
   * @param {Object} request - request
   */


  addSecurityMetadataHeader(request) {
    if (this._securityMetadata) {
      const metadata = base64Url(stringify(this._securityMetadata.toJSON()));
      request.headers['token-security-metadata'] = metadata;
    }
  }

}

/**
 * Client for making authenticated requests to the Token gateway.
 */

class AuthHttpClient {
  /**
   * Initializes the client for the environment, memberId, and CryptoEngine. Sets up signers using
   * the CryptoEngine, for Low, Standard, and Privileged keys, which will be used to sign
   * appropriate requests.
   *
   * @param {Object} options
   */
  constructor({
    env,
    memberId,
    cryptoEngine,
    developerKey,
    globalRpcErrorCallback,
    loggingEnabled,
    customSdkUrl,
    customResponseInterceptor
  }) {
    if (!(config.urls[env] || customSdkUrl)) {
      throw new Error('Invalid environment string. Please use one of: ' + _JSON$stringify(config.urls));
    }

    this._instance = axios.create({
      baseURL: customSdkUrl || config.urls[env]
    });

    if (loggingEnabled) {
      Util.setUpHttpErrorLogging(this._instance);
    }

    Util.setUpCustomResponseInterceptor(this._instance, customResponseInterceptor);
    this._memberId = memberId;
    this._cryptoEngine = cryptoEngine;
    this._context = new AuthContext();
    this._authHeader = new AuthHeader(customSdkUrl || config.urls[env], this);
    this._developerKey = developerKey;

    this._resetRequestInterceptor();

    const errorHandler = new ErrorHandler(globalRpcErrorCallback);

    this._instance.interceptors.response.use(null, error => {
      throw errorHandler.handleError(error);
    });
  }
  /**
   * Creates the necessary signer objects, based on the level requested.
   * If the level is not available, attempts to fetch a lower level.
   *
   * @param {string} level - requested level of key
   * @return {Promise} object used to sign
   */


  async getSigner(level) {
    if (level === config.KeyLevel.LOW) {
      return await this._cryptoEngine.createSigner(config.KeyLevel.LOW);
    }

    if (level === config.KeyLevel.STANDARD) {
      try {
        return await this._cryptoEngine.createSigner(config.KeyLevel.STANDARD);
      } catch (err) {
        return await this._cryptoEngine.createSigner(config.KeyLevel.LOW);
      }
    }

    if (level === config.KeyLevel.PRIVILEGED) {
      try {
        return await this._cryptoEngine.createSigner(config.KeyLevel.PRIVILEGED);
      } catch (err) {
        try {
          return await this._cryptoEngine.createSigner(config.KeyLevel.STANDARD);
        } catch (err2) {
          return await this._cryptoEngine.createSigner(config.KeyLevel.LOW);
        }
      }
    }
  }

  _resetRequestInterceptor() {
    this._instance.interceptors.request.eject(this._interceptor);

    const versionHeader = new VersionHeader();
    const developerHeader = new DeveloperHeader(this._developerKey);
    const securityMetadataHeader = new SecurityMetadataHeader(this._securityMetadata);
    this._interceptor = this._instance.interceptors.request.use(async request => {
      await this._authHeader.addAuthorizationHeader(this._memberId, request, this._context);
      versionHeader.addVersionHeader(request);
      developerHeader.addDeveloperHeader(request);
      securityMetadataHeader.addSecurityMetadataHeader(request);
      return request;
    });
  }
  /**
   * Use the given access token. (Act on behalf of this member).
   *
   * @param {string} accessTokenId - Id of the access token
   */


  useAccessToken(accessTokenId) {
    this._context.onBehalfOf = accessTokenId;

    this._resetRequestInterceptor();
  }
  /**
   * Use the given key level to sign the request.
   *
   * @param {string} keyLevel - key level
   */


  useKeyLevel(keyLevel) {
    this._context.keyLevel = keyLevel;

    this._resetRequestInterceptor();
  }
  /**
   * Clears the AuthContext, so this client no longer acts on behalf of another member.
   *
   * @deprecated
   */


  clearAccessToken() {
    this._context.onBehalfOf = undefined;

    this._resetRequestInterceptor();
  }
  /**
   * Sets the customer initiated request flag to true.
   */


  setCustomerInitiated() {
    this._context.customerInitiated = true;
  }
  /**
   * Sets the security metadata to be sent with each request.
   *
   * @param {object} securityMetadata - security metadata
   */


  setSecurityMetadata(securityMetadata) {
    this._securityMetadata = securityMetadata;

    this._resetRequestInterceptor();
  }
  /**
   * Clears the security metadata.
   */


  clearSecurityMetadata() {
    this._securityMetadata = undefined;

    this._resetRequestInterceptor();
  }
  /**
   * Returns the security metadata.
   *
   * @returns {object} security metadata
   */


  getSecurityMetadata() {
    return this._securityMetadata;
  }
  /**
   * Subscribes to push notifications.
   *
   * @param {string} handler - who is handling the notifications
   * @param {string} handlerInstructions - how to send the notification
   * @return {Object} response to the API call
   */


  async subscribeToNotifications(handler, handlerInstructions) {
    const req = {
      handler,
      handlerInstructions
    };
    const request = {
      method: 'post',
      url: '/subscribers',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Gets all subscribers for a member.
   *
   * @return {Object} response to the API call
   */


  async getSubscribers() {
    const request = {
      method: 'get',
      url: '/subscribers'
    };
    return this._instance(request);
  }
  /**
   * Gets a subscriber by id.
   *
   * @param {string} subscriberId - Id of the subscriber to get
   * @return {Object} response to the API call
   */


  async getSubscriber(subscriberId) {
    const request = {
      method: 'get',
      url: `/subscribers/${subscriberId}`
    };
    return this._instance(request);
  }
  /**
   * Gets all notifications.
   *
   * @param {string} offset - where to start looking
   * @param {Number} limit - how many to get
   * @return {Object} response to the API call
   */


  async getNotifications(offset, limit) {
    const request = {
      method: 'get',
      url: `/notifications?offset=${offset}&limit=${limit}`
    };
    return this._instance(request);
  }
  /**
   * Gets a notification by id.
   *
   * @param {string} notificationId - Id of the notification to get
   * @return {Object} response to the API call
   */


  async getNotification(notificationId) {
    const request = {
      method: 'get',
      url: `/notifications/${notificationId}`
    };
    return this._instance(request);
  }
  /**
   * Unsubscribes from notifications (deletes a subscriber).
   *
   * @param {string} subscriberId - subscriber to delete
   * @return {Object} response to the API call
   */


  async unsubscribeFromNotifications(subscriberId) {
    const request = {
      method: 'delete',
      url: `/subscribers/${subscriberId}`
    };
    return this._instance(request);
  }
  /**
   * Trigger a token step up notification.
   *
   * @param {string} tokenId - token ID
   * @return {Object} response to the Api call
   */


  async triggerStepUpNotification(tokenId) {
    const req = {
      tokenStepUp: {
        tokenId: tokenId
      }
    };
    const request = {
      method: 'post',
      url: '/notify/stepup',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Trigger a balance step up notification.
   *
   * @param {Array} accountIds - array of account ids
   * @return {Object} response to the Api call
   */


  async triggerBalanceStepUpNotification(accountIds) {
    const req = {
      balanceStepUp: {
        accountId: accountIds
      }
    };
    const request = {
      method: 'post',
      url: '/notify/stepup',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Trigger a transaction step up notification.
   *
   * @param {string} accountId - account id
   * @param {string} transactionId - transaction id
   * @return {Object} response to the Api call
   */


  async triggerTransactionStepUpNotification(accountId, transactionId) {
    const req = {
      transactionStepUp: {
        accountId,
        transactionId
      }
    };
    const request = {
      method: 'post',
      url: '/notify/stepup',
      data: req
    };
    return this._instance(request);
  } //
  // ADDRESSES
  //

  /**
   * Adds an address to the member.
   *
   * @param {string} name - name of the address
   * @param {Object} address - address to add
   * @return {Object} response to the API call
   */


  async addAddress(name, address) {
    const signer = await this.getSigner(config.KeyLevel.LOW);
    const req = {
      name,
      address,
      addressSignature: {
        memberId: this._memberId,
        keyId: signer.getKeyId(),
        signature: await signer.signJson(address)
      }
    };
    const request = {
      method: 'post',
      url: '/addresses',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Gets an address by id.
   *
   * @param {string} addressId - address to get
   * @return {Object} response to the API call
   */


  async getAddress(addressId) {
    const request = {
      method: 'get',
      url: `/addresses/${addressId}`
    };
    return this._instance(request);
  }
  /**
   * Gets all addresses.
   *
   * @return {Object} response to the API call
   */


  async getAddresses() {
    const request = {
      method: 'get',
      url: '/addresses'
    };
    return this._instance(request);
  }
  /**
   * Deletes an address.
   *
   * @param {string} addressId - address to delete
   * @return {Object} response to the API call
   */


  async deleteAddress(addressId) {
    const request = {
      method: 'delete',
      url: `/addresses/${addressId}`
    };
    return this._instance(request);
  } //
  // PROFILES
  //

  /**
   * Replaces the authenticated member's public profile.
   *
   * @param {Object} profile - profile to set
   * @return {Object} response to the API call
   */


  async setProfile(profile) {
    const req = {
      profile
    };
    const request = {
      method: 'put',
      url: '/profile',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Gets a member's public profile.
   *
   * @param {string} id - member id whose profile to get
   * @return {Object} response to the API call
   */


  async getProfile(id) {
    const request = {
      method: 'get',
      url: `/members/${id}/profile`
    };
    return this._instance(request);
  }
  /**
   * Uploads member's public profile picture.
   *
   * @param {string} type - MIME type
   * @param {Buffer} data - data in bytes
   * @return {Object} response to the API call
   */


  async setProfilePicture(type, data) {
    if (typeof data !== 'string') data = base64js.fromByteArray(data);
    const req = {
      payload: {
        ownerId: this._memberId,
        type: type,
        name: 'profile',
        data,
        accessMode: 'PUBLIC'
      }
    };
    const request = {
      method: 'put',
      url: '/profilepicture',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Gets a member's public profile picture.
   *
   * @param {string} id - member Id whose picture to get
   * @param {Object} size - desired size category: SMALL/MEDIUM/LARGE/ORIGINAL
   * @return {Object} response to the API call
   */


  async getProfilePicture(id, size) {
    const request = {
      method: 'get',
      url: `/members/${id}/profilepicture/${size}`
    };
    return this._instance(request);
  } //
  // RECEIPT CONTACTS
  //

  /**
   * Replaces member's receipt contact.
   *
   * @param {Object} contact - receipt contact to set: value + type
   * @return {Object} response to the API call
   */


  async setReceiptContact(contact) {
    const req = {
      contact: contact
    };
    const request = {
      method: 'put',
      url: '/receipt-contact',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Gets member's receipt contact.
   *
   * @return {Object} response to the API call
   */


  async getReceiptContact() {
    const request = {
      method: 'get',
      url: '/receipt-contact'
    };
    return this._instance(request);
  } //
  // TRUSTED BENEFICIARIES
  //

  /**
   * Adds a Token member to this member's list of trusted beneficiaries.
   *
   * @param {string} memberId - member ID of the trusted beneficiary to add
   * @return {Object} response to the API call
   */


  async addTrustedBeneficiary(memberId) {
    const signer = await this.getSigner(config.KeyLevel.STANDARD);
    const nonce = Util.generateNonce();
    const payload = {
      memberId,
      nonce
    };
    const req = {
      trustedBeneficiary: {
        payload,
        signature: {
          memberId: this._memberId,
          keyId: signer.getKeyId(),
          signature: await signer.signJson(payload)
        }
      }
    };
    const request = {
      method: 'post',
      url: '/trusted-beneficiaries',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Removes a Token member from this member's list of trusted beneficiaries.
   *
   * @param {string} memberId - member ID of the trusted beneficiary to remove
   * @return {Object} response of the API
   */


  async removeTrustedBeneficiary(memberId) {
    const signer = await this.getSigner(config.KeyLevel.STANDARD);
    const nonce = Util.generateNonce();
    const payload = {
      memberId,
      nonce
    };
    const req = {
      trustedBeneficiary: {
        payload,
        signature: {
          memberId: this._memberId,
          keyId: signer.getKeyId(),
          signature: await signer.signJson(payload)
        }
      }
    };
    const request = {
      method: 'delete',
      url: `/trusted-beneficiaries/${memberId}`,
      data: req
    };
    return this._instance(request);
  }
  /**
   * Get the member's list of trusted beneficiaries.
   *
   * @return {Object} response to the API call
   */


  async getTrustedBeneficiaries() {
    const request = {
      method: 'get',
      url: '/trusted-beneficiaries'
    };
    return this._instance(request);
  } //
  // ACCOUNTS
  //

  /**
   * Links accounts to the member.
   *
   * @deprecated - use linkAccountsOauth
   * @param {Object} bankAuthorization - encrypted authorization to accounts
   * @return {Object} response to the API call
   */


  async linkAccounts(bankAuthorization) {
    const req = {
      bankAuthorization
    };
    const request = {
      method: 'post',
      url: '/accounts',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Links accounts to the member.
   *
   * @param {string} authorization - oauthBankAuthorization continaing bank_id and
   * access_token
   * @return {Object} response to the API call
   */


  async linkAccountsOauth(authorization) {
    const req = {
      authorization
    };
    const request = {
      method: 'post',
      url: '/bank-accounts',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Unlinks bank accounts previously linked by the linkAccounts call.
   *
   * @param {Array} accountIds - account ids to unlink
   * @return {Object} response to the API call
   */


  async unlinkAccounts(accountIds) {
    const req = {
      accountIds
    };
    const request = {
      method: 'delete',
      url: '/accounts',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Gets all accounts linked to the member.
   *
   * @return {Object} response to the API call
   */


  async getAccounts() {
    const request = {
      method: 'get',
      url: '/accounts'
    };
    return this._instance(request);
  }
  /**
   * Gets an account.
   *
   * @param {string} accountId - account to get
   * @return {Object} response to the API call
   */


  async getAccount(accountId) {
    const request = {
      method: 'get',
      url: `/accounts/${accountId}`
    };
    return this._instance(request);
  }
  /**
   * Gets the default bank account.
   *
   * @return {Promise} the default bank account
   */


  async getDefaultAccount() {
    const request = {
      method: 'get',
      url: `/members/${this._memberId}/default-account`
    };
    return this._instance(request);
  }
  /**
   * Sets the member's default bank account.
   *
   * @param {string} accountId - the bank account id
   * @return {Promise} a promise
   */


  async setDefaultAccount(accountId) {
    const req = {
      accountId
    };
    const request = {
      method: 'put',
      url: `/members/${this._memberId}/default-account`,
      data: req
    };
    return this._instance(request);
  }
  /**
   * Sets the name of an account.
   *
   * @param {string} accountId - account
   * @param {string} name - new name
   * @return {Object} response to the API call
   */


  async setAccountName(accountId, name) {
    const request = {
      method: 'patch',
      url: `/accounts/${accountId}?name=${name}`
    };
    return this._instance(request);
  }
  /**
   * Gets the balance of an account.
   *
   * @param {string} accountId - accountId
   * @param {string} keyLevel - key level
   * @return {Object} response to the API call
   */


  async getBalance(accountId, keyLevel) {
    this.useKeyLevel(keyLevel);
    const request = {
      method: 'get',
      url: `/accounts/${accountId}/balance`
    };
    return this._instance(request);
  }
  /**
   * Gets the balances of an array of accounts.
   *
   * @param {Array} accountIds - array of accountIds
   * @param {string} keyLevel - key level
   * @return {Object} response to the API call
   */


  async getBalances(accountIds, keyLevel) {
    this.useKeyLevel(keyLevel);
    const url = '/accounts/balance?' + accountIds.map(accountId => 'account_id=' + accountId).join('&');
    const request = {
      method: 'get',
      url: url
    };
    return this._instance(request);
  }
  /**
   * Gets a transaction for an account, by its id.
   *
   * @param {string} accountId - account that initiated the transaction
   * @param {string} transactionId - id of the transaction
   * @param {string} keyLevel - key level
   * @return {Object} response to the API call
   */


  async getTransaction(accountId, transactionId, keyLevel) {
    this.useKeyLevel(keyLevel);
    const request = {
      method: 'get',
      url: `/accounts/${accountId}/transaction/${transactionId}`
    };
    return this._instance(request);
  }
  /**
   * Gets all transactions for an account.
   *
   * @param {string} accountId - id of the account
   * @param {string} offset - where to start
   * @param {Number} limit - how many to get
   * @param {string} keyLevel - key level
   * @return {Object} response to the API call
   */


  async getTransactions(accountId, offset, limit, keyLevel) {
    this.useKeyLevel(keyLevel);
    const request = {
      method: 'get',
      url: `/accounts/${accountId}/transactions?offset=${offset}&limit=${limit}`
    };
    return this._instance(request);
  }
  /**
   * Uploads a blob to the server.
   *
   * @param {string} ownerId - owner of the blob
   * @param {string} type - MIME type
   * @param {string} name - name of the file
   * @param {Buffer} data - data in bytes
   * @return {Object} response to the API call
   */


  async createBlob(ownerId, type, name, data) {
    const req = {
      payload: {
        ownerId,
        type,
        name,
        data: base64js.fromByteArray(data)
      }
    };
    const request = {
      method: 'post',
      url: '/blobs',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Gets a blob that is a attached to a token.
   *
   * @param {string} tokenId - id of the token
   * @param {string} blobId - id of the blob
   * @return {Object} response to the API call
   */


  async getTokenBlob(tokenId, blobId) {
    const request = {
      method: 'get',
      url: `/tokens/${tokenId}/blobs/${blobId}`
    };
    return this._instance(request);
  }
  /**
   * Gets a blob from the server.
   *
   * @param {string} blobId - id of the blob
   * @return {Object} response to the API call
   */


  async getBlob(blobId) {
    const request = {
      method: 'get',
      url: `/blobs/${blobId}`
    };
    return this._instance(request);
  }
  /**
   * Gets info about a bank.
   *
   * @param {string} bankId - id of the bank to lookup
   * @return {Object} response to the API call
   */


  async getBankInfo(bankId) {
    const request = {
      method: 'get',
      url: `/banks/${bankId}/info`
    };
    return this._instance(request);
  } //
  // Tokens
  //

  /**
   * Stores a request for a token. Called by a merchant or a TPP that wants access from a user.
   *
   * @param {Object} tokenRequest - token request to store
   * @return {Promise} response to the API call
   */


  async storeTokenRequest(tokenRequest) {
    const request = {
      method: 'post',
      url: '/token-requests',
      data: tokenRequest
    };
    return this._instance(request);
  }
  /**
   * Creates customization.
   *
   * @param {Object} logo - logo
   * @param {Object} colors - colors map of ARGB colors #AARRGGBB
   * @param {string} consentText - consent text
   * @param {string} name - display name
   * @param {string} appName - corresponding app name
   * @return {Promise} response to the API call
   */


  async createCustomization(logo, colors, consentText, name, appName) {
    let imageData = logo.data;
    if (typeof imageData !== 'string') imageData = base64js.fromByteArray(imageData);
    const logoPayload = {
      type: logo.type,
      data: imageData,
      ownerId: logo.ownerId,
      name: logo.name,
      accessMode: logo.accessMode
    };
    const request = {
      method: 'post',
      url: '/customization',
      data: {
        logo: logoPayload,
        colors,
        consentText,
        name,
        appName
      }
    };
    return this._instance(request);
  }
  /**
   * Creates a transfer token.
   *
   * @param {Object} payload - payload of the token
   * @param {string} tokenRequestId - token request id
   * @return {Object} response to the API call
   */


  async createTransferToken(payload, tokenRequestId) {
    const request = {
      method: 'post',
      url: '/tokens?type=transfer',
      data: {
        payload,
        tokenRequestId
      }
    };
    return this._instance(request);
  }
  /**
   * Creates an access token.
   *
   * @param {Object} payload - access token payload
   * @param {string} tokenRequestId - token request id
   * @return {Object} response to the API call
   */


  async createAccessToken(payload, tokenRequestId) {
    const request = {
      method: 'post',
      url: '/tokens?type=access',
      data: {
        payload,
        tokenRequestId
      }
    };
    return this._instance(request);
  }
  /**
   * Replaces an access token with one with updated resources.
   *
   * @param {Object} tokenToCancel - access token to replace
   * @param {Array} newResources - new resources
   * @return {Object} response to the API call
   */


  async replaceToken(tokenToCancel, newResources) {
    const cancelTokenId = tokenToCancel.id;
    const cancelReq = await this._tokenOperationRequest(tokenToCancel, 'cancelled');
    const createReq = {
      payload: {
        from: {
          id: this._memberId
        },
        to: tokenToCancel.payload.to,
        access: {
          resources: newResources
        },
        issuer: tokenToCancel.payload.issuer,
        version: config.accessTokenVersion,
        refId: Util.generateNonce()
      }
    };
    const request = {
      method: 'post',
      url: `/tokens/${cancelTokenId}/replace`,
      data: {
        cancel_token: cancelReq,
        create_token: createReq
      }
    };
    return this._instance(request);
  }
  /**
   * @deprecated use replaceAccessToken and endorseToken instead
   * Replaces an access token with one with updated resources, and endorses it.
   *
   * @param {Object} tokenToCancel - access token to replace
   * @param {Array} newResources - new resources
   * @return {Object} response to the API call
   */


  async replaceAndEndorseToken(tokenToCancel, newResources) {
    const cancelTokenId = tokenToCancel.id;
    const cancelReq = await this._tokenOperationRequest(tokenToCancel, 'cancelled');
    const payload = {
      from: {
        id: this._memberId
      },
      to: tokenToCancel.payload.to,
      access: {
        resources: newResources
      },
      issuer: tokenToCancel.payload.issuer,
      version: config.accessTokenVersion,
      refId: Util.generateNonce()
    };
    const createReq = {
      payload,
      payload_signature: await this._tokenOperationSignature(payload, 'endorsed')
    };
    const request = {
      method: 'post',
      url: `/tokens/${cancelTokenId}/replace`,
      data: {
        cancel_token: cancelReq,
        create_token: createReq
      }
    };
    return this._instance(request);
  }
  /**
   * Endorses a token.
   *
   * @param {Object} token - token to endorse
   * @return {Object} response to the API call
   */


  async endorseToken(token) {
    return this._tokenOperation(token, 'endorse', 'endorsed');
  }
  /**
   * Cancels a token.
   *
   * @param {Object} token - token to cancel
   * @param {bool} blocking - creates a blocking request
   * @return {Object} response to the API call
   */


  async cancelToken(token, blocking) {
    return this._tokenOperation(token, 'cancel', 'cancelled', blocking);
  }
  /**
   * Redeems a transfer token.
   *
   * @param {Object} transferToken - token to redeem
   * @param {Number} amount - amount to charge
   * @param {string} currency - currency to charge
   * @param {string} description - description of the transfer
   * @param {Array} destinations - destinations money should go to
   * @param {string} refId - reference Id to attach to the transfer
   * @return {Object} response to the API call
   */


  async redeemToken(transferToken, amount, currency, description, destinations, refId) {
    if (!refId) {
      refId = Util.generateNonce();
    }

    const payload = {
      refId: refId,
      tokenId: transferToken.id,
      amount: {
        value: amount.toString(),
        currency
      }
    };

    if (description) {
      payload.description = description;
    }

    if (destinations !== undefined && destinations.length > 0) {
      payload.destinations = destinations;
    }

    const signer = await this.getSigner(config.KeyLevel.LOW);
    const req = {
      payload,
      payloadSignature: {
        memberId: this._memberId,
        keyId: signer.getKeyId(),
        signature: await signer.signJson(payload)
      }
    };
    const request = {
      method: 'post',
      url: '/transfers',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Gets a token by its id.
   *
   * @param {string} tokenId - id of the token to get
   * @return {Object} response to the API call
   */


  async getToken(tokenId) {
    const request = {
      method: 'get',
      url: `/tokens/${tokenId}`
    };
    return this._instance(request);
  }
  /**
   * Looks up a existing access token where the calling member is the grantor and given member is
   * the grantee.
   *
   * @param {string} toMemberId - beneficiary of the active access token
   * @return {Object} response to the API call
   */


  async getActiveAccessToken(toMemberId) {
    const request = {
      method: 'get',
      url: `/tokens/active-access-token/${toMemberId}`
    };
    return this._instance(request);
  }
  /**
   * Gets all tokens of the member, of a certain type.
   *
   * @param {string} type - type of tokens to get
   * @param {string} offset - where to start looking
   * @param {Number} limit - how many to get
   * @return {Object} response to the API call
   */


  async getTokens(type, offset, limit) {
    const request = {
      method: 'get',
      url: `/tokens?type=${type}&offset=${offset}&limit=${limit}`
    };
    return this._instance(request);
  }

  async _tokenOperation(token, operation, suffix, blocking) {
    const tokenId = token.id;
    const request = {
      method: 'put',
      url: `/tokens/${tokenId}/${operation}`,
      data: await this._tokenOperationRequest(token, suffix)
    };
    if (blocking) request.adapter = BlockingAdapter;
    return this._instance(request);
  }

  async _tokenOperationRequest(token, suffix) {
    return {
      tokenId: token.id,
      signature: await this._tokenOperationSignature(token.payload, suffix)
    };
  }

  async _tokenOperationSignature(tokenPayload, suffix) {
    const payload = stringify(tokenPayload) + `.${suffix}`;
    const signer = await this.getSigner(config.KeyLevel.STANDARD);
    return {
      memberId: this._memberId,
      keyId: signer.getKeyId(),
      signature: await signer.sign(payload)
    };
  } //
  // Transfers
  //

  /**
   * Gets a transfer by id.
   *
   * @param {string} transferId - id of the transfer
   * @return {Object} response to the API call
   */


  async getTransfer(transferId) {
    const request = {
      method: 'get',
      url: `/transfers/${transferId}`
    };
    return this._instance(request);
  }
  /**
   * Gets all transfers on a token.
   *
   * @param {string} tokenId - id of the token
   * @param {string} offset - where to start
   * @param {Number} limit - how many to get
   * @return {Object} response to the API call
   */


  async getTransfers(tokenId, offset, limit) {
    const request = {
      method: 'get',
      url: `/transfers?tokenId=${tokenId}&offset=${offset}&limit=${limit}`
    };
    return this._instance(request);
  } //
  // Directory
  //

  /**
   * Adds a key to the member.
   *
   * @param {string} prevHash - hash of the previous directory entry.
   * @param {Object} key - key to add
   * @return {Object} response to the API call
   */


  async approveKey(prevHash, key) {
    const update = {
      memberId: this._memberId,
      operations: [{
        addKey: {
          key: _objectSpread({
            id: key.id,
            publicKey: key.publicKey,
            level: key.level,
            algorithm: key.algorithm
          }, key.expiresAtMs && {
            expiresAtMs: key.expiresAtMs
          })
        }
      }]
    };
    return this._memberUpdate(update, prevHash);
  }
  /**
   * Adds keys to the member.
   *
   * @param {string} prevHash - hash of the previous directory entry.
   * @param {Array} keys - keys to add
   * @return {Object} response to the API call
   */


  async approveKeys(prevHash, keys) {
    const update = {
      memberId: this._memberId,
      operations: keys.map(key => ({
        addKey: {
          key: _objectSpread({
            id: key.id,
            publicKey: key.publicKey,
            level: key.level,
            algorithm: key.algorithm
          }, key.expiresAtMs && {
            expiresAtMs: key.expiresAtMs
          })
        }
      }))
    };
    return this._memberUpdate(update, prevHash);
  }
  /**
   * Removes a key from the member.
   *
   * @param {string} prevHash - hash of the previous directory entry.
   * @param {string} keyId - keyId to remove
   * @return {Object} response to the API call
   */


  async removeKey(prevHash, keyId) {
    const update = {
      memberId: this._memberId,
      operations: [{
        removeKey: {
          keyId
        }
      }]
    };
    return this._memberUpdate(update, prevHash);
  }
  /**
   * Removes keys from the member.
   *
   * @param {string} prevHash - hash of the previous directory entry.
   * @param {Array} keyIds - keys to remove
   * @return {Object} response to the API call
   */


  async removeKeys(prevHash, keyIds) {
    const update = {
      memberId: this._memberId,
      operations: keyIds.map(keyId => ({
        removeKey: {
          keyId
        }
      }))
    };
    return this._memberUpdate(update, prevHash);
  }
  /**
   * Adds an alias to the member.
   *
   * @param {string} prevHash - hash of the previous directory entry.
   * @param {Object} alias - alias to add
   * @return {Object} response to the API call
   */


  async addAlias(prevHash, alias) {
    return this.addAliases(prevHash, [alias]);
  }
  /**
   * Gets logged-in member's aliases, verified or not.
   *
   * @return {Object} response object; has aliases, unverifiedAliases
   */


  async getAliases() {
    const request = {
      method: 'get',
      url: '/aliases'
    };
    return this._instance(request);
  }
  /**
   * Get default recovery agent.
   * @return {Object} GetDefaultAgentResponse proto buffer
   */


  async getDefaultRecoveryAgent() {
    const request = {
      method: 'get',
      url: '/recovery/defaults/agent'
    };
    return this._instance(request);
  }
  /**
   * Set member's recovery rule.
   * @param {string} prevHash - hash of the previous directory entry.
   * @param {Object} rule - RecoveryRule proto buffer specifying behavior.
   * @return {Object} UpdateMemberResponse proto buffer
   */


  async addRecoveryRule(prevHash, rule) {
    const update = {
      memberId: this._memberId,
      operations: [{
        recoveryRules: rule
      }]
    };
    return this._memberUpdate(update, prevHash);
  }
  /**
   * Adds aliases to the member.
   *
   * @param {string} prevHash - hash of the previous directory entry.
   * @param {Array} aliases - aliases to add
   * @return {Object} response to the API call
   */


  async addAliases(prevHash, aliases) {
    const update = {
      memberId: this._memberId,
      operations: aliases.map(alias => ({
        addAlias: {
          aliasHash: Util.hashAndSerializeAlias(alias),
          realm: alias.realm || 'token'
        }
      }))
    };
    const metadata = aliases.map(alias => ({
      addAliasMetadata: {
        aliasHash: Util.hashAndSerializeAlias(alias),
        alias: alias
      }
    }));
    return this._memberUpdate(update, prevHash, metadata);
  }
  /**
   * Removes an alias from the member.
   *
   * @param {string} prevHash - hash of the previous directory entry.
   * @param {Object} alias - alias to remove
   * @return {Object} response to the API call
   */


  async removeAlias(prevHash, alias) {
    return this.removeAliases(prevHash, [alias]);
  }
  /**
   * Removes aliases from the member.
   *
   * @param {string} prevHash - hash of the previous directory entry.
   * @param {Array} aliases - aliases to remove
   * @return {Object} response to the API call
   */


  async removeAliases(prevHash, aliases) {
    const update = {
      memberId: this._memberId,
      operations: aliases.map(alias => ({
        removeAlias: {
          aliasHash: Util.hashAndSerializeAlias(alias)
        }
      }))
    };
    return this._memberUpdate(update, prevHash);
  }

  async _memberUpdate(update, prevHash, metadata) {
    if (prevHash !== '') {
      update.prevHash = prevHash;
    }

    if (typeof metadata === 'undefined') {
      metadata = [];
    }

    const signer = await this.getSigner(config.KeyLevel.PRIVILEGED);
    const req = {
      update,
      updateSignature: {
        memberId: this._memberId,
        keyId: signer.getKeyId(),
        signature: await signer.signJson(update)
      },
      metadata
    };
    const request = {
      method: 'post',
      url: `/members/${this._memberId}/updates`,
      data: req
    };
    return this._instance(request);
  }
  /**
   * Sign with a Token signature a token request state payload.
   *
   * @param {string} tokenRequestId - token request id
   * @param {string} tokenId - token id
   * @param {string} state - url state
   * @return {Object} response to the api call
   */


  async signTokenRequestState(tokenRequestId, tokenId, state) {
    const req = {
      payload: {
        tokenId,
        state
      },
      tokenRequestId
    };
    const request = {
      method: 'put',
      url: '/sign-token-request-state',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Deletes the member.
   *
   * @return {Object} response to the api call
   */


  async deleteMember() {
    this.useKeyLevel(config.KeyLevel.PRIVILEGED);
    const request = {
      method: 'delete',
      url: '/members'
    };
    return this._instance(request);
  }
  /**
   * Verifies an affiliated TPP.
   *
   * @param {string} memberId - id of the member to verify
   * @return {Object} response to the api call
   */


  async verifyAffiliate(memberId) {
    const request = {
      method: 'put',
      url: '/members/affiliates/verify',
      data: {
        memberId
      }
    };
    return this._instance(request);
  }
  /**
   * Resolves transfer destinations for the given account ID.
   *
   * @param {string} accountId - id of account to resolve destinations for
   * @return {Object} api response
   */


  async resolveTransferDestinations(accountId) {
    const request = {
      method: 'get',
      url: `/accounts/${accountId}/transfer-destinations`
    };
    return this._instance(request);
  } //
  // Test
  //

  /**
   * Creates a test bank account.
   *
   * @param {Number} balance - balance to put in the account
   * @param {string} currency - currency in the account
   * @return {Object} response to the API call
   */


  async createTestBankAccount(balance, currency) {
    const req = {
      balance: {
        currency,
        value: balance
      }
    };
    const request = {
      method: 'post',
      url: '/test/create-account',
      data: req
    };
    return this._instance(request);
  }
  /**
   * Gets test bank notification.
   *
   * @param {string} subscriberId - id of subscriber
   * @param {string} notificationId - id of notification
   * @return {Object} response to the API call
   */


  async getTestBankNotification(subscriberId, notificationId) {
    const request = {
      method: 'get',
      url: `/test/subscribers/${subscriberId}/notifications/${notificationId}`
    };
    return this._instance(request);
  }
  /**
   * Gets test bank notifications.
   *
   * @param {string} subscriberId - id of subscriber
   * @return {Object} response to the API call
   */


  async getTestBankNotifications(subscriberId) {
    const request = {
      method: 'get',
      url: `/test/subscribers/${subscriberId}/notifications`
    };
    return this._instance(request);
  }

}

/**
 * Represents the part of a Token member that can be accessed through an access token.
 */
class Representable {
  /**
   * Instantiate a representable that acts on behalf of a Token member.
   *
   * @constructor
   * @param member - the Token member
   */
  constructor(member) {
    this._member = member;
  }
  /**
   * Looks up an account by the account dd
   *
   * @param accountId - the id
   * @return Promise resolving to the account
   * @throws error if account not found
   */


  getAccount(accountId) {
    return this._member.getAccount(accountId);
  }
  /**
   * Looks up linked accounts.
   *
   * @return Promise resolving to the accounts
   */


  getAccounts() {
    return this._member.getAccounts();
  }
  /**
   * Looks up the balance of an account
   *
   * @param accountId - id of the account
   * @param keyLevel - key level
   * @return Promise of get balance response object
   */


  getBalance(accountId, keyLevel) {
    return this._member.getBalance(accountId, keyLevel);
  }
  /**
   * Looks up the balances of an array of accounts
   *
   * @param accountIds - array of account ids
   * @param keyLevel - key level
   * @return Promise of get balances response object
   */


  getBalances(accountIds, keyLevel) {
    return this._member.getBalances(accountIds, keyLevel);
  }
  /**
   * Looks up a transaction
   *
   * @param accountId - id of the account
   * @param transactionId - which transaction to look up
   * @param keyLevel - key level
   * @return the Transaction
   * @throws error if transaction not found
   */


  getTransaction(accountId, transactionId, keyLevel) {
    return this._member.getTransaction(accountId, transactionId, keyLevel);
  }
  /**
   * Looks up all of the member's transactions for an account
   *
   * @param accountId - id of the account
   * @param offset - where to start looking
   * @param limit - how many to retrieve
   * @param keyLevel - key level
   * @return Transactions
   */


  getTransactions(accountId, offset, limit, keyLevel) {
    return this._member.getTransactions(accountId, offset, limit, keyLevel);
  }
  /**
   * Gets the member's address
   *
   * @param addressId - the address id
   * @return AddressRecord structure
   * @throws error if address not found
   */


  getAddress(addressId) {
    return this._member.getAddress(addressId);
  }
  /**
   * Gets the member's addresses
   *
   * @return list of AddressRecord structures
   */


  getAddresses() {
    return this._member.getAddresses();
  }

}

class TokenRequest {
  /**
   * Constructs a TokenRequest.
   *
   * @param {Object} payload - token request payload
   */
  constructor(payload) {
    if (payload.accessBody || payload.transferBody) {
      this.requestPayload = payload;
      this.requestOptions = {};
      this.requestOptions.from = {};
    } else {
      this.payload = TokenPayload.create(payload);
      this.options = {};
    }
  }
  /**
   * Creates a TokenRequest object
   *
   * @param {Object} payload - token request payload
   * @return {TokenRequest} TokenRequest object
   */


  static create(payload) {
    return new TokenRequest(payload);
  }
  /**
   * Sets a default bank ID for the TokenRequest
   *
   * @param {string} bankId - bank ID
   * @return {TokenRequest} token request
   */


  setBankId(bankId) {
    if (this.requestOptions) {
      this.requestOptions.bankId = bankId;
    } else {
      this.options.bankId = bankId;
    }

    return this;
  }
  /**
   * Sets the member ID of the payer/grantor.
   *
   * @param fromMemberId member ID of the payer/grantor
   * @return {TokenRequest} token request
   */


  setFromMemberId(fromMemberId) {
    this.requestOptions.from.id = fromMemberId;
    return this;
  }
  /**
   * Sets the alias of the payer/grantor
   *
   * @param {string|Object} type - type of alias or alias object
   * @param {string} value - value of alias
   * @returns {TokenRequest} token request
   */


  setFromAlias(type, value) {
    if (typeof type === 'string') this.requestOptions.from.alias = {
      type,
      value
    };else this.requestOptions.from.alias = type;
    return this;
  }
  /**
   * Sets the member ID of the payee/grantee.
   *
   * @param toMemberId member ID of the payee/grantee
   * @return {TokenRequest} token request
   */


  setToMemberId(toMemberId) {
    if (this.requestPayload) this.requestPayload.to.id = toMemberId;
    return this;
  }
  /**
   * Sets the alias of the payee/grantee.
   *
   * @param {string|Object} type - type of alias or alias object
   * @param {string} value - value of alias
   * @return {TokenRequest} token request
   */


  setToAlias(type, value) {
    if (this.requestPayload) {
      if (typeof type === 'string') this.requestPayload.to.alias = {
        type,
        value
      };else this.requestPayload.to.alias = type;
    }

    return this;
  }
  /**
   * Sets the source account ID.
   *
   * @param accountId source account ID
   * @returns {TokenRequest} token request
   */


  setSourceAccount(accountId) {
    this.requestOptions.sourceAccountId = accountId;
    return this;
  }
  /**
   * Sets the receiptRequested flag on the TokenRequest.
   *
   * @param {boolean} receiptRequested - true if a receipt is requested
   * @return {TokenRequest} token request
   */


  setReceiptRequested(receiptRequested) {
    this.requestOptions.receiptRequested = receiptRequested;
    return this;
  }
  /**
   * Sets customization id for the TokenRequest
   *
   * @param {object} customizationId - customization id
   * @return {TokenRequest} token request
   */


  setCustomizationId(customizationId) {
    if (this.requestPayload) {
      this.requestPayload.customizationId = customizationId;
    } else {
      // deprecated api
      this.customizationId = customizationId;
    }

    return this;
  }
  /**
   * Sets acting as on the token.
   *
   * @param {Object} actingAs - entity the redeemer is acting on behalf of
   * @return {TokenRequest} token request
   */


  setActingAs(actingAs) {
    if (this.requestPayload) this.requestPayload.actingAs = actingAs;
    return this;
  }
  /**
   * Sets the description of the token.
   *
   * @param {string} description - description
   * @return {TokenRequest} token request
   */


  setDescription(description) {
    if (this.requestPayload) this.requestPayload.description = description;
    return this;
  }
  /**
   * Sets the callback state
   *
   * @param {Object|string} state - arbitrary JS object or string
   * @return {TokenRequest} token request
   */


  setCallbackState(state) {
    if (this.requestPayload) {
      this.requestPayload.callbackState.innerState = state;
    }

    return this;
  }
  /**
   * Sets the CSRF token
   *
   * @param {string} csrf - CSRF token
   * @return {TokenRequest} token request
   */


  setCSRFToken(csrf) {
    if (this.requestPayload) {
      this.requestPayload.callbackState.csrfTokenHash = Util.hashString(csrf);
    }

    return this;
  }
  /**
   * Sets a user ref ID for the TokenRequest
   *
   * @param {string} userRefId - user ref id
   * @return {TokenRequest} token request
   */


  setUserRefId(userRefId) {
    if (this.requestPayload) {
      this.requestPayload.userRefId = userRefId;
    } else {
      // deprecated api
      this.userRefId = userRefId;
    }

    return this;
  }
  /**
   * Sets a redirect URL for the TokenRequest
   *
   * @param {string} redirectUrl - redirect URL
   * @return {TokenRequest} token request
   */


  setRedirectUrl(redirectUrl) {
    if (this.requestPayload) {
      this.requestPayload.redirectUrl = redirectUrl;
    } else {
      // deprecated api
      this.options.redirectUrl = redirectUrl;
    }

    return this;
  } // DEPRECATED SETTERS

  /**
   * Sets a default email for the TokenRequest
   *
   * @param {string} email - default email
   * @return {TokenRequest} token request
   * @deprecated use setFromAlias instead
   */


  setEmail(email) {
    this.options.email = email;
    return this;
  }
  /**
   * Sets a destination country for the TokenRequest
   *
   * @param {string} destinationCountry - destination country
   * @return {TokenRequest} token request
   */


  setDestinationCountry(destinationCountry) {
    this.options.destinationCountry = destinationCountry;
    return this;
  }

}

class TransferTokenBuilder {
  /**
   * Represents a Builder for a transfer token.
   *
   * @constructor
   * @param {Object} client - The http client to use for the API call
   * @param {Object} member - member performing the request
   * @param {number} lifetimeAmount - the lifetime amount of the token
   * @param {string} currency - currency of the token
   */
  constructor(client, member, lifetimeAmount, currency) {
    this._client = client;
    this._member = member;
    this._blobPayloads = [];
    this._tokenRequestId = '';

    if (Util.countDecimals(lifetimeAmount) > config.decimalPrecision) {
      throw new Error('Number of decimals in lifetimeAmount should be at most ' + config.decimalPrecision);
    }

    this._payload = {
      version: config.transferTokenVersion,
      refId: Util.generateNonce(),
      transfer: {
        currency,
        lifetimeAmount: lifetimeAmount.toString(),
        instructions: {
          destinations: [],
          metadata: {}
        },
        attachments: []
      }
    };
  }
  /**
   * Sets the fromId of the token
   *
   * @param {string} memberId - from memberId
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setFromId(memberId) {
    if (!this._payload.from) {
      this._payload.from = {};
    }

    this._payload.from.id = memberId;
    return this;
  }
  /**
   * Sets the source accountId of the token.
   *
   * @param {string} accountId - source accountId
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setAccountId(accountId) {
    this._payload.transfer.instructions.source = {
      account: {
        token: {
          memberId: this._member.memberId(),
          accountId
        }
      }
    };
    return this;
  }
  /**
   * Sets the source custom authorization.
   *
   * @param {string} bankId - source bank id
   * @param {string} authorization - source custom authorization
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setCustomAuthorization(bankId, authorization) {
    this._payload.transfer.instructions.source = {
      account: {
        custom: {
          bankId: bankId,
          payload: authorization
        }
      }
    };
    return this;
  }
  /**
   * Sets the expiration date of the token.
   *
   * @param {number} expiresAtMs - expiration date in milliseconds
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setExpiresAtMs(expiresAtMs) {
    this._payload.expiresAtMs = expiresAtMs;
    return this;
  }
  /**
   * Sets the endorse token timeout.
   *
   * @param {number} endorseUntilMs - time at which no more endorsements can be made
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setEndorseUntilMs(endorseUntilMs) {
    this._payload.endorseUntilMs = endorseUntilMs;
    return this;
  }
  /**
   * Sets the effective date of the token.
   *
   * @param {number} effectiveAtMs - effective date in milliseconds
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setEffectiveAtMs(effectiveAtMs) {
    this._payload.effectiveAtMs = effectiveAtMs;
    return this;
  }
  /**
   * Sets the maximum charge amount of the token.
   *
   * @param {number} chargeAmount - maximum charge amount.
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setChargeAmount(chargeAmount) {
    if (Util.countDecimals(chargeAmount) > config.decimalPrecision) {
      throw new Error('Number of decimals in amount should be at most ' + config.decimalPrecision);
    }

    this._payload.transfer.amount = chargeAmount;
    return this;
  }
  /**
   * Sets the description of the token.
   *
   * @param {string} description - description
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setDescription(description) {
    this._payload.description = description;
    return this;
  }
  /**
   * Add a transfer destination to the token.
   *
   * @param {object} endpoint - transfer endpoint
   * @return {TransferTokenBuilder} returns back the builder object
   */


  addDestination(endpoint) {
    this._payload.transfer.instructions.destinations.push(endpoint);

    return this;
  }
  /**
   * Sets the alias of the redeemer.
   *
   * @deprecated - use setToAlias
   * @param {Object} redeemerAlias - alias of the redeemer
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setRedeemerAlias(redeemerAlias) {
    if (!this._payload.to) {
      this._payload.to = {};
    }

    this._payload.to.alias = redeemerAlias;
    return this;
  }
  /**
   * Sets the memberId of the redeemer.
   *
   * @deprecated - use setToMemberId
   * @param {Object} redeemerMemberId - memberId of the redeemer
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setRedeemerMemberId(redeemerMemberId) {
    if (!this._payload.to) {
      this._payload.to = {};
    }

    this._payload.to.id = redeemerMemberId;
    return this;
  }
  /**
   * Sets the alias of the payee.
   *
   * @param {Object} toAlias - alias of the payee
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setToAlias(toAlias) {
    if (!this._payload.to) {
      this._payload.to = {};
    }

    this._payload.to.alias = toAlias;
    return this;
  }
  /**
   * Sets the memberId of the payee.
   *
   * @param {string} toMemberId - memberId of the payee
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setToMemberId(toMemberId) {
    if (!this._payload.to) {
      this._payload.to = {};
    }

    this._payload.to.id = toMemberId;
    return this;
  }
  /**
   * Adds an attachment to the token.
   *
   * @param {Object} attachment - attachment (metadata).
   * @return {TransferTokenBuilder} returns back the builder object
   */


  addAttachment(attachment) {
    this._payload.transfer.attachments.push(attachment);

    return this;
  }
  /**
   * Adds an attachment to the token, with the data.
   *
   * @param {string} ownerId - memberId of the owner of the file
   * @param {string} type - MIME type of the file
   * @param {string} name - name of the file
   * @param {Buffer} data - byte array of the data of the file
   * @return {TransferTokenBuilder} returns back the builder object
   */


  addAttachmentData(ownerId, type, name, data) {
    this._blobPayloads.push({
      ownerId,
      type,
      name,
      data
    });

    return this;
  }
  /**
   * Sets the pricing (fees/fx) of the token.
   *
   * @param {Object} pricing - pricing of the token
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setPricing(pricing) {
    this._payload.transfer.pricing = pricing;
    return this;
  }
  /**
   * Sets the purpose of payment of the token.
   *
   * @param {string} purposeOfPayment - purpose of payment
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setPurposeOfPayment(purposeOfPayment) {
    this._payload.transfer.instructions.metadata.transferPurpose = purposeOfPayment;
    return this;
  }
  /**
   * Sets the refId on the token.
   *
   * @param {string} refId - client generated reference id, at most 18 characters long.
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setRefId(refId) {
    if (refId.length > 18) {
      throw new Error('The length of the refId is at most 18, got: ' + refId.length);
    }

    this._payload.refId = refId;
    return this;
  }
  /**
   * Sets acting as on the token.
   *
   * @param {Object} actingAs - entity the redeemer is acting on behalf of
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setActingAs(actingAs) {
    this._payload.actingAs = actingAs;
    return this;
  }
  /**
   * Sets the token request ID.
   *
   * @param {string} tokenRequestId - token request id
   * @return {TransferTokenBuilder} returns back the builder object
   */


  setTokenRequestId(tokenRequestId) {
    this._tokenRequestId = tokenRequestId;
    return this;
  }
  /**
   *  Sets the flag indicating whether a receipt is requested.
   *
   * @param {boolean} receiptRequested receipt requested flag
   * @return {TransferTokenBuilder} builder
   */


  setReceiptRequested(receiptRequested) {
    this._payload.receiptRequested = receiptRequested;
    return this;
  }
  /**
   * Builds the token payload.
   *
   * @return {Object} token payload
   */


  build() {
    return TokenPayload.create(this._payload);
  }
  /**
   * Executes the createToken API call to the server, and returns a promise with the token.
   *
   * @return {Promise} the created and filled transfer token
   */


  async execute() {
    return Util.callAsync(this.execute, async () => {
      if (!this._payload.transfer.instructions.source || !this._payload.transfer.instructions.source.account.token && !this._payload.transfer.instructions.source.account.tokenAuthorization && !this._payload.transfer.instructions.source.account.bank && !this._payload.transfer.instructions.source.account.custom) {
        throw new Error('No source on token');
      }

      if (!this._payload.to || !this._payload.to.alias && !this._payload.to.id) {
        throw new Error('No redeemer on token');
      }

      for (let i = 0; i < this._blobPayloads.length; i++) {
        const payload = this._blobPayloads[i];
        const attachment = await this._member.createBlob(payload.ownerId, payload.type, payload.name, payload.data);
        this.addAttachment(attachment);
      }

      const res = await this._client.createTransferToken(this._payload, this._tokenRequestId);

      if (res.data.status === 'FAILURE_EXTERNAL_AUTHORIZATION_REQUIRED') {
        const error = new Error('FAILURE_EXTERNAL_AUTHORIZATION_REQUIRED');
        error.authorizationDetails = res.data.authorizationDetails;
        throw error;
      }

      if (res.data.status !== 'SUCCESS') {
        throw new Error(res.data.status);
      }

      return Token.create(res.data.token);
    });
  }

}

/**
 * Member object. Allows member-wide actions. Some calls return a promise, and some return
 * objects
 */
class Member {
  /**
   * Represents a Member
   *
   * @constructor
   */
  constructor(options) {
    const {
      memberId
    } = options;
    this._id = memberId;
    this._client = new AuthHttpClient(options);
    this._unauthenticatedClient = new HttpClient(options);
    this._options = options;
  }
  /**
   * Gets the memberId
   */


  memberId() {
    return this._id;
  }
  /**
   * Gets all of the member's aliases
   */


  aliases() {
    return Util.callAsync(this.aliases, async () => {
      const res = await this._client.getAliases();
      return res.data.aliases ? res.data.aliases.map(a => Alias.create(a)) : [];
    });
  }
  /**
   * Gets the member's first alias
   *
   * @return {Promise<Alias|undefined>} member's alias
   */


  firstAlias() {
    return Util.callAsync(this.firstAlias, async () => {
      const res = await this._client.getAliases();
      return res.data.aliases && Alias.create(res.data.aliases[0]);
    });
  }
  /**
   * Gets the member's public keys
   *
   * @return keys objects
   */


  keys() {
    return Util.callAsync(this.keys, async () => {
      const member = await this._getMember();
      return member.keys ? member.keys.map(k => Key.create(k)) : [];
    });
  }
  /**
   * Creates a representable that acts as another member via an access token.
   *
   * @param accessTokenId - Id of the access token
   * @return new member that acts as another member
   */


  forAccessToken(accessTokenId) {
    const newMember = new Member(this._options);

    newMember._client.useAccessToken(accessTokenId);

    newMember._client.setSecurityMetadata(this._client.getSecurityMetadata());

    return new Representable(newMember);
  }
  /**
   * Sets the access token id to be used with this client.
   *
   * @deprecated use forAccessToken instead
   * @param accessTokenId - the access token id
   */


  useAccessToken(accessTokenId) {
    this._client.useAccessToken(accessTokenId);
  }
  /**
   * Clears the access token id used with this client.
   *
   * @deprecated use forAccessToken instead
   */


  clearAccessToken() {
    this._client.clearAccessToken();
  }
  /**
   * Sets the customer initiated request flag to true.
   */


  setCustomerInitiated() {
    this._client.setCustomerInitiated();
  }
  /**
   * Sets the security metadata to be sent with each request.
   *
   * @param securityMetadata
   */


  setSecurityMetadata(securityMetadata) {
    this._client.setSecurityMetadata(securityMetadata);
  }
  /**
   * Clears the security metadata.
   */


  clearSecurityMetadata() {
    this._client.clearSecurityMetadata();
  }
  /**
   * Approves a new key for this member
   *
   * @param key - key to add
   * @return empty promise
   */


  approveKey(key) {
    return Util.callAsync(this.approveKey, async () => {
      const prevHash = await this._getPreviousHash();
      await this._client.approveKey(prevHash, key.toJSON());
    });
  }
  /**
   * Approves new keys for this member
   *
   * @param keys - keys to add
   * @return empty promise
   */


  approveKeys(keys) {
    return Util.callAsync(this.approveKeys, async () => {
      const prevHash = await this._getPreviousHash();
      await this._client.approveKeys(prevHash, keys.map(k => k.toJSON()));
    });
  }
  /**
   * Removes a key from this member
   *
   * @param keyId - keyId to remove. Note, keyId is the hash of the pk
   * @return empty promise
   */


  removeKey(keyId) {
    return Util.callAsync(this.removeKey, async () => {
      const prevHash = await this._getPreviousHash();
      await this._client.removeKey(prevHash, keyId);
    });
  }
  /**
   * Removes keys from this member
   *
   * @param keyIds - keyIds to remove. Note, keyId is the hash of the pk
   * @return empty promise
   */


  removeKeys(keyIds) {
    return Util.callAsync(this.removeKeys, async () => {
      const prevHash = await this._getPreviousHash();
      await this._client.removeKeys(prevHash, keyIds);
    });
  }
  /**
   * Adds an alias to this member
   *
   * @param alias - alias to add
   * @return empty promise
   */


  addAlias(alias) {
    return this.addAliases([alias]);
  }
  /**
   * Adds aliases to this member
   *
   * @param aliases - aliases to add
   * @return empty promise
   */


  addAliases(aliases) {
    return Util.callAsync(this.addAliases, async () => {
      const member = await this._getMember();
      const normalized = await _Promise.all(aliases.map(alias => this._normalizeAlias(alias, member.partnerId)));
      const prevHash = await this._getPreviousHash();
      await this._client.addAliases(prevHash, normalized);
    });
  }
  /**
   * Removes an alias from the memberId
   *
   * @param alias - alias to remove
   * @return empty promise
   */


  removeAlias(alias) {
    return Util.callAsync(this.removeAlias, async () => {
      const prevHash = await this._getPreviousHash();
      await this._client.removeAlias(prevHash, alias.toJSON());
    });
  }
  /**
   * Removes aliases from the memberId
   *
   * @param aliases - aliases to remove
   * @return empty promise
   */


  removeAliases(aliases) {
    return Util.callAsync(this.removeAliases, async () => {
      const prevHash = await this._getPreviousHash();
      await this._client.removeAliases(prevHash, aliases.map(a => a.toJSON()));
    });
  }
  /**
   * Set the 'normal consumer' rule as member's recovery rule.
   * (As of Nov 2017, this rule was: To recover, verify an alias.)
   * @return promise containing RecoveryRule proto buffer.
   */


  useDefaultRecoveryRule() {
    return Util.callAsync(this.useDefaultRecoveryRule, async () => {
      const agentResponse = await this._client.getDefaultRecoveryAgent();
      const prevHash = await this._getPreviousHash();
      const rule = {
        recoveryRule: {
          primaryAgent: agentResponse.data.memberId
        }
      };
      const res = await this._client.addRecoveryRule(prevHash, rule);
      return RecoveryRule.create(res.data.member.recoveryRule);
    });
  }
  /**
   * Links bank accounts to the member
   *
   * @param authorization - bankAuthorization obtained from bank, or
   * oauthBankAuthorization
   * @return Promise resolving the the Accounts linked
   */


  linkAccounts(authorization) {
    return Util.callAsync(this.linkAccounts, async () => {
      if (authorization.accessToken) {
        const res = await this._client.linkAccountsOauth(authorization.toJSON());

        if (res.data.status === 'FAILURE_BANK_AUTHORIZATION_REQUIRED') {
          throw new Error('Cannot link accounts. Must send bankAuthorization retrieved' + ' through push notification');
        }

        return res.data.accounts.map(a => Account.create(a));
      }

      const res = await this._client.linkAccounts(authorization);
      return res.data.accounts ? res.data.accounts.map(a => Account.create(a)) : [];
    });
  }
  /**
   * Unlinks bank accounts previously linked by the linkAccounts call.
   *
   * @param accountIds - account ids to unlink
   * @return empty promise
   */


  unlinkAccounts(accountIds) {
    return Util.callAsync(this.unlinkAccounts, async () => {
      await this._client.unlinkAccounts(accountIds);
    });
  }
  /**
   * Looks up a member's account by Id
   *
   * @param accountId - accountId
   * @return Promise resolving to the account
   * @throws error if account not found
   */


  getAccount(accountId) {
    return Util.callAsync(this.getAccount, async () => {
      const res = await this._client.getAccount(accountId);
      return Account.create(res.data.account);
    });
  }
  /**
   * Looks up the member's accounts
   *
   * @return Promise resolving to the accounts
   */


  getAccounts() {
    return Util.callAsync(this.getAccounts, async () => {
      const res = await this._client.getAccounts();
      return res.data.accounts && res.data.accounts.map(a => Account.create(a)) || [];
    });
  }
  /**
   * Gets the default bank account.
   *
   * @return the default bank account
   * @throws error if default account not found
   */


  getDefaultAccount() {
    return Util.callAsync(this.getDefaultAccount, async () => {
      const res = await this._client.getDefaultAccount(this.memberId());
      return Account.create(res.data.account);
    });
  }
  /**
   * Sets the member's default bank account.
   *
   * @param accountId - the bank account id
   * @return empty promise
   */


  setDefaultAccount(accountId) {
    return Util.callAsync(this.setDefaultAccount, async () => {
      await this._client.setDefaultAccount(accountId, this.memberId());
    });
  }
  /**
   * Looks up if this account is default.
   *
   * @param accountId - the bank account id
   * @return true if the account is default; false otherwise
   */


  isDefaultAccount(accountId) {
    return Util.callAsync(this.isDefaultAccount, async () => {
      const defaultAcc = await this.getDefaultAccount();
      return defaultAcc && defaultAcc.id === accountId;
    });
  }
  /**
   * Gets the info of a bank, including a link for pairing accounts at this bank
   *
   * @param bankId - id of the bank
   * @return info
   * @throws error if bank not found
   */


  getBankInfo(bankId) {
    return Util.callAsync(this.getBankInfo, async () => {
      const res = await this._client.getBankInfo(bankId);
      return BankInfo.create(res.data.info);
    });
  }
  /**
   * Creates a subscriber to receive notifications of member events, such as step up auth,
   * new device requests, linking account requests, or transfer notifications
   *
   * @param handler - who is handling the notifications
   * @param handlerInstructions - map of strings with delivery options
   * @return Subscriber
   */


  subscribeToNotifications(handler = 'token', handlerInstructions = {}) {
    return Util.callAsync(this.subscribeToNotifications, async () => {
      const res = await this._client.subscribeToNotifications(handler, handlerInstructions);
      return Subscriber.create(res.data.subscriber);
    });
  }
  /**
   * Gets all subscribers for this member
   *
   * @return subscribers
   */


  getSubscribers() {
    return Util.callAsync(this.getSubscribers, async () => {
      const res = await this._client.getSubscribers();
      return res.data.subscribers && res.data.subscribers.map(s => Subscriber.create(s)) || [];
    });
  }
  /**
   * Gets a specific subscriber by Id
   *
   * @param subscriberId - id of the subscriber
   * @return subscriber
   * @throws error if subscriber not found
   */


  getSubscriber(subscriberId) {
    return Util.callAsync(this.getSubscriber, async () => {
      const res = await this._client.getSubscriber(subscriberId);
      return Subscriber.create(res.data.subscriber);
    });
  }
  /**
   * Gets all notifications for this member
   *
   * @param offset - where to start looking
   * @param limit - how many to look for
   * @return notifications
   */


  getNotifications(offset, limit) {
    return Util.callAsync(this.getNotifications, async () => {
      const res = await this._client.getNotifications(offset, limit);
      const data = res.data.notifications && res.data.notifications.map(n => Notification.create(n)) || [];
      return {
        data,
        offset: res.data.offset
      };
    });
  }
  /**
   * Gets a specific notification by Id
   *
   * @param notificationId - id of the notification
   * @return notification
   * @throws error if notification not found
   */


  getNotification(notificationId) {
    return Util.callAsync(this.getNotification, async () => {
      const res = await this._client.getNotification(notificationId);
      return Notification.create(res.data.notification);
    });
  }
  /**
   * Unsubscribes from notifications (removes a subscriber)
   *
   * @param subscriberId - subscriber to remove
   * @return empty promise
   */


  unsubscribeFromNotifications(subscriberId) {
    return Util.callAsync(this.unsubscribeFromNotifications, async () => {
      await this._client.unsubscribeFromNotifications(subscriberId);
    });
  }
  /**
   * Triggers a token step up notification on the user's app
   *
   * @param tokenId - token ID
   * @return notification status
   */


  triggerStepUpNotification(tokenId) {
    return Util.callAsync(this.triggerStepUpNotification, async () => {
      const res = await this._client.triggerStepUpNotification(tokenId);
      return NotifyStatus[res.data.status];
    });
  }
  /**
   * Triggers a balance step up notification on the user's app
   * @param accountIds - array of account ids
   * @return notification status
   */


  triggerBalanceStepUpNotification(accountIds) {
    return Util.callAsync(this.triggerBalanceStepUpNotification, async () => {
      const res = await this._client.triggerBalanceStepUpNotification(accountIds);
      return NotifyStatus[res.data.status];
    });
  }
  /**
   * Triggers a transaction step up notification on the user's app
   * @param accountId - account id
   * @param transactionId - transaction id
   * @return notification status
   */


  triggerTransactionStepUpNotification(accountId, transactionId) {
    return Util.callAsync(this.triggerTransactionStepUpNotification, async () => {
      const res = await this._client.triggerTransactionStepUpNotification(accountId, transactionId);
      return NotifyStatus[res.data.status];
    });
  }
  /**
   * Creates an address for this member, and saves it
   *
   * @param name - name of the address (e.g 'Home')
   * @param address - address
   * @return promise of AddressRecord structure
   */


  addAddress(name, address) {
    return Util.callAsync(this.addAddress, async () => {
      const res = await this._client.addAddress(name, address.toJSON());
      return AddressRecord.create(res.data.address);
    });
  }
  /**
   * Gets the member's address
   *
   * @param addressId - the address id
   * @return AddressRecord structure
   * @throws error if address not found
   */


  getAddress(addressId) {
    return Util.callAsync(this.getAddress, async () => {
      const res = await this._client.getAddress(addressId);
      return AddressRecord.create(res.data.address);
    });
  }
  /**
   * Gets the member's addresses
   *
   * @return list of AddressRecord structures
   */


  getAddresses() {
    return Util.callAsync(this.getAddresses, async () => {
      const res = await this._client.getAddresses();
      return res.data.addresses && res.data.addresses.map(a => AddressRecord.create(a)) || [];
    });
  }
  /**
   * Deletes a member's address by id
   *
   * @param addressId - the address id
   * @return empty promise
   */


  deleteAddress(addressId) {
    return Util.callAsync(this.deleteAddress, async () => {
      await this._client.deleteAddress(addressId);
    });
  }
  /**
   * Replaces the authenticated member's public profile.
   *
   * @param profile - profile to set
   * @return newly-set profile
   */


  setProfile(profile) {
    return Util.callAsync(this.setProfile, async () => {
      const res = await this._client.setProfile(profile.toJSON());
      return Profile.create(res.data.profile);
    });
  }
  /**
   * Gets a member's public profile.
   *
   * @param id - member id whose profile to get
   * @return profile
   * @throws error if profile not found
   */


  getProfile(id) {
    return Util.callAsync(this.getProfile, async () => {
      const res = await this._client.getProfile(id);
      return Profile.create(res.data.profile);
    });
  }
  /**
   * Uploads the authenticated member's public profile.
   *
   * @param type - MIME type
   * @param data - data in bytes
   * @return empty promise
   */


  setProfilePicture(type, data) {
    return Util.callAsync(this.setProfilePicture, async () => {
      await this._client.setProfilePicture(type, data);
    });
  }
  /**
   * Gets a member's public profile picture.
   *
   * @param id - member id whose picture to get
   * @param size - desired size category SMALL/MEDIUM/LARGE/ORIGINAL
   * @return downloaded blob
   * @throws error if profile picture not found
   */


  getProfilePicture(id, size) {
    return Util.callAsync(this.getProfilePicture, async () => {
      const res = await this._client.getProfilePicture(id, size);
      return Blob.create(res.data.blob);
    });
  }
  /**
   * Replaces member's receipt contact.
   *
   * @param type - receipt contact type, can only be EMAIL currently
   * @param value - receipt contact value for corresponding type
   * @return empty promise
   */


  setReceiptContact(type = 'EMAIL', value) {
    return Util.callAsync(this.setReceiptContact, async () => {
      await this._client.setReceiptContact({
        type,
        value
      });
    });
  }
  /**
   * Get member's receipt contact.
   *
   * @return receipt contact: value + type
   * @throws error if receipt contact not found
   */


  getReceiptContact() {
    return Util.callAsync(this.getReceiptContact, async () => {
      const res = await this._client.getReceiptContact();
      return ReceiptContact.create(res.data.contact);
    });
  }
  /**
   * Adds a Token member to this member's list of trusted beneficiaries.
   *
   * @param memberId - member ID of the trusted beneficiary to add
   * @return empty promise
   */


  addTrustedBeneficiary(memberId) {
    return Util.callAsync(this.addTrustedBeneficiary, async () => {
      await this._client.addTrustedBeneficiary(memberId);
    });
  }
  /**
   * Removes a Token member from this member's list of trusted beneficiaries.
   *
   * @param memberId - member ID of the trusted beneficiary to remove
   * @return empty promise
   */


  removeTrustedBeneficiary(memberId) {
    return Util.callAsync(this.removeTrustedBeneficiary, async () => {
      await this._client.removeTrustedBeneficiary(memberId);
    });
  }
  /**
   * Get the member's list of trusted beneficiaries.
   *
   * @return trusted beneficiaries - list of TrustedBeneficiary objects
   */


  getTrustedBeneficiaries() {
    return Util.callAsync(this.getTrustedBeneficiaries, async () => {
      const res = await this._client.getTrustedBeneficiaries();
      return res.data.trustedBeneficiaries || [];
    });
  }
  /**
   * Creates a customization.
   *
   * @param logo - logo
   * @param colors - map of ARGB colors #AARRGGBB
   * @param consentText - consent text
   * @param name - display name
   * @param appName - corresponding app name
   * @return customization id
   */


  createCustomization(logo, colors, consentText, name, appName) {
    return Util.callAsync(this.createCustomization, async () => {
      const res = await this._client.createCustomization(logo, colors, consentText, name, appName);
      return res.data.customizationId;
    });
  }
  /**
   * Stores a request for a token. Called by a merchant or a TPP that wants access from a user.
   *
   * @param tokenRequest - token request to store
   * @return the stored TokenRequest
   */


  storeTokenRequest(tokenRequest) {
    return Util.callAsync(this.storeTokenRequest, async () => {
      if (tokenRequest.requestPayload) {
        tokenRequest.requestPayload.callbackState = encodeURIComponent(_JSON$stringify(tokenRequest.requestPayload.callbackState));
      }

      const res = await this._client.storeTokenRequest(tokenRequest);
      return res.data.tokenRequest;
    });
  }
  /**
   * Creates a new unendorsed access token.
   *
   * @param alias - the alias of the grantee of the Access Token
   * @param resources - a list of resources to give access to
   * @return promise of a created Access Token
   */


  createAccessToken(alias, resources) {
    return Util.callAsync(this.createAccessToken, async () => {
      return await new AccessTokenBuilder(this._client, this, resources.map(r => r.toJSON())).setFromId(this.memberId()).setToAlias(alias.toJSON()).execute();
    });
  }
  /**
   * Creates a new access token builder, that must be executed.
   *
   * @return promise of a created Access Token
   */


  createAccessTokenBuilder() {
    return Util.callSync(this.createAccessTokenBuilder, () => {
      return new AccessTokenBuilder(this._client, this, []);
    });
  }
  /**
   * Cancels the existing token and creates a replacement for it.
   *
   * @param tokenToCancel - the old token to cancel
   * @param newResources - the new resources for this token to grant access to
   * @return the result of the operation
   */


  replaceAccessToken(tokenToCancel, newResources) {
    return Util.callAsync(this.replaceAccessToken, async () => {
      const finalTokenToCancel = await this._resolveToken(tokenToCancel);
      const res = await this._client.replaceToken(finalTokenToCancel.toJSON(), newResources.map(r => r.toJSON()));
      return TokenOperationResult.create(res.data.result);
    });
  }
  /**
   * @deprecated use replaceAccessToken and endorseToken instead
   * Cancels the existing token, creates a replacement and endorses it.
   *
   * @param tokenToCancel - the old token to cancel
   * @param newResources - the new resources for this token to grant access to
   * @return the result of the operation
   */


  replaceAndEndorseAccessToken(tokenToCancel, newResources) {
    return Util.callAsync(this.replaceAndEndorseAccessToken, async () => {
      const finalTokenToCancel = await this._resolveToken(tokenToCancel);
      const res = await this._client.replaceAndEndorseToken(finalTokenToCancel.toJSON(), newResources.map(r => r.toJSON()));
      return TokenOperationResult.create(res.data.result);
    });
  }
  /**
   * @deprecated - use createTransferTokenBuilder instead
   * Creates a transfer token builder, that when executed, will create a transfer token by
   * performing an API call.
   *
   * @param lifetimeAmount - amount limit on the token
   * @param currency - 3 letter currency code ('EUR', 'USD', etc)
   * @return builder for the token
   */


  createTransferToken(lifetimeAmount, currency) {
    return Util.callSync(this.createTransferToken, () => {
      return new TransferTokenBuilder(this._client, this, lifetimeAmount, currency).setFromId(this.memberId());
    });
  }
  /**
   * Creates a transfer token builder, that when executed, will create a transfer token by
   * performing an API call.
   *
   * @param lifetimeAmount - amount limit on the token
   * @param currency - 3 letter currency code ('EUR', 'USD', etc)
   * @return builder for the token
   */


  createTransferTokenBuilder(lifetimeAmount, currency) {
    return Util.callSync(this.createTransferTokenBuilder, () => {
      return new TransferTokenBuilder(this._client, this, lifetimeAmount, currency);
    });
  }
  /**
   * Looks up a token by its Id
   *
   * @param tokenId - id of the token
   * @return token
   * @throws error if token not found
   */


  getToken(tokenId) {
    return Util.callAsync(this.getToken, async () => {
      const res = await this._client.getToken(tokenId);
      return Token.create(res.data.token);
    });
  }
  /**
   * Looks up a existing access token where the calling member is the grantor and given member is
   * the grantee.
   *
   * @param toMemberId - beneficiary of the active access token
   * @return access token returned by the server
   */


  getActiveAccessToken(toMemberId) {
    return Util.callAsync(this.getActiveAccessToken, async () => {
      const res = await this._client.getActiveAccessToken(toMemberId);
      return Token.create(res.data.token);
    });
  }
  /**
   * Looks up all transfer tokens
   *
   * @param offset - where to start looking
   * @param limit - how many to look for
   * @return returns a list of Transfer Tokens
   */


  getTransferTokens(offset, limit) {
    return Util.callAsync(this.getTransferTokens, async () => {
      const res = await this._client.getTokens('TRANSFER', offset, limit);
      const data = res.data.tokens && res.data.tokens.map(t => Token.create(t)) || [];
      return {
        data,
        offset: res.data.offset
      };
    });
  }
  /**
   * Looks up all access tokens
   *
   * @param offset - where to start looking
   * @param limit - how many to look for
   * @return access tokens - returns a list of access tokens
   */


  getAccessTokens(offset, limit) {
    return Util.callAsync(this.getAccessTokens, async () => {
      const res = await this._client.getTokens('ACCESS', offset, limit);
      const data = res.data.tokens && res.data.tokens.map(t => Token.create(t)) || [];
      return {
        data,
        offset: res.data.offset
      };
    });
  }
  /**
   * Endorses a token. If this SDK client doesn't have a sufficiently
   * privileged key to endorse the token, this will return
   * MORE_SIGNATURES_NEEDED and the system pushes a notification to
   * the member prompting them to use a higher-privilege key.
   *
   * @param token - Transfer token to endorse. Can also be a tokenId
   * @return endorsed token
   */


  endorseToken(token) {
    return Util.callAsync(this.endorseToken, async () => {
      let finalToken = await this._resolveToken(token);
      finalToken = finalToken.toJSON();
      const endorsed = await this._client.endorseToken(finalToken);

      if (typeof token !== 'string') {
        token.payloadSignatures = endorsed.data.result.token.payloadSignatures.map(s => TokenSignature.create(s));
      }

      return TokenOperationResult.create(endorsed.data.result);
    });
  }
  /**
   * Cancels a token. (Called by the payer or the redeemer)
   *
   * @param token - token to cancel. Can also be a tokenId
   * @return cancelled token
   */


  cancelToken(token) {
    return Util.callAsync(this.cancelToken, async () => {
      let finalToken = await this._resolveToken(token);
      finalToken = finalToken.toJSON();
      const cancelled = await this._client.cancelToken(finalToken);

      if (typeof token !== 'string') {
        token.payloadSignatures = cancelled.data.result.token.payloadSignatures.map(s => TokenSignature.create(s));
      }

      return TokenOperationResult.create(cancelled.data.result);
    });
  }
  /**
   * Generates a blocking function to cancel a token. (Called by the payer or the redeemer)
   *
   * @param token - token to cancel. Can also be a tokenId
   * @return {Promise<function|undefined>} blocking function to cancel the token
   */


  getBlockingCancelTokenFunction(token) {
    return Util.callAsync(this.getBlockingCancelTokenFunction, async () => {
      const finalToken = await this._resolveToken(token);
      const cancelled = await this._client.cancelToken(finalToken.toJSON(), true);

      if (cancelled && cancelled.data && typeof cancelled.data.dispatchRequest === 'function') {
        return cancelled.data.dispatchRequest;
      }
    });
  }
  /**
   * Redeems a token. (Called by the payee or redeemer)
   *
   * @param token - token to redeem. Can also be a tokenId
   * @param amount - amount to redeemer
   * @param currency - currency to redeem
   * @param description - optional transfer description
   * @param destinations - transfer destinations
   * @param refId - Id that will be set on created Transfer.
   *                         Token uses this to detect duplicates.
   *                         Caller might use this to recognize the transfer.
   *                         If param empty, transfer will have random refId.
   * @return Transfer created as a result of this redeem call
   */


  redeemToken(token, amount, currency, description, destinations = [], refId) {
    return Util.callAsync(this.redeemToken, async () => {
      let finalToken = await this._resolveToken(token);
      finalToken = finalToken.toJSON();

      if (amount === undefined) {
        amount = finalToken && finalToken.payload.transfer.lifetimeAmount;
      }

      if (currency === undefined) {
        currency = finalToken && finalToken.payload.transfer.currency;
      }

      if (description === undefined) {
        description = finalToken && finalToken.payload.description;
      }

      if (Util.countDecimals(amount) > config.decimalPrecision) {
        throw new Error(`Number of decimals in amount should be at most ${config.decimalPrecision}`);
      }

      const res = await this._client.redeemToken(finalToken, amount, currency, description, destinations.map(d => d.toJSON()), refId);

      if (res.data.transfer.status === 'PENDING_EXTERNAL_AUTHORIZATION') {
        const error = new Error('PENDING_EXTERNAL_AUTHORIZATION');
        error.authorizationDetails = res.data.authorizationDetails;
        throw error;
      }

      return Transfer.create(res.data.transfer);
    });
  }
  /**
   * Looks up a transfer
   *
   * @param transferId - id to look up
   * @return transfer if found
   * @throws error if transfer not found
   */


  getTransfer(transferId) {
    return Util.callAsync(this.getTransfer, async () => {
      const res = await this._client.getTransfer(transferId);
      return Transfer.create(res.data.transfer);
    });
  }
  /**
   * Looks up all of the member's transfers
   *
   * @param tokenId - token to use for lookup
   * @param offset - where to start looking
   * @param limit - how many to retrieve
   * @return Transfers
   */


  getTransfers(tokenId, offset, limit) {
    return Util.callAsync(this.getTransfers, async () => {
      const res = await this._client.getTransfers(tokenId, offset, limit);
      const data = res.data.transfers && res.data.transfers.map(t => Transfer.create(t)) || [];
      return {
        data,
        offset: res.data.offset
      };
    });
  }
  /**
   * Looks up the balance of an account
   *
   * @param accountId - id of the account
   * @param keyLevel - key level
   * @return Promise of get balance response object
   */


  getBalance(accountId, keyLevel) {
    return Util.callAsync(this.getBalance, async () => {
      const res = await this._client.getBalance(accountId, keyLevel);
      return {
        balance: Balance.create(res.data.balance),
        status: RequestStatus[res.data.status]
      };
    });
  }
  /**
   * Looks up the balances of an array of accounts
   *
   * @param accountIds - array of account ids
   * @param keyLevel - key level
   * @return Promise of get balances response object
   */


  getBalances(accountIds, keyLevel) {
    return Util.callAsync(this.getBalances, async () => {
      const res = await this._client.getBalances(accountIds, keyLevel);
      res.data.response = res.data.response && res.data.response.map(b => ({
        balance: Balance.create(b.balance),
        status: RequestStatus[b.status]
      }));
      return res.data.response || [];
    });
  }
  /**
   * Looks up a transaction
   *
   * @param accountId - id of the account
   * @param transactionId - which transaction to look up
   * @param keyLevel - key level
   * @return the Transaction
   * @throws error if transaction not found
   */


  getTransaction(accountId, transactionId, keyLevel) {
    return Util.callAsync(this.getTransaction, async () => {
      const res = await this._client.getTransaction(accountId, transactionId, keyLevel);
      return Transaction.create(res.data.transaction);
    });
  }
  /**
   * Looks up all of the member's transactions for an account
   *
   * @param accountId - id of the account
   * @param offset - where to start looking
   * @param limit - how many to retrieve
   * @param keyLevel - key level
   * @return Transactions
   */


  getTransactions(accountId, offset, limit, keyLevel) {
    return Util.callAsync(this.getTransactions, async () => {
      const res = await this._client.getTransactions(accountId, offset, limit, keyLevel);
      const data = res.data.transactions && res.data.transactions.map(t => Transaction.create(t)) || [];
      return {
        data,
        offset: res.data.offset
      };
    });
  }
  /**
   * Uploads a blob to the server.
   *
   * @param ownerId - owner of the blob
   * @param type - MIME type
   * @param name - name of the file
   * @param data - data in bytes
   * @return attachment
   */


  createBlob(ownerId, type, name, data) {
    return Util.callAsync(this.createBlob, async () => {
      const res = await this._client.createBlob(ownerId, type, name, data);
      return {
        blobId: res.data.blobId,
        type,
        name
      };
    });
  }
  /**
   * Downloads a blob from the server.
   *
   * @param blobId - id of the blob
   * @return downloaded blob
   * @throws error if blob not found
   */


  getBlob(blobId) {
    return Util.callAsync(this.getBlob, async () => {
      const res = await this._client.getBlob(blobId);
      return Blob.create(res.data.blob);
    });
  }
  /**
   * Downloads a blob from the server, that is attached to a token.
   *
   * @param tokenId - id of the token
   * @param blobId - id of the blob
   * @return downloaded blob
   * @throws error if token blob not found
   */


  getTokenBlob(tokenId, blobId) {
    return Util.callAsync(this.getTokenBlob, async () => {
      const res = await this._client.getTokenBlob(tokenId, blobId);
      return Blob.create(res.data.blob);
    });
  }
  /**
   * Sign with a Token signature a token request state payload.
   *
   * @param tokenRequestId - token request id
   * @param tokenId - token id
   * @param state - url state
   * @return response to the api call
   */


  signTokenRequestState(tokenRequestId, tokenId, state) {
    return Util.callAsync(this.signTokenRequestState, async () => {
      const res = await this._client.signTokenRequestState(tokenRequestId, tokenId, state);
      return Signature.create(res.data.signature);
    });
  }
  /**
   * Deletes the member.
   *
   * @return response to the api call
   */


  deleteMember() {
    return Util.callAsync(this.deleteMember, async () => {
      await this._client.deleteMember();
    });
  }
  /**
   * Verifies and affiliated TPP.
   *
   * @param memberId - id of the member to verify
   * @return empty promise
   */


  verifyAffiliate(memberId) {
    return Util.callAsync(this.verifyAffiliate, async () => {
      await this._client.verifyAffiliate(memberId);
    });
  }
  /**
   * Resolves transfer destinations for the given account ID.
   *
   * @param accountId - id of account to resolve destinations for
   * @return resolved transfer endpoints
   */


  resolveTransferDestinations(accountId) {
    return Util.callAsync(this.resolveTransferDestinations, async () => {
      await this._client.resolveTransferDestinations(accountId);
    });
  }
  /**
   * Creates a test bank account in a fake bank
   *
   * @param balance - balance of the account
   * @param currency - currency of the account
   * @return bank authorization to use with linkAccounts
   */


  createTestBankAccount(balance, currency) {
    return Util.callAsync(this.createTestBankAccount, async () => {
      const res = await this._client.createTestBankAccount(balance, currency);
      return OauthBankAuthorization.create(res.data.authorization);
    });
  }
  /**
   * Creates a test bank account in a fake bank
   *
   * @deprecated - use createTestBankAccount
   * @param balance - balance of the account
   * @param currency - currency of the account
   * @return bank authorization to use with linkAccounts
   */


  createTestBankAccountOauth(balance, currency) {
    return Util.callAsync(this.createTestBankAccountOauth, async () => {
      const res = await this._client.createTestBankAccount(balance, currency);
      return OauthBankAuthorization.create(res.data.authorization);
    });
  }
  /**
   * Gets test bank notification.
   *
   * @param subscriberId - id of subscriber
   * @param notificationId - id of notification
   * @return response to the API call
   */


  getTestBankNotification(subscriberId, notificationId) {
    return Util.callAsync(this.getTestBankNotification, async () => {
      const res = await this._client.getTestBankNotification(subscriberId, notificationId);
      return Notification.create(res.data.notification);
    });
  }
  /**
   * Gets test bank notifications.
   *
   * @param subscriberId - id of subscriber
   * @return response to the API call
   */


  getTestBankNotifications(subscriberId) {
    return Util.callAsync(this.getTestBankNotifications, async () => {
      const res = await this._client.getTestBankNotifications(subscriberId);
      return res.data.notifications ? res.data.notifications.map(n => Notification.create(n)) : [];
    });
  }

  _getPreviousHash() {
    return Util.callAsync(this._getPreviousHash, async () => {
      const member = await this._getMember();
      return member.lastHash;
    });
  }

  _getMember() {
    return Util.callAsync(this._getMember, async () => {
      const res = await this._unauthenticatedClient.getMember(this._id);
      return res.data.member;
    });
  }

  _resolveToken(token) {
    return new _Promise(resolve => {
      if (typeof token === 'string') {
        this.getToken(token).then(lookedUp => resolve(lookedUp));
      } else {
        resolve(token); // Token, already in json representation
      }
    });
  }

  _normalizeAlias(alias, partnerId) {
    return Util.callAsync(this._normalizeAlias, async () => {
      const normalized = (await this._unauthenticatedClient.normalizeAlias(alias.toJSON())).data.alias;

      if (partnerId && partnerId !== 'token') {
        // Realm must equal member's partner ID if affiliated
        if (normalized.realm && normalized.realm !== partnerId) {
          throw new Error('Alias realm must equal partner ID: ' + partnerId);
        }

        normalized.realm = partnerId;
      }

      return normalized;
    });
  }

}

/**
 * MemoryCryptoEngine: Implements the CryptoEngine interface.
 *
 * Crypto engine to handle signatures, verifications, and key storage, in memory. Handles storage
 * for multiple members at once, and uses the following schema:
 *
 * {
 *   'ACTIVE': 'm:12345:678', // member ID of most-recently active member
 *   'm:12345:678': { // a member's keys:
 *     'PRIVILEGED': {
 *          id: '456', // key ID
 *          algorithm: ED25519,
 *          level: PRIVILEGED,
 *          publicKey: Buffer(...), // public key data
 *          privateKey: Buffer(...), // secret key data
 *      },
 *     'LOW': {...},
 *     'STANDARD': {...},
 *   },
 *   'm:91011:12d': {...} // other member's keys...
 * }
 *
 */

const globalKeyStore$2 = new MemoryKeyStore();

class MemoryCryptoEngine extends KeyStoreCryptoEngine {
  constructor(memberId) {
    super(memberId, globalKeyStore$2);
  }
  /**
   * Gets the currently active memberId.
   * This allows login without caching memberId somewhere
   *
   * @return {string} active memberId
   */


  static getActiveMemberId() {
    const memberId = MemoryKeyStore.getActiveMemberId();

    if (!memberId) {
      throw new Error('No active memberId on this browser');
    }

    return memberId;
  }

}

class TransferTokenRequest extends TokenRequest {
  constructor(payload) {
    super(payload);
  }
  /**
   * Sets the maximum amount per charge on a transfer token request.
   *
   * @param {number} amount
   * @return {TokenRequest} token request
   */


  setChargeAmount(amount) {
    this.requestPayload.transferBody.amount = amount;
    return this;
  }
  /**
   * Adds a transfer destination to a transfer token request.
   *
   * @param {Object} destination
   * @return {TokenRequest} token request
   */


  addDestination(destination) {
    this.requestPayload.transferBody.destinations.push(destination);
    return this;
  }
  /**
   * Sets the destination country in order to narrow down
   * the country selection in the web-app UI.
   *
   * @param {string} destinationCountry
   * @return {TokenRequest} token request
   */


  setDestinationCountry(destinationCountry) {
    this.requestPayload.destinationCountry = destinationCountry;
    return this;
  }

}

let fs;
let path;

{
  fs = require('fs');
  path = require('path');
}

class PromiseFileSystem {
  /**
   * Reads a file from the filesystem (from the given directory)
   *
   * @param {string} filename - file to read
   * @return {Promise} with data
   */
  static readFile(filename) {
    return new _Promise((resolve, reject) => {
      fs.readFile(PromiseFileSystem._getFullFilename(filename), PromiseFileSystem._options, (err, buffer$$1) => {
        if (err) {
          reject(err);
        } else {
          resolve(buffer$$1);
        }
      });
    });
  }

  static writeFile(filename, data) {
    return new _Promise((resolve, reject) => {
      PromiseFileSystem._ensureExists(PromiseFileSystem.dirRoot, err => {
        if (err) {
          reject(err);
        }

        fs.writeFile(PromiseFileSystem._getFullFilename(filename), data, PromiseFileSystem._options, err => {
          if (err) {
            reject(err);
          } else {
            resolve();
          }
        });
      });
    });
  }

  static _ensureExists(path, cb) {
    fs.mkdir(path, err => {
      if (err) {
        if (err.code === 'EEXIST') cb(null); // ignore folder already exists
        else cb(err); // something else went wrong
      } else cb(null); // successfully created folder

    });
  }

  static _getFullFilename(filename) {
    return path.join(PromiseFileSystem.dirRoot, filename);
  }

}

PromiseFileSystem._options = {
  encoding: 'utf-8',
  mode: 0o600
};
PromiseFileSystem.dirRoot = null;

const globals = {
  activeMemberId: ''
};

class UnsecuredFileKeyStore {
  static setDirRoot(dirRoot) {
    PromiseFileSystem.dirRoot = dirRoot;
  }
  /**
   * Store a key pair.
   *
   * @param {string} memberId - ID of member
   * @param {Object} keyPair - key pair
   * @return {Object} stored key pair
   */


  async put(memberId, keyPair) {
    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    if (!keyPair) {
      throw new Error('Don\'t know what key to put');
    }

    if (!keyPair.level) {
      throw new Error('Don\'t know what level to put key');
    }

    if (keyPair.expiresAtMs < _Date$now()) {
      throw new Error(`Key ${keyPair.id} has expired`);
    }

    const member = (await this._loadMember(memberId)) || {};
    member[keyPair.level] = keyPair;
    await this._saveMember(memberId, member);
    UnsecuredFileKeyStore.setActiveMemberId(memberId);
    return keyPair;
  }
  /**
   * Look up a key by memberId and level.
   *
   * @param {string} memberId - ID of member
   * @param {string} level - 'LOW', 'STANDARD', or 'PRIVILEGED'
   * @return {Object} key pair
   */


  async getByLevel(memberId, level) {
    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    if (!level) {
      throw new Error('Don\'t know what key level to get');
    }

    const member = await this._loadMember(memberId);

    if (!member) {
      throw new Error(`Member with id ${memberId} not found`);
    }

    if (!member[level]) {
      throw new Error(`No key with level ${level} found`);
    }

    if (member[level].expiresAtMs < _Date$now()) {
      throw new Error(`Key with level ${level} has expired`);
    }

    UnsecuredFileKeyStore.setActiveMemberId(memberId);
    return member[level];
  }
  /**
   * Look up a key by memberId and keyId.
   *
   * @param {string} memberId - ID of member
   * @param {string} keyId - key ID
   * @return {Object} key pair
   */


  async getById(memberId, keyId) {
    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    if (!keyId) {
      throw new Error('Don\'t know id of key to get');
    }

    const member = await this._loadMember(memberId);

    if (!member) {
      throw new Error(`member ${memberId} not found`);
    }

    for (const level in member) {
      if (Object.prototype.hasOwnProperty.call(member, level)) {
        if (member[level].id === keyId) {
          if (member[level].expiresAtMs < _Date$now()) {
            throw new Error(`Key with id ${member[level].id} has expired`);
          }

          UnsecuredFileKeyStore.setActiveMemberId(memberId);
          return member[level];
        }
      }
    }

    throw new Error(`No key with id ${keyId} found`);
  }
  /**
   * Return list of member's keys.
   *
   * @param {string} memberId - ID of member
   * @return {Object} list of keys
   */


  async listKeys(memberId) {
    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    const member = await this._loadMember(memberId);

    if (!member) {
      if (!member) {
        throw new Error(`member ${memberId} not found`);
      }
    }

    UnsecuredFileKeyStore.setActiveMemberId(memberId);
    const list = [];

    for (const level in member) {
      if (member.hasOwnProperty(level) && !(member[level].expiresAtMs < _Date$now())) {
        list.push(member[level]);
      }
    }

    return list;
  }
  /**
   * Keep track of the ID of the most recently active member.
   *
   * @param {string} memberId - ID of member
   */


  static setActiveMemberId(memberId) {
    globals.activeMemberId = memberId;
  }
  /**
   * Get the ID of the most recently active member.
   *
   * @return {string} ID of member
   */


  static getActiveMemberId() {
    const memberId = globals.activeMemberId;

    if (!memberId) {
      throw new Error('No active memberId on this browser');
    }

    return memberId;
  }
  /**
   * Save a member's keys.
   *
   * @param {string} memberId - member Id
   * @param {Object} member - obj dict of keys { 'LOW': {...}, 'STANDARD': {...}, ... }
   */


  async _saveMember(memberId, member) {
    // instead of { LOW: {...}, ... } we want [ {...}, ... ]
    // convert keys from buffer -> string
    const strKeys = [];

    for (const level in member) {
      if (member.hasOwnProperty(level)) {
        const keyCopy = _extends({}, member[level]);

        if (keyCopy.publicKey) {
          keyCopy.publicKey = Crypto.strKey(keyCopy.publicKey);
        }

        if (keyCopy.privateKey) {
          keyCopy.privateKey = Crypto.strKey(keyCopy.privateKey);
        }

        strKeys.push(keyCopy);
      }
    }

    await PromiseFileSystem.writeFile(memberId.split(':').join('_'), _JSON$stringify({
      keys: strKeys
    }));
  }
  /**
   * Load a member's keys.
   *
   * @param {string} memberId - ID of member
   * @return {Object} object dict level : key {'LOW': {...}, 'STANDARD': {...}, ...}
   */


  async _loadMember(memberId) {
    let data;

    try {
      data = await PromiseFileSystem.readFile(memberId.split(':').join('_'));
    } catch (error) {
      data = '{"keys":[]}';
    }

    const keyList = JSON.parse(data).keys || [];
    const member = {};

    for (let i = 0; i < keyList.length; i++) {
      const key = keyList[i];

      if (key.publicKey) {
        key.publicKey = Crypto.bufferKey(key.publicKey);
      }

      if (key.privateKey) {
        key.privateKey = Crypto.bufferKey(key.privateKey);
      }

      member[key.level] = key;
    }

    return member;
  }

}

/**
 * UnsecuredFileCryptoEngine: Implements the CryptoEngine interface.
 *
 * Crypto engine to handle signatures, verifications, and key storage, in a file. Uses the following
 * schema
 *
 * filename: memberId
 *
 * file contents: {
 *    'keys':[{
 *        'id':'HxxJ-LKfhYVSDMgC', // key ID
 *        'level':'LOW',
 *        'algorithm':'ED25519',
 *        'publicKey':'wHhFB13fbFVwXGkHPToWASQCQ3hJegQQ', // Crypto.strKey( public key )
 *        'privateKey':'YgnDobEA0HoZvM7YXvJBR1Sd006apRbeEl6BBA' // Crypto.strKey( secret key )
 *    }],
 * }
 */

const globalKeyStore$3 = new UnsecuredFileKeyStore();
let dirRootSet = null;

class UnsecuredFileCryptoEngine extends KeyStoreCryptoEngine {
  /**
   * Set the dir in which we'll store key-files.
   * When an sdk user calls
   * const Token = new TokenIO({env: 'sandbox', developerKey: devKey, keyDir: './keys'});
   * that calls UnsecuredFileCryptoEngine.setDirRoot('./keys')
   *
   * @param {string} dirRoot - path
   */
  static setDirRoot(dirRoot) {
    UnsecuredFileKeyStore.setDirRoot(dirRoot);
    dirRootSet = dirRoot;
  }
  /**
   * Constructs the engine
   *
   * @param {string} memberId - memberId of the member we want to create the engine for
   */


  constructor(memberId) {

    if (!memberId) {
      throw new Error('Invalid memberId');
    }

    if (!dirRootSet) {
      throw new Error('No valid directory set');
    }

    super(memberId, globalKeyStore$3);
  }
  /**
   * Get ID of 'active' member. (This would make more sense in browser,
   * where we'd use it to keep track of browser-linked member.)
   *
   * @return {string} member ID of active member (or throw if none such);
   */


  static getActiveMemberId() {
    const memberId = UnsecuredFileKeyStore.getActiveMemberId();

    if (!memberId) {
      throw new Error('No active memberId on this browser');
    }

    return memberId;
  }

}

/**
 * Main entry object. Allows creation of members, provisioning of devices, logging in,
 * sending notifications, etc, as well as access to other SDK classes.
 */
class TokenIO {
  /**
   * Construct the Token SDK object, pointing to the given environment.
   *
   * @param options - see below
   */
  constructor(options) {
    this.options = options;
    this._unauthenticatedClient = new HttpClient(options);
    /* Available security levels for keys */

    this.KeyLevel = config.KeyLevel;
    /* Crypto utility functions */

    this.Crypto = Crypto;
    /* Other utility functions */

    this.Util = Util;
    /* Class for using the browser crypto engine */

    this.BrowserCryptoEngine = BrowserCryptoEngine;
    /* Class for using the memory crypto engine */

    this.MemoryCryptoEngine = MemoryCryptoEngine;
    /* Class for using the hardcoded crypto engine */

    this.ManualCryptoEngine = ManualCryptoEngine;

    if (options.keyDir) {
      UnsecuredFileCryptoEngine.setDirRoot(options.keyDir);
    }
    /* Class for the Unsecured filestore key root */


    this.UnsecuredFileCryptoEngine = UnsecuredFileCryptoEngine;
    /* Class for constructing TokenRequest objects */

    this.TokenRequest = TokenRequest;
  }
  /**
   * If we're on a token page, sets up an iframe to avoid CORS preflights. All requests in this
   * window will be routed through the iframe.
   *
   * @param env - which environment (gateway) to use, (e.g. prd)
   */


  static enableIframePassthrough(env) {
    Util.enableIframePassthrough(config.corsDomainSuffix, config.urls[env]);
  }
  /**
   * If we're on a token page, this disables passthrough
   */


  static disableIframePassthrough() {
    Util.disableIframePassthrough(config.corsDomainSuffix);
  }
  /**
   * Checks if a given alias already exists
   *
   * @param alias - alias to check
   * @return true if alias exists, false otherwise
   */


  aliasExists(alias) {
    return Util.callAsync(this.aliasExists, async () => {
      const res = await this._unauthenticatedClient.resolveAlias(alias.toJSON());
      const ret = res.data && res.data.member && res.data.member.id;
      return !!ret;
    });
  }
  /**
   * Normalizes an alias
   * you probably won't need to call this as this is automatically called before addAlias()
   *
   * @param alias - alias to normalize
   * @return normalized alias
   */


  normalizeAlias(alias) {
    return Util.callAsync(this.normalizeAlias, async () => {
      const res = await this._unauthenticatedClient.normalizeAlias(alias.toJSON());
      return Alias.create(res.data.alias);
    });
  }
  /**
   * Resolve an alias to a member
   *
   * @param alias - alias to lookup
   * @return {Promise<TokenMember|undefined>} TokenMember protobuf object
   */


  resolveAlias(alias) {
    return Util.callAsync(this.resolveAlias, async () => {
      const res = await this._unauthenticatedClient.resolveAlias(alias.toJSON());
      return res.data.member && TokenMember.create(res.data.member);
    });
  }
  /**
   * Create a TokenRequest for an access token
   *
   * @param resources - resources to request access of
   * @returns The created TokenRequest
   */


  createAccessTokenRequest(resources) {
    return Util.callSync(this.createAccessTokenRequest, () => {
      const payload = {
        refId: Util.generateNonce(),
        accessBody: {
          type: resources
        },
        to: {},
        callbackState: {
          csrfTokenHash: Util.hashString(''),
          innerState: ''
        }
      };
      return new TokenRequest(payload);
    });
  }
  /**
   * Create a TokenRequest for a transfer token
   *
   * @param lifetimeAmount - lifetime amount of the token
   * @param currency - 3 letter currency code for the amount, e.g. 'USD'
   * @returns The created TokenRequest
   */


  createTransferTokenRequest(lifetimeAmount, currency) {
    return Util.callSync(this.createTransferTokenRequest, () => {
      const payload = {
        refId: Util.generateNonce(),
        transferBody: {
          currency: currency,
          lifetimeAmount: lifetimeAmount.toString(),
          destinations: []
        },
        to: {},
        callbackState: {
          csrfTokenHash: Util.hashString(''),
          innerState: ''
        }
      };
      return new TransferTokenRequest(payload);
    });
  }
  /**
   * Creates a member with a alias and a keypair, using the provided engine and member type.
   *
   * @param  alias - alias to set for member,
   *                  falsy value or empty object for a temporary member without an alias
   * @param  CryptoEngine - engine to use for key creation and storage
   * @param  memberType - type of member to create. "PERSONAL" if undefined
   * @param  tokenRequestId - (optional) token request id if the member is being claimed
   * @return Promise of created Member
   */


  createMember(alias, CryptoEngine, memberType, tokenRequestId) {
    return Util.callAsync(this.createMember, async () => {
      const response = await this._unauthenticatedClient.createMemberId(memberType, tokenRequestId);
      const engine = new CryptoEngine(response.data.memberId);
      const pk1 = await engine.generateKey('PRIVILEGED');
      const pk2 = await engine.generateKey('STANDARD');
      const pk3 = await engine.generateKey('LOW');
      await this._unauthenticatedClient.approveFirstKeys(response.data.memberId, [pk1, pk2, pk3], engine);
      const member = new Member(_objectSpread({
        memberId: response.data.memberId,
        cryptoEngine: engine
      }, this.options));
      alias && (await member.addAlias(alias));
      return member;
    });
  }
  /**
   * Creates a member with a alias and a keypair, using the provided engine
   *
   * @param  alias - alias to set for member,
   *                  falsy value or empty object for a temporary member without an alias
   * @param  CryptoEngine - engine to use for key creation and storage
   * @return Promise of created Member
   */


  createBusinessMember(alias, CryptoEngine) {
    return this.createMember(alias, CryptoEngine, 'BUSINESS');
  }
  /**
   * Creates a claimed member with a alias and a keypair, using the provided engine
   *
   * @param  alias - alias to set for member,
   *                  falsy value or empty object for a temporary member without an alias
   * @param  CryptoEngine - engine to use for key creation and storage
   * @param  tokenRequestId - token request id
   * @return Promise of created Member
   */


  createClaimedMember(alias, CryptoEngine, tokenRequestId) {
    return this.createMember(alias, CryptoEngine, 'TRANSIENT', tokenRequestId);
  }
  /**
   * Provisions a new device for an existing user. The call generates a set
   * of keys that are returned back. The keys need to be approved by an
   * existing device/keys.
   *
   * @param alias - user to provision the device for
   * @param  CryptoEngine - engine to use for key creation and storage
   * @return information about the device provisioned
   */


  provisionDevice(alias, CryptoEngine) {
    return Util.callAsync(this.provisionDevice, async () => {
      const res = await this._unauthenticatedClient.resolveAlias(alias.toJSON());

      if (!res.data.member || !res.data.member.id) {
        throw new Error('Invalid alias');
      }

      const engine = new CryptoEngine(res.data.member.id);
      const pk1 = Key.create((await engine.generateKey('PRIVILEGED')));
      const pk2 = Key.create((await engine.generateKey('STANDARD')));
      const pk3 = Key.create((await engine.generateKey('LOW')));
      return {
        memberId: res.data.member.id,
        keys: [pk1, pk2, pk3]
      };
    });
  }
  /**
   * Provisions a new device for an existing user. The call generates a set
   * of keys that are returned back. The keys need to be approved by an
   * existing device/keys. This only generates one (LOW) key.
   *
   * @param alias - user to provision the device for
   * @param  CryptoEngine - engine to use for key creation and storage
   * @param expirationMs - (optional) expiration duration of key in milliseconds
   * @return information about the device provisioned
   */


  provisionDeviceLow(alias, CryptoEngine, expirationMs = config.lowKeyExpiration) {
    return Util.callAsync(this.provisionDeviceLow, async () => {
      const res = await this._unauthenticatedClient.resolveAlias(alias.toJSON());

      if (!res.data.member || !res.data.member.id) {
        throw new Error('Invalid alias');
      }

      const engine = new CryptoEngine(res.data.member.id);
      const pk1 = Key.create((await engine.generateKey('LOW', expirationMs)));
      return {
        memberId: res.data.member.id,
        keys: [pk1]
      };
    });
  }
  /**
   * Returns 'logged-in' member that uses keys already in the CryptoEngine.
   * If memberId is not provided, the last member to 'log in' will be used.
   *
   * @param  CryptoEngine - engine to use for key creation and storage
   * @param memberId - optional id of the member we want to log in
   * @return instantiated member
   */


  getMember(CryptoEngine, memberId) {
    return Util.callSync(this.getMember, () => {
      if (!memberId && typeof CryptoEngine.getActiveMemberId === 'function') {
        memberId = CryptoEngine.getActiveMemberId();
      }

      const engine = new CryptoEngine(memberId);
      return new Member(_objectSpread({
        memberId,
        cryptoEngine: engine
      }, this.options));
    });
  }
  /**
   * Notifies subscribers that a key should be added and passes the public Key and
   * optional name
   *
   * @param alias - alias to notify
   * @param keys - token keys to be added
   * @param deviceMetadata - device metadata of the keys
   * @return status
   */


  notifyAddKey(alias, keys, deviceMetadata) {
    const body = {
      addKey: {
        keys: keys.map(k => k.toJSON()),
        deviceMetadata: deviceMetadata.toJSON()
      }
    };
    return Util.callAsync(this.notifyAddKey, async () => {
      const res = await this._unauthenticatedClient.notify(alias.toJSON(), body);
      return NotifyStatus[res.data.status];
    });
  }
  /**
   * Sends a notification to a user to request a payment.
   *
   * @param tokenPayload - requested transfer token
   * @return status
   */


  notifyPaymentRequest(tokenPayload) {
    tokenPayload = tokenPayload.toJSON();

    if (!tokenPayload.refId) {
      tokenPayload.refId = Util.generateNonce();
    }

    return Util.callAsync(this.notifyPaymentRequest, async () => {
      const res = await this._unauthenticatedClient.notifyPaymentRequest(tokenPayload);
      return NotifyStatus[res.data.status];
    });
  }
  /**
   * Notifies subscribed devices that a token should be created and endorsed.
   *
   * @param tokenRequestId - token request ID
   * @param keys - (optional) token keys to be added
   * @param deviceMetadata - device metadata of the keys
   * @param receiptContact - (optional) receipt contact
   * @return {Object} response to the API call
   */


  notifyCreateAndEndorseToken(tokenRequestId, keys, deviceMetadata, receiptContact) {
    const addKey = {
      keys: keys.map(k => k.toJSON()),
      deviceMetadata: deviceMetadata.toJSON()
    };
    return Util.callAsync(this.notifyCreateAndEndorseToken, async () => {
      const res = await this._unauthenticatedClient.notifyCreateAndEndorseToken(tokenRequestId, addKey, receiptContact);
      return {
        notificationId: res.data.notificationId,
        status: NotifyStatus[res.data.status]
      };
    });
  }
  /**
   * Notifies subscribed devices that a token payload should be endorsed and keys should be
   * added.
   *
   * @param tokenPayload - the endorseAndAddKey payload to be sent
   * @param keys - token keys to be added
   * @param deviceMetadata - device metadata of the keys
   * @param tokenRequestId - (optional) token request Id
   * @param bankId - (optional) bank Id
   * @param state - (optional) token request state for signing
   * @param receiptContact - (optional) receipt contact
   * @return notification Id and notify status
   * @deprecated use notifyCreateAndEndorseToken instead
   */


  notifyEndorseAndAddKey(tokenPayload, keys, deviceMetadata, tokenRequestId, bankId, state, receiptContact) {
    const endorseAndAddKey = {
      payload: tokenPayload.toJSON(),
      addKey: {
        keys: keys.map(k => k.toJSON()),
        deviceMetadata: deviceMetadata.toJSON()
      },
      tokenRequestId: tokenRequestId,
      bankId: bankId,
      state: state,
      contact: receiptContact
    };
    return Util.callAsync(this.notifyEndorseAndAddKey, async () => {
      const res = await this._unauthenticatedClient.notifyEndorseAndAddKey(endorseAndAddKey);
      return {
        notificationId: res.data.notificationId,
        status: NotifyStatus[res.data.status]
      };
    });
  }
  /**
   * Invalidate a notification.
   *
   * @param notificationId - the notification id to invalidate
   * @return status
   */


  invalidateNotification(notificationId) {
    return Util.callAsync(this.invalidateNotification, async () => {
      const res = await this._unauthenticatedClient.invalidateNotification(notificationId);
      return NotifyStatus[res.data.status];
    });
  }
  /**
   * Gets a list of available banks for linking
   *
   * @param options - optional parameters for getBanks
   * @return list of banks
   */


  getBanks(options) {
    return Util.callAsync(this.getBanks, async () => {
      const res = await this._unauthenticatedClient.getBanksOrCountries(options);
      return {
        banks: res.data.banks ? res.data.banks.map(b => Bank.create(b)) : [],
        paging: Paging.create(res.data.paging)
      };
    });
  }
  /**
   * Gets a list of available countries for linking
   *
   * @param options - optional parameters for getBanksCountries
   * @return list of countries with linkable banks
   */


  getCountries(options) {
    return Util.callAsync(this.getBanks, async () => {
      const res = await this._unauthenticatedClient.getBanksOrCountries(options, true);
      return res.data.countries || [];
    });
  }
  /**
   * Updates an existing token request.
   *
   * @param {string} requestId - token request ID
   * @param {Object} options - new token request options
   * @return empty promise
   */


  updateTokenRequest(requestId, options) {
    return Util.callAsync(this.updateTokenRequest, async () => {
      await this._unauthenticatedClient.updateTokenRequest(requestId, options);
    });
  }
  /**
   * Retrieves a request for a token. Called by the web(user) or by a TPP, to get request details.
   *
   * @param requestId - token request id
   * @return information about the tokenRequest
   */


  retrieveTokenRequest(requestId) {
    return Util.callAsync(this.retrieveTokenRequest, async () => {
      const res = await this._unauthenticatedClient.retrieveTokenRequest(requestId);
      return {
        tokenRequest: res.data.tokenRequest,
        customization: res.data.customization && Customization.create(res.data.customization)
      };
    });
  }
  /**
   * Generate a token request authorization URL.
   *
   * @param requestId - request id
   * @param state - original state
   * @param csrfToken - CSRF token
   * @return token request URL
   */


  generateTokenRequestUrl(requestId, state = '', csrfToken = '') {
    const tokenRequestState = {
      csrfTokenHash: Util.hashString(csrfToken),
      innerState: state
    };
    const serializedState = encodeURIComponent(_JSON$stringify(tokenRequestState));
    return `${this.options.customSdkUrl || config.webAppUrls[this.options.env]}/app/request-token/${requestId}?state=${serializedState}`; // eslint-disable-line max-len
  }
  /**
   * Downloads a blob from the server.
   *
   * @param blobId - id of the blob
   * @return downloaded blob
   * @throws error if blob not found
   */


  getBlob(blobId) {
    return Util.callAsync(this.getBlob, async () => {
      const res = await this._unauthenticatedClient.getBlob(blobId);
      return Blob.create(res.data.blob);
    });
  }
  /**
   * Parse a token request callback URL, verify the state and signature,
   * and return the inner state and token id.
   *
   * @param callbackUrl - callback URL
   * @param csrfToken - CSRF token
   * @return inner state and token id
   */


  parseTokenRequestCallbackUrl(callbackUrl, csrfToken = '') {
    return Util.callAsync(this.parseTokenRequestCallbackUrl, async () => {
      const tokenMember = await this._unauthenticatedClient.getTokenMember();
      const urlParams = Util.parseParamsFromUrl(callbackUrl);
      const params = {
        tokenId: decodeURIComponent(urlParams.tokenId),
        state: JSON.parse(decodeURIComponent(urlParams.state)),
        signature: JSON.parse(decodeURIComponent(urlParams.signature))
      };

      if (params.state.csrfTokenHash !== Util.hashString(csrfToken)) {
        throw new Error('Invalid state.');
      }

      const signingKey = Util.getSigningKey(tokenMember.keys, params.signature);
      await Crypto.verifyJson({
        state: encodeURIComponent(_JSON$stringify(params.state)),
        tokenId: params.tokenId
      }, params.signature.signature, Crypto.bufferKey(signingKey.publicKey));
      return {
        tokenId: params.tokenId,
        innerState: params.state.innerState
      };
    });
  }
  /**
   * Get the token request result based on its token request ID.
   *
   * @param tokenRequestId - token request id
   * @return token id and signature
   */


  getTokenRequestResult(tokenRequestId) {
    return Util.callAsync(this.getTokenRequestResult, async () => {
      const res = await this._unauthenticatedClient.getTokenRequestResult(tokenRequestId);
      return {
        tokenId: res.data.tokenId,
        signature: Signature.create(res.data.signature)
      };
    });
  }

}

exports.TokenIO = TokenIO;
exports.Account = Account;
exports.Address = Address;
exports.AddressRecord = AddressRecord;
exports.Alias = Alias;
exports.Balance = Balance;
exports.Bank = Bank;
exports.BankInfo = BankInfo;
exports.Blob = Blob;
exports.DeviceMetadata = DeviceMetadata;
exports.Key = Key;
exports.Notification = Notification;
exports.OauthBankAuthorization = OauthBankAuthorization;
exports.Paging = Paging;
exports.Pricing = Pricing;
exports.Profile = Profile;
exports.ReceiptContact = ReceiptContact;
exports.RecoveryRule = RecoveryRule;
exports.Resource = Resource;
exports.Signature = Signature;
exports.Subscriber = Subscriber;
exports.Token = Token;
exports.TokenMember = TokenMember;
exports.TokenOperationResult = TokenOperationResult;
exports.TokenPayload = TokenPayload;
exports.TokenSignature = TokenSignature;
exports.Transaction = Transaction;
exports.Transfer = Transfer;
exports.TransferEndpoint = TransferEndpoint;
exports.TrustedBeneficiary = TrustedBeneficiary;
exports.Customization = Customization;
exports.SecurityMetadata = SecurityMetadata;
exports.AliasType = AliasType;
exports.KeyAlgorithm = KeyAlgorithm;
exports.KeyLevel = KeyLevel;
exports.NotificationStatus = NotificationStatus;
exports.NotifyStatus = NotifyStatus;
exports.ReceiptContactType = ReceiptContactType;
exports.RequestStatus = RequestStatus;
exports.TokenOperationStatus = TokenOperationStatus;
exports.TokenSignatureAction = TokenSignatureAction;
exports.TransactionStatus = TransactionStatus;
exports.TransactionType = TransactionType;
